/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  cascading: {
    type: String,
    "default": "right-up",
    validator: function validator(val) {
      if (!val) return true;
      return ["left-up", "right-up"].includes(val);
    }
  },
  collapseAvatar: {
    type: [String, Function]
  },
  max: {
    type: Number
  },
  popupProps: {
    type: Object
  },
  size: {
    type: String,
    "default": "medium"
  }
};

exports["default"] = props;
//# sourceMappingURL=avatar-group-props.js.map
