import { TNode, SizeEnum } from '../common';
export interface TdButtonProps {
    block?: boolean;
    content?: string | TNode;
    default?: string | TNode;
    disabled?: boolean;
    form?: string;
    ghost?: boolean;
    href?: string;
    icon?: TNode;
    loading?: boolean;
    shape?: 'rectangle' | 'square' | 'round' | 'circle';
    size?: SizeEnum;
    suffix?: TNode;
    tag?: 'button' | 'a' | 'div';
    theme?: 'default' | 'primary' | 'danger' | 'warning' | 'success';
    type?: 'submit' | 'reset' | 'button';
    variant?: 'base' | 'outline' | 'dashed' | 'text';
    onClick?: (e: MouseEvent) => void;
}
