/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var checkbox_group = require('./group.js');
var checkbox_checkbox = require('./checkbox.js');
var utils_withInstall = require('../utils/withInstall.js');
require('../_chunks/dep-ece3c062.js');
require('@babel/runtime/helpers/typeof');
require('@babel/runtime/helpers/toConsumableArray');
require('@babel/runtime/helpers/slicedToArray');
require('@vue/composition-api');
require('../utils/helper.js');
require('@babel/runtime/helpers/objectWithoutProperties');
require('@babel/runtime/helpers/defineProperty');
require('../_chunks/dep-7c854ec6.js');
require('../_chunks/dep-eceed11d.js');
require('../_chunks/dep-201f7798.js');
require('../_chunks/dep-a4308f57.js');
require('../_chunks/dep-fcf0662d.js');
require('../_chunks/dep-d3015b4c.js');
require('../_chunks/dep-e4278c54.js');
require('../_chunks/dep-f8a85d6a.js');
require('../_chunks/dep-5b117689.js');
require('../_chunks/dep-6478392e.js');
require('./checkbox-group-props.js');
require('./constants.js');
require('./store.js');
require('@babel/runtime/helpers/classCallCheck');
require('@babel/runtime/helpers/createClass');
require('../_chunks/dep-e83685df.js');
require('../_chunks/dep-d23147db.js');
require('../_chunks/dep-a4747856.js');
require('../_chunks/dep-3d8ab37d.js');
require('../_chunks/dep-ecccff93.js');
require('../_chunks/dep-a4cecac4.js');
require('../_chunks/dep-ab142eaf.js');
require('../_chunks/dep-502c56be.js');
require('../_chunks/dep-6e4c473c.js');
require('../_chunks/dep-9f4caea4.js');
require('../_chunks/dep-dbd838d6.js');
require('../_chunks/dep-b3120c1b.js');
require('../_chunks/dep-b1a02818.js');
require('../_chunks/dep-5db8defc.js');
require('../_chunks/dep-62de1188.js');
require('../hooks/slots.js');
require('../hooks/useConfig.js');
require('../config-provider/useConfig.js');
require('../_chunks/dep-07fb8c0e.js');
require('../_common/js/global-config/default-config.js');
require('../_common/js/global-config/locale/zh_CN.js');
require('../_chunks/dep-a4a18104.js');
require('../_chunks/dep-27dd8cc6.js');
require('dayjs');
require('../_chunks/dep-87c765cc.js');
require('../_chunks/dep-75cd6d52.js');
require('../_chunks/dep-6ad3de7c.js');
require('../_chunks/dep-8b1e056e.js');
require('../_chunks/dep-234b7c02.js');
require('../_chunks/dep-932dd69e.js');
require('../_chunks/dep-68ba2357.js');
require('../_chunks/dep-173eb46c.js');
require('../hooks/useVModel.js');
require('../_chunks/dep-47bca35e.js');
require('./props.js');
require('./hooks/useKeyboardEvent.js');
require('../_common/js/common.js');
require('../hooks/useFormDisabled.js');
require('../hooks/useElementLazyRender.js');
require('../_common/js/utils/observe.js');
require('../utils/render-tnode.js');
require('@babel/runtime/helpers/readOnlyError');
require('vue');

var Checkbox = utils_withInstall.withInstall(checkbox_checkbox["default"]);
var CheckboxGroup = utils_withInstall.withInstall(checkbox_group["default"]);

exports.Checkbox = Checkbox;
exports.CheckboxGroup = CheckboxGroup;
exports["default"] = Checkbox;
//# sourceMappingURL=index.js.map
