import { PropType } from '@vue/composition-api';
import { TdColorHandler } from './interfaces';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    value: import("@vue/composition-api").Ref<string>;
    handleChange: (input: string) => void;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
}> & import("@vue/composition-api").Data, {}, {}, {
    borderless: {
        type: BooleanConstructor;
        default: boolean;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: PropType<import("../input").InputProps<import("../input").InputValue>>;
        default: () => {
            autoWidth: boolean;
        };
    };
    handleTriggerChange: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: string;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    borderless: {
        type: BooleanConstructor;
        default: boolean;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: PropType<import("../input").InputProps<import("../input").InputValue>>;
        default: () => {
            autoWidth: boolean;
        };
    };
    handleTriggerChange: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: string;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    color: string;
    disabled: boolean;
    size: import("..").SizeEnum;
    borderless: boolean;
    clearable: boolean;
    inputProps: {
        autoWidth: boolean;
    };
    handleTriggerChange: TdColorHandler;
} & {}, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    value: import("@vue/composition-api").Ref<string>;
    handleChange: (input: string) => void;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    color: string;
    disabled: boolean;
    size: import("..").SizeEnum;
    borderless: boolean;
    clearable: boolean;
    inputProps: {
        autoWidth: boolean;
    };
    handleTriggerChange: TdColorHandler;
} & {}, {
    color: string;
    disabled: boolean;
    size: import("..").SizeEnum;
    borderless: boolean;
    clearable: boolean;
    inputProps: {
        autoWidth: boolean;
    };
    handleTriggerChange: TdColorHandler;
}, true>);
export default _default;
