import { TNode, SizeEnum, Styles } from '../common';
export interface TdDescriptionsProps {
    bordered?: boolean;
    colon?: boolean;
    column?: number;
    contentStyle?: Styles;
    itemLayout?: 'horizontal' | 'vertical';
    items?: Array<TdDescriptionItemProps>;
    labelStyle?: Styles;
    layout?: 'horizontal' | 'vertical';
    size?: SizeEnum;
    title?: string | TNode;
}
export interface TdDescriptionItemProps {
    content?: string | TNode;
    default?: string | TNode;
    label?: string | TNode;
    span?: number;
}
