import { TdImageViewerProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    attach: {
        type: PropType<import("..").AttachNode>;
        default: string;
    };
    closeBtn: {
        type: PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    closeOnEscKeydown: {
        type: BooleanConstructor;
        default: boolean;
    };
    closeOnOverlay: BooleanConstructor;
    draggable: {
        type: BooleanConstructor;
        default: any;
    };
    imageReferrerpolicy: {
        type: PropType<"origin" | "same-origin" | "no-referrer" | "no-referrer-when-downgrade" | "origin-when-cross-origin" | "strict-origin" | "strict-origin-when-cross-origin" | "unsafe-url">;
        validator(val: TdImageViewerProps['imageReferrerpolicy']): boolean;
    };
    imageScale: {
        type: PropType<import("./type").ImageScale>;
    };
    images: {
        type: PropType<(string | File | import("./type").ImageInfo)[]>;
        default: () => TdImageViewerProps['images'];
    };
    index: {
        type: NumberConstructor;
        default: number;
    };
    defaultIndex: {
        type: NumberConstructor;
        default: number;
    };
    mode: {
        type: PropType<"modal" | "modeless">;
        default: "modal" | "modeless";
        validator(val: TdImageViewerProps['mode']): boolean;
    };
    navigationArrow: {
        type: PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    showOverlay: {
        type: BooleanConstructor;
        default: any;
    };
    title: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    trigger: {
        type: PropType<((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | ((h: import("vue").CreateElement, props: {
            open: () => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    viewerScale: {
        type: PropType<import("./type").ImageViewerScale>;
    };
    visible: BooleanConstructor;
    defaultVisible: BooleanConstructor;
    zIndex: {
        type: NumberConstructor;
    };
    onClose: PropType<(context: {
        trigger: "overlay" | "close-btn" | "esc";
        e: MouseEvent | KeyboardEvent;
    }) => void>;
    onDownload: PropType<(url: string) => void>;
    onIndexChange: PropType<(index: number, context: {
        trigger: "next" | "prev" | "current";
    }) => void>;
};
export default _default;
