/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  content: {
    type: [String, Function]
  },
  "default": {
    type: [String, Function]
  },
  disabled: Boolean,
  href: {
    type: String,
    "default": ""
  },
  icon: {
    type: Function
  },
  replace: Boolean,
  router: {
    type: Object
  },
  routerLink: Boolean,
  target: {
    type: String,
    validator: function validator(val) {
      return ["_blank", "_self", "_parent", "_top"].includes(val);
    }
  },
  to: {
    type: [String, Object]
  },
  value: {
    type: [String, Number]
  },
  onClick: Function
};

exports["default"] = props;
//# sourceMappingURL=menu-item-props.js.map
