/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var DEFAULT_Z_INDEX = 6e3;
var DISTANCE = "16px";
var PLACEMENT_OFFSET = {
  "top-left": {
    left: DISTANCE,
    top: DISTANCE
  },
  "top-right": {
    right: DISTANCE,
    top: DISTANCE
  },
  "bottom-right": {
    right: DISTANCE,
    bottom: DISTANCE
  },
  "bottom-left": {
    left: DISTANCE,
    bottom: DISTANCE
  }
};
var PLACEMENT_LIST = Object.keys(PLACEMENT_OFFSET);

exports.DEFAULT_Z_INDEX = DEFAULT_Z_INDEX;
exports.DISTANCE = DISTANCE;
exports.PLACEMENT_LIST = PLACEMENT_LIST;
exports.PLACEMENT_OFFSET = PLACEMENT_OFFSET;
//# sourceMappingURL=const.js.map
