import { Placement } from '@popperjs/core';
import { TdPopupProps } from './type';
declare const triggers: readonly ["click", "hover", "focus", "context-menu"];
declare const defaultVisibleDelay: number[];
declare function getPopperPlacement(placement: TdPopupProps['placement']): Placement;
declare function attachListeners(elm: Element): {
    add<K extends keyof HTMLElementEventMap>(type: K, listener: (ev: HTMLElementEventMap[K]) => void): void;
    clean(): void;
};
export { getPopperPlacement, attachListeners, triggers, defaultVisibleDelay, };
