import { TdRadioProps, TdRadioGroupProps } from './type';
import './style';
export declare type RadioProps = TdRadioProps;
export declare type RadioGroupProps = TdRadioGroupProps;
export * from './type';
export declare const Radio: import("vue/types/vue").ExtendedVue<import("./radio").RadioParentInjectInstance & {
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    formDisabled: any;
}, {
    getChecked(): any;
    getDisabled(): boolean;
    getReadonly(): boolean;
    onInputClick(e: MouseEvent): void;
    handleRadioClick(e: MouseEvent): void;
    checkRadio(e: MouseEvent): void;
}, unknown, {
    allowUncheck: boolean;
    checked: any;
    defaultChecked: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: any;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    name: string;
    readonly: any;
    value: any;
    onChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    onClick: (context: {
        e: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("./radio").RadioParentInjectInstance & {
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    formDisabled: any;
}, {
    getChecked(): any;
    getDisabled(): boolean;
    getReadonly(): boolean;
    onInputClick(e: MouseEvent): void;
    handleRadioClick(e: MouseEvent): void;
    checkRadio(e: MouseEvent): void;
}, unknown, {
    allowUncheck: boolean;
    checked: any;
    defaultChecked: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: any;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    name: string;
    readonly: any;
    value: any;
    onChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    onClick: (context: {
        e: MouseEvent;
    }) => void;
}>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("./radio").RadioParentInjectInstance & {
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    formDisabled: any;
}, {
    getChecked(): any;
    getDisabled(): boolean;
    getReadonly(): boolean;
    onInputClick(e: MouseEvent): void;
    handleRadioClick(e: MouseEvent): void;
    checkRadio(e: MouseEvent): void;
}, unknown, {
    allowUncheck: boolean;
    checked: any;
    defaultChecked: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: any;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    name: string;
    readonly: any;
    value: any;
    onChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    onClick: (context: {
        e: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("./radio").RadioParentInjectInstance & {
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    formDisabled: any;
}, {
    getChecked(): any;
    getDisabled(): boolean;
    getReadonly(): boolean;
    onInputClick(e: MouseEvent): void;
    handleRadioClick(e: MouseEvent): void;
    checkRadio(e: MouseEvent): void;
}, unknown, {
    allowUncheck: boolean;
    checked: any;
    defaultChecked: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: any;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    name: string;
    readonly: any;
    value: any;
    onChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    onClick: (context: {
        e: MouseEvent;
    }) => void;
}>>>;
export declare const RadioGroup: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    barStyle: {
        width: string;
        left: string;
    };
    observer: any;
}, {
    addKeyboardListeners(): void;
    removeKeyboardListeners(): void;
    checkRadioInGroup(e: KeyboardEvent): void;
    handleRadioChange(value: import("./type").RadioValue, context: {
        e: Event;
    }): void;
    calcDefaultBarStyle(): {
        offsetWidth: number;
        offsetLeft: number;
    };
    calcBarStyle(): void;
}, {
    checkedClassName: string;
}, {
    allowUncheck: boolean;
    disabled: any;
    name: string;
    options: import("./type").RadioOption[];
    readonly: any;
    size: import("..").SizeEnum;
    theme: "button" | "radio";
    value: any;
    defaultValue: import("./type").RadioValue;
    variant: "outline" | "primary-filled" | "default-filled";
    onChange: (value: import("./type").RadioValue, context: {
        e: Event;
        name?: string;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    barStyle: {
        width: string;
        left: string;
    };
    observer: any;
}, {
    addKeyboardListeners(): void;
    removeKeyboardListeners(): void;
    checkRadioInGroup(e: KeyboardEvent): void;
    handleRadioChange(value: import("./type").RadioValue, context: {
        e: Event;
    }): void;
    calcDefaultBarStyle(): {
        offsetWidth: number;
        offsetLeft: number;
    };
    calcBarStyle(): void;
}, {
    checkedClassName: string;
}, {
    allowUncheck: boolean;
    disabled: any;
    name: string;
    options: import("./type").RadioOption[];
    readonly: any;
    size: import("..").SizeEnum;
    theme: "button" | "radio";
    value: any;
    defaultValue: import("./type").RadioValue;
    variant: "outline" | "primary-filled" | "default-filled";
    onChange: (value: import("./type").RadioValue, context: {
        e: Event;
        name?: string;
    }) => void;
}>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    barStyle: {
        width: string;
        left: string;
    };
    observer: any;
}, {
    addKeyboardListeners(): void;
    removeKeyboardListeners(): void;
    checkRadioInGroup(e: KeyboardEvent): void;
    handleRadioChange(value: import("./type").RadioValue, context: {
        e: Event;
    }): void;
    calcDefaultBarStyle(): {
        offsetWidth: number;
        offsetLeft: number;
    };
    calcBarStyle(): void;
}, {
    checkedClassName: string;
}, {
    allowUncheck: boolean;
    disabled: any;
    name: string;
    options: import("./type").RadioOption[];
    readonly: any;
    size: import("..").SizeEnum;
    theme: "button" | "radio";
    value: any;
    defaultValue: import("./type").RadioValue;
    variant: "outline" | "primary-filled" | "default-filled";
    onChange: (value: import("./type").RadioValue, context: {
        e: Event;
        name?: string;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    barStyle: {
        width: string;
        left: string;
    };
    observer: any;
}, {
    addKeyboardListeners(): void;
    removeKeyboardListeners(): void;
    checkRadioInGroup(e: KeyboardEvent): void;
    handleRadioChange(value: import("./type").RadioValue, context: {
        e: Event;
    }): void;
    calcDefaultBarStyle(): {
        offsetWidth: number;
        offsetLeft: number;
    };
    calcBarStyle(): void;
}, {
    checkedClassName: string;
}, {
    allowUncheck: boolean;
    disabled: any;
    name: string;
    options: import("./type").RadioOption[];
    readonly: any;
    size: import("..").SizeEnum;
    theme: "button" | "radio";
    value: any;
    defaultValue: import("./type").RadioValue;
    variant: "outline" | "primary-filled" | "default-filled";
    onChange: (value: import("./type").RadioValue, context: {
        e: Event;
        name?: string;
    }) => void;
}>>>;
export declare const RadioButton: import("vue/types/vue").ExtendedVue<import("./radio-button").RadioButtonInstance, unknown, unknown, unknown, {
    allowUncheck: boolean;
    checked: any;
    defaultChecked: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: any;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    name: string;
    readonly: any;
    value: any;
    onChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    onClick: (context: {
        e: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("./radio-button").RadioButtonInstance, unknown, unknown, unknown, {
    allowUncheck: boolean;
    checked: any;
    defaultChecked: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: any;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    name: string;
    readonly: any;
    value: any;
    onChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    onClick: (context: {
        e: MouseEvent;
    }) => void;
}>>;
export default Radio;
