import { SetupContext } from '@vue/composition-api';
import { TdSelectInputProps } from './type';
import { SelectInputCommonProperties } from './interface';
import { TagInputValue } from '../tag-input';
export interface RenderSelectMultipleParams {
    commonInputProps: SelectInputCommonProperties;
    onInnerClear: (context: {
        e: MouseEvent;
    }) => void;
    popupVisible: boolean;
}
export default function useMultiple(props: TdSelectInputProps, context: SetupContext): {
    tags: import("@vue/composition-api").ComputedRef<TagInputValue>;
    tPlaceholder: import("@vue/composition-api").ComputedRef<string>;
    tagInputRef: import("@vue/composition-api").Ref<any>;
    multipleInputValue: import("@vue/composition-api").Ref<string>;
    isMultipleFocus: import("@vue/composition-api").Ref<boolean>;
    renderSelectMultiple: (p: RenderSelectMultipleParams, h: Vue.CreateElement) => JSX.Element;
};
