import { TdSkeletonProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    animation: {
        type: PropType<"gradient" | "flashed">;
        validator(val: TdSkeletonProps['animation']): boolean;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowCol: {
        type: PropType<import("./type").SkeletonRowCol>;
    };
    theme: {
        type: PropType<"article" | "text" | "avatar" | "paragraph" | "avatar-text" | "tab">;
        validator(val: TdSkeletonProps['theme']): boolean;
    };
    delay: {
        type: NumberConstructor;
        default: number;
    };
};
export default _default;
