/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  animation: {
    type: String,
    validator: function validator(val) {
      return ["gradient", "flashed"].includes(val);
    }
  },
  loading: {
    type: Boolean,
    "default": true
  },
  rowCol: {
    type: Array
  },
  theme: {
    type: String,
    validator: function validator(val) {
      return ["text", "avatar", "paragraph", "avatar-text", "tab", "article"].includes(val);
    }
  },
  delay: {
    type: Number,
    "default": 0
  }
};

exports["default"] = props;
//# sourceMappingURL=props.js.map
