import { TdSpaceProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    align: {
        type: PropType<"center" | "end" | "start" | "baseline">;
        validator(val: TdSpaceProps['align']): boolean;
    };
    breakLine: BooleanConstructor;
    direction: {
        type: PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: TdSpaceProps['direction']): boolean;
    };
    separator: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    size: {
        type: PropType<import("./type").SpaceSize | import("./type").SpaceSize[]>;
        default: string;
    };
};
export default _default;
