import type { TdStickyItemProps } from './type';
import type { TdPopupProps } from '../popup/type';
import type { ClassName, Styles } from '../common';
declare const _default: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, unknown, {
    handleClickItem(e: MouseEvent): void;
    handleHoverItem(e: MouseEvent): void;
}, {
    baseClass: ClassName;
    labelClass: ClassName;
    popupPlacement: String;
    styles: Styles;
}, {
    type: "normal" | "compact";
    shape: "square" | "round";
    placement: "left-top" | "left-bottom" | "right-top" | "right-bottom" | "right-center" | "left-center";
    basePopupProps: TdPopupProps;
    baseWidth: string | number;
    onClick: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    onHover: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    fatherCompName: string;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popup: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popupProps: TdPopupProps;
    trigger: "click" | "hover";
}>;
export default _default;
