import { Ref } from '@vue/composition-api';
import { BaseTableProps } from '../interface';
import type { RowEventContext, TableRowData } from '../type';
export declare function useRowHighlight(props: BaseTableProps, tableRef: Ref<HTMLDivElement>): {
    tActiveRow: Ref<(string | number)[]>;
    onHighlightRow: (ctx: RowEventContext<TableRowData>, extra?: {
        action?: 'active' | 'inactive';
    }) => void;
    addHighlightKeyboardListener: () => void;
    removeHighlightKeyboardListener: () => void;
};
export default useRowHighlight;
