import { TdTabsProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    addable: BooleanConstructor;
    disabled: BooleanConstructor;
    list: {
        type: PropType<import("./type").TdTabPanelProps[]>;
    };
    placement: {
        type: PropType<"left" | "top" | "bottom" | "right">;
        default: "left" | "top" | "bottom" | "right";
        validator(val: TdTabsProps['placement']): boolean;
    };
    scrollPosition: {
        type: PropType<"auto" | "center" | "end" | "start">;
        default: "auto" | "center" | "end" | "start";
        validator(val: TdTabsProps['scrollPosition']): boolean;
    };
    size: {
        type: PropType<"medium" | "large">;
        default: "medium" | "large";
        validator(val: TdTabsProps['size']): boolean;
    };
    theme: {
        type: PropType<"normal" | "card">;
        default: "normal" | "card";
        validator(val: TdTabsProps['theme']): boolean;
    };
    value: {
        type: PropType<import("./type").TabValue>;
    };
    defaultValue: {
        type: PropType<import("./type").TabValue>;
    };
    onAdd: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onChange: PropType<(value: import("./type").TabValue) => void>;
    onRemove: PropType<(options: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }) => void>;
};
export default _default;
