import Vue from 'vue';
import Tabs from './tabs';
export declare type TabPanelParentInstance = InstanceType<typeof Tabs>;
export interface TabPanel extends Vue {
    parent?: TabPanelParentInstance;
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & TabPanel, {
    loaded: boolean;
}, unknown, {
    active: boolean;
}, {
    default: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    destroyOnHide: boolean;
    disabled: boolean;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panel: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    removable: boolean;
    value: import("./type").TabValue;
    onRemove: (options: {
        value: import("./type").TabValue;
        e: MouseEvent;
    }) => void;
    lazy: boolean;
}>;
export default _default;
