/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  checked: {
    type: Boolean,
    "default": void 0
  },
  defaultChecked: Boolean,
  checkedProps: {
    type: Object
  },
  content: {
    type: [String, Number, Array, Function]
  },
  "default": {
    type: [String, Function]
  },
  disabled: Boolean,
  size: {
    type: String,
    "default": "medium",
    validator: function validator(val) {
      if (!val) return true;
      return ["small", "medium", "large"].includes(val);
    }
  },
  uncheckedProps: {
    type: Object
  },
  value: {
    type: [String, Number]
  },
  onChange: Function,
  onClick: Function
};

exports["default"] = props;
//# sourceMappingURL=check-tag-props.js.map
