/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var helper = require('../_chunks/dep-ece3c062.js');
var _toConsumableArray = require('@babel/runtime/helpers/toConsumableArray');
var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var VueCompositionAPI = require('@vue/composition-api');
var tree_index = require('../tree/index.js');
var treeSelect_props = require('./props.js');
var selectInput_index = require('../select-input/index.js');
var commonComponents_fakeArrow = require('../common-components/fake-arrow.js');
var hooks_tnode = require('../hooks/tnode.js');
var treeSelect_useTreeSelect = require('./useTreeSelect.js');
var isArray = require('../_chunks/dep-fcf0662d.js');
var isFunction = require('../_chunks/dep-ecccff93.js');
var get = require('../_chunks/dep-f84d1ea5.js');
require('../tree/tree.js');
require('../tree/adapt.js');
require('vue');
require('../utils/withInstall.js');
require('../_chunks/dep-eceed11d.js');
require('../_chunks/dep-201f7798.js');
require('../_chunks/dep-a4308f57.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-d3015b4c.js');
require('../_chunks/dep-e4278c54.js');
require('../_chunks/dep-f8a85d6a.js');
require('../_chunks/dep-5b117689.js');
require('../hooks/useVModel.js');
require('../_chunks/dep-47bca35e.js');
require('../_chunks/dep-6478392e.js');
require('../hooks/useDefaultValue.js');
require('tdesign-icons-vue');
require('../checkbox/index.js');
require('../checkbox/group.js');
require('@babel/runtime/helpers/slicedToArray');
require('../utils/helper.js');
require('@babel/runtime/helpers/objectWithoutProperties');
require('../_chunks/dep-7c854ec6.js');
require('../checkbox/checkbox.js');
require('../checkbox/props.js');
require('../checkbox/constants.js');
require('../checkbox/store.js');
require('@babel/runtime/helpers/classCallCheck');
require('@babel/runtime/helpers/createClass');
require('../checkbox/hooks/useKeyboardEvent.js');
require('../_common/js/common.js');
require('../hooks/useConfig.js');
require('../config-provider/useConfig.js');
require('../_chunks/dep-07fb8c0e.js');
require('../_common/js/global-config/default-config.js');
require('../_common/js/global-config/locale/zh_CN.js');
require('../_chunks/dep-a4a18104.js');
require('../_chunks/dep-27dd8cc6.js');
require('dayjs');
require('../_chunks/dep-87c765cc.js');
require('../_chunks/dep-75cd6d52.js');
require('../_chunks/dep-b1a02818.js');
require('../_chunks/dep-3d8ab37d.js');
require('../_chunks/dep-a4cecac4.js');
require('../_chunks/dep-ab142eaf.js');
require('../_chunks/dep-6ad3de7c.js');
require('../_chunks/dep-8b1e056e.js');
require('../_chunks/dep-5db8defc.js');
require('../_chunks/dep-6e4c473c.js');
require('../_chunks/dep-234b7c02.js');
require('../_chunks/dep-a4747856.js');
require('../_chunks/dep-932dd69e.js');
require('../_chunks/dep-9f4caea4.js');
require('../_chunks/dep-dbd838d6.js');
require('../_chunks/dep-b3120c1b.js');
require('../_chunks/dep-68ba2357.js');
require('../_chunks/dep-173eb46c.js');
require('../hooks/useFormDisabled.js');
require('../hooks/useElementLazyRender.js');
require('../_common/js/utils/observe.js');
require('../utils/render-tnode.js');
require('@babel/runtime/helpers/readOnlyError');
require('../checkbox/checkbox-group-props.js');
require('../_chunks/dep-e83685df.js');
require('../_chunks/dep-d23147db.js');
require('../_chunks/dep-502c56be.js');
require('../_chunks/dep-62de1188.js');
require('../hooks/slots.js');
require('../loading/index.js');
require('../loading/directive.js');
require('../loading/plugin.js');
require('../loading/loading.js');
require('../loading/icon/gradient.js');
require('../_common/js/loading/circle-adapter.js');
require('../_common/js/utils/setStyle.js');
require('../_common/js/utils/helper.js');
require('../_chunks/dep-867c284e.js');
require('../_chunks/dep-738b4f21.js');
require('../_chunks/dep-aa0a4aac.js');
require('../config-provider/config-receiver.js');
require('../utils/mixins.js');
require('../utils/dom.js');
require('raf');
require('../utils/easing.js');
require('../utils/transfer-dom.js');
require('../loading/props.js');
require('../config.js');
require('../_chunks/dep-013a3403.js');
require('../_chunks/dep-8cb0d589.js');
require('../_chunks/dep-de60f5aa.js');
require('../_chunks/dep-63b02f7b.js');
require('../_chunks/dep-bebcd284.js');
require('../_chunks/dep-3eec664c.js');
require('../_chunks/dep-eeb2e214.js');
require('../_chunks/dep-315a67f0.js');
require('../_chunks/dep-2e32c1f2.js');
require('../_chunks/dep-362bc4d7.js');
require('../_chunks/dep-f14aac54.js');
require('../hooks/useGlobalIcon.js');
require('../hooks/useLazyLoad.js');
require('../hooks/useVirtualScrollNew.js');
require('../hooks/useResizeObserver.js');
require('../_common/js/tree/tree-node.js');
require('@babel/runtime/helpers/asyncToGenerator');
require('@babel/runtime/regenerator');
require('../_common/js/tree/tree-node-model.js');
require('../_common/js/log/log.js');
require('../_chunks/dep-5b9bb086.js');
require('../_chunks/dep-6dc0a916.js');
require('../_chunks/dep-f33eb57d.js');
require('../_chunks/dep-b5c96567.js');
require('../_chunks/dep-a9e7deb2.js');
require('../_chunks/dep-db8e4c0d.js');
require('../_chunks/dep-8b3c7277.js');
require('../tree/props.js');
require('../tree/hooks/useTreeStore.js');
require('../_common/js/tree/tree-store.js');
require('mitt');
require('../_chunks/dep-7f8c4040.js');
require('../_chunks/dep-a0ae49c9.js');
require('../_chunks/dep-71fa6788.js');
require('../_chunks/dep-73fb598e.js');
require('../tree/hooks/useTreeStyles.js');
require('../tree/hooks/useTreeState.js');
require('../tree/hooks/useTreeAction.js');
require('../tree/util.js');
require('../tree/hooks/useTreeScroll.js');
require('../tree/hooks/useTreeNodes.js');
require('../tree/tree-item.js');
require('../tree/hooks/useItemState.js');
require('../tree/hooks/useTreeItem.js');
require('../tree/hooks/useItemEvents.js');
require('../tree/hooks/useRenderIcon.js');
require('../tree/hooks/useRenderLabel.js');
require('../tree/hooks/useRenderLine.js');
require('../tree/hooks/useRenderOperations.js');
require('../tree/hooks/useDraggable.js');
require('../_chunks/dep-13309278.js');
require('../_chunks/dep-f3761329.js');
require('../_chunks/dep-848a5a32.js');
require('../tree/hooks/useTreeEvents.js');
require('../tree/hooks/useDragHandle.js');
require('../select-input/select-input.js');
require('../popup/index.js');
require('../popup/popup.js');
require('@popperjs/core');
require('../popup/props.js');
require('../popup/container.js');
require('../utils/event.js');
require('../popup/utils.js');
require('../utils/map-props.js');
require('../popup/plugin.js');
require('../select-input/props.js');
require('../select-input/useSingle.js');
require('../input/index.js');
require('../input/input.js');
require('../input/props.js');
require('../input/input-group.js');
require('../select-input/useMultiple.js');
require('../tag-input/index.js');
require('../tag-input/tag-input.js');
require('../tag-input/props.js');
require('../tag-input/hooks/useTagScroll.js');
require('../tag-input/useTagList.js');
require('../tag/index.js');
require('../tag/tag.js');
require('tinycolor2');
require('../tag/props.js');
require('../tag/check-tag.js');
require('../tag/check-tag-props.js');
require('../tag/check-tag-group.js');
require('../tag/check-tag-group-props.js');
require('../tag-input/hooks/useHover.js');
require('../tag-input/hooks/useDragSorter.js');
require('../hooks/render-tnode.js');
require('../_chunks/dep-a6490a32.js');
require('../select-input/useOverlayInnerStyle.js');
require('./utils.js');
require('../_chunks/dep-7a2463e1.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _toConsumableArray__default = /*#__PURE__*/_interopDefaultLegacy(_toConsumableArray);
var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty__default["default"](e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var _TreeSelect = VueCompositionAPI.defineComponent({
  name: "TTreeSelect",
  props: _objectSpread({}, treeSelect_props["default"]),
  setup: function setup(props2, context) {
    var renderTNodeJSX = hooks_tnode.useTNodeJSX();
    var renderDefaultTNode = hooks_tnode.useTNodeDefault();
    var treeSelectInfo = treeSelect_useTreeSelect["default"](props2, context);
    var dropdownInnerSize = treeSelectInfo.dropdownInnerSize,
      treeSelectValue = treeSelectInfo.treeSelectValue;
    var multiLimitDisabled = VueCompositionAPI.computed(function () {
      return props2.multiple && !!props2.max && isArray.isArray(treeSelectValue.value) && props2.max <= treeSelectValue.value.length;
    });
    return _objectSpread(_objectSpread({}, treeSelectInfo), {}, {
      dropdownInnerSize: dropdownInnerSize,
      multiLimitDisabled: multiLimitDisabled,
      renderTNodeJSX: renderTNodeJSX,
      renderDefaultTNode: renderDefaultTNode
    });
  },
  methods: {
    renderSuffixIcon: function renderSuffixIcon() {
      var h = this.$createElement;
      return h(commonComponents_fakeArrow["default"], {
        "attrs": {
          "isActive": this.innerVisible,
          "disabled": this.disabled,
          "overlayClassName": _defineProperty__default["default"](_defineProperty__default["default"]({}, "".concat(this.classPrefix, "-fake-arrow--highlight"), this.innerVisible), "".concat(this.classPrefix, "-fake-arrow--disable"), this.disabled)
        }
      });
    },
    renderLabel: function renderLabel() {
      var h = this.$createElement;
      var label = this.renderTNodeJSX("label");
      var prefixIcon = this.renderTNodeJSX("prefixIcon");
      if (label && prefixIcon) {
        return h("div", [label, prefixIcon]);
      }
      return label || prefixIcon;
    },
    getTreePanel: function getTreePanel() {
      var _this$treeProps,
        _this = this;
      var h = this.$createElement;
      return h("div", {
        "class": ["".concat(this.classPrefix, "-select__dropdown-inner"), "".concat(this.classPrefix, "-select__dropdown-inner--size-").concat(this.dropdownInnerSize)]
      }, [this.renderTNodeJSX("panelTopContent"), this.loading && !this.tDisabled ? h("p", {
        "class": ["".concat(this.classPrefix, "-select__loading-tips"), "".concat(this.classPrefix, "-select__right-icon-polyfill")]
      }, [this.renderDefaultTNode("loadingText", {
        defaultNode: h("div", {
          "class": "".concat(this.classPrefix, "-select__empty")
        }, [this.global.loadingText])
      })]) : null, !this.loading ? h(tree_index.Tree, helper.helper([{
        "ref": "treeRef",
        "key": !((_this$treeProps = this.treeProps) !== null && _this$treeProps !== void 0 && _this$treeProps.load) && this.treeKey
      }, {
        "props": _objectSpread({
          keys: this.tKeys,
          value: _toConsumableArray__default["default"](this.multipleChecked),
          actived: this.singleActivated,
          hover: true,
          data: this.data,
          activable: !this.multiple,
          checkable: this.multiple,
          disabled: this.tDisabled || this.multiLimitDisabled,
          size: this.size,
          filter: this.filterByText,
          icon: !this.filterByText,
          activeMultiple: this.multiple,
          onExpand: this.treeNodeExpand,
          onLoad: this.treeNodeLoad,
          onChange: this.treeNodeChange,
          onActive: this.treeNodeActive,
          expandOnClickNode: false,
          empty: function empty() {
            return _this.renderDefaultTNode("empty", {
              defaultNode: h("div", {
                "class": "".concat(_this.classPrefix, "-select__empty")
              }, [_this.global.empty])
            });
          }
        }, this.treeProps)
      }])) : null, this.renderTNodeJSX("panelBottomContent")]);
    }
  },
  render: function render() {
    var _this2 = this;
    var h = arguments[0];
    var slots = this.$scopedSlots;
    return h(selectInput_index.SelectInput, {
      "scopedSlots": {
        tips: slots.tips,
        suffix: slots.suffix,
        collapsedItems: slots.collapsedItems
      },
      "class": "".concat(this.classPrefix, "-tree-select"),
      "props": _objectSpread({}, _objectSpread({
        keys: this.tKeys,
        value: this.nodeInfo,
        inputValue: this.innerInputValue,
        popupVisible: this.innerVisible,
        disabled: this.tDisabled,
        multiple: this.multiple,
        loading: this.loading,
        clearable: this.clearable,
        autofocus: this.autofocus,
        autoWidth: this.autoWidth,
        borderless: this.borderless,
        readonly: this.readonly,
        placeholder: this.inputPlaceholder,
        status: this.status,
        tips: this.tips,
        suffix: this.suffix,
        allowInput: Boolean(this.filterable || isFunction.isFunction(this.filter) || this.$listeners.search || this.onSearch),
        minCollapsedNum: this.minCollapsedNum,
        collapsedItems: this.collapsedItems,
        popupProps: _objectSpread({
          overlayClassName: this.popupClass
        }, this.popupProps),
        inputProps: _objectSpread({
          size: this.size
        }, this.inputProps),
        tagInputProps: {
          size: this.size
        },
        tagProps: _objectSpread({
          maxWidth: 300
        }, this.tagProps),
        label: this.renderLabel,
        suffixIcon: this.renderSuffixIcon,
        onClear: this.clear,
        onBlur: this.onInnerBlur,
        onFocus: this.onInnerFocus,
        onInputChange: this.inputChange,
        onTagChange: this.tagChange,
        onEnter: this.onInnerEnter,
        onPopupVisibleChange: this.onInnerPopupVisibleChange,
        valueDisplay: function valueDisplay() {
          return _this2.renderTNodeJSX("valueDisplay", {
            params: _this2.multiple ? {
              value: _this2.nodeInfo,
              onClose: function onClose(index) {
                var value = _this2.nodeInfo.map(function (node) {
                  return get.get(node, _this2.tKeys.value);
                });
                _this2.tagChange(value, {
                  trigger: "tag-remove",
                  index: index,
                  item: value[index]
                });
              }
            } : {
              value: _this2.nodeInfo || _defineProperty__default["default"](_defineProperty__default["default"]({}, _this2.tKeys.label, ""), _this2.tKeys.value, void 0)
            }
          });
        },
        panel: this.getTreePanel
      }, this.selectInputProps))
    });
  }
});

exports["default"] = _TreeSelect;
//# sourceMappingURL=tree-select.js.map
