/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_dom = require('./dom.js');
require('vue');
require('raf');
require('./easing.js');
require('../_chunks/dep-738b4f21.js');
require('../_chunks/dep-a4308f57.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-fcf0662d.js');
require('../_chunks/dep-e4278c54.js');

var TransferDom = {
  inserted: function inserted(el, binding) {
    if (!binding.value) return;
    var parentNode = utils_dom.getAttach(binding.value);
    parentNode === null || parentNode === void 0 || parentNode.appendChild(el);
  }
};

exports["default"] = TransferDom;
//# sourceMappingURL=transfer-dom.js.map
