/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import '../../../../../_chunks/dep-7de5eca5.js';
import '@babel/runtime/helpers/typeof';
import '../../../../../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../../../../../_chunks/dep-9d1c0d31.js';

var zh_TW = {
  actionSheet: {
    cancel: "\u53D6\u6D88"
  },
  calendar: {
    title: "\u8ACB\u9078\u64C7\u65E5\u671F",
    confirm: "\u78BA\u8A8D",
    weekdays: ["\u65E5", "\u4E00", "\u4E8C", "\u4E09", "\u56DB", "\u4E94", "\u516D"],
    monthTitle: "{year} \u5E74 {month}",
    months: ["1 \u6708", "2 \u6708", "3 \u6708", "4 \u6708", "5 \u6708", "6 \u6708", "7 \u6708", "8 \u6708", "9 \u6708", "10 \u6708", "11 \u6708", "12 \u6708"]
  },
  cascader: {
    title: "\u6A19\u984C",
    placeholder: "\u9078\u64C7\u9078\u9805"
  },
  dropdownMenu: {
    reset: "\u91CD\u7F6E",
    confirm: "\u78BA\u5B9A"
  },
  dateTimePicker: {
    title: "\u9078\u64C7\u6642\u9593",
    cancel: "\u53D6\u6D88",
    confirm: "\u78BA\u5B9A",
    format: "YYYY-MM-DD",
    yearLabel: "\u5E74",
    monthLabel: "\u6708",
    dateLabel: "\u65E5",
    hourLabel: "\u6642",
    minuteLabel: "\u5206",
    secondLabel: "\u79D2"
  },
  picker: {
    cancel: "\u53D6\u6D88",
    confirm: "\u78BA\u8A8D"
  },
  pullDownRefresh: {
    loadingTexts: ["\u4E0B\u62C9\u5237\u65B0", "\u9B06\u624B\u5237\u65B0", "\u6B63\u5728\u5237\u65B0", "\u5237\u65B0\u5B8C\u6210"]
  },
  rate: {
    valueText: "{value} \u5206",
    noValueText: "\u672A\u8A55\u5206"
  },
  tabBar: {
    newsAriaLabel: "\u6709\u65B0\u6D88\u606F",
    moreNewsAriaLabel: "\u6709\u5F88\u591A\u6D88\u606F",
    haveMoreNewsAriaLabel: "\u6709 {value}+ \u689D\u6D88\u606F",
    haveNewsAriaLabel: "\u6709 {value} \u689D\u6D88\u606F"
  },
  table: {
    empty: "\u66AB\u7121\u6578\u64DA"
  },
  list: {
    loading: "\u52A0\u8F09\u4E2D...",
    loadingMoreText: "\u9EDE\u64CA\u52A0\u8F09\u66F4\u591A",
    pulling: "\u4E0B\u62C9\u5373\u53EF\u5237\u65B0...",
    loosing: "\u91CB\u653E\u5373\u53EF\u5237\u65B0...",
    success: "\u5237\u65B0\u6210\u529F"
  },
  upload: {
    progress: {
      uploadingText: "\u4E0A\u50B3\u4E2D...",
      waitingText: "\u5F85\u4E0A\u50B3",
      failText: "\u4E0A\u50B3\u5931\u6557",
      successText: "\u4E0A\u50B3\u6210\u529F"
    }
  },
  guide: {
    next: "\u4E0B\u4E00\u6B65",
    skip: "\u8DF3\u904E",
    finish: "\u5B8C\u6210",
    back: "\u8FD4\u56DE"
  }
};

export { zh_TW as default };
//# sourceMappingURL=zh_TW.js.map
