import Vue from 'vue';
import { AvatarGroupInstance } from './instance';
import { Styles } from '../common';
export interface AvatarInstance extends Vue {
    avatarGroup: AvatarGroupInstance;
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & AvatarInstance, {
    isImgExist: boolean;
    gap: number;
    scale: string;
}, {
    handleImgLoadError(context: {
        e: Event;
    }): void;
    setScaleParams(): void;
    isCustomSize(): boolean;
}, {
    sizeValue: string;
    customAvatarSize: Styles;
    customImageSize: Styles;
    customCharacterSize: Styles;
}, {
    alt: string;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    hideOnLoadFailed: boolean;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    image: string;
    imageProps: import("../image").TdImageProps;
    shape: import("../common").ShapeEnum;
    size: string;
    onError: (context: {
        e: Event;
    }) => void;
}>;
export default _default;
