import { VNode } from 'vue';
import { CheckboxOptionObj, CheckboxGroupValue } from './type';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    storeKey: string;
    optionList: import("@vue/composition-api").Ref<{
        text?: string;
        checkAll?: boolean;
        checked?: boolean;
        defaultChecked?: boolean;
        default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        disabled?: boolean;
        indeterminate?: boolean;
        label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        lazyLoad?: boolean;
        name?: string;
        readonly?: boolean;
        value?: string | number | boolean;
        onChange?: (checked: boolean, context: {
            e: Event;
        }) => void;
    }[]>;
    innerValue: import("@vue/composition-api").Ref<CheckboxGroupValue>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    getOptionListBySlots: () => CheckboxOptionObj[];
    addStoreKeyToCheckbox: (nodes: VNode[]) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    lazyLoad: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    value: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: () => CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    lazyLoad: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    value: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: () => CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    max: number;
    name: string;
    value: CheckboxGroupValue;
    disabled: boolean;
    defaultValue: CheckboxGroupValue;
    lazyLoad: boolean;
} & {
    options?: import("./type").CheckboxOption[];
    onChange?: (value: CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    storeKey: string;
    optionList: import("@vue/composition-api").Ref<{
        text?: string;
        checkAll?: boolean;
        checked?: boolean;
        defaultChecked?: boolean;
        default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        disabled?: boolean;
        indeterminate?: boolean;
        label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        lazyLoad?: boolean;
        name?: string;
        readonly?: boolean;
        value?: string | number | boolean;
        onChange?: (checked: boolean, context: {
            e: Event;
        }) => void;
    }[]>;
    innerValue: import("@vue/composition-api").Ref<CheckboxGroupValue>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    getOptionListBySlots: () => CheckboxOptionObj[];
    addStoreKeyToCheckbox: (nodes: VNode[]) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    max: number;
    name: string;
    value: CheckboxGroupValue;
    disabled: boolean;
    defaultValue: CheckboxGroupValue;
    lazyLoad: boolean;
} & {
    options?: import("./type").CheckboxOption[];
    onChange?: (value: CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void;
}, {
    max: number;
    name: string;
    value: CheckboxGroupValue;
    disabled: boolean;
    defaultValue: CheckboxGroupValue;
    lazyLoad: boolean;
}, true>);
export default _default;
