import { TdCheckboxProps, TdCheckboxGroupProps } from './type';
import './style';
export declare type CheckboxProps = TdCheckboxProps;
export declare type CheckboxGroupProps = TdCheckboxGroupProps;
export * from './type';
export declare const Checkbox: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    labelRef: import("@vue/composition-api").Ref<HTMLElement>;
    labelClasses: import("@vue/composition-api").Ref<any[]>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    tDisabled: import("@vue/composition-api").Ref<boolean>;
    tIndeterminate: import("@vue/composition-api").Ref<boolean>;
    tName: import("@vue/composition-api").Ref<string>;
    tChecked: import("@vue/composition-api").Ref<boolean>;
    showCheckbox: import("@vue/composition-api").Ref<boolean>;
    formDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    STATUS: import("@vue/composition-api").ComputedRef<{
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    }>;
    checkboxGroupExist: import("@vue/composition-api").Ref<boolean>;
    handleChange: (e: Event) => void;
    handleLabelClick: (e: MouseEvent) => void;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    stopLabelTrigger: BooleanConstructor;
    storeKey: StringConstructor;
    index: NumberConstructor;
    data: ObjectConstructor;
    checkAll: BooleanConstructor;
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    indeterminate: BooleanConstructor;
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    lazyLoad: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    readonly: BooleanConstructor;
    value: {
        type: import("vue").PropType<string | number | boolean>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: {
        e: Event;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    stopLabelTrigger: BooleanConstructor;
    storeKey: StringConstructor;
    index: NumberConstructor;
    data: ObjectConstructor;
    checkAll: BooleanConstructor;
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    indeterminate: BooleanConstructor;
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    lazyLoad: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    readonly: BooleanConstructor;
    value: {
        type: import("vue").PropType<string | number | boolean>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: {
        e: Event;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    name: string;
    disabled: boolean;
    readonly: boolean;
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    stopLabelTrigger: boolean;
    checkAll: boolean;
    lazyLoad: boolean;
} & {
    index?: number;
    data?: Record<string, any>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number | boolean;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (checked: boolean, context: {
        e: Event;
    }) => void;
    storeKey?: string;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    labelRef: import("@vue/composition-api").Ref<HTMLElement>;
    labelClasses: import("@vue/composition-api").Ref<any[]>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    tDisabled: import("@vue/composition-api").Ref<boolean>;
    tIndeterminate: import("@vue/composition-api").Ref<boolean>;
    tName: import("@vue/composition-api").Ref<string>;
    tChecked: import("@vue/composition-api").Ref<boolean>;
    showCheckbox: import("@vue/composition-api").Ref<boolean>;
    formDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    STATUS: import("@vue/composition-api").ComputedRef<{
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    }>;
    checkboxGroupExist: import("@vue/composition-api").Ref<boolean>;
    handleChange: (e: Event) => void;
    handleLabelClick: (e: MouseEvent) => void;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    name: string;
    disabled: boolean;
    readonly: boolean;
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    stopLabelTrigger: boolean;
    checkAll: boolean;
    lazyLoad: boolean;
} & {
    index?: number;
    data?: Record<string, any>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number | boolean;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (checked: boolean, context: {
        e: Event;
    }) => void;
    storeKey?: string;
}, {
    name: string;
    disabled: boolean;
    readonly: boolean;
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    stopLabelTrigger: boolean;
    checkAll: boolean;
    lazyLoad: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    labelRef: import("@vue/composition-api").Ref<HTMLElement>;
    labelClasses: import("@vue/composition-api").Ref<any[]>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    tDisabled: import("@vue/composition-api").Ref<boolean>;
    tIndeterminate: import("@vue/composition-api").Ref<boolean>;
    tName: import("@vue/composition-api").Ref<string>;
    tChecked: import("@vue/composition-api").Ref<boolean>;
    showCheckbox: import("@vue/composition-api").Ref<boolean>;
    formDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    STATUS: import("@vue/composition-api").ComputedRef<{
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    }>;
    checkboxGroupExist: import("@vue/composition-api").Ref<boolean>;
    handleChange: (e: Event) => void;
    handleLabelClick: (e: MouseEvent) => void;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    stopLabelTrigger: BooleanConstructor;
    storeKey: StringConstructor;
    index: NumberConstructor;
    data: ObjectConstructor;
    checkAll: BooleanConstructor;
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    indeterminate: BooleanConstructor;
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    lazyLoad: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    readonly: BooleanConstructor;
    value: {
        type: import("vue").PropType<string | number | boolean>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: {
        e: Event;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    stopLabelTrigger: BooleanConstructor;
    storeKey: StringConstructor;
    index: NumberConstructor;
    data: ObjectConstructor;
    checkAll: BooleanConstructor;
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    indeterminate: BooleanConstructor;
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    lazyLoad: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    readonly: BooleanConstructor;
    value: {
        type: import("vue").PropType<string | number | boolean>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: {
        e: Event;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    name: string;
    disabled: boolean;
    readonly: boolean;
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    stopLabelTrigger: boolean;
    checkAll: boolean;
    lazyLoad: boolean;
} & {
    index?: number;
    data?: Record<string, any>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number | boolean;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (checked: boolean, context: {
        e: Event;
    }) => void;
    storeKey?: string;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    labelRef: import("@vue/composition-api").Ref<HTMLElement>;
    labelClasses: import("@vue/composition-api").Ref<any[]>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    tDisabled: import("@vue/composition-api").Ref<boolean>;
    tIndeterminate: import("@vue/composition-api").Ref<boolean>;
    tName: import("@vue/composition-api").Ref<string>;
    tChecked: import("@vue/composition-api").Ref<boolean>;
    showCheckbox: import("@vue/composition-api").Ref<boolean>;
    formDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    STATUS: import("@vue/composition-api").ComputedRef<{
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    }>;
    checkboxGroupExist: import("@vue/composition-api").Ref<boolean>;
    handleChange: (e: Event) => void;
    handleLabelClick: (e: MouseEvent) => void;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    name: string;
    disabled: boolean;
    readonly: boolean;
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    stopLabelTrigger: boolean;
    checkAll: boolean;
    lazyLoad: boolean;
} & {
    index?: number;
    data?: Record<string, any>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number | boolean;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (checked: boolean, context: {
        e: Event;
    }) => void;
    storeKey?: string;
}, {
    name: string;
    disabled: boolean;
    readonly: boolean;
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    stopLabelTrigger: boolean;
    checkAll: boolean;
    lazyLoad: boolean;
}, true>)>;
export declare const CheckboxGroup: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    storeKey: string;
    optionList: import("@vue/composition-api").Ref<{
        text?: string;
        checkAll?: boolean;
        checked?: boolean;
        defaultChecked?: boolean;
        default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        disabled?: boolean;
        indeterminate?: boolean;
        label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        lazyLoad?: boolean;
        name?: string;
        readonly?: boolean;
        value?: string | number | boolean;
        onChange?: (checked: boolean, context: {
            e: Event;
        }) => void;
    }[]>;
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckboxGroupValue>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    getOptionListBySlots: () => import("./type").CheckboxOptionObj[];
    addStoreKeyToCheckbox: (nodes: import("vue").VNode[]) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    lazyLoad: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: () => import("./type").CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    lazyLoad: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: () => import("./type").CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    max: number;
    name: string;
    value: import("./type").CheckboxGroupValue;
    disabled: boolean;
    defaultValue: import("./type").CheckboxGroupValue;
    lazyLoad: boolean;
} & {
    options?: import("./type").CheckboxOption[];
    onChange?: (value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    storeKey: string;
    optionList: import("@vue/composition-api").Ref<{
        text?: string;
        checkAll?: boolean;
        checked?: boolean;
        defaultChecked?: boolean;
        default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        disabled?: boolean;
        indeterminate?: boolean;
        label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        lazyLoad?: boolean;
        name?: string;
        readonly?: boolean;
        value?: string | number | boolean;
        onChange?: (checked: boolean, context: {
            e: Event;
        }) => void;
    }[]>;
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckboxGroupValue>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    getOptionListBySlots: () => import("./type").CheckboxOptionObj[];
    addStoreKeyToCheckbox: (nodes: import("vue").VNode[]) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    max: number;
    name: string;
    value: import("./type").CheckboxGroupValue;
    disabled: boolean;
    defaultValue: import("./type").CheckboxGroupValue;
    lazyLoad: boolean;
} & {
    options?: import("./type").CheckboxOption[];
    onChange?: (value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void;
}, {
    max: number;
    name: string;
    value: import("./type").CheckboxGroupValue;
    disabled: boolean;
    defaultValue: import("./type").CheckboxGroupValue;
    lazyLoad: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    storeKey: string;
    optionList: import("@vue/composition-api").Ref<{
        text?: string;
        checkAll?: boolean;
        checked?: boolean;
        defaultChecked?: boolean;
        default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        disabled?: boolean;
        indeterminate?: boolean;
        label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        lazyLoad?: boolean;
        name?: string;
        readonly?: boolean;
        value?: string | number | boolean;
        onChange?: (checked: boolean, context: {
            e: Event;
        }) => void;
    }[]>;
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckboxGroupValue>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    getOptionListBySlots: () => import("./type").CheckboxOptionObj[];
    addStoreKeyToCheckbox: (nodes: import("vue").VNode[]) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    lazyLoad: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: () => import("./type").CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    lazyLoad: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckboxGroupValue>;
        default: () => import("./type").CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    max: number;
    name: string;
    value: import("./type").CheckboxGroupValue;
    disabled: boolean;
    defaultValue: import("./type").CheckboxGroupValue;
    lazyLoad: boolean;
} & {
    options?: import("./type").CheckboxOption[];
    onChange?: (value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    storeKey: string;
    optionList: import("@vue/composition-api").Ref<{
        text?: string;
        checkAll?: boolean;
        checked?: boolean;
        defaultChecked?: boolean;
        default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        disabled?: boolean;
        indeterminate?: boolean;
        label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        lazyLoad?: boolean;
        name?: string;
        readonly?: boolean;
        value?: string | number | boolean;
        onChange?: (checked: boolean, context: {
            e: Event;
        }) => void;
    }[]>;
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckboxGroupValue>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    getOptionListBySlots: () => import("./type").CheckboxOptionObj[];
    addStoreKeyToCheckbox: (nodes: import("vue").VNode[]) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    max: number;
    name: string;
    value: import("./type").CheckboxGroupValue;
    disabled: boolean;
    defaultValue: import("./type").CheckboxGroupValue;
    lazyLoad: boolean;
} & {
    options?: import("./type").CheckboxOption[];
    onChange?: (value: import("./type").CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void;
}, {
    max: number;
    name: string;
    value: import("./type").CheckboxGroupValue;
    disabled: boolean;
    defaultValue: import("./type").CheckboxGroupValue;
    lazyLoad: boolean;
}, true>)>;
export default Checkbox;
