import { TdDescriptionsProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    bordered: BooleanConstructor;
    colon: BooleanConstructor;
    column: {
        type: NumberConstructor;
        default: number;
    };
    contentStyle: {
        type: PropType<import("..").Styles>;
    };
    itemLayout: {
        type: PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: TdDescriptionsProps['itemLayout']): boolean;
    };
    items: {
        type: PropType<import("./type").TdDescriptionItemProps[]>;
    };
    labelStyle: {
        type: PropType<import("..").Styles>;
    };
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: TdDescriptionsProps['layout']): boolean;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdDescriptionsProps['size']): boolean;
    };
    title: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
};
export default _default;
