/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _InputAdornment from './input-adornment.js';
import { withInstall } from '../utils/withInstall.js';
import './style/css.js';
import './type.js';
import 'lodash-es';
import './props.js';
import '../config-provider/config-receiver.js';
import 'vue';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-a883488c.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../_chunks/dep-9d1c0d31.js';
import '../config-provider/type.js';
import '../utils/mixins.js';
import '@babel/runtime/helpers/defineProperty';

var InputAdornment = withInstall(_InputAdornment);

export { InputAdornment, InputAdornment as default };
//# sourceMappingURL=index.js.map
