import { TdLinkProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    download: {
        type: PropType<string | boolean>;
    };
    hover: {
        type: PropType<"color" | "underline">;
        default: "color" | "underline";
        validator(val: TdLinkProps['hover']): boolean;
    };
    href: {
        type: StringConstructor;
        default: string;
    };
    prefixIcon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdLinkProps['size']): boolean;
    };
    suffixIcon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    target: {
        type: StringConstructor;
        default: string;
    };
    theme: {
        type: PropType<"default" | "success" | "primary" | "warning" | "danger">;
        default: "default" | "success" | "primary" | "warning" | "danger";
        validator(val: TdLinkProps['theme']): boolean;
    };
    underline: BooleanConstructor;
    onClick: PropType<(e: MouseEvent) => void>;
};
export default _default;
