import { TdLoadingProps } from './type';
import './style';
export declare type LoadingProps = TdLoadingProps;
export * from './type';
export * from './plugin';
export { default as LoadingPlugin } from './plugin';
export { default as LoadingDirective } from './directive';
export declare const Loading: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    delayShowLoading: boolean;
}, {
    countDelay(): void;
}, {
    styles: import("..").Styles;
    showText: boolean;
    baseClasses: import("..").ClassName;
    hasContent: boolean;
    withContentClasses: import("..").ClassName;
    fullScreenClasses: import("..").ClassName;
    attachClasses: import("..").ClassName;
    normalClasses: import("..").ClassName;
    lockFullscreen: boolean;
    delayCounted: boolean;
    showWrapLoading: boolean;
    showFullScreenLoading: boolean;
    showAttachedLoading: boolean;
}, {
    attach: import("..").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    delay: number;
    fullscreen: boolean;
    indicator: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    inheritColor: boolean;
    loading: boolean;
    preventScrollThrough: boolean;
    showOverlay: boolean;
    size: string;
    text: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex: number;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    delayShowLoading: boolean;
}, {
    countDelay(): void;
}, {
    styles: import("..").Styles;
    showText: boolean;
    baseClasses: import("..").ClassName;
    hasContent: boolean;
    withContentClasses: import("..").ClassName;
    fullScreenClasses: import("..").ClassName;
    attachClasses: import("..").ClassName;
    normalClasses: import("..").ClassName;
    lockFullscreen: boolean;
    delayCounted: boolean;
    showWrapLoading: boolean;
    showFullScreenLoading: boolean;
    showAttachedLoading: boolean;
}, {
    attach: import("..").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    delay: number;
    fullscreen: boolean;
    indicator: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    inheritColor: boolean;
    loading: boolean;
    preventScrollThrough: boolean;
    showOverlay: boolean;
    size: string;
    text: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex: number;
}>>;
export default Loading;
