import { ScopedSlotReturnValue } from 'vue/types/vnode';
import { Styles } from '../common';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
}, unknown, {
    getIconMap(): {
        success: import("tdesign-icons-vue").GlobalIconType;
        warning: import("tdesign-icons-vue").GlobalIconType;
        error: import("tdesign-icons-vue").GlobalIconType;
    };
    getLabelContent(): ScopedSlotReturnValue;
}, {
    statusStyle: string;
    themeClass: string;
    trackBgStyle: Styles;
    circleStrokeStyle: Styles;
    barStyle: Styles;
    circlePathStyle: Styles;
    isShowIcon: boolean;
    diameter: number;
    rPoints: number;
    radius: number;
    circleStyle: Styles;
    circleStrokeWidth: number;
    strokeDashArr: string;
    plumpStyles: Styles;
}, {
    color: string | string[] | Record<string, string>;
    label: string | boolean | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    percentage: number;
    size: string | number;
    status: import("./type").StatusEnum;
    strokeWidth: string | number;
    theme: import("./type").ThemeEnum;
    trackColor: string;
}>;
export default _default;
