/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  autoWidth: Boolean,
  disabled: Boolean,
  inputValue: {
    type: Array,
    "default": void 0
  },
  defaultInputValue: {
    type: Array
  },
  label: {
    type: [String, Function]
  },
  panel: {
    type: [String, Function]
  },
  popupProps: {
    type: Object
  },
  popupVisible: Boolean,
  rangeInputProps: {
    type: Object
  },
  readonly: Boolean,
  status: {
    type: String,
    "default": "default",
    validator: function validator(val) {
      if (!val) return true;
      return ["default", "success", "warning", "error"].includes(val);
    }
  },
  tips: {
    type: [String, Function]
  },
  onInputChange: Function,
  onPopupVisibleChange: Function
};

export { props as default };
//# sourceMappingURL=range-input-popup-props.js.map
