/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Statistic from './statistic.js';
import { withInstall } from '../utils/withInstall.js';
import './style/css.js';
import './type.js';
import '@vue/composition-api';
import 'tdesign-icons-vue';
import 'lodash-es';
import './props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/readOnlyError';
import '@babel/runtime/helpers/typeof';
import 'vue';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-a883488c.js';
import '../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../_chunks/dep-9d1c0d31.js';
import '../config-provider/type.js';
import '../hooks/useGlobalIcon.js';
import '../skeleton/index.js';
import '../skeleton/skeleton.js';
import '../skeleton/props.js';
import '../config-provider/config-receiver.js';
import '../utils/mixins.js';
import '../skeleton/type.js';
import '../_common/js/statistic/tween.js';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../_common/js/statistic/utils.js';

var Statistic = withInstall(_Statistic);

export { Statistic, Statistic as default };
//# sourceMappingURL=index.js.map
