import { Ref, SetupContext } from '@vue/composition-api';
import { CreateElement } from 'vue';
import { PaginationProps } from '../../pagination';
import { TdBaseTableProps } from '../type';
export declare function usePaginationValue(pagination: Ref<PaginationProps>, onPageChange: TdBaseTableProps['onPageChange']): [Ref<PaginationProps>, Ref<TdBaseTableProps['onPageChange']>];
export default function usePagination(props: TdBaseTableProps, context: SetupContext): {
    isPaginateData: import("@vue/composition-api").ComputedRef<boolean>;
    dataSource: Ref<{
        [x: string]: any;
        children?: any[];
    }[]>;
    innerPagination: Ref<import("../../pagination").TdPaginationProps>;
    renderPagination: (h: CreateElement) => JSX.Element;
};
