import { TdTabsProps, TdTabPanelProps } from './type';
import './style';
export * from './type';
export declare type TabsProps = TdTabsProps;
export declare type TabPanelProps = TdTabPanelProps;
export declare const Tabs: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tabs").TabParentInjectVue, {
    panels: import("vue/types/vue").CombinedVueInstance<{
        loaded: boolean;
    } & {
        active: boolean;
    } & {
        default: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        destroyOnHide: boolean;
        disabled: boolean;
        label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        panel: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        removable: boolean;
        value: import("./type").TabValue;
        onRemove: (options: {
            value: import("./type").TabValue;
            e: MouseEvent;
        }) => void;
        lazy: boolean;
    } & {
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tab-panel").TabPanel, object, object, object, Record<never, any>>[];
}, {
    updatePanels({ force }?: {
        force?: boolean;
    }): void;
    onAddTab(e: MouseEvent): void;
    onChangeTab(value: import("./type").TabValue): void;
    onRemoveTab({ e, value, index }: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }): void;
    renderHeader(): JSX.Element;
    createListPanels(): JSX.Element[];
    renderList(): import("vue").VNode[];
    renderContent(): JSX.Element;
}, unknown, {
    addable: boolean;
    disabled: boolean;
    list: TdTabPanelProps[];
    placement: "left" | "top" | "bottom" | "right";
    scrollPosition: "auto" | "center" | "end" | "start";
    size: "medium" | "large";
    theme: "normal" | "card";
    value: import("./type").TabValue;
    defaultValue: import("./type").TabValue;
    onAdd: (context: {
        e: MouseEvent;
    }) => void;
    onChange: (value: import("./type").TabValue) => void;
    onRemove: (options: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tabs").TabParentInjectVue, {
    panels: import("vue/types/vue").CombinedVueInstance<{
        loaded: boolean;
    } & {
        active: boolean;
    } & {
        default: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        destroyOnHide: boolean;
        disabled: boolean;
        label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        panel: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        removable: boolean;
        value: import("./type").TabValue;
        onRemove: (options: {
            value: import("./type").TabValue;
            e: MouseEvent;
        }) => void;
        lazy: boolean;
    } & {
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tab-panel").TabPanel, object, object, object, Record<never, any>>[];
}, {
    updatePanels({ force }?: {
        force?: boolean;
    }): void;
    onAddTab(e: MouseEvent): void;
    onChangeTab(value: import("./type").TabValue): void;
    onRemoveTab({ e, value, index }: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }): void;
    renderHeader(): JSX.Element;
    createListPanels(): JSX.Element[];
    renderList(): import("vue").VNode[];
    renderContent(): JSX.Element;
}, unknown, {
    addable: boolean;
    disabled: boolean;
    list: TdTabPanelProps[];
    placement: "left" | "top" | "bottom" | "right";
    scrollPosition: "auto" | "center" | "end" | "start";
    size: "medium" | "large";
    theme: "normal" | "card";
    value: import("./type").TabValue;
    defaultValue: import("./type").TabValue;
    onAdd: (context: {
        e: MouseEvent;
    }) => void;
    onChange: (value: import("./type").TabValue) => void;
    onRemove: (options: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }) => void;
}>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tabs").TabParentInjectVue, {
    panels: import("vue/types/vue").CombinedVueInstance<{
        loaded: boolean;
    } & {
        active: boolean;
    } & {
        default: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        destroyOnHide: boolean;
        disabled: boolean;
        label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        panel: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        removable: boolean;
        value: import("./type").TabValue;
        onRemove: (options: {
            value: import("./type").TabValue;
            e: MouseEvent;
        }) => void;
        lazy: boolean;
    } & {
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tab-panel").TabPanel, object, object, object, Record<never, any>>[];
}, {
    updatePanels({ force }?: {
        force?: boolean;
    }): void;
    onAddTab(e: MouseEvent): void;
    onChangeTab(value: import("./type").TabValue): void;
    onRemoveTab({ e, value, index }: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }): void;
    renderHeader(): JSX.Element;
    createListPanels(): JSX.Element[];
    renderList(): import("vue").VNode[];
    renderContent(): JSX.Element;
}, unknown, {
    addable: boolean;
    disabled: boolean;
    list: TdTabPanelProps[];
    placement: "left" | "top" | "bottom" | "right";
    scrollPosition: "auto" | "center" | "end" | "start";
    size: "medium" | "large";
    theme: "normal" | "card";
    value: import("./type").TabValue;
    defaultValue: import("./type").TabValue;
    onAdd: (context: {
        e: MouseEvent;
    }) => void;
    onChange: (value: import("./type").TabValue) => void;
    onRemove: (options: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tabs").TabParentInjectVue, {
    panels: import("vue/types/vue").CombinedVueInstance<{
        loaded: boolean;
    } & {
        active: boolean;
    } & {
        default: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        destroyOnHide: boolean;
        disabled: boolean;
        label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        panel: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        removable: boolean;
        value: import("./type").TabValue;
        onRemove: (options: {
            value: import("./type").TabValue;
            e: MouseEvent;
        }) => void;
        lazy: boolean;
    } & {
        classPrefix: string;
        componentName: string;
        commonSizeClassName: Record<string, string>;
        commonStatusClassName: Record<string, string>;
    } & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tab-panel").TabPanel, object, object, object, Record<never, any>>[];
}, {
    updatePanels({ force }?: {
        force?: boolean;
    }): void;
    onAddTab(e: MouseEvent): void;
    onChangeTab(value: import("./type").TabValue): void;
    onRemoveTab({ e, value, index }: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }): void;
    renderHeader(): JSX.Element;
    createListPanels(): JSX.Element[];
    renderList(): import("vue").VNode[];
    renderContent(): JSX.Element;
}, unknown, {
    addable: boolean;
    disabled: boolean;
    list: TdTabPanelProps[];
    placement: "left" | "top" | "bottom" | "right";
    scrollPosition: "auto" | "center" | "end" | "start";
    size: "medium" | "large";
    theme: "normal" | "card";
    value: import("./type").TabValue;
    defaultValue: import("./type").TabValue;
    onAdd: (context: {
        e: MouseEvent;
    }) => void;
    onChange: (value: import("./type").TabValue) => void;
    onRemove: (options: {
        value: import("./type").TabValue;
        index: number;
        e: MouseEvent;
    }) => void;
}>>>;
export declare const TabPanel: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tab-panel").TabPanel, {
    loaded: boolean;
}, unknown, {
    active: boolean;
}, {
    default: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    destroyOnHide: boolean;
    disabled: boolean;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panel: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    removable: boolean;
    value: import("./type").TabValue;
    onRemove: (options: {
        value: import("./type").TabValue;
        e: MouseEvent;
    }) => void;
    lazy: boolean;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./tab-panel").TabPanel, {
    loaded: boolean;
}, unknown, {
    active: boolean;
}, {
    default: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    destroyOnHide: boolean;
    disabled: boolean;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panel: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    removable: boolean;
    value: import("./type").TabValue;
    onRemove: (options: {
        value: import("./type").TabValue;
        e: MouseEvent;
    }) => void;
    lazy: boolean;
}>>;
export default Tabs;
