/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Tabs from './tabs.js';
import _TabPanel from './tab-panel.js';
import mapProps from '../utils/map-props.js';
import { withInstall } from '../utils/withInstall.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-8db32566.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import 'lodash-es';
import './props.js';
import './tab-nav.js';
import 'tdesign-icons-vue';
import './tab-nav-item.js';
import '../utils/mixins.js';
import '../utils/event.js';
import '../utils/ripple.js';
import '../_common/js/utils/setStyle.js';
import '../config.js';
import './tab-panel-props.js';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-a883488c.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../_chunks/dep-9d1c0d31.js';
import '../config-provider/type.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../_common/js/tabs/base.js';
import '../hooks/useDestroyOnClose.js';

var Tabs = withInstall(mapProps(["value"], {
  model: {
    prop: "value",
    event: "change"
  }
})(_Tabs));
var TabPanel = withInstall(_TabPanel);

export { TabPanel, Tabs, Tabs as default };
//# sourceMappingURL=index.js.map
