import { PropType } from 'vue';
export declare const panelProps: () => {
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    isFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: (ObjectConstructor | StringConstructor)[];
        default: string;
    };
    format: {
        type: StringConstructor;
        default: string;
    };
    position: StringConstructor;
    steps: {
        type: PropType<(string | number)[]>;
        default: () => number[];
    };
    isShowPanel: {
        type: BooleanConstructor;
        default: boolean;
    };
    activeIndex: {
        type: NumberConstructor;
    };
    presets: {
        type: PropType<import("../type").PresetTime>;
    };
    hideDisabledTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    isFooterDisplay: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare const panelColProps: () => {
    format: {
        type: StringConstructor;
        default: string;
    };
    value: {
        type: (ObjectConstructor | StringConstructor)[];
        default: string;
    };
    steps: {
        type: PropType<(string | number)[]>;
        default: () => number[];
    };
    hideDisabledTime: {
        type: BooleanConstructor;
        default: boolean;
    };
};
