import { EmptyType, SearchOption, TransferValue, TransferListType, TransferItemOption } from '../interface';
import { PageInfo, TdPaginationProps } from '../../pagination';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    keepAnimation: {
        ripple: boolean;
        expand: boolean;
        fade: boolean;
    };
}, {
    filterValue: string;
    defaultCurrent: any;
    defaultPageSize: any;
    draggingIndex: any;
    dragoverIndex: any;
    dragoverPos: string;
}, {
    handlePaginationChange(pageInfo: PageInfo): void;
    handleCheckedChange(val: Array<TransferValue>): void;
    handleCheckedAllChange(checked: boolean): void;
    scroll(e: Event): void;
    handleSearch(e: any): void;
    onDragStart(e: DragEvent): void;
    onDragOver(e: DragEvent): void;
    onDragLeave(): void;
    onDragEnd(): void;
    onDrop(e: DragEvent): void;
    renderTitle(): JSX.Element;
    renderContent(): JSX.Element;
    renderEmpty(): JSX.Element;
    renderFooter(): any;
}, {
    currentPage: number;
    pageSize: number;
    pageTotal: number;
    filteredData: TransferItemOption[];
    curPageData: TransferItemOption[];
    paginationProps: TdPaginationProps;
    hasFooter: boolean;
    indeterminate: boolean;
    isAllChecked: boolean;
    totalCount: number;
}, {
    checkboxProps: {};
    dataSource: TransferItemOption[];
    listType: TransferListType;
    title: string | Function;
    checkedValue: TransferValue[];
    disabled: boolean;
    search: SearchOption;
    transferItem: (h: import("vue").CreateElement, props: import("../type").TransferItem<import("../type").DataOption>) => import("vue/types/vnode").ScopedSlotReturnValue;
    empty: EmptyType;
    pagination: any;
    footer: string | Function;
    checkAll: boolean;
    t: Function;
    global: any;
    tree: (tree: import("../..").TreeProps) => (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    isTreeMode: boolean;
    draggable: boolean;
    currentValue: TransferValue[];
}>;
export default _default;
