import { TreeSelectValue } from './type';
import { TreeOptionData } from '..';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    dropdownInnerSize: import("@vue/composition-api").ComputedRef<string>;
    multiLimitDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    renderTNodeJSX: (name: string, options?: import("../hooks/render-tnode").OptionsType) => any;
    renderDefaultTNode: (name: string, options?: import("vue").VNode | import("../hooks/render-tnode").JSXRenderContext) => any;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TreeSelectConfig | {
        readonly empty: "暂无数据";
        readonly loadingText: "加载中";
        readonly placeholder: "请选择";
    }) & import("..").TreeSelectConfig>;
    tDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    treeRef: import("@vue/composition-api").Ref<{
        appendTo: (value: import("..").TreeNodeValue, newData: TreeOptionData<string | number> | TreeOptionData<string | number>[]) => void;
        getIndex: (value: import("..").TreeNodeValue) => number;
        getItem: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>;
        getItems: (value?: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>[];
        getParent: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>;
        getParents: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>[];
        getPath: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>[];
        getTreeData: (value?: import("..").TreeNodeValue) => TreeOptionData<string | number>[];
        insertAfter: (value: import("..").TreeNodeValue, newData: TreeOptionData<string | number>) => void;
        insertBefore: (value: import("..").TreeNodeValue, newData: TreeOptionData<string | number>) => void;
        refresh: () => void;
        remove: (value: import("..").TreeNodeValue) => void;
        scrollTo?: (scrollToParams: import("..").ScrollToElementParams) => void;
        setItem: (value: import("..").TreeNodeValue, options: import("..").TreeNodeState) => void;
    }>;
    tKeys: import("@vue/composition-api").ComputedRef<import("..").TreeKeysType>;
    treeKey: import("@vue/composition-api").Ref<number>;
    popupClass: import("@vue/composition-api").ComputedRef<string[]>;
    isObjectValue: import("@vue/composition-api").ComputedRef<boolean>;
    inputPlaceholder: import("@vue/composition-api").ComputedRef<any>;
    innerVisible: import("@vue/composition-api").Ref<boolean>;
    nodeInfo: import("@vue/composition-api").ComputedRef<TreeOptionData<string | number> | TreeOptionData<string | number>[]>;
    treeSelectValue: import("@vue/composition-api").Ref<TreeSelectValue>;
    innerInputValue: import("@vue/composition-api").Ref<string>;
    multipleChecked: import("@vue/composition-api").ComputedRef<import("..").TreeNodeValue[]>;
    singleActivated: import("@vue/composition-api").ComputedRef<any[]>;
    clear: (context: {
        e: MouseEvent;
    }) => void;
    filterByText: import("@vue/composition-api").ComputedRef<(node: import("..").TreeNodeModel<import("../tree/adapt").TypeTreeOptionData>) => boolean>;
    setInnerVisible: (value: boolean, context: import("./type").TreeSelectPopupVisibleContext<TreeOptionData<string | number>>) => void;
    setTreeSelectValue: import("../hooks").ChangeHandler<TreeSelectValue, [context: import("./type").TreeSelectChangeContext<TreeOptionData<string | number>>]>;
    setInnerInputValue: (value: string, context: import("..").SelectInputValueChangeContext) => void;
    treeNodeChange: (value: import("..").TreeNodeValue[], context: {
        node: import("..").TreeNodeModel<import("../tree/adapt").TypeTreeOptionData>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void;
    treeNodeActive: (value: import("..").TreeNodeValue[], context: {
        node: import("..").TreeNodeModel<import("../tree/adapt").TypeTreeOptionData>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void;
    inputChange: (value: string, context?: import("..").SelectInputValueChangeContext) => void;
    tagChange: (value: import("..").TagInputValue, context: import("..").TagInputChangeContext) => void;
    onInnerPopupVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
    onInnerFocus: (value: import("..").SelectInputValue, context: import("..").SelectInputFocusContext) => void;
    onInnerBlur: (value: import("..").SelectInputValue, context: import("..").SelectInputBlurContext) => void;
    onInnerEnter: (value: import("..").SelectInputValue, context: {
        e: KeyboardEvent;
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    }) => void;
}> & import("@vue/composition-api").Data, {
    renderSuffixIcon(): JSX.Element;
    renderLabel(): any;
    getTreePanel(): JSX.Element;
}, {}, {
    autoWidth: BooleanConstructor;
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    collapsedItems: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: {
            value: TreeOptionData<string | number>[];
            collapsedSelectedItems: TreeOptionData<string | number>[];
            count: number;
            onClose: (context: {
                index: number;
                e?: MouseEvent;
            }) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    data: {
        type: import("vue").PropType<TreeOptionData<string | number>[]>;
        default: () => TreeOptionData<string | number>[];
    };
    disabled: BooleanConstructor;
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: import("vue").PropType<(filterWords: string, option: TreeOptionData<string | number>) => boolean>;
    };
    filterable: BooleanConstructor;
    inputProps: {
        type: import("vue").PropType<import("..").InputProps<import("..").InputValue>>;
    };
    inputValue: {
        type: import("vue").PropType<string>;
    };
    defaultInputValue: {
        type: import("vue").PropType<string>;
    };
    keys: {
        type: import("vue").PropType<import("..").TreeKeysType>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    loading: BooleanConstructor;
    loadingText: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    minCollapsedNum: {
        type: NumberConstructor;
        default: number;
    };
    multiple: BooleanConstructor;
    panelBottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    popupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    defaultPopupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    prefixIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    readonly: BooleanConstructor;
    reserveKeyword: BooleanConstructor;
    selectInputProps: {
        type: import("vue").PropType<import("..").TdSelectInputProps>;
    };
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    suffix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    suffixIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    tagProps: {
        type: import("vue").PropType<import("..").TdTagProps>;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    treeProps: {
        type: import("vue").PropType<import("..").TreeProps>;
    };
    value: {
        type: import("vue").PropType<TreeSelectValue>;
    };
    defaultValue: {
        type: import("vue").PropType<TreeSelectValue>;
    };
    valueDisplay: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement, props: {
            value: TreeOptionData<string | number> | TreeOptionData<string | number>[];
            onClose: (index: number) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    valueType: {
        type: import("vue").PropType<"object" | "value">;
        default: "object" | "value";
        validator(val: "object" | "value"): boolean;
    };
    onBlur: import("vue").PropType<(context: import("..").PopupVisibleChangeContext & {
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    } & {
        value: TreeSelectValue;
    }) => void>;
    onChange: import("vue").PropType<(value: TreeSelectValue, context: import("./type").TreeSelectChangeContext<TreeOptionData<string | number>>) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onEnter: import("vue").PropType<(context: {
        inputValue: string;
        e: KeyboardEvent;
        value: TreeSelectValue;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        value: TreeSelectValue;
        e: FocusEvent;
    }) => void>;
    onInputChange: import("vue").PropType<(value: string, context: import("..").SelectInputValueChangeContext) => void>;
    onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("./type").TreeSelectPopupVisibleContext<TreeOptionData<string | number>>) => void>;
    onRemove: import("vue").PropType<(options: import("./type").RemoveOptions<TreeOptionData<string | number>, TreeSelectValue>) => void>;
    onSearch: import("vue").PropType<(filterWords: string, context: {
        e: MouseEvent | Event | CompositionEvent | FocusEvent | InputEvent | KeyboardEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    autoWidth: BooleanConstructor;
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    collapsedItems: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: {
            value: TreeOptionData<string | number>[];
            collapsedSelectedItems: TreeOptionData<string | number>[];
            count: number;
            onClose: (context: {
                index: number;
                e?: MouseEvent;
            }) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    data: {
        type: import("vue").PropType<TreeOptionData<string | number>[]>;
        default: () => TreeOptionData<string | number>[];
    };
    disabled: BooleanConstructor;
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: import("vue").PropType<(filterWords: string, option: TreeOptionData<string | number>) => boolean>;
    };
    filterable: BooleanConstructor;
    inputProps: {
        type: import("vue").PropType<import("..").InputProps<import("..").InputValue>>;
    };
    inputValue: {
        type: import("vue").PropType<string>;
    };
    defaultInputValue: {
        type: import("vue").PropType<string>;
    };
    keys: {
        type: import("vue").PropType<import("..").TreeKeysType>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    loading: BooleanConstructor;
    loadingText: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    minCollapsedNum: {
        type: NumberConstructor;
        default: number;
    };
    multiple: BooleanConstructor;
    panelBottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    popupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    defaultPopupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    prefixIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    readonly: BooleanConstructor;
    reserveKeyword: BooleanConstructor;
    selectInputProps: {
        type: import("vue").PropType<import("..").TdSelectInputProps>;
    };
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    suffix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    suffixIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    tagProps: {
        type: import("vue").PropType<import("..").TdTagProps>;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    treeProps: {
        type: import("vue").PropType<import("..").TreeProps>;
    };
    value: {
        type: import("vue").PropType<TreeSelectValue>;
    };
    defaultValue: {
        type: import("vue").PropType<TreeSelectValue>;
    };
    valueDisplay: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement, props: {
            value: TreeOptionData<string | number> | TreeOptionData<string | number>[];
            onClose: (index: number) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    valueType: {
        type: import("vue").PropType<"object" | "value">;
        default: "object" | "value";
        validator(val: "object" | "value"): boolean;
    };
    onBlur: import("vue").PropType<(context: import("..").PopupVisibleChangeContext & {
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    } & {
        value: TreeSelectValue;
    }) => void>;
    onChange: import("vue").PropType<(value: TreeSelectValue, context: import("./type").TreeSelectChangeContext<TreeOptionData<string | number>>) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onEnter: import("vue").PropType<(context: {
        inputValue: string;
        e: KeyboardEvent;
        value: TreeSelectValue;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        value: TreeSelectValue;
        e: FocusEvent;
    }) => void>;
    onInputChange: import("vue").PropType<(value: string, context: import("..").SelectInputValueChangeContext) => void>;
    onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("./type").TreeSelectPopupVisibleContext<TreeOptionData<string | number>>) => void>;
    onRemove: import("vue").PropType<(options: import("./type").RemoveOptions<TreeOptionData<string | number>, TreeSelectValue>) => void>;
    onSearch: import("vue").PropType<(filterWords: string, context: {
        e: MouseEvent | Event | CompositionEvent | FocusEvent | InputEvent | KeyboardEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    max: number;
    data: TreeOptionData<string | number>[];
    loading: boolean;
    autofocus: boolean;
    disabled: boolean;
    multiple: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    autoWidth: boolean;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    minCollapsedNum: number;
    popupVisible: boolean;
    defaultPopupVisible: boolean;
    reserveKeyword: boolean;
    valueType: "object" | "value";
    filterable: boolean;
} & {
    filter?: (filterWords: string, option: TreeOptionData<string | number>) => boolean;
    keys?: unknown;
    value?: unknown;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    empty?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: TreeSelectValue, context: import("./type").TreeSelectChangeContext<TreeOptionData<string | number>>) => void;
    defaultValue?: unknown;
    prefixIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    suffix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    suffixIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: import("..").PopupVisibleChangeContext & {
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    } & {
        value: TreeSelectValue;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    onEnter?: (context: {
        inputValue: string;
        e: KeyboardEvent;
        value: TreeSelectValue;
    }) => void;
    onFocus?: (context: {
        value: TreeSelectValue;
        e: FocusEvent;
    }) => void;
    inputValue?: string;
    collapsedItems?: (h: import("vue").CreateElement, props: {
        value: TreeOptionData<string | number>[];
        collapsedSelectedItems: TreeOptionData<string | number>[];
        count: number;
        onClose: (context: {
            index: number;
            e?: MouseEvent;
        }) => void;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    inputProps?: unknown;
    defaultInputValue?: string;
    tagProps?: unknown;
    valueDisplay?: string | ((h: import("vue").CreateElement, props: {
        value: TreeOptionData<string | number> | TreeOptionData<string | number>[];
        onClose: (index: number) => void;
    }) => import("vue/types/vnode").ScopedSlotReturnValue);
    onInputChange?: (value: string, context: import("..").SelectInputValueChangeContext) => void;
    onRemove?: (options: import("./type").RemoveOptions<TreeOptionData<string | number>, TreeSelectValue>) => void;
    popupProps?: unknown;
    onPopupVisibleChange?: (visible: boolean, context: import("./type").TreeSelectPopupVisibleContext<TreeOptionData<string | number>>) => void;
    loadingText?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelBottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelTopContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    selectInputProps?: unknown;
    onSearch?: (filterWords: string, context: {
        e: MouseEvent | Event | CompositionEvent | FocusEvent | InputEvent | KeyboardEvent;
    }) => void;
    treeProps?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    dropdownInnerSize: import("@vue/composition-api").ComputedRef<string>;
    multiLimitDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    renderTNodeJSX: (name: string, options?: import("../hooks/render-tnode").OptionsType) => any;
    renderDefaultTNode: (name: string, options?: import("vue").VNode | import("../hooks/render-tnode").JSXRenderContext) => any;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TreeSelectConfig | {
        readonly empty: "暂无数据";
        readonly loadingText: "加载中";
        readonly placeholder: "请选择";
    }) & import("..").TreeSelectConfig>;
    tDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    treeRef: import("@vue/composition-api").Ref<{
        appendTo: (value: import("..").TreeNodeValue, newData: TreeOptionData<string | number> | TreeOptionData<string | number>[]) => void;
        getIndex: (value: import("..").TreeNodeValue) => number;
        getItem: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>;
        getItems: (value?: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>[];
        getParent: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>;
        getParents: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>[];
        getPath: (value: import("..").TreeNodeValue) => import("..").TreeNodeModel<TreeOptionData<string | number>>[];
        getTreeData: (value?: import("..").TreeNodeValue) => TreeOptionData<string | number>[];
        insertAfter: (value: import("..").TreeNodeValue, newData: TreeOptionData<string | number>) => void;
        insertBefore: (value: import("..").TreeNodeValue, newData: TreeOptionData<string | number>) => void;
        refresh: () => void;
        remove: (value: import("..").TreeNodeValue) => void;
        scrollTo?: (scrollToParams: import("..").ScrollToElementParams) => void;
        setItem: (value: import("..").TreeNodeValue, options: import("..").TreeNodeState) => void;
    }>;
    tKeys: import("@vue/composition-api").ComputedRef<import("..").TreeKeysType>;
    treeKey: import("@vue/composition-api").Ref<number>;
    popupClass: import("@vue/composition-api").ComputedRef<string[]>;
    isObjectValue: import("@vue/composition-api").ComputedRef<boolean>;
    inputPlaceholder: import("@vue/composition-api").ComputedRef<any>;
    innerVisible: import("@vue/composition-api").Ref<boolean>;
    nodeInfo: import("@vue/composition-api").ComputedRef<TreeOptionData<string | number> | TreeOptionData<string | number>[]>;
    treeSelectValue: import("@vue/composition-api").Ref<TreeSelectValue>;
    innerInputValue: import("@vue/composition-api").Ref<string>;
    multipleChecked: import("@vue/composition-api").ComputedRef<import("..").TreeNodeValue[]>;
    singleActivated: import("@vue/composition-api").ComputedRef<any[]>;
    clear: (context: {
        e: MouseEvent;
    }) => void;
    filterByText: import("@vue/composition-api").ComputedRef<(node: import("..").TreeNodeModel<import("../tree/adapt").TypeTreeOptionData>) => boolean>;
    setInnerVisible: (value: boolean, context: import("./type").TreeSelectPopupVisibleContext<TreeOptionData<string | number>>) => void;
    setTreeSelectValue: import("../hooks").ChangeHandler<TreeSelectValue, [context: import("./type").TreeSelectChangeContext<TreeOptionData<string | number>>]>;
    setInnerInputValue: (value: string, context: import("..").SelectInputValueChangeContext) => void;
    treeNodeChange: (value: import("..").TreeNodeValue[], context: {
        node: import("..").TreeNodeModel<import("../tree/adapt").TypeTreeOptionData>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void;
    treeNodeActive: (value: import("..").TreeNodeValue[], context: {
        node: import("..").TreeNodeModel<import("../tree/adapt").TypeTreeOptionData>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void;
    inputChange: (value: string, context?: import("..").SelectInputValueChangeContext) => void;
    tagChange: (value: import("..").TagInputValue, context: import("..").TagInputChangeContext) => void;
    onInnerPopupVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
    onInnerFocus: (value: import("..").SelectInputValue, context: import("..").SelectInputFocusContext) => void;
    onInnerBlur: (value: import("..").SelectInputValue, context: import("..").SelectInputBlurContext) => void;
    onInnerEnter: (value: import("..").SelectInputValue, context: {
        e: KeyboardEvent;
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {
    renderSuffixIcon(): JSX.Element;
    renderLabel(): any;
    getTreePanel(): JSX.Element;
}, {}, {}, {}, {
    max: number;
    data: TreeOptionData<string | number>[];
    loading: boolean;
    autofocus: boolean;
    disabled: boolean;
    multiple: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    autoWidth: boolean;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    minCollapsedNum: number;
    popupVisible: boolean;
    defaultPopupVisible: boolean;
    reserveKeyword: boolean;
    valueType: "object" | "value";
    filterable: boolean;
} & {
    filter?: (filterWords: string, option: TreeOptionData<string | number>) => boolean;
    keys?: unknown;
    value?: unknown;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    empty?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: TreeSelectValue, context: import("./type").TreeSelectChangeContext<TreeOptionData<string | number>>) => void;
    defaultValue?: unknown;
    prefixIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    suffix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    suffixIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: import("..").PopupVisibleChangeContext & {
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    } & {
        value: TreeSelectValue;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    onEnter?: (context: {
        inputValue: string;
        e: KeyboardEvent;
        value: TreeSelectValue;
    }) => void;
    onFocus?: (context: {
        value: TreeSelectValue;
        e: FocusEvent;
    }) => void;
    inputValue?: string;
    collapsedItems?: (h: import("vue").CreateElement, props: {
        value: TreeOptionData<string | number>[];
        collapsedSelectedItems: TreeOptionData<string | number>[];
        count: number;
        onClose: (context: {
            index: number;
            e?: MouseEvent;
        }) => void;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    inputProps?: unknown;
    defaultInputValue?: string;
    tagProps?: unknown;
    valueDisplay?: string | ((h: import("vue").CreateElement, props: {
        value: TreeOptionData<string | number> | TreeOptionData<string | number>[];
        onClose: (index: number) => void;
    }) => import("vue/types/vnode").ScopedSlotReturnValue);
    onInputChange?: (value: string, context: import("..").SelectInputValueChangeContext) => void;
    onRemove?: (options: import("./type").RemoveOptions<TreeOptionData<string | number>, TreeSelectValue>) => void;
    popupProps?: unknown;
    onPopupVisibleChange?: (visible: boolean, context: import("./type").TreeSelectPopupVisibleContext<TreeOptionData<string | number>>) => void;
    loadingText?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelBottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelTopContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    selectInputProps?: unknown;
    onSearch?: (filterWords: string, context: {
        e: MouseEvent | Event | CompositionEvent | FocusEvent | InputEvent | KeyboardEvent;
    }) => void;
    treeProps?: unknown;
}, {
    max: number;
    data: TreeOptionData<string | number>[];
    loading: boolean;
    autofocus: boolean;
    disabled: boolean;
    multiple: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    autoWidth: boolean;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    minCollapsedNum: number;
    popupVisible: boolean;
    defaultPopupVisible: boolean;
    reserveKeyword: boolean;
    valueType: "object" | "value";
    filterable: boolean;
}, true>);
export default _default;
