import type { VNode } from 'vue';
export declare function omit(obj: object, fields: string[]): object;
export declare function removeEmptyAttrs<T>(obj: T): Partial<T>;
export declare function getTabElementByValue(tabs: [], value: string): object;
export declare function firstUpperCase(str: string): string;
export declare type Gradients = {
    [percent: string]: string;
};
export declare type FromTo = {
    from: string;
    to: string;
};
export declare type LinearGradient = {
    direction?: string;
} & (Gradients | FromTo);
export declare function getBackgroundColor(color: string | string[] | LinearGradient): string;
export declare function getPropsApiByEvent(eventName: string): string;
export declare function getIEVersion(): number;
export declare function getCharacterLength(str: string, maxCharacter?: number): number | {
    length: number;
    characters: string;
};
export declare function pxCompat(param: string | number): string;
export declare function setTransform(value: string): object;
export declare function getVueComponentName(component: any): any;
export declare function getVNodeComponentName(vnode: VNode): any;
