import Vue, { PluginObject } from 'vue';
import { ExtendedVue } from 'vue/types/vue';
declare const defaultModel: {
    prop: string;
    event: string;
};
declare type PropOption = {
    name: string;
    event?: string | string[];
    alias?: string[];
};
declare type Option = {
    model?: typeof defaultModel;
};
export default function (props: (string | PropOption)[], options?: Option): <T extends ExtendedVue<Vue, any, any, any, any>>(componentConstructor: T) => T & PluginObject<T>;
export {};
