/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  affixProps: {
    type: Object
  },
  bounds: {
    type: Number,
    "default": 5
  },
  container: {
    type: [String, Function],
    "default": function _default() {
      return function () {
        return window;
      };
    }
  },
  cursor: {
    type: Function
  },
  getCurrentAnchor: {
    type: Function
  },
  size: {
    type: String,
    "default": "medium",
    validator: function validator(val) {
      if (!val) return true;
      return ["small", "medium", "large"].includes(val);
    }
  },
  targetOffset: {
    type: Number,
    "default": 0
  },
  onChange: Function,
  onClick: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
