/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import VueCompositionAPI from '@vue/composition-api';
import _AutoComplete from './auto-complete.js';
import _HighlightOption from './highlight-option.js';
import { withInstall } from '../utils/withInstall.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-8db32566.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import './props.js';
import '../input/index.js';
import '../input/input.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/typeof';
import 'tdesign-icons-vue';
import 'lodash-es';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../utils/helper.js';
import '../config-provider/config-receiver.js';
import 'vue';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-a883488c.js';
import '../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../_chunks/dep-9d1c0d31.js';
import '../config-provider/type.js';
import '../utils/mixins.js';
import '../utils/event.js';
import '../input/props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '../_common/js/log/index.js';
import '../_common/js/log/log.js';
import '../input/input-group.js';
import '../utils/map-props.js';
import '../input/type.js';
import '../popup/index.js';
import '../popup/popup.js';
import '@popperjs/core';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../_common/js/utils/setStyle.js';
import '../popup/props.js';
import '../popup/container.js';
import '../popup/utils.js';
import '../popup/type.js';
import '../popup/plugin.js';
import '../hooks/useCommonClassName.js';
import '../config-provider/useConfig.js';
import './option-list.js';
import '../hooks/useConfig.js';
import '../hooks/useVModel.js';

var AutoComplete = withInstall(_AutoComplete, VueCompositionAPI);
var HighlightOption = withInstall(_HighlightOption, VueCompositionAPI);

export { AutoComplete, HighlightOption, AutoComplete as default };
//# sourceMappingURL=index.js.map
