/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  alt: {
    type: String,
    "default": ""
  },
  content: {
    type: [String, Function]
  },
  "default": {
    type: [String, Function]
  },
  hideOnLoadFailed: Boolean,
  icon: {
    type: Function
  },
  image: {
    type: String,
    "default": ""
  },
  imageProps: {
    type: Object
  },
  shape: {
    type: String,
    "default": "circle",
    validator: function validator(val) {
      if (!val) return true;
      return ["circle", "round"].includes(val);
    }
  },
  size: {
    type: String,
    "default": ""
  },
  onError: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
