import { TdButtonProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    block: BooleanConstructor;
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    form: {
        type: StringConstructor;
        default: any;
    };
    ghost: BooleanConstructor;
    href: {
        type: StringConstructor;
        default: string;
    };
    icon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    loading: BooleanConstructor;
    shape: {
        type: PropType<"square" | "round" | "circle" | "rectangle">;
        default: "square" | "round" | "circle" | "rectangle";
        validator(val: TdButtonProps['shape']): boolean;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdButtonProps['size']): boolean;
    };
    suffix: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    tag: {
        type: PropType<"button" | "a" | "div">;
        validator(val: TdButtonProps['tag']): boolean;
    };
    theme: {
        type: PropType<"default" | "success" | "primary" | "warning" | "danger">;
        validator(val: TdButtonProps['theme']): boolean;
    };
    type: {
        type: PropType<"button" | "reset" | "submit">;
        default: "button" | "reset" | "submit";
        validator(val: TdButtonProps['type']): boolean;
    };
    variant: {
        type: PropType<"outline" | "base" | "text" | "dashed">;
        default: "outline" | "base" | "text" | "dashed";
        validator(val: TdButtonProps['variant']): boolean;
    };
    onClick: PropType<(e: MouseEvent) => void>;
};
export default _default;
