import { TdCardProps } from './type';
import './style';
export * from './type';
export declare type CardProps = TdCardProps;
export declare const Card: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    isHeaderRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isFooterRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isPoster2: import("@vue/composition-api").ComputedRef<boolean>;
    showLoading: import("@vue/composition-api").ComputedRef<true | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showHeader: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showSubtitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAvatar: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showActions: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showStatus: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[])>;
    showContent: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showCover: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showFooter: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    baseCls: import("@vue/composition-api").ComputedRef<string[]>;
    bodyCls: import("@vue/composition-api").Ref<string>;
    footerCls: import("@vue/composition-api").Ref<string>;
    footerWrapperCls: import("@vue/composition-api").Ref<string>;
    coverCls: import("@vue/composition-api").Ref<string>;
    actionsCls: import("@vue/composition-api").Ref<string>;
    headerCls: import("@vue/composition-api").ComputedRef<string[]>;
    headerWrapperCls: import("@vue/composition-api").Ref<string>;
    headerAvatarCls: import("@vue/composition-api").Ref<string>;
    headerTitleCls: import("@vue/composition-api").Ref<string>;
    headerSubTitleCls: import("@vue/composition-api").Ref<string>;
    headerDescriptionCls: import("@vue/composition-api").Ref<string>;
    COMPONENT_NAME: import("@vue/composition-api").Ref<string>;
}> & import("@vue/composition-api").Data, {
    renderLoading(): void;
    renderCover(): JSX.Element;
    renderHeader(): JSX.Element;
}, {}, {
    actions: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    avatar: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cover: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    footer: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerBordered: BooleanConstructor;
    hoverShadow: BooleanConstructor;
    loading: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    loadingProps: {
        type: import("vue").PropType<import("..").TdLoadingProps>;
    };
    shadow: BooleanConstructor;
    size: {
        type: import("vue").PropType<"small" | "medium">;
        default: "small" | "medium";
        validator(val: "small" | "medium"): boolean;
    };
    status: {
        type: StringConstructor;
        default: string;
    };
    subtitle: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    theme: {
        type: import("vue").PropType<"normal" | "poster1" | "poster2">;
        default: "normal" | "poster1" | "poster2";
        validator(val: "normal" | "poster1" | "poster2"): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    actions: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    avatar: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cover: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    footer: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerBordered: BooleanConstructor;
    hoverShadow: BooleanConstructor;
    loading: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    loadingProps: {
        type: import("vue").PropType<import("..").TdLoadingProps>;
    };
    shadow: BooleanConstructor;
    size: {
        type: import("vue").PropType<"small" | "medium">;
        default: "small" | "medium";
        validator(val: "small" | "medium"): boolean;
    };
    status: {
        type: StringConstructor;
        default: string;
    };
    subtitle: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    theme: {
        type: import("vue").PropType<"normal" | "poster1" | "poster2">;
        default: "normal" | "poster1" | "poster2";
        validator(val: "normal" | "poster1" | "poster2"): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    size: "small" | "medium";
    status: string;
    theme: "normal" | "poster1" | "poster2";
    bordered: boolean;
    headerBordered: boolean;
    hoverShadow: boolean;
    shadow: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    footer?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cover?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    avatar?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    actions?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    loadingProps?: unknown;
    subtitle?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    isHeaderRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isFooterRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isPoster2: import("@vue/composition-api").ComputedRef<boolean>;
    showLoading: import("@vue/composition-api").ComputedRef<true | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showHeader: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showSubtitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAvatar: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showActions: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showStatus: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[])>;
    showContent: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showCover: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showFooter: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    baseCls: import("@vue/composition-api").ComputedRef<string[]>;
    bodyCls: import("@vue/composition-api").Ref<string>;
    footerCls: import("@vue/composition-api").Ref<string>;
    footerWrapperCls: import("@vue/composition-api").Ref<string>;
    coverCls: import("@vue/composition-api").Ref<string>;
    actionsCls: import("@vue/composition-api").Ref<string>;
    headerCls: import("@vue/composition-api").ComputedRef<string[]>;
    headerWrapperCls: import("@vue/composition-api").Ref<string>;
    headerAvatarCls: import("@vue/composition-api").Ref<string>;
    headerTitleCls: import("@vue/composition-api").Ref<string>;
    headerSubTitleCls: import("@vue/composition-api").Ref<string>;
    headerDescriptionCls: import("@vue/composition-api").Ref<string>;
    COMPONENT_NAME: import("@vue/composition-api").Ref<string>;
}>, import("@vue/composition-api").Data, {}, {
    renderLoading(): void;
    renderCover(): JSX.Element;
    renderHeader(): JSX.Element;
}, {}, {}, {}, {
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    size: "small" | "medium";
    status: string;
    theme: "normal" | "poster1" | "poster2";
    bordered: boolean;
    headerBordered: boolean;
    hoverShadow: boolean;
    shadow: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    footer?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cover?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    avatar?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    actions?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    loadingProps?: unknown;
    subtitle?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    size: "small" | "medium";
    status: string;
    theme: "normal" | "poster1" | "poster2";
    bordered: boolean;
    headerBordered: boolean;
    hoverShadow: boolean;
    shadow: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    isHeaderRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isFooterRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isPoster2: import("@vue/composition-api").ComputedRef<boolean>;
    showLoading: import("@vue/composition-api").ComputedRef<true | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showHeader: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showSubtitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAvatar: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showActions: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showStatus: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[])>;
    showContent: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showCover: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showFooter: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    baseCls: import("@vue/composition-api").ComputedRef<string[]>;
    bodyCls: import("@vue/composition-api").Ref<string>;
    footerCls: import("@vue/composition-api").Ref<string>;
    footerWrapperCls: import("@vue/composition-api").Ref<string>;
    coverCls: import("@vue/composition-api").Ref<string>;
    actionsCls: import("@vue/composition-api").Ref<string>;
    headerCls: import("@vue/composition-api").ComputedRef<string[]>;
    headerWrapperCls: import("@vue/composition-api").Ref<string>;
    headerAvatarCls: import("@vue/composition-api").Ref<string>;
    headerTitleCls: import("@vue/composition-api").Ref<string>;
    headerSubTitleCls: import("@vue/composition-api").Ref<string>;
    headerDescriptionCls: import("@vue/composition-api").Ref<string>;
    COMPONENT_NAME: import("@vue/composition-api").Ref<string>;
}> & import("@vue/composition-api").Data, {
    renderLoading(): void;
    renderCover(): JSX.Element;
    renderHeader(): JSX.Element;
}, {}, {
    actions: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    avatar: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cover: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    footer: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerBordered: BooleanConstructor;
    hoverShadow: BooleanConstructor;
    loading: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    loadingProps: {
        type: import("vue").PropType<import("..").TdLoadingProps>;
    };
    shadow: BooleanConstructor;
    size: {
        type: import("vue").PropType<"small" | "medium">;
        default: "small" | "medium";
        validator(val: "small" | "medium"): boolean;
    };
    status: {
        type: StringConstructor;
        default: string;
    };
    subtitle: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    theme: {
        type: import("vue").PropType<"normal" | "poster1" | "poster2">;
        default: "normal" | "poster1" | "poster2";
        validator(val: "normal" | "poster1" | "poster2"): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    actions: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    avatar: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cover: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    footer: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerBordered: BooleanConstructor;
    hoverShadow: BooleanConstructor;
    loading: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    loadingProps: {
        type: import("vue").PropType<import("..").TdLoadingProps>;
    };
    shadow: BooleanConstructor;
    size: {
        type: import("vue").PropType<"small" | "medium">;
        default: "small" | "medium";
        validator(val: "small" | "medium"): boolean;
    };
    status: {
        type: StringConstructor;
        default: string;
    };
    subtitle: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    theme: {
        type: import("vue").PropType<"normal" | "poster1" | "poster2">;
        default: "normal" | "poster1" | "poster2";
        validator(val: "normal" | "poster1" | "poster2"): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    size: "small" | "medium";
    status: string;
    theme: "normal" | "poster1" | "poster2";
    bordered: boolean;
    headerBordered: boolean;
    hoverShadow: boolean;
    shadow: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    footer?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cover?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    avatar?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    actions?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    loadingProps?: unknown;
    subtitle?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    isHeaderRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isFooterRender: import("@vue/composition-api").ComputedRef<string | boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    isPoster2: import("@vue/composition-api").ComputedRef<boolean>;
    showLoading: import("@vue/composition-api").ComputedRef<true | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showHeader: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showSubtitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAvatar: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showActions: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showStatus: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[])>;
    showContent: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showCover: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showFooter: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    baseCls: import("@vue/composition-api").ComputedRef<string[]>;
    bodyCls: import("@vue/composition-api").Ref<string>;
    footerCls: import("@vue/composition-api").Ref<string>;
    footerWrapperCls: import("@vue/composition-api").Ref<string>;
    coverCls: import("@vue/composition-api").Ref<string>;
    actionsCls: import("@vue/composition-api").Ref<string>;
    headerCls: import("@vue/composition-api").ComputedRef<string[]>;
    headerWrapperCls: import("@vue/composition-api").Ref<string>;
    headerAvatarCls: import("@vue/composition-api").Ref<string>;
    headerTitleCls: import("@vue/composition-api").Ref<string>;
    headerSubTitleCls: import("@vue/composition-api").Ref<string>;
    headerDescriptionCls: import("@vue/composition-api").Ref<string>;
    COMPONENT_NAME: import("@vue/composition-api").Ref<string>;
}>, import("@vue/composition-api").Data, {}, {
    renderLoading(): void;
    renderCover(): JSX.Element;
    renderHeader(): JSX.Element;
}, {}, {}, {}, {
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    size: "small" | "medium";
    status: string;
    theme: "normal" | "poster1" | "poster2";
    bordered: boolean;
    headerBordered: boolean;
    hoverShadow: boolean;
    shadow: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    footer?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cover?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    avatar?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    actions?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    loadingProps?: unknown;
    subtitle?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    size: "small" | "medium";
    status: string;
    theme: "normal" | "poster1" | "poster2";
    bordered: boolean;
    headerBordered: boolean;
    hoverShadow: boolean;
    shadow: boolean;
}, true>)>;
export default Card;
