import { TdCascaderProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    checkProps: {
        type: PropType<import("..").TdCheckboxProps>;
    };
    checkStrictly: BooleanConstructor;
    clearable: BooleanConstructor;
    collapsedItems: {
        type: PropType<(h: import("vue").CreateElement, props: {
            value: import("..").TreeOptionData<string | number>[];
            collapsedSelectedItems: import("..").TreeOptionData<string | number>[];
            count: number;
            onClose: (context: {
                index: number;
                e?: MouseEvent;
            }) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    disabled: BooleanConstructor;
    empty: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: PropType<(filterWords: string, node: import("..").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean | Promise<boolean>>;
    };
    filterable: BooleanConstructor;
    inputProps: {
        type: PropType<import("..").InputProps<import("..").InputValue>>;
    };
    keys: {
        type: PropType<import("..").TreeKeysType>;
    };
    label: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    load: {
        type: PropType<(node: import("..").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>>;
    };
    loading: BooleanConstructor;
    loadingText: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    minCollapsedNum: {
        type: NumberConstructor;
        default: number;
    };
    multiple: BooleanConstructor;
    option: {
        type: PropType<(h: import("vue").CreateElement, props: {
            item: import("..").TreeOptionData<string | number>;
            index: number;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    options: {
        type: PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => TdCascaderProps['options'];
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: PropType<import("..").TdPopupProps>;
    };
    popupVisible: BooleanConstructor;
    readonly: BooleanConstructor;
    reserveKeyword: BooleanConstructor;
    selectInputProps: {
        type: PropType<import("..").TdSelectInputProps>;
    };
    showAllLevels: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdCascaderProps['size']): boolean;
    };
    status: {
        type: PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: TdCascaderProps['status']): boolean;
    };
    suffix: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    suffixIcon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    tagInputProps: {
        type: PropType<import("..").TdTagInputProps>;
    };
    tagProps: {
        type: PropType<import("..").TdTagProps>;
    };
    tips: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    trigger: {
        type: PropType<"click" | "hover">;
        default: "click" | "hover";
        validator(val: TdCascaderProps['trigger']): boolean;
    };
    value: {
        type: PropType<import("./type").CascaderValue<import("..").TreeOptionData<string | number>>>;
        default: () => TdCascaderProps['value'];
    };
    defaultValue: {
        type: PropType<import("./type").CascaderValue<import("..").TreeOptionData<string | number>>>;
        default: () => TdCascaderProps['defaultValue'];
    };
    valueDisplay: {
        type: PropType<string | ((h: import("vue").CreateElement, props: {
            value: import("./type").CascaderValue<import("..").TreeOptionData<string | number>>;
            onClose: (index: number) => void;
            displayValue?: import("./type").CascaderValue<import("..").TreeOptionData<string | number>>;
            selectedOptions: import("..").TreeOptionData<string | number>[];
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    valueMode: {
        type: PropType<"all" | "onlyLeaf" | "parentFirst">;
        default: "all" | "onlyLeaf" | "parentFirst";
        validator(val: TdCascaderProps['valueMode']): boolean;
    };
    valueType: {
        type: PropType<"full" | "single">;
        default: "full" | "single";
        validator(val: TdCascaderProps['valueType']): boolean;
    };
    onBlur: PropType<(context: {
        value: import("./type").CascaderValue<import("..").TreeOptionData<string | number>>;
    } & import("..").PopupVisibleChangeContext & {
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    }) => void>;
    onChange: PropType<(value: import("./type").CascaderValue<import("..").TreeOptionData<string | number>>, context: import("./type").CascaderChangeContext<import("..").TreeOptionData<string | number>>) => void>;
    onFocus: PropType<(context: {
        value: import("./type").CascaderValue<import("..").TreeOptionData<string | number>>;
        e: FocusEvent;
    }) => void>;
    onPopupVisibleChange: PropType<(visible: boolean, context: import("..").PopupVisibleChangeContext) => void>;
    onRemove: PropType<(context: import("./type").RemoveContext<import("..").TreeOptionData<string | number>>) => void>;
};
export default _default;
