import { ComponentPublicInstance } from '@vue/composition-api';
import { VNode } from 'vue';
declare type Handler = (...args: unknown[]) => unknown;
declare type NodeElement = HTMLElement | VNode | ComponentPublicInstance;
export declare const useClickOutsider: () => {
    clickOutsiderId: number;
    addClickOutsider: (els: NodeElement[], handler: Handler) => void;
    removeClickOutsider: () => void;
};
export default useClickOutsider;
