import { ItemsType, TdDescriptionItem } from './interface';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    renderTitle: any;
    getRows: () => TdDescriptionItem[][];
    itemsType: import("@vue/composition-api").Ref<ItemsType>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    bordered: BooleanConstructor;
    colon: BooleanConstructor;
    column: {
        type: NumberConstructor;
        default: number;
    };
    contentStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    itemLayout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    items: {
        type: import("vue").PropType<import("./type").TdDescriptionItemProps[]>;
    };
    labelStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    bordered: BooleanConstructor;
    colon: BooleanConstructor;
    column: {
        type: NumberConstructor;
        default: number;
    };
    contentStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    itemLayout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    items: {
        type: import("vue").PropType<import("./type").TdDescriptionItemProps[]>;
    };
    labelStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    contentStyle?: import("..").Styles;
    items?: import("./type").TdDescriptionItemProps[];
    labelStyle?: import("..").Styles;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    renderTitle: any;
    getRows: () => TdDescriptionItem[][];
    itemsType: import("@vue/composition-api").Ref<ItemsType>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    contentStyle?: import("..").Styles;
    items?: import("./type").TdDescriptionItemProps[];
    labelStyle?: import("..").Styles;
}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
}, true>);
export default _default;
