import { Ref, UnwrapRef } from '@vue/composition-api';
export declare type UseLazyLoadParams = UnwrapRef<{
    type: 'lazy' | 'virtual';
    rowHeight?: number;
    bufferSize?: number;
}>;
export default function useLazyLoad(containerRef: Ref<HTMLElement>, childRef: Ref<HTMLElement>, params: UseLazyLoadParams): {
    hasLazyLoadHolder: import("@vue/composition-api").ComputedRef<boolean>;
    tRowHeight: import("@vue/composition-api").ComputedRef<number>;
};
