import { Instance } from '@popperjs/core';
import type { TNode } from '../common';
import type { TdPopupProps } from './type';
export interface PopupPluginApi {
    config: TdPopupProps;
}
export declare type PluginMethod = (triggerEl: string | HTMLElement, content: TNode, popupProps?: TdPopupProps) => Instance;
export declare const createPopupPlugin: PluginMethod;
export declare const PopupPlugin: PluginMethod & Vue.PluginObject<undefined>;
export default PopupPlugin;
declare module 'vue/types/vue' {
    interface Vue {
        $popup: PopupPluginApi;
    }
}
