import { RadioOption, RadioValue } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    barStyle: {
        width: string;
        left: string;
    };
    observer: any;
}, {
    addKeyboardListeners(): void;
    removeKeyboardListeners(): void;
    checkRadioInGroup(e: KeyboardEvent): void;
    handleRadioChange(value: RadioValue, context: {
        e: Event;
    }): void;
    calcDefaultBarStyle(): {
        offsetWidth: number;
        offsetLeft: number;
    };
    calcBarStyle(): void;
}, {
    checkedClassName: string;
}, {
    allowUncheck: boolean;
    disabled: any;
    name: string;
    options: RadioOption[];
    readonly: any;
    size: import("../common").SizeEnum;
    theme: "button" | "radio";
    value: any;
    defaultValue: RadioValue;
    variant: "outline" | "primary-filled" | "default-filled";
    onChange: (value: RadioValue, context: {
        e: Event;
        name?: string;
    }) => void;
}>;
export default _default;
