/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  disabled: Boolean,
  inputNumberProps: {
    type: [Boolean, Object],
    "default": false
  },
  label: {
    type: [String, Boolean, Function],
    "default": true
  },
  layout: {
    type: String,
    "default": "horizontal",
    validator: function validator(val) {
      if (!val) return true;
      return ["vertical", "horizontal"].includes(val);
    }
  },
  marks: {
    type: [Object, Array]
  },
  max: {
    type: Number,
    "default": 100
  },
  min: {
    type: Number,
    "default": 0
  },
  range: Boolean,
  step: {
    type: Number,
    "default": 1
  },
  tooltipProps: {
    type: Object
  },
  value: {
    type: [Number, Array]
  },
  defaultValue: {
    type: [Number, Array]
  },
  onChange: Function,
  onChangeEnd: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
