import { TdStepsProps, TdStepItemProps } from './type';
import './style';
export * from './type';
export declare type StepsProps = TdStepsProps;
export declare type StepItemProps = TdStepItemProps;
export declare const StepItem: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").StepsConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & import("./step-item").StepItemType, unknown, {
    renderIcon(): any;
    onStepClick(e: MouseEvent): void;
}, {
    current: string | number;
    baseClass: import("..").ClassName;
    iconClass: import("..").ClassName;
    canClick: boolean;
}, {
    index: number;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    extra: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    icon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    status: import("./type").StepStatus;
    title: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: string | number;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").StepsConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & import("./step-item").StepItemType, unknown, {
    renderIcon(): any;
    onStepClick(e: MouseEvent): void;
}, {
    current: string | number;
    baseClass: import("..").ClassName;
    iconClass: import("..").ClassName;
    canClick: boolean;
}, {
    index: number;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    extra: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    icon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    status: import("./type").StepStatus;
    title: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: string | number;
}>>;
export declare const Steps: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    indexMap: {};
}, {
    getOptions(): TdStepItemProps[];
    getOptionListBySlots(nodes: import("vue").VNode[]): TdStepItemProps[];
    handleTheme(): "default" | "dot";
    handleStatus(item: TdStepItemProps, index: number): "error" | "default" | "finish" | "process";
    handleChange(cur: string | number, prev: string | number, e: MouseEvent): void;
}, {
    baseClass: import("..").ClassName;
}, {
    current: string | number;
    defaultCurrent: string | number;
    layout: "vertical" | "horizontal";
    options: TdStepItemProps[];
    readonly: boolean;
    separator: "line" | "arrow" | "dashed";
    sequence: "reverse" | "positive";
    theme: "default" | "dot";
    onChange: (current: string | number, previous: string | number, context?: {
        e?: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    indexMap: {};
}, {
    getOptions(): TdStepItemProps[];
    getOptionListBySlots(nodes: import("vue").VNode[]): TdStepItemProps[];
    handleTheme(): "default" | "dot";
    handleStatus(item: TdStepItemProps, index: number): "error" | "default" | "finish" | "process";
    handleChange(cur: string | number, prev: string | number, e: MouseEvent): void;
}, {
    baseClass: import("..").ClassName;
}, {
    current: string | number;
    defaultCurrent: string | number;
    layout: "vertical" | "horizontal";
    options: TdStepItemProps[];
    readonly: boolean;
    separator: "line" | "arrow" | "dashed";
    sequence: "reverse" | "positive";
    theme: "default" | "dot";
    onChange: (current: string | number, previous: string | number, context?: {
        e?: MouseEvent;
    }) => void;
}>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    indexMap: {};
}, {
    getOptions(): TdStepItemProps[];
    getOptionListBySlots(nodes: import("vue").VNode[]): TdStepItemProps[];
    handleTheme(): "default" | "dot";
    handleStatus(item: TdStepItemProps, index: number): "error" | "default" | "finish" | "process";
    handleChange(cur: string | number, prev: string | number, e: MouseEvent): void;
}, {
    baseClass: import("..").ClassName;
}, {
    current: string | number;
    defaultCurrent: string | number;
    layout: "vertical" | "horizontal";
    options: TdStepItemProps[];
    readonly: boolean;
    separator: "line" | "arrow" | "dashed";
    sequence: "reverse" | "positive";
    theme: "default" | "dot";
    onChange: (current: string | number, previous: string | number, context?: {
        e?: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    indexMap: {};
}, {
    getOptions(): TdStepItemProps[];
    getOptionListBySlots(nodes: import("vue").VNode[]): TdStepItemProps[];
    handleTheme(): "default" | "dot";
    handleStatus(item: TdStepItemProps, index: number): "error" | "default" | "finish" | "process";
    handleChange(cur: string | number, prev: string | number, e: MouseEvent): void;
}, {
    baseClass: import("..").ClassName;
}, {
    current: string | number;
    defaultCurrent: string | number;
    layout: "vertical" | "horizontal";
    options: TdStepItemProps[];
    readonly: boolean;
    separator: "line" | "arrow" | "dashed";
    sequence: "reverse" | "positive";
    theme: "default" | "dot";
    onChange: (current: string | number, previous: string | number, context?: {
        e?: MouseEvent;
    }) => void;
}>>>;
export default Steps;
