import { VNode } from 'vue';
import { ClassName } from '../common';
import { TdStepsProps, TdStepItemProps } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    indexMap: {};
}, {
    getOptions(): TdStepItemProps[];
    getOptionListBySlots(nodes: VNode[]): TdStepItemProps[];
    handleTheme(): "default" | "dot";
    handleStatus(item: TdStepItemProps, index: number): "error" | "default" | "finish" | "process";
    handleChange(cur: TdStepsProps['current'], prev: TdStepsProps['current'], e: MouseEvent): void;
}, {
    baseClass: ClassName;
}, {
    current: string | number;
    defaultCurrent: string | number;
    layout: "vertical" | "horizontal";
    options: TdStepItemProps[];
    readonly: boolean;
    separator: "line" | "arrow" | "dashed";
    sequence: "reverse" | "positive";
    theme: "default" | "dot";
    onChange: (current: string | number, previous: string | number, context?: {
        e?: MouseEvent;
    }) => void;
}>;
export default _default;
