import { VNode } from 'vue';
import type { ClassName, Styles } from '../common';
import type { TdStickyItemProps } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, {
    getList(): TdStickyItemProps[];
    getListBySlots(nodes: VNode[]): TdStickyItemProps[];
    getOffset(): Styles;
    handleClick(context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }): void;
    handleHover(context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }): void;
}, {
    classes: ClassName;
    styles: Styles;
}, {
    list: TdStickyItemProps[];
    offset: (string | number)[];
    placement: "left-top" | "left-bottom" | "right-top" | "right-bottom" | "right-center" | "left-center";
    popupProps: import("..").TdPopupProps;
    shape: "square" | "round";
    type: "normal" | "compact";
    width: string | number;
    onClick: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    onHover: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
}>;
export default _default;
