/// <reference types="sortablejs" />
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<import("@vue/composition-api").Data> & import("@vue/composition-api").Data, {}, {}, {
    asyncLoading: {
        type: import("vue").PropType<"loading" | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | "load-more">;
    };
    columnController: {
        type: import("vue").PropType<import("./type").TableColumnController>;
    };
    columnControllerVisible: {
        type: BooleanConstructor;
        default: any;
    };
    defaultColumnControllerVisible: {
        type: BooleanConstructor;
        default: any;
    };
    columns: {
        type: import("vue").PropType<import("./type").PrimaryTableCol<import("./type").TableRowData>[]>;
        default: () => import("./type").PrimaryTableCol<import("./type").TableRowData>[];
    };
    displayColumns: {
        type: import("vue").PropType<import("..").CheckboxGroupValue>;
    };
    defaultDisplayColumns: {
        type: import("vue").PropType<import("..").CheckboxGroupValue>;
    };
    dragSort: {
        type: import("vue").PropType<"col" | "row" | "row-handler" | "row-handler-col" | "drag-col">;
        validator(val: "col" | "row" | "row-handler" | "row-handler-col" | "drag-col"): boolean;
    };
    dragSortOptions: {
        type: import("vue").PropType<import("sortablejs").SortableOptions>;
    };
    editableCellState: {
        type: import("vue").PropType<import("./type").EditableCellType<import("./type").TableRowData>>;
    };
    editableRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement, props: import("./type").ExpandArrowRenderParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    expandOnRowClick: BooleanConstructor;
    expandedRow: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: import("./type").TableExpandedRowParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    expandedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    defaultExpandedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    filterIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: {
            col: import("./type").PrimaryTableCol<import("./type").TableRowData>;
            colIndex: number;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    filterRow: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filterValue: {
        type: import("vue").PropType<import("./type").FilterValue>;
    };
    defaultFilterValue: {
        type: import("vue").PropType<import("./type").FilterValue>;
    };
    hideSortTips: BooleanConstructor;
    indeterminateSelectedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
    };
    multipleSort: BooleanConstructor;
    reserveSelectedRowOnPaginate: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowSelectionAllowUncheck: BooleanConstructor;
    rowSelectionType: {
        type: import("vue").PropType<"multiple" | "single">;
        validator(val: "multiple" | "single"): boolean;
    };
    selectOnRowClick: BooleanConstructor;
    selectedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    defaultSelectedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    showSortColumnBgColor: BooleanConstructor;
    sort: {
        type: import("vue").PropType<import("./type").TableSort>;
    };
    defaultSort: {
        type: import("vue").PropType<import("./type").TableSort>;
    };
    sortIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    sortOnRowDraggable: BooleanConstructor;
    onAsyncLoadingClick: import("vue").PropType<(context: {
        status: "loading" | "load-more";
    }) => void>;
    onCellClick: import("vue").PropType<(context: import("./type").PrimaryTableCellEventContext<import("./type").TableRowData>) => void>;
    onChange: import("vue").PropType<(data: import("./type").TableChangeData, context: import("./type").TableChangeContext<import("./type").TableRowData>) => void>;
    onColumnChange: import("vue").PropType<(context: import("./type").PrimaryTableColumnChange<import("./type").TableRowData>) => void>;
    onColumnControllerVisibleChange: import("vue").PropType<(visible: boolean, context: {
        trigger: "cancel" | "confirm";
    }) => void>;
    onDataChange: import("vue").PropType<(data: import("./type").TableRowData[], context: import("./type").TableDataChangeContext) => void>;
    onDisplayColumnsChange: import("vue").PropType<(value: import("..").CheckboxGroupValue) => void>;
    onDragSort: import("vue").PropType<(context: import("./type").DragSortContext<import("./type").TableRowData>) => void>;
    onExpandChange: import("vue").PropType<(expandedRowKeys: (string | number)[], options: import("./type").ExpandOptions<import("./type").TableRowData>) => void>;
    onFilterChange: import("vue").PropType<(filterValue: import("./type").FilterValue, context: import("./type").TableFilterChangeContext<import("./type").TableRowData>) => void>;
    onRowEdit: import("vue").PropType<(context: import("./type").PrimaryTableRowEditContext<import("./type").TableRowData>) => void>;
    onRowValidate: import("vue").PropType<(context: import("./type").PrimaryTableRowValidateContext<import("./type").TableRowData>) => void>;
    onSelectChange: import("vue").PropType<(selectedRowKeys: (string | number)[], options: import("./type").SelectOptions<import("./type").TableRowData>) => void>;
    onSortChange: import("vue").PropType<(sort: import("./type").TableSort, options: import("./type").SortOptions<import("./type").TableRowData>) => void>;
    onValidate: import("vue").PropType<(context: import("./type").PrimaryTableValidateContext) => void>;
    activeRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    defaultActiveRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    activeRowType: {
        type: import("vue").PropType<"multiple" | "single">;
        default: string;
    };
    allowResizeColumnWidth: {
        type: BooleanConstructor;
        default: any;
    };
    attach: {
        type: import("vue").PropType<import("..").AttachNode>;
    };
    bordered: BooleanConstructor;
    bottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cellEmptyContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement, props: import("./type").BaseTableCellParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    data: {
        type: import("vue").PropType<import("./type").TableRowData[]>;
        default: () => import("./type").TableRowData[];
    };
    disableDataPage: BooleanConstructor;
    disableSpaceInactiveRow: {
        type: BooleanConstructor;
        default: any;
    };
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    firstFullRow: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    fixedRows: {
        type: import("vue").PropType<number[]>;
    };
    footData: {
        type: import("vue").PropType<import("./type").TableRowData[]>;
        default: () => import("./type").TableRowData[];
    };
    footerAffixProps: {
        type: import("vue").PropType<Partial<import("..").TdAffixProps>>;
    };
    footerAffixedBottom: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
        default: boolean;
    };
    footerSummary: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerAffixProps: {
        type: import("vue").PropType<Partial<import("..").TdAffixProps>>;
    };
    headerAffixedTop: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
        default: boolean;
    };
    height: {
        type: import("vue").PropType<string | number>;
    };
    horizontalScrollAffixedBottom: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
    };
    hover: BooleanConstructor;
    keyboardRowHover: {
        type: BooleanConstructor;
        default: boolean;
    };
    lastFullRow: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    lazyLoad: BooleanConstructor;
    loading: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    loadingProps: {
        type: import("vue").PropType<Partial<import("..").TdLoadingProps>>;
    };
    locale: {
        type: import("vue").PropType<import("..").TableConfig>;
    };
    maxHeight: {
        type: import("vue").PropType<string | number>;
    };
    pagination: {
        type: import("vue").PropType<import("..").TdPaginationProps>;
    };
    paginationAffixedBottom: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
    };
    resizable: BooleanConstructor;
    rowAttributes: {
        type: import("vue").PropType<import("./type").TableRowAttributes<import("./type").TableRowData>>;
    };
    rowClassName: {
        type: import("vue").PropType<import("..").ClassName | ((params: import("./type").RowClassNameParams<import("./type").TableRowData>) => import("..").ClassName)>;
    };
    rowKey: {
        type: StringConstructor;
        default: string;
        required: boolean;
    };
    rowspanAndColspan: {
        type: import("vue").PropType<import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>>;
    };
    rowspanAndColspanInFooter: {
        type: import("vue").PropType<import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>>;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        validator(val: import("..").SizeEnum): boolean;
    };
    stripe: BooleanConstructor;
    tableContentWidth: {
        type: StringConstructor;
        default: string;
    };
    tableLayout: {
        type: import("vue").PropType<"fixed" | "auto">;
        default: "fixed" | "auto";
        validator(val: "fixed" | "auto"): boolean;
    };
    topContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    verticalAlign: {
        type: import("vue").PropType<"top" | "bottom" | "middle">;
        default: "top" | "bottom" | "middle";
        validator(val: "top" | "bottom" | "middle"): boolean;
    };
    onActiveChange: import("vue").PropType<(activeRowKeys: (string | number)[], context: import("./type").ActiveChangeContext<import("./type").TableRowData>) => void>;
    onActiveRowAction: import("vue").PropType<(context: import("./type").ActiveRowActionContext<import("./type").TableRowData>) => void>;
    onColumnResizeChange: import("vue").PropType<(context: {
        columnsWidth: {
            [colKey: string]: number;
        };
    }) => void>;
    onPageChange: import("vue").PropType<(pageInfo: import("..").PageInfo, newDataSource: import("./type").TableRowData[]) => void>;
    onRowClick: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowDblclick: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMousedown: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseenter: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseleave: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseover: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseup: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onScroll: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
    onScrollX: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
    onScrollY: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    asyncLoading: {
        type: import("vue").PropType<"loading" | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | "load-more">;
    };
    columnController: {
        type: import("vue").PropType<import("./type").TableColumnController>;
    };
    columnControllerVisible: {
        type: BooleanConstructor;
        default: any;
    };
    defaultColumnControllerVisible: {
        type: BooleanConstructor;
        default: any;
    };
    columns: {
        type: import("vue").PropType<import("./type").PrimaryTableCol<import("./type").TableRowData>[]>;
        default: () => import("./type").PrimaryTableCol<import("./type").TableRowData>[];
    };
    displayColumns: {
        type: import("vue").PropType<import("..").CheckboxGroupValue>;
    };
    defaultDisplayColumns: {
        type: import("vue").PropType<import("..").CheckboxGroupValue>;
    };
    dragSort: {
        type: import("vue").PropType<"col" | "row" | "row-handler" | "row-handler-col" | "drag-col">;
        validator(val: "col" | "row" | "row-handler" | "row-handler-col" | "drag-col"): boolean;
    };
    dragSortOptions: {
        type: import("vue").PropType<import("sortablejs").SortableOptions>;
    };
    editableCellState: {
        type: import("vue").PropType<import("./type").EditableCellType<import("./type").TableRowData>>;
    };
    editableRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement, props: import("./type").ExpandArrowRenderParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    expandOnRowClick: BooleanConstructor;
    expandedRow: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: import("./type").TableExpandedRowParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    expandedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    defaultExpandedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    filterIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: {
            col: import("./type").PrimaryTableCol<import("./type").TableRowData>;
            colIndex: number;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    filterRow: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filterValue: {
        type: import("vue").PropType<import("./type").FilterValue>;
    };
    defaultFilterValue: {
        type: import("vue").PropType<import("./type").FilterValue>;
    };
    hideSortTips: BooleanConstructor;
    indeterminateSelectedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
    };
    multipleSort: BooleanConstructor;
    reserveSelectedRowOnPaginate: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowSelectionAllowUncheck: BooleanConstructor;
    rowSelectionType: {
        type: import("vue").PropType<"multiple" | "single">;
        validator(val: "multiple" | "single"): boolean;
    };
    selectOnRowClick: BooleanConstructor;
    selectedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    defaultSelectedRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    showSortColumnBgColor: BooleanConstructor;
    sort: {
        type: import("vue").PropType<import("./type").TableSort>;
    };
    defaultSort: {
        type: import("vue").PropType<import("./type").TableSort>;
    };
    sortIcon: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    sortOnRowDraggable: BooleanConstructor;
    onAsyncLoadingClick: import("vue").PropType<(context: {
        status: "loading" | "load-more";
    }) => void>;
    onCellClick: import("vue").PropType<(context: import("./type").PrimaryTableCellEventContext<import("./type").TableRowData>) => void>;
    onChange: import("vue").PropType<(data: import("./type").TableChangeData, context: import("./type").TableChangeContext<import("./type").TableRowData>) => void>;
    onColumnChange: import("vue").PropType<(context: import("./type").PrimaryTableColumnChange<import("./type").TableRowData>) => void>;
    onColumnControllerVisibleChange: import("vue").PropType<(visible: boolean, context: {
        trigger: "cancel" | "confirm";
    }) => void>;
    onDataChange: import("vue").PropType<(data: import("./type").TableRowData[], context: import("./type").TableDataChangeContext) => void>;
    onDisplayColumnsChange: import("vue").PropType<(value: import("..").CheckboxGroupValue) => void>;
    onDragSort: import("vue").PropType<(context: import("./type").DragSortContext<import("./type").TableRowData>) => void>;
    onExpandChange: import("vue").PropType<(expandedRowKeys: (string | number)[], options: import("./type").ExpandOptions<import("./type").TableRowData>) => void>;
    onFilterChange: import("vue").PropType<(filterValue: import("./type").FilterValue, context: import("./type").TableFilterChangeContext<import("./type").TableRowData>) => void>;
    onRowEdit: import("vue").PropType<(context: import("./type").PrimaryTableRowEditContext<import("./type").TableRowData>) => void>;
    onRowValidate: import("vue").PropType<(context: import("./type").PrimaryTableRowValidateContext<import("./type").TableRowData>) => void>;
    onSelectChange: import("vue").PropType<(selectedRowKeys: (string | number)[], options: import("./type").SelectOptions<import("./type").TableRowData>) => void>;
    onSortChange: import("vue").PropType<(sort: import("./type").TableSort, options: import("./type").SortOptions<import("./type").TableRowData>) => void>;
    onValidate: import("vue").PropType<(context: import("./type").PrimaryTableValidateContext) => void>;
    activeRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    defaultActiveRowKeys: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    activeRowType: {
        type: import("vue").PropType<"multiple" | "single">;
        default: string;
    };
    allowResizeColumnWidth: {
        type: BooleanConstructor;
        default: any;
    };
    attach: {
        type: import("vue").PropType<import("..").AttachNode>;
    };
    bordered: BooleanConstructor;
    bottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cellEmptyContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement, props: import("./type").BaseTableCellParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    data: {
        type: import("vue").PropType<import("./type").TableRowData[]>;
        default: () => import("./type").TableRowData[];
    };
    disableDataPage: BooleanConstructor;
    disableSpaceInactiveRow: {
        type: BooleanConstructor;
        default: any;
    };
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    firstFullRow: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    fixedRows: {
        type: import("vue").PropType<number[]>;
    };
    footData: {
        type: import("vue").PropType<import("./type").TableRowData[]>;
        default: () => import("./type").TableRowData[];
    };
    footerAffixProps: {
        type: import("vue").PropType<Partial<import("..").TdAffixProps>>;
    };
    footerAffixedBottom: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
        default: boolean;
    };
    footerSummary: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerAffixProps: {
        type: import("vue").PropType<Partial<import("..").TdAffixProps>>;
    };
    headerAffixedTop: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
        default: boolean;
    };
    height: {
        type: import("vue").PropType<string | number>;
    };
    horizontalScrollAffixedBottom: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
    };
    hover: BooleanConstructor;
    keyboardRowHover: {
        type: BooleanConstructor;
        default: boolean;
    };
    lastFullRow: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    lazyLoad: BooleanConstructor;
    loading: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    loadingProps: {
        type: import("vue").PropType<Partial<import("..").TdLoadingProps>>;
    };
    locale: {
        type: import("vue").PropType<import("..").TableConfig>;
    };
    maxHeight: {
        type: import("vue").PropType<string | number>;
    };
    pagination: {
        type: import("vue").PropType<import("..").TdPaginationProps>;
    };
    paginationAffixedBottom: {
        type: import("vue").PropType<boolean | Partial<import("..").TdAffixProps>>;
    };
    resizable: BooleanConstructor;
    rowAttributes: {
        type: import("vue").PropType<import("./type").TableRowAttributes<import("./type").TableRowData>>;
    };
    rowClassName: {
        type: import("vue").PropType<import("..").ClassName | ((params: import("./type").RowClassNameParams<import("./type").TableRowData>) => import("..").ClassName)>;
    };
    rowKey: {
        type: StringConstructor;
        default: string;
        required: boolean;
    };
    rowspanAndColspan: {
        type: import("vue").PropType<import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>>;
    };
    rowspanAndColspanInFooter: {
        type: import("vue").PropType<import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>>;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        validator(val: import("..").SizeEnum): boolean;
    };
    stripe: BooleanConstructor;
    tableContentWidth: {
        type: StringConstructor;
        default: string;
    };
    tableLayout: {
        type: import("vue").PropType<"fixed" | "auto">;
        default: "fixed" | "auto";
        validator(val: "fixed" | "auto"): boolean;
    };
    topContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    verticalAlign: {
        type: import("vue").PropType<"top" | "bottom" | "middle">;
        default: "top" | "bottom" | "middle";
        validator(val: "top" | "bottom" | "middle"): boolean;
    };
    onActiveChange: import("vue").PropType<(activeRowKeys: (string | number)[], context: import("./type").ActiveChangeContext<import("./type").TableRowData>) => void>;
    onActiveRowAction: import("vue").PropType<(context: import("./type").ActiveRowActionContext<import("./type").TableRowData>) => void>;
    onColumnResizeChange: import("vue").PropType<(context: {
        columnsWidth: {
            [colKey: string]: number;
        };
    }) => void>;
    onPageChange: import("vue").PropType<(pageInfo: import("..").PageInfo, newDataSource: import("./type").TableRowData[]) => void>;
    onRowClick: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowDblclick: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMousedown: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseenter: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseleave: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseover: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onRowMouseup: import("vue").PropType<(context: import("./type").RowEventContext<import("./type").TableRowData>) => void>;
    onScroll: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
    onScrollX: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
    onScrollY: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    data: import("./type").TableRowData[];
    columns: import("./type").PrimaryTableCol<import("./type").TableRowData>[];
    tableLayout: "fixed" | "auto";
    verticalAlign: "top" | "bottom" | "middle";
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    hover: boolean;
    lazyLoad: boolean;
    bordered: boolean;
    showHeader: boolean;
    stripe: boolean;
    activeRowKeys: (string | number)[];
    defaultActiveRowKeys: (string | number)[];
    activeRowType: "multiple" | "single";
    allowResizeColumnWidth: boolean;
    disableDataPage: boolean;
    disableSpaceInactiveRow: boolean;
    footData: import("./type").TableRowData[];
    footerAffixedBottom: boolean;
    headerAffixedTop: boolean;
    keyboardRowHover: boolean;
    resizable: boolean;
    rowKey: string;
    tableContentWidth: string;
    columnControllerVisible: boolean;
    defaultColumnControllerVisible: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement, props: import("./type").ExpandArrowRenderParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandedRowKeys: (string | number)[];
    defaultExpandedRowKeys: (string | number)[];
    hideSortTips: boolean;
    multipleSort: boolean;
    reserveSelectedRowOnPaginate: boolean;
    rowSelectionAllowUncheck: boolean;
    selectOnRowClick: boolean;
    selectedRowKeys: (string | number)[];
    defaultSelectedRowKeys: (string | number)[];
    showSortColumnBgColor: boolean;
    sortOnRowDraggable: boolean;
} & {
    sort?: import("./type").TableSort;
    height?: string | number;
    maxHeight?: string | number;
    scroll?: import("..").TScroll;
    size?: import("..").SizeEnum;
    onChange?: (data: import("./type").TableChangeData, context: import("./type").TableChangeContext<import("./type").TableRowData>) => void;
    attach?: import("..").AttachNode;
    pagination?: unknown;
    onValidate?: (context: import("./type").PrimaryTableValidateContext) => void;
    onScroll?: (params: {
        e: WheelEvent;
    }) => void;
    onDragSort?: (context: import("./type").DragSortContext<import("./type").TableRowData>) => void;
    dragSort?: "col" | "row" | "row-handler" | "row-handler-col" | "drag-col";
    onCellClick?: (context: import("./type").PrimaryTableCellEventContext<import("./type").TableRowData>) => void;
    onPageChange?: (pageInfo: import("..").PageInfo, newDataSource: import("./type").TableRowData[]) => void;
    filterValue?: unknown;
    loadingProps?: unknown;
    asyncLoading?: "loading" | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | "load-more";
    bottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cellEmptyContent?: string | ((h: import("vue").CreateElement, props: import("./type").BaseTableCellParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue);
    firstFullRow?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    fixedRows?: number[];
    footerAffixProps?: unknown;
    footerSummary?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerAffixProps?: unknown;
    horizontalScrollAffixedBottom?: unknown;
    lastFullRow?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    locale?: unknown;
    paginationAffixedBottom?: unknown;
    rowAttributes?: import("./type").TableRowAttributes<import("./type").TableRowData>;
    rowClassName?: unknown;
    rowspanAndColspan?: import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>;
    rowspanAndColspanInFooter?: import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>;
    topContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onActiveChange?: (activeRowKeys: (string | number)[], context: import("./type").ActiveChangeContext<import("./type").TableRowData>) => void;
    onActiveRowAction?: (context: import("./type").ActiveRowActionContext<import("./type").TableRowData>) => void;
    onColumnResizeChange?: (context: {
        columnsWidth: {
            [colKey: string]: number;
        };
    }) => void;
    onRowClick?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowDblclick?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMousedown?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseenter?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseleave?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseover?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseup?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onScrollX?: (params: {
        e: WheelEvent;
    }) => void;
    onScrollY?: (params: {
        e: WheelEvent;
    }) => void;
    sortIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    filterIcon?: (h: import("vue").CreateElement, props: {
        col: import("./type").PrimaryTableCol<import("./type").TableRowData>;
        colIndex: number;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    columnController?: unknown;
    displayColumns?: import("..").CheckboxGroupValue;
    defaultDisplayColumns?: import("..").CheckboxGroupValue;
    dragSortOptions?: unknown;
    editableCellState?: import("./type").EditableCellType<import("./type").TableRowData>;
    editableRowKeys?: (string | number)[];
    expandedRow?: (h: import("vue").CreateElement, props: import("./type").TableExpandedRowParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue;
    filterRow?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultFilterValue?: unknown;
    indeterminateSelectedRowKeys?: (string | number)[];
    rowSelectionType?: "multiple" | "single";
    defaultSort?: import("./type").TableSort;
    onAsyncLoadingClick?: (context: {
        status: "loading" | "load-more";
    }) => void;
    onColumnChange?: (context: import("./type").PrimaryTableColumnChange<import("./type").TableRowData>) => void;
    onColumnControllerVisibleChange?: (visible: boolean, context: {
        trigger: "cancel" | "confirm";
    }) => void;
    onDataChange?: (data: import("./type").TableRowData[], context: import("./type").TableDataChangeContext) => void;
    onDisplayColumnsChange?: (value: import("..").CheckboxGroupValue) => void;
    onExpandChange?: (expandedRowKeys: (string | number)[], options: import("./type").ExpandOptions<import("./type").TableRowData>) => void;
    onFilterChange?: (filterValue: import("./type").FilterValue, context: import("./type").TableFilterChangeContext<import("./type").TableRowData>) => void;
    onRowEdit?: (context: import("./type").PrimaryTableRowEditContext<import("./type").TableRowData>) => void;
    onRowValidate?: (context: import("./type").PrimaryTableRowValidateContext<import("./type").TableRowData>) => void;
    onSelectChange?: (selectedRowKeys: (string | number)[], options: import("./type").SelectOptions<import("./type").TableRowData>) => void;
    onSortChange?: (sort: import("./type").TableSort, options: import("./type").SortOptions<import("./type").TableRowData>) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<import("@vue/composition-api").Data>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    data: import("./type").TableRowData[];
    columns: import("./type").PrimaryTableCol<import("./type").TableRowData>[];
    tableLayout: "fixed" | "auto";
    verticalAlign: "top" | "bottom" | "middle";
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    hover: boolean;
    lazyLoad: boolean;
    bordered: boolean;
    showHeader: boolean;
    stripe: boolean;
    activeRowKeys: (string | number)[];
    defaultActiveRowKeys: (string | number)[];
    activeRowType: "multiple" | "single";
    allowResizeColumnWidth: boolean;
    disableDataPage: boolean;
    disableSpaceInactiveRow: boolean;
    footData: import("./type").TableRowData[];
    footerAffixedBottom: boolean;
    headerAffixedTop: boolean;
    keyboardRowHover: boolean;
    resizable: boolean;
    rowKey: string;
    tableContentWidth: string;
    columnControllerVisible: boolean;
    defaultColumnControllerVisible: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement, props: import("./type").ExpandArrowRenderParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandedRowKeys: (string | number)[];
    defaultExpandedRowKeys: (string | number)[];
    hideSortTips: boolean;
    multipleSort: boolean;
    reserveSelectedRowOnPaginate: boolean;
    rowSelectionAllowUncheck: boolean;
    selectOnRowClick: boolean;
    selectedRowKeys: (string | number)[];
    defaultSelectedRowKeys: (string | number)[];
    showSortColumnBgColor: boolean;
    sortOnRowDraggable: boolean;
} & {
    sort?: import("./type").TableSort;
    height?: string | number;
    maxHeight?: string | number;
    scroll?: import("..").TScroll;
    size?: import("..").SizeEnum;
    onChange?: (data: import("./type").TableChangeData, context: import("./type").TableChangeContext<import("./type").TableRowData>) => void;
    attach?: import("..").AttachNode;
    pagination?: unknown;
    onValidate?: (context: import("./type").PrimaryTableValidateContext) => void;
    onScroll?: (params: {
        e: WheelEvent;
    }) => void;
    onDragSort?: (context: import("./type").DragSortContext<import("./type").TableRowData>) => void;
    dragSort?: "col" | "row" | "row-handler" | "row-handler-col" | "drag-col";
    onCellClick?: (context: import("./type").PrimaryTableCellEventContext<import("./type").TableRowData>) => void;
    onPageChange?: (pageInfo: import("..").PageInfo, newDataSource: import("./type").TableRowData[]) => void;
    filterValue?: unknown;
    loadingProps?: unknown;
    asyncLoading?: "loading" | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | "load-more";
    bottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cellEmptyContent?: string | ((h: import("vue").CreateElement, props: import("./type").BaseTableCellParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue);
    firstFullRow?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    fixedRows?: number[];
    footerAffixProps?: unknown;
    footerSummary?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerAffixProps?: unknown;
    horizontalScrollAffixedBottom?: unknown;
    lastFullRow?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    locale?: unknown;
    paginationAffixedBottom?: unknown;
    rowAttributes?: import("./type").TableRowAttributes<import("./type").TableRowData>;
    rowClassName?: unknown;
    rowspanAndColspan?: import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>;
    rowspanAndColspanInFooter?: import("./type").TableRowspanAndColspanFunc<import("./type").TableRowData>;
    topContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onActiveChange?: (activeRowKeys: (string | number)[], context: import("./type").ActiveChangeContext<import("./type").TableRowData>) => void;
    onActiveRowAction?: (context: import("./type").ActiveRowActionContext<import("./type").TableRowData>) => void;
    onColumnResizeChange?: (context: {
        columnsWidth: {
            [colKey: string]: number;
        };
    }) => void;
    onRowClick?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowDblclick?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMousedown?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseenter?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseleave?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseover?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onRowMouseup?: (context: import("./type").RowEventContext<import("./type").TableRowData>) => void;
    onScrollX?: (params: {
        e: WheelEvent;
    }) => void;
    onScrollY?: (params: {
        e: WheelEvent;
    }) => void;
    sortIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    filterIcon?: (h: import("vue").CreateElement, props: {
        col: import("./type").PrimaryTableCol<import("./type").TableRowData>;
        colIndex: number;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    columnController?: unknown;
    displayColumns?: import("..").CheckboxGroupValue;
    defaultDisplayColumns?: import("..").CheckboxGroupValue;
    dragSortOptions?: unknown;
    editableCellState?: import("./type").EditableCellType<import("./type").TableRowData>;
    editableRowKeys?: (string | number)[];
    expandedRow?: (h: import("vue").CreateElement, props: import("./type").TableExpandedRowParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue;
    filterRow?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultFilterValue?: unknown;
    indeterminateSelectedRowKeys?: (string | number)[];
    rowSelectionType?: "multiple" | "single";
    defaultSort?: import("./type").TableSort;
    onAsyncLoadingClick?: (context: {
        status: "loading" | "load-more";
    }) => void;
    onColumnChange?: (context: import("./type").PrimaryTableColumnChange<import("./type").TableRowData>) => void;
    onColumnControllerVisibleChange?: (visible: boolean, context: {
        trigger: "cancel" | "confirm";
    }) => void;
    onDataChange?: (data: import("./type").TableRowData[], context: import("./type").TableDataChangeContext) => void;
    onDisplayColumnsChange?: (value: import("..").CheckboxGroupValue) => void;
    onExpandChange?: (expandedRowKeys: (string | number)[], options: import("./type").ExpandOptions<import("./type").TableRowData>) => void;
    onFilterChange?: (filterValue: import("./type").FilterValue, context: import("./type").TableFilterChangeContext<import("./type").TableRowData>) => void;
    onRowEdit?: (context: import("./type").PrimaryTableRowEditContext<import("./type").TableRowData>) => void;
    onRowValidate?: (context: import("./type").PrimaryTableRowValidateContext<import("./type").TableRowData>) => void;
    onSelectChange?: (selectedRowKeys: (string | number)[], options: import("./type").SelectOptions<import("./type").TableRowData>) => void;
    onSortChange?: (sort: import("./type").TableSort, options: import("./type").SortOptions<import("./type").TableRowData>) => void;
}, {
    data: import("./type").TableRowData[];
    columns: import("./type").PrimaryTableCol<import("./type").TableRowData>[];
    tableLayout: "fixed" | "auto";
    verticalAlign: "top" | "bottom" | "middle";
    loading: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    hover: boolean;
    lazyLoad: boolean;
    bordered: boolean;
    showHeader: boolean;
    stripe: boolean;
    activeRowKeys: (string | number)[];
    defaultActiveRowKeys: (string | number)[];
    activeRowType: "multiple" | "single";
    allowResizeColumnWidth: boolean;
    disableDataPage: boolean;
    disableSpaceInactiveRow: boolean;
    footData: import("./type").TableRowData[];
    footerAffixedBottom: boolean;
    headerAffixedTop: boolean;
    keyboardRowHover: boolean;
    resizable: boolean;
    rowKey: string;
    tableContentWidth: string;
    columnControllerVisible: boolean;
    defaultColumnControllerVisible: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement, props: import("./type").ExpandArrowRenderParams<import("./type").TableRowData>) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandedRowKeys: (string | number)[];
    defaultExpandedRowKeys: (string | number)[];
    hideSortTips: boolean;
    multipleSort: boolean;
    reserveSelectedRowOnPaginate: boolean;
    rowSelectionAllowUncheck: boolean;
    selectOnRowClick: boolean;
    selectedRowKeys: (string | number)[];
    defaultSelectedRowKeys: (string | number)[];
    showSortColumnBgColor: boolean;
    sortOnRowDraggable: boolean;
}, true>);
export default _default;
