import { SetupContext, ComputedRef } from '@vue/composition-api';
import { TdPrimaryTableProps, PrimaryTableCol } from '../type';
import { PaginationProps } from '../../pagination';
export default function useDragSort(props: TdPrimaryTableProps, context: SetupContext, extraParams: ComputedRef<{
    showElement: boolean;
    pagination: PaginationProps;
}>): {
    isRowDraggable: ComputedRef<boolean>;
    isRowHandlerDraggable: ComputedRef<boolean>;
    isColDraggable: ComputedRef<boolean>;
    setDragSortPrimaryTableRef: (primaryTableElement: any) => void;
    setDragSortColumns: (val: PrimaryTableCol[]) => void;
};
