import { SetupContext, Ref } from '@vue/composition-api';
export interface UseHoverParams {
    readonly: Ref<boolean>;
    disabled: Ref<boolean>;
    onMouseenter: (context: {
        e: MouseEvent;
    }) => void;
    onMouseleave: (context: {
        e: MouseEvent;
    }) => void;
}
export default function useHover(props: UseHoverParams, { emit }: SetupContext): {
    isHover: Ref<boolean>;
    addHover: (context: {
        e: MouseEvent;
    }) => void;
    cancelHover: (context: {
        e: MouseEvent;
    }) => void;
};
