/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Tag from './tag.js';
import _CheckTag from './check-tag.js';
import _CheckTagGroup from './check-tag-group.js';
import { withInstall } from '../utils/withInstall.js';
import './style/index.js';
import './type.js';
import '@babel/runtime/helpers/typeof';
import '@babel/runtime/helpers/defineProperty';
import 'tdesign-icons-vue';
import 'tinycolor2';
import 'lodash-es';
import './props.js';
import '../utils/mixins.js';
import 'vue';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-a883488c.js';
import '../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../_chunks/dep-9d1c0d31.js';
import '../config-provider/type.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../utils/event.js';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../_chunks/dep-8db32566.js';
import './check-tag-props.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../hooks/useVModel.js';
import '../_common/js/common.js';
import '../hooks/index.js';
import '../hooks/slots.js';
import '../hooks/useCommonClassName.js';
import '../hooks/useDefaultValue.js';
import '../hooks/useDestroyOnClose.js';
import '../hooks/useElementLazyRender.js';
import '../_common/js/utils/observe.js';
import '../hooks/useFormDisabled.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useLazyLoad.js';
import '../hooks/useResizeObserver.js';
import '../hooks/useVirtualScrollNew.js';
import '@babel/runtime/helpers/toConsumableArray';
import '../hooks/useImagePreviewUrl.js';
import '../_common/js/upload/utils.js';
import '../_common/js/log/log.js';
import './check-tag-group-props.js';

var Tag = withInstall(_Tag);
var CheckTag = withInstall(_CheckTag);
var CheckTagGroup = withInstall(_CheckTagGroup);

export { CheckTag, CheckTagGroup, Tag, Tag as default };
//# sourceMappingURL=index.js.map
