import { TdTransferProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    checkboxProps: {
        type: PropType<import("..").TdCheckboxProps>;
    };
    checked: {
        type: PropType<import("./type").TransferValue[]>;
        default: () => TdTransferProps['checked'];
    };
    defaultChecked: {
        type: PropType<import("./type").TransferValue[]>;
        default: () => TdTransferProps['defaultChecked'];
    };
    data: {
        type: PropType<import("./type").DataOption[]>;
        default: () => TdTransferProps['data'];
    };
    direction: {
        type: PropType<"both" | "left" | "right">;
        default: "both" | "left" | "right";
        validator(val: TdTransferProps['direction']): boolean;
    };
    disabled: {
        type: PropType<boolean | boolean[]>;
    };
    empty: {
        type: PropType<import("./type").EmptyType | import("./type").EmptyType[]>;
        default: string;
    };
    footer: {
        type: PropType<(string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue))[] | ((h: import("vue").CreateElement, props: {
            type: import("./type").TransferListType;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    keys: {
        type: PropType<import("..").KeysType>;
    };
    operation: {
        type: PropType<(string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue))[] | ((h: import("vue").CreateElement, props: {
            direction: "left" | "right";
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    pagination: {
        type: PropType<import("..").TdPaginationProps | import("..").TdPaginationProps[]>;
    };
    search: {
        type: PropType<import("./type").SearchOption | import("./type").SearchOption[]>;
        default: boolean;
    };
    showCheckAll: {
        type: PropType<boolean | boolean[]>;
        default: boolean;
    };
    targetDraggable: BooleanConstructor;
    targetSort: {
        type: PropType<"push" | "unshift" | "original">;
        default: "push" | "unshift" | "original";
        validator(val: TdTransferProps['targetSort']): boolean;
    };
    title: {
        type: PropType<import("./type").TitleType[] | ((h: import("vue").CreateElement, props: {
            type: import("./type").TransferListType;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: () => TdTransferProps['title'];
    };
    transferItem: {
        type: PropType<(h: import("vue").CreateElement, props: import("./type").TransferItem<import("./type").DataOption>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    tree: {
        type: PropType<(tree: import("..").TreeProps) => (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    value: {
        type: PropType<import("./type").TransferValue[]>;
        default: () => TdTransferProps['value'];
    };
    defaultValue: {
        type: PropType<import("./type").TransferValue[]>;
        default: () => TdTransferProps['defaultValue'];
    };
    onChange: PropType<(targetValue: import("./type").TransferValue[], context: import("./type").TargetParams) => void>;
    onCheckedChange: PropType<(options: import("./type").CheckedOptions) => void>;
    onPageChange: PropType<(page: import("..").PageInfo, context: {
        type: import("./type").TransferListType;
    }) => void>;
    onScroll: PropType<(options: {
        e: Event;
        bottomDistance: number;
        type: import("./type").TransferListType;
    }) => void>;
    onSearch: PropType<(options: import("./type").SearchContext) => void>;
};
export default _default;
