/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import { getAttach } from './dom.js';
import 'vue';
import 'raf';
import 'lodash-es';
import './easing.js';

var TransferDom = {
  inserted: function inserted(el, binding) {
    if (!binding.value) return;
    var parentNode = getAttach(binding.value);
    parentNode === null || parentNode === void 0 || parentNode.appendChild(el);
  }
};

export { TransferDom as default };
//# sourceMappingURL=transfer-dom.js.map
