export declare const Watermark: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    gapX: import("@vue/composition-api").ComputedRef<number>;
    gapY: import("@vue/composition-api").ComputedRef<number>;
    backgroundRepeat: import("@vue/composition-api").ComputedRef<"no-repeat" | "repeat">;
    backgroundImage: import("@vue/composition-api").Ref<string>;
    watermarkRef: import("@vue/composition-api").Ref<HTMLElement>;
    watermarkContentRef: import("@vue/composition-api").Ref<HTMLElement>;
    bgImageOptions: {
        width: number;
        height: number;
        rotate: number;
        lineSpace: number;
        alpha: number;
        gapX: number;
        gapY: number;
        watermarkContent: unknown;
        offsetLeft: number;
        offsetTop: number;
    };
}> & import("@vue/composition-api").Data, {}, {}, {
    alpha: {
        type: NumberConstructor;
        default: number;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    height: {
        type: NumberConstructor;
    };
    isRepeat: {
        type: BooleanConstructor;
        default: boolean;
    };
    lineSpace: {
        type: NumberConstructor;
        default: number;
    };
    movable: BooleanConstructor;
    moveInterval: {
        type: NumberConstructor;
        default: number;
    };
    offset: {
        type: import("vue").PropType<number[]>;
    };
    removable: {
        type: BooleanConstructor;
        default: boolean;
    };
    rotate: {
        type: NumberConstructor;
        default: number;
    };
    watermarkContent: {
        type: import("vue").PropType<import("./type").WatermarkText | import("./type").WatermarkImage | (import("./type").WatermarkText | import("./type").WatermarkImage)[]>;
    };
    width: {
        type: NumberConstructor;
    };
    x: {
        type: NumberConstructor;
    };
    y: {
        type: NumberConstructor;
    };
    zIndex: {
        type: NumberConstructor;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    alpha: {
        type: NumberConstructor;
        default: number;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    height: {
        type: NumberConstructor;
    };
    isRepeat: {
        type: BooleanConstructor;
        default: boolean;
    };
    lineSpace: {
        type: NumberConstructor;
        default: number;
    };
    movable: BooleanConstructor;
    moveInterval: {
        type: NumberConstructor;
        default: number;
    };
    offset: {
        type: import("vue").PropType<number[]>;
    };
    removable: {
        type: BooleanConstructor;
        default: boolean;
    };
    rotate: {
        type: NumberConstructor;
        default: number;
    };
    watermarkContent: {
        type: import("vue").PropType<import("./type").WatermarkText | import("./type").WatermarkImage | (import("./type").WatermarkText | import("./type").WatermarkImage)[]>;
    };
    width: {
        type: NumberConstructor;
    };
    x: {
        type: NumberConstructor;
    };
    y: {
        type: NumberConstructor;
    };
    zIndex: {
        type: NumberConstructor;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    alpha: number;
    rotate: number;
    removable: boolean;
    lineSpace: number;
    isRepeat: boolean;
    movable: boolean;
    moveInterval: number;
} & {
    offset?: number[];
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    height?: number;
    width?: number;
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex?: number;
    y?: number;
    x?: number;
    watermarkContent?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    gapX: import("@vue/composition-api").ComputedRef<number>;
    gapY: import("@vue/composition-api").ComputedRef<number>;
    backgroundRepeat: import("@vue/composition-api").ComputedRef<"no-repeat" | "repeat">;
    backgroundImage: import("@vue/composition-api").Ref<string>;
    watermarkRef: import("@vue/composition-api").Ref<HTMLElement>;
    watermarkContentRef: import("@vue/composition-api").Ref<HTMLElement>;
    bgImageOptions: {
        width: number;
        height: number;
        rotate: number;
        lineSpace: number;
        alpha: number;
        gapX: number;
        gapY: number;
        watermarkContent: unknown;
        offsetLeft: number;
        offsetTop: number;
    };
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    alpha: number;
    rotate: number;
    removable: boolean;
    lineSpace: number;
    isRepeat: boolean;
    movable: boolean;
    moveInterval: number;
} & {
    offset?: number[];
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    height?: number;
    width?: number;
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex?: number;
    y?: number;
    x?: number;
    watermarkContent?: unknown;
}, {
    alpha: number;
    rotate: number;
    removable: boolean;
    lineSpace: number;
    isRepeat: boolean;
    movable: boolean;
    moveInterval: number;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    gapX: import("@vue/composition-api").ComputedRef<number>;
    gapY: import("@vue/composition-api").ComputedRef<number>;
    backgroundRepeat: import("@vue/composition-api").ComputedRef<"no-repeat" | "repeat">;
    backgroundImage: import("@vue/composition-api").Ref<string>;
    watermarkRef: import("@vue/composition-api").Ref<HTMLElement>;
    watermarkContentRef: import("@vue/composition-api").Ref<HTMLElement>;
    bgImageOptions: {
        width: number;
        height: number;
        rotate: number;
        lineSpace: number;
        alpha: number;
        gapX: number;
        gapY: number;
        watermarkContent: unknown;
        offsetLeft: number;
        offsetTop: number;
    };
}> & import("@vue/composition-api").Data, {}, {}, {
    alpha: {
        type: NumberConstructor;
        default: number;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    height: {
        type: NumberConstructor;
    };
    isRepeat: {
        type: BooleanConstructor;
        default: boolean;
    };
    lineSpace: {
        type: NumberConstructor;
        default: number;
    };
    movable: BooleanConstructor;
    moveInterval: {
        type: NumberConstructor;
        default: number;
    };
    offset: {
        type: import("vue").PropType<number[]>;
    };
    removable: {
        type: BooleanConstructor;
        default: boolean;
    };
    rotate: {
        type: NumberConstructor;
        default: number;
    };
    watermarkContent: {
        type: import("vue").PropType<import("./type").WatermarkText | import("./type").WatermarkImage | (import("./type").WatermarkText | import("./type").WatermarkImage)[]>;
    };
    width: {
        type: NumberConstructor;
    };
    x: {
        type: NumberConstructor;
    };
    y: {
        type: NumberConstructor;
    };
    zIndex: {
        type: NumberConstructor;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    alpha: {
        type: NumberConstructor;
        default: number;
    };
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    height: {
        type: NumberConstructor;
    };
    isRepeat: {
        type: BooleanConstructor;
        default: boolean;
    };
    lineSpace: {
        type: NumberConstructor;
        default: number;
    };
    movable: BooleanConstructor;
    moveInterval: {
        type: NumberConstructor;
        default: number;
    };
    offset: {
        type: import("vue").PropType<number[]>;
    };
    removable: {
        type: BooleanConstructor;
        default: boolean;
    };
    rotate: {
        type: NumberConstructor;
        default: number;
    };
    watermarkContent: {
        type: import("vue").PropType<import("./type").WatermarkText | import("./type").WatermarkImage | (import("./type").WatermarkText | import("./type").WatermarkImage)[]>;
    };
    width: {
        type: NumberConstructor;
    };
    x: {
        type: NumberConstructor;
    };
    y: {
        type: NumberConstructor;
    };
    zIndex: {
        type: NumberConstructor;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    alpha: number;
    rotate: number;
    removable: boolean;
    lineSpace: number;
    isRepeat: boolean;
    movable: boolean;
    moveInterval: number;
} & {
    offset?: number[];
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    height?: number;
    width?: number;
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex?: number;
    y?: number;
    x?: number;
    watermarkContent?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    gapX: import("@vue/composition-api").ComputedRef<number>;
    gapY: import("@vue/composition-api").ComputedRef<number>;
    backgroundRepeat: import("@vue/composition-api").ComputedRef<"no-repeat" | "repeat">;
    backgroundImage: import("@vue/composition-api").Ref<string>;
    watermarkRef: import("@vue/composition-api").Ref<HTMLElement>;
    watermarkContentRef: import("@vue/composition-api").Ref<HTMLElement>;
    bgImageOptions: {
        width: number;
        height: number;
        rotate: number;
        lineSpace: number;
        alpha: number;
        gapX: number;
        gapY: number;
        watermarkContent: unknown;
        offsetLeft: number;
        offsetTop: number;
    };
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    alpha: number;
    rotate: number;
    removable: boolean;
    lineSpace: number;
    isRepeat: boolean;
    movable: boolean;
    moveInterval: number;
} & {
    offset?: number[];
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    height?: number;
    width?: number;
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex?: number;
    y?: number;
    x?: number;
    watermarkContent?: unknown;
}, {
    alpha: number;
    rotate: number;
    removable: boolean;
    lineSpace: number;
    isRepeat: boolean;
    movable: boolean;
    moveInterval: number;
}, true>)>;
export default Watermark;
