/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import VueCompositionAPI from '@vue/composition-api';
import _Watermark from './watermark.js';
import { withInstall } from '../utils/withInstall.js';
import '@babel/runtime/helpers/defineProperty';
import '../_common/js/watermark/generateBase64Url.js';
import '../_common/js/watermark/randomMovingStyle.js';
import '../_common/js/utils/injectStyle.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import 'lodash-es';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-a883488c.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../_chunks/dep-9d1c0d31.js';
import '../config-provider/type.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import './hooks.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import './props.js';
import 'vue';

var Watermark = withInstall(_Watermark, VueCompositionAPI);

export { Watermark, Watermark as default };
//# sourceMappingURL=index.js.map
