/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import '../../../../../_chunks/dep-7d34f1ab.js';
import '@babel/runtime/helpers/typeof';
import '../../../../../_chunks/dep-eb45b5e0.js';
import 'dayjs';

var it_IT = {
  actionSheet: {
    cancel: "Annulla"
  },
  calendar: {
    confirm: "Conferma",
    title: "Seleziona Data",
    weekdays: ["Domenica", "Luned\xEC", "Marted\xEC", "Mercoled\xEC", "Gioved\xEC", "Venerd\xEC", "Sabato"],
    monthTitle: "{mese} {anno}",
    months: ["Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre"]
  },
  cascader: {
    title: "Titolo",
    placeholder: "Seleziona opzioni"
  },
  dropdownMenu: {
    reset: "Reimposta",
    confirm: "Conferma"
  },
  dateTimePicker: {
    title: "Seleziona Data",
    cancel: "Annulla",
    confirm: "Conferma",
    format: "DD-MM-YYYY",
    yearLabel: "Anno",
    monthLabel: "Mese",
    dateLabel: "Data",
    hourLabel: "Ora",
    minuteLabel: "Minuto",
    secondLabel: "Secondo"
  },
  picker: {
    cancel: "Annulla",
    confirm: "Conferma"
  },
  pullDownRefresh: {
    loadingTexts: ["Tirare per aggiornare", "Libera da aggiornare", "Rinfrescante", "Aggiornamento completato"]
  },
  rate: {
    valueText: "{valore} punteggio",
    noValueText: "Nessun punteggio"
  },
  tabBar: {
    newsAriaLabel: "Ci sono nuove notizie",
    moreNewsAriaLabel: "Ci sono molte notizie",
    haveMoreNewsAriaLabel: "Ci sono {valore}+ notizie",
    haveNewsAriaLabel: "Ci sono {valore} notizie"
  },
  table: {
    empty: "Dati Vuoti"
  },
  list: {
    loading: "Caricamento...",
    loadingMoreText: "Fai clic per caricare di pi\xF9",
    pulling: "Estrai per aggiornare...",
    loosing: "Libera da aggiornare...",
    success: "Aggiorna riuscito"
  },
  upload: {
    progress: {
      uploadingText: "Invio...",
      waitingText: "Attesa",
      failText: "Fallito",
      successText: "Successo"
    }
  },
  guide: {
    next: "Successivo",
    skip: "Salta",
    finish: "Finisci",
    back: "Indietro"
  }
};

export { it_IT as default };
//# sourceMappingURL=it_IT.js.map
