/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import '../../../../../_chunks/dep-721a18bb.js';
import '@babel/runtime/helpers/typeof';
import '../../../../../_chunks/dep-eb45b5e0.js';
import 'dayjs';

var ko_KR = {
  actionSheet: {
    cancel: "\uCDE8\uC18C"
  },
  calendar: {
    confirm: "\uD655\uC778",
    title: "\uB0A0\uC9DC \uC120\uD0DD",
    weekdays: ["\uC77C", "\uC6D4", "\uD654", "\uC218", "\uBAA9", "\uAE08", "\uD1A0"],
    monthTitle: "{month} {year}",
    months: ["1\uC6D4", "2\uC6D4", "3\uC6D4", "4\uC6D4", "5\uC6D4", "6\uC6D4", "7\uC6D4", "8\uC6D4", "9\uC6D4", "10\uC6D4", "11\uC6D4", "12\uC6D4"]
  },
  cascader: {
    title: "\uC81C\uBAA9",
    placeholder: "\uC635\uC158 \uC120\uD0DD"
  },
  dropdownMenu: {
    reset: "\uCD08\uAE30\uD654",
    confirm: "\uD655\uC778"
  },
  dateTimePicker: {
    title: "\uB0A0\uC9DC \uC120\uD0DD",
    cancel: "\uCDE8\uC18C",
    confirm: "\uD655\uC778",
    format: "YYYY-MM-DD",
    yearLabel: "\uB144",
    monthLabel: "\uC6D4",
    dateLabel: "\uC77C",
    hourLabel: "\uC2DC",
    minuteLabel: "\uBD84",
    secondLabel: "\uCD08"
  },
  picker: {
    cancel: "\uCDE8\uC18C",
    confirm: "\uD655\uC778"
  },
  pullDownRefresh: {
    loadingTexts: ["\uC0C8\uB85C\uACE0\uCE68\uC744 \uB2F9\uACA8\uC8FC\uC138\uC694", "\uB290\uC2A8\uD558\uAC8C \uD558\uC5EC \uC0C8\uB85C \uACE0\uCE68", "\uC0C8\uB85C\uACE0\uCE68 \uC911...", "\uC0C8\uB85C\uACE0\uCE68 \uC644\uB8CC"]
  },
  rate: {
    valueText: "{value}\uC810",
    noValueText: "\uC810\uC218 \uC5C6\uC74C"
  },
  tabBar: {
    newsAriaLabel: "\uC0C8 \uB274\uC2A4\uAC00 \uC788\uC2B5\uB2C8\uB2E4",
    moreNewsAriaLabel: "\uB9CE\uC740 \uB274\uC2A4\uAC00 \uC788\uC2B5\uB2C8\uB2E4",
    haveMoreNewsAriaLabel: "{value}+\uAC74\uC758 \uB274\uC2A4\uAC00 \uC788\uC2B5\uB2C8\uB2E4",
    haveNewsAriaLabel: "{value}\uAC74\uC758 \uB274\uC2A4\uAC00 \uC788\uC2B5\uB2C8\uB2E4"
  },
  table: {
    empty: "\uBE48 \uB370\uC774\uD130"
  },
  list: {
    loading: "\uB85C\uB529 \uC911...",
    loadingMoreText: "\uB354 \uB9CE\uC740 \uAC83\uC744 \uBCF4\uC2DC\uB824\uBA74 \uD074\uB9AD\uD558\uC138\uC694",
    pulling: "\uC0C8\uB85C\uACE0\uCE68\uC744 \uB2F9\uACA8\uC8FC\uC138\uC694...",
    loosing: "\uB290\uC2A8\uD558\uAC8C \uD558\uC5EC \uC0C8\uB85C \uACE0\uCE68...",
    success: "\uC0C8\uB85C\uACE0\uCE68 \uC131\uACF5"
  },
  upload: {
    progress: {
      uploadingText: "\uC5C5\uB85C\uB4DC \uC911...",
      waitingText: "\uB300\uAE30 \uC911",
      failText: "\uC2E4\uD328\uD588\uC2B5\uB2C8\uB2E4",
      successText: "\uC131\uACF5\uD588\uC2B5\uB2C8\uB2E4"
    }
  },
  guide: {
    next: "\uB2E4\uC74C",
    skip: "\uAC74\uB108\uB6F0\uAE30",
    finish: "\uC644\uB8CC",
    back: "\uB4A4\uB85C"
  }
};

export { ko_KR as default };
//# sourceMappingURL=ko_KR.js.map
