/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import '../../../../../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../../../../../_chunks/dep-eb45b5e0.js';
import 'dayjs';

var zh_CN = {
  actionSheet: {
    cancel: "\u53D6\u6D88"
  },
  calendar: {
    title: "\u8BF7\u9009\u62E9\u65E5\u671F",
    confirm: "\u786E\u8BA4",
    weekdays: ["\u65E5", "\u4E00", "\u4E8C", "\u4E09", "\u56DB", "\u4E94", "\u516D"],
    monthTitle: "{year} \u5E74 {month}",
    months: ["1 \u6708", "2 \u6708", "3 \u6708", "4 \u6708", "5 \u6708", "6 \u6708", "7 \u6708", "8 \u6708", "9 \u6708", "10 \u6708", "11 \u6708", "12 \u6708"]
  },
  cascader: {
    title: "\u6807\u9898",
    placeholder: "\u9009\u62E9\u9009\u9879"
  },
  dropdownMenu: {
    reset: "\u91CD\u7F6E",
    confirm: "\u786E\u5B9A"
  },
  dateTimePicker: {
    title: "\u9009\u62E9\u65F6\u95F4",
    cancel: "\u53D6\u6D88",
    confirm: "\u786E\u5B9A",
    format: "YYYY-MM-DD",
    yearLabel: "\u5E74",
    monthLabel: "\u6708",
    dateLabel: "\u65E5",
    hourLabel: "\u65F6",
    minuteLabel: "\u5206",
    secondLabel: "\u79D2"
  },
  picker: {
    cancel: "\u53D6\u6D88",
    confirm: "\u786E\u8BA4"
  },
  pullDownRefresh: {
    loadingTexts: ["\u4E0B\u62C9\u5237\u65B0", "\u677E\u624B\u5237\u65B0", "\u6B63\u5728\u5237\u65B0", "\u5237\u65B0\u5B8C\u6210"]
  },
  rate: {
    valueText: "{value} \u5206",
    noValueText: "\u672A\u8BC4\u5206"
  },
  tabBar: {
    newsAriaLabel: "\u6709\u65B0\u7684\u6D88\u606F",
    moreNewsAriaLabel: "\u6709\u5F88\u591A\u6D88\u606F",
    haveMoreNewsAriaLabel: "\u6709 {value}+ \u6761\u6D88\u606F",
    haveNewsAriaLabel: "\u6709 {value} \u6761\u6D88\u606F"
  },
  table: {
    empty: "\u6682\u65E0\u6570\u636E"
  },
  list: {
    loading: "\u52A0\u8F7D\u4E2D...",
    loadingMoreText: "\u70B9\u51FB\u52A0\u8F7D\u66F4\u591A",
    pulling: "\u4E0B\u62C9\u5373\u53EF\u5237\u65B0...",
    loosing: "\u91CA\u653E\u5373\u53EF\u5237\u65B0...",
    success: "\u5237\u65B0\u6210\u529F"
  },
  upload: {
    progress: {
      uploadingText: "\u4E0A\u4F20\u4E2D...",
      waitingText: "\u5F85\u4E0A\u4F20",
      failText: "\u4E0A\u4F20\u5931\u8D25",
      successText: "\u4E0A\u4F20\u6210\u529F"
    }
  },
  guide: {
    next: "\u4E0B\u4E00\u6B65",
    skip: "\u8DF3\u8FC7",
    finish: "\u5B8C\u6210",
    back: "\u8FD4\u56DE"
  }
};

export { zh_CN as default };
//# sourceMappingURL=zh_CN.js.map
