/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  color: {
    type: String,
    "default": ""
  },
  content: {
    type: [String, Function]
  },
  count: {
    type: [String, Number, Function],
    "default": 0
  },
  "default": {
    type: [String, Function]
  },
  dot: Boolean,
  maxCount: {
    type: Number,
    "default": 99
  },
  offset: {
    type: Array
  },
  shape: {
    type: String,
    "default": "circle",
    validator: function validator(val) {
      return ["circle", "round"].includes(val);
    }
  },
  showZero: Boolean,
  size: {
    type: String,
    "default": "medium",
    validator: function validator(val) {
      return ["small", "medium"].includes(val);
    }
  }
};

export { props as default };
//# sourceMappingURL=props.js.map
