/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Breadcrumb from './breadcrumb.js';
import _BreadcrumbItem from './breadcrumb-item.js';
import { withInstall } from '../utils/withInstall.js';
import '@babel/runtime/helpers/defineProperty';
import './props.js';
import '../utils/mixins.js';
import 'vue';
import '../config-provider/config-receiver.js';
import 'lodash-es';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../_chunks/dep-653f218a.js';
import 'tdesign-icons-vue';
import '../tooltip/index.js';
import '../tooltip/tooltip.js';
import '../tooltip/props.js';
import '../popup/props.js';
import '../popup/popup.js';
import '@popperjs/core';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../_common/js/utils/setStyle.js';
import '../popup/container.js';
import '../utils/event.js';
import '../popup/utils.js';
import '../utils/map-props.js';
import './breadcrumb-item-props.js';

var BreadcrumbItem = withInstall(_BreadcrumbItem);
var Breadcrumb = withInstall(_Breadcrumb);

export { Breadcrumb, BreadcrumbItem, Breadcrumb as default };
//# sourceMappingURL=index.js.map
