import { TdButtonProps } from './type';
import './style';
export * from './type';
export declare type ButtonProps = TdButtonProps;
export declare const Button: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    keepAnimation: {
        ripple: boolean;
        expand: boolean;
        fade: boolean;
    };
}, unknown, unknown, unknown, {
    block: boolean;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    form: any;
    ghost: boolean;
    href: string;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    loading: boolean;
    shape: "square" | "round" | "circle" | "rectangle";
    size: import("..").SizeEnum;
    suffix: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    tag: "button" | "a" | "div";
    theme: "default" | "success" | "primary" | "warning" | "danger";
    type: "button" | "reset" | "submit";
    variant: "outline" | "base" | "text" | "dashed";
    onClick: (e: MouseEvent) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    keepAnimation: {
        ripple: boolean;
        expand: boolean;
        fade: boolean;
    };
}, unknown, unknown, unknown, {
    block: boolean;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    form: any;
    ghost: boolean;
    href: string;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    loading: boolean;
    shape: "square" | "round" | "circle" | "rectangle";
    size: import("..").SizeEnum;
    suffix: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    tag: "button" | "a" | "div";
    theme: "default" | "success" | "primary" | "warning" | "danger";
    type: "button" | "reset" | "submit";
    variant: "outline" | "base" | "text" | "dashed";
    onClick: (e: MouseEvent) => void;
}>>;
export default Button;
