import { PropType } from '@vue/composition-api';
import { Color } from '../utils';
import { TdColorHandler } from '../interfaces';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").ComputedRef<import("../..").ColorPickerConfig | ({
        readonly swatchColorTitle: "系统预设颜色";
        readonly recentColorTitle: "最近使用颜色";
        readonly clearConfirmText: "确定清空最近使用的颜色吗？";
        readonly singleColor: "单色";
        readonly gradientColor: "渐变";
    } & import("../..").ColorPickerConfig)>;
    confirmGlobal: import("@vue/composition-api").ComputedRef<{} & (import("../..").PopconfirmConfig | ({
        readonly confirmBtnTheme: {
            readonly default: "primary";
            readonly warning: "primary";
            readonly danger: "primary";
        };
    } & {
        readonly confirm: {
            readonly content: "确定";
        };
        readonly cancel: {
            readonly content: "取消";
        };
    })) & import("../..").PopconfirmConfig>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    DeleteIcon: import("tdesign-icons-vue").GlobalIconType;
    AddIcon: import("tdesign-icons-vue").GlobalIconType;
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    statusClassNames: {
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    };
    selectedColorIndex: import("@vue/composition-api").ComputedRef<number>;
    visiblePopConfirm: import("@vue/composition-api").Ref<boolean>;
    setVisiblePopConfirm: (visible: boolean) => void;
    handleClick: (color: string) => void;
    isEqualCurrentColor: (color: string) => boolean;
    handleRemoveColor: () => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    colors: {
        type: PropType<string[]>;
        default: () => PropType<string[]>;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    handleSetColor: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    handleAddColor: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<Color>;
    };
    handleChange: {
        type: import("vue").PropType<TdColorHandler>;
        default: () => () => void;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    colors: {
        type: PropType<string[]>;
        default: () => PropType<string[]>;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    handleSetColor: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    handleAddColor: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<Color>;
    };
    handleChange: {
        type: import("vue").PropType<TdColorHandler>;
        default: () => () => void;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    title: string;
    disabled: boolean;
    handleChange: TdColorHandler;
    colors: string[];
    editable: boolean;
    handleSetColor: TdColorHandler;
    handleAddColor: TdColorHandler;
} & {
    color?: Color;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").ComputedRef<import("../..").ColorPickerConfig | ({
        readonly swatchColorTitle: "系统预设颜色";
        readonly recentColorTitle: "最近使用颜色";
        readonly clearConfirmText: "确定清空最近使用的颜色吗？";
        readonly singleColor: "单色";
        readonly gradientColor: "渐变";
    } & import("../..").ColorPickerConfig)>;
    confirmGlobal: import("@vue/composition-api").ComputedRef<{} & (import("../..").PopconfirmConfig | ({
        readonly confirmBtnTheme: {
            readonly default: "primary";
            readonly warning: "primary";
            readonly danger: "primary";
        };
    } & {
        readonly confirm: {
            readonly content: "确定";
        };
        readonly cancel: {
            readonly content: "取消";
        };
    })) & import("../..").PopconfirmConfig>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    DeleteIcon: import("tdesign-icons-vue").GlobalIconType;
    AddIcon: import("tdesign-icons-vue").GlobalIconType;
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    statusClassNames: {
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    };
    selectedColorIndex: import("@vue/composition-api").ComputedRef<number>;
    visiblePopConfirm: import("@vue/composition-api").Ref<boolean>;
    setVisiblePopConfirm: (visible: boolean) => void;
    handleClick: (color: string) => void;
    isEqualCurrentColor: (color: string) => boolean;
    handleRemoveColor: () => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    title: string;
    disabled: boolean;
    handleChange: TdColorHandler;
    colors: string[];
    editable: boolean;
    handleSetColor: TdColorHandler;
    handleAddColor: TdColorHandler;
} & {
    color?: Color;
}, {
    title: string;
    disabled: boolean;
    handleChange: TdColorHandler;
    colors: string[];
    editable: boolean;
    handleSetColor: TdColorHandler;
    handleAddColor: TdColorHandler;
}, true>);
export default _default;
