/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Descriptions from './descriptions.js';
import _DescriptionsItem from './descriptions-item.js';
import { withInstall } from '../utils/withInstall.js';
import '@babel/runtime/helpers/defineProperty';
import 'lodash-es';
import '@vue/composition-api';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import './props.js';
import './const/index.js';
import './descriptions-body.js';
import '../_chunks/dep-653f218a.js';
import './utils/index.js';
import './interface.js';
import '../hooks/slots.js';
import './description-item-props.js';
import 'vue';

var Descriptions = withInstall(_Descriptions);
var DescriptionsItem = withInstall(_DescriptionsItem);

export { Descriptions, DescriptionsItem, Descriptions as default };
//# sourceMappingURL=index.js.map
