/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Dialog from './dialog.js';
import { withInstall } from '../utils/withInstall.js';
export { DialogPlugin } from './plugin.js';
import '@babel/runtime/helpers/defineProperty';
import 'lodash-es';
import 'tdesign-icons-vue';
import '../button/index.js';
import '../button/button.js';
import '../loading/index.js';
import '../loading/directive.js';
import '../loading/plugin.js';
import 'vue';
import '../loading/loading.js';
import '../loading/icon/gradient.js';
import '../_common/js/loading/circle-adapter.js';
import '../_common/js/utils/setStyle.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/mixins.js';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../utils/transfer-dom.js';
import '../loading/props.js';
import '../config.js';
import '../button/props.js';
import '../utils/ripple.js';
import './actions.js';
import '../_chunks/dep-653f218a.js';
import './props.js';
import '../utils/event.js';
import '../utils/helper.js';
import '../hooks/useDestroyOnClose.js';
import './stack.js';
import '../_common/js/utils/getScrollbarWidth.js';
import '../config-provider/config-provider.js';
import '../config-provider/props.js';

var Dialog = withInstall(_Dialog);

export { Dialog, Dialog as default };
//# sourceMappingURL=index.js.map
