import { TdEmptyProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    action: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    description: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    image: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    };
    imageStyle: {
        type: PropType<import("..").Styles>;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdEmptyProps['size']): boolean;
    };
    title: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    type: {
        type: PropType<"success" | "fail" | "empty" | "network-error" | "maintenance">;
        default: "success" | "fail" | "empty" | "network-error" | "maintenance";
        validator(val: TdEmptyProps['type']): boolean;
    };
};
export default _default;
