import { ClassName } from '../common';
import { TdColProps, TdRowProps } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    size: string;
}, {
    updateSize(): void;
    parseFlex(flex: TdColProps['flex']): string;
    calcColPadding(gutter: TdRowProps['gutter'], currentSize: string): {};
}, {
    classes: ClassName;
}, {
    flex: string | number;
    lg: number | import("./type").BaseColProps;
    md: number | import("./type").BaseColProps;
    offset: number;
    order: number;
    pull: number;
    push: number;
    sm: number | import("./type").BaseColProps;
    span: number;
    tag: string;
    xl: number | import("./type").BaseColProps;
    xs: number | import("./type").BaseColProps;
    xxl: number | import("./type").BaseColProps;
}>;
export default _default;
