/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import '@vue/composition-api';
import { useConfig } from '../config-provider/useConfig.js';
import '../config-provider/context.js';
import 'lodash-es';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';

function useGlobalIcon(tdIcon) {
  var _useConfig = useConfig("icon"),
    global = _useConfig.global;
  var resultIcon = {};
  Object.keys(tdIcon).forEach(function (key) {
    var _global$value;
    resultIcon[key] = ((_global$value = global.value) === null || _global$value === void 0 ? void 0 : _global$value[key]) || tdIcon[key];
  });
  return resultIcon;
}

export { useGlobalIcon as default, useGlobalIcon };
//# sourceMappingURL=useGlobalIcon.js.map
