declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    AddIcon: import("tdesign-icons-vue").GlobalIconType;
    RemoveIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronDownIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronUpIcon: import("tdesign-icons-vue").GlobalIconType;
    classPrefix: import("@vue/composition-api").Ref<string>;
    wrapClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean | "normal" | "column" | "row";
    })[]>;
    reduceClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    addClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    tDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    isError: import("@vue/composition-api").Ref<"exceed-maximum" | "below-minimum">;
    listeners: {
        blur: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        focus: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        keydown: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keyup: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keypress: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        enter: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        click: () => void;
        clear: (context: {
            e: MouseEvent;
        }) => void;
    };
    userInput: import("@vue/composition-api").Ref<string>;
    tValue: import("@vue/composition-api").Ref<import("./type").InputNumberValue>;
    inputRef: import("@vue/composition-api").Ref<import("vue").default>;
    formDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    focus: () => void;
    blur: () => void;
    handleReduce: (e: MouseEvent | KeyboardEvent) => void;
    handleAdd: (e: MouseEvent | KeyboardEvent) => void;
    onInnerInputChange: (inputValue: string, { e }: {
        e: InputEvent;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    align: {
        type: import("vue").PropType<"center" | "left" | "right">;
        validator(val: "center" | "left" | "right"): boolean;
    };
    allowInputOverLimit: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoWidth: BooleanConstructor;
    decimalPlaces: {
        type: NumberConstructor;
        default: any;
    };
    disabled: BooleanConstructor;
    format: {
        type: import("vue").PropType<(value: import("./type").InputNumberValue, context?: {
            fixedNumber?: import("./type").InputNumberValue;
        }) => import("./type").InputNumberValue>;
    };
    inputProps: {
        type: import("vue").PropType<import("../input").InputProps<import("../input").InputValue>>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    largeNumber: BooleanConstructor;
    max: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
        default: number;
    };
    min: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    readonly: BooleanConstructor;
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    step: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
        default: number;
    };
    suffix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    theme: {
        type: import("vue").PropType<"normal" | "column" | "row">;
        default: "normal" | "column" | "row";
        validator(val: "normal" | "column" | "row"): boolean;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
    };
    onBlur: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void>;
    onChange: import("vue").PropType<(value: import("./type").InputNumberValue, context: import("./type").ChangeContext) => void>;
    onEnter: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onFocus: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void>;
    onKeydown: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onKeypress: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onKeyup: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onValidate: import("vue").PropType<(context: {
        error?: "exceed-maximum" | "below-minimum";
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    align: {
        type: import("vue").PropType<"center" | "left" | "right">;
        validator(val: "center" | "left" | "right"): boolean;
    };
    allowInputOverLimit: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoWidth: BooleanConstructor;
    decimalPlaces: {
        type: NumberConstructor;
        default: any;
    };
    disabled: BooleanConstructor;
    format: {
        type: import("vue").PropType<(value: import("./type").InputNumberValue, context?: {
            fixedNumber?: import("./type").InputNumberValue;
        }) => import("./type").InputNumberValue>;
    };
    inputProps: {
        type: import("vue").PropType<import("../input").InputProps<import("../input").InputValue>>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    largeNumber: BooleanConstructor;
    max: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
        default: number;
    };
    min: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    readonly: BooleanConstructor;
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    step: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
        default: number;
    };
    suffix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    theme: {
        type: import("vue").PropType<"normal" | "column" | "row">;
        default: "normal" | "column" | "row";
        validator(val: "normal" | "column" | "row"): boolean;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").InputNumberValue>;
    };
    onBlur: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void>;
    onChange: import("vue").PropType<(value: import("./type").InputNumberValue, context: import("./type").ChangeContext) => void>;
    onEnter: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onFocus: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void>;
    onKeydown: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onKeypress: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onKeyup: import("vue").PropType<(value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void>;
    onValidate: import("vue").PropType<(context: {
        error?: "exceed-maximum" | "below-minimum";
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    max: import("./type").InputNumberValue;
    disabled: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    theme: "normal" | "column" | "row";
    min: import("./type").InputNumberValue;
    autoWidth: boolean;
    placeholder: string;
    step: import("./type").InputNumberValue;
    largeNumber: boolean;
    decimalPlaces: number;
    allowInputOverLimit: boolean;
} & {
    value?: import("./type").InputNumberValue;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: import("./type").InputNumberValue, context: import("./type").ChangeContext) => void;
    defaultValue?: import("./type").InputNumberValue;
    align?: "center" | "left" | "right";
    format?: (value: import("./type").InputNumberValue, context?: {
        fixedNumber?: import("./type").InputNumberValue;
    }) => import("./type").InputNumberValue;
    suffix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void;
    onEnter?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onFocus?: (value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void;
    onKeydown?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onValidate?: (context: {
        error?: "exceed-maximum" | "below-minimum";
    }) => void;
    inputProps?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    AddIcon: import("tdesign-icons-vue").GlobalIconType;
    RemoveIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronDownIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronUpIcon: import("tdesign-icons-vue").GlobalIconType;
    classPrefix: import("@vue/composition-api").Ref<string>;
    wrapClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean | "normal" | "column" | "row";
    })[]>;
    reduceClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    addClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    tDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    isError: import("@vue/composition-api").Ref<"exceed-maximum" | "below-minimum">;
    listeners: {
        blur: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        focus: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        keydown: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keyup: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keypress: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        enter: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        click: () => void;
        clear: (context: {
            e: MouseEvent;
        }) => void;
    };
    userInput: import("@vue/composition-api").Ref<string>;
    tValue: import("@vue/composition-api").Ref<import("./type").InputNumberValue>;
    inputRef: import("@vue/composition-api").Ref<import("vue").default>;
    formDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    focus: () => void;
    blur: () => void;
    handleReduce: (e: MouseEvent | KeyboardEvent) => void;
    handleAdd: (e: MouseEvent | KeyboardEvent) => void;
    onInnerInputChange: (inputValue: string, { e }: {
        e: InputEvent;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    max: import("./type").InputNumberValue;
    disabled: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    theme: "normal" | "column" | "row";
    min: import("./type").InputNumberValue;
    autoWidth: boolean;
    placeholder: string;
    step: import("./type").InputNumberValue;
    largeNumber: boolean;
    decimalPlaces: number;
    allowInputOverLimit: boolean;
} & {
    value?: import("./type").InputNumberValue;
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: import("./type").InputNumberValue, context: import("./type").ChangeContext) => void;
    defaultValue?: import("./type").InputNumberValue;
    align?: "center" | "left" | "right";
    format?: (value: import("./type").InputNumberValue, context?: {
        fixedNumber?: import("./type").InputNumberValue;
    }) => import("./type").InputNumberValue;
    suffix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void;
    onEnter?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onFocus?: (value: import("./type").InputNumberValue, context: {
        e: FocusEvent;
    }) => void;
    onKeydown?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup?: (value: import("./type").InputNumberValue, context: {
        e: KeyboardEvent;
    }) => void;
    onValidate?: (context: {
        error?: "exceed-maximum" | "below-minimum";
    }) => void;
    inputProps?: unknown;
}, {
    max: import("./type").InputNumberValue;
    disabled: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    theme: "normal" | "column" | "row";
    min: import("./type").InputNumberValue;
    autoWidth: boolean;
    placeholder: string;
    step: import("./type").InputNumberValue;
    largeNumber: boolean;
    decimalPlaces: number;
    allowInputOverLimit: boolean;
}, true>);
export default _default;
