import { TdRadioGroupProps } from '../radio/type';
import { PropType } from 'vue';
declare const _default: {
    allowUncheck: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: PropType<import("../radio/type").RadioOption[]>;
    };
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdRadioGroupProps['size']): boolean;
    };
    theme: {
        type: PropType<"button" | "radio">;
        default: "button" | "radio";
        validator(val: TdRadioGroupProps['theme']): boolean;
    };
    value: {
        type: PropType<import("../radio/type").RadioValue>;
        default: any;
    };
    defaultValue: {
        type: PropType<import("../radio/type").RadioValue>;
    };
    variant: {
        type: PropType<"outline" | "primary-filled" | "default-filled">;
        default: "outline" | "primary-filled" | "default-filled";
        validator(val: TdRadioGroupProps['variant']): boolean;
    };
    onChange: PropType<(value: import("../radio/type").RadioValue, context: {
        e: Event;
        name?: string;
    }) => void>;
};
export default _default;
