import Vue from 'vue';
import { RadioGroupInstance, RadioButtonInstance } from './instance';
export interface RadioParentInjectInstance extends Vue {
    radioGroup: RadioGroupInstance;
    radioButton: RadioButtonInstance;
}
declare const _default: import("vue/types/vue").ExtendedVue<RadioParentInjectInstance & {
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue, {
    formDisabled: any;
}, {
    getChecked(): any;
    getDisabled(): boolean;
    getReadonly(): boolean;
    onInputClick(e: MouseEvent): void;
    handleRadioClick(e: MouseEvent): void;
    checkRadio(e: MouseEvent): void;
}, unknown, {
    allowUncheck: boolean;
    checked: any;
    defaultChecked: boolean;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: any;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    name: string;
    readonly: any;
    value: any;
    onChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    onClick: (context: {
        e: MouseEvent;
    }) => void;
}>;
export default _default;
