declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    tOverlayInnerStyle: import("@vue/composition-api").ComputedRef<import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles)>;
    innerPopupVisible: import("@vue/composition-api").Ref<boolean>;
    onInnerPopupVisibleChange: (visible: boolean, ctx: import("../popup").PopupVisibleChangeContext) => void;
    popupClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}> & import("@vue/composition-api").Data, {}, {}, {
    autoWidth: BooleanConstructor;
    disabled: BooleanConstructor;
    inputValue: {
        type: import("vue").PropType<import("./type").RangeInputValue>;
        default: any;
    };
    defaultInputValue: {
        type: import("vue").PropType<import("./type").RangeInputValue>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panel: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    popupProps: {
        type: import("vue").PropType<import("../popup").TdPopupProps>;
    };
    popupVisible: BooleanConstructor;
    rangeInputProps: {
        type: import("vue").PropType<import("./type").TdRangeInputProps>;
    };
    readonly: BooleanConstructor;
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    onInputChange: import("vue").PropType<(value: import("./type").RangeInputValue, context?: import("./type").RangeInputValueChangeContext) => void>;
    onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("../popup").PopupVisibleChangeContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    autoWidth: BooleanConstructor;
    disabled: BooleanConstructor;
    inputValue: {
        type: import("vue").PropType<import("./type").RangeInputValue>;
        default: any;
    };
    defaultInputValue: {
        type: import("vue").PropType<import("./type").RangeInputValue>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panel: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    popupProps: {
        type: import("vue").PropType<import("../popup").TdPopupProps>;
    };
    popupVisible: BooleanConstructor;
    rangeInputProps: {
        type: import("vue").PropType<import("./type").TdRangeInputProps>;
    };
    readonly: BooleanConstructor;
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    onInputChange: import("vue").PropType<(value: import("./type").RangeInputValue, context?: import("./type").RangeInputValueChangeContext) => void>;
    onPopupVisibleChange: import("vue").PropType<(visible: boolean, context: import("../popup").PopupVisibleChangeContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    autoWidth: boolean;
    inputValue: import("./type").RangeInputValue;
    popupVisible: boolean;
} & {
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultInputValue?: import("./type").RangeInputValue;
    onInputChange?: (value: import("./type").RangeInputValue, context?: import("./type").RangeInputValueChangeContext) => void;
    panel?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popupProps?: unknown;
    onPopupVisibleChange?: (visible: boolean, context: import("../popup").PopupVisibleChangeContext) => void;
    rangeInputProps?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    tOverlayInnerStyle: import("@vue/composition-api").ComputedRef<import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles)>;
    innerPopupVisible: import("@vue/composition-api").Ref<boolean>;
    onInnerPopupVisibleChange: (visible: boolean, ctx: import("../popup").PopupVisibleChangeContext) => void;
    popupClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    disabled: boolean;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    autoWidth: boolean;
    inputValue: import("./type").RangeInputValue;
    popupVisible: boolean;
} & {
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultInputValue?: import("./type").RangeInputValue;
    onInputChange?: (value: import("./type").RangeInputValue, context?: import("./type").RangeInputValueChangeContext) => void;
    panel?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popupProps?: unknown;
    onPopupVisibleChange?: (visible: boolean, context: import("../popup").PopupVisibleChangeContext) => void;
    rangeInputProps?: unknown;
}, {
    disabled: boolean;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    autoWidth: boolean;
    inputValue: import("./type").RangeInputValue;
    popupVisible: boolean;
}, true>);
export default _default;
