import { TdSelectInputProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    allowInput: BooleanConstructor;
    autoWidth: BooleanConstructor;
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    collapsedItems: {
        type: PropType<(h: import("vue").CreateElement, props: {
            value: import("./type").SelectInputValue;
            collapsedSelectedItems: import("./type").SelectInputValue;
            count: number;
            onClose: (context: {
                index: number;
                e?: MouseEvent;
            }) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    disabled: BooleanConstructor;
    inputProps: {
        type: PropType<import("..").InputProps<import("..").InputValue>>;
    };
    inputValue: {
        type: PropType<string>;
        default: any;
    };
    defaultInputValue: {
        type: PropType<string>;
    };
    keys: {
        type: PropType<import("./type").SelectInputKeys>;
    };
    label: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    loading: BooleanConstructor;
    minCollapsedNum: {
        type: NumberConstructor;
        default: number;
    };
    multiple: BooleanConstructor;
    panel: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    popupProps: {
        type: PropType<import("..").TdPopupProps>;
    };
    popupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    defaultPopupVisible: BooleanConstructor;
    readonly: BooleanConstructor;
    reserveKeyword: BooleanConstructor;
    status: {
        type: PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: TdSelectInputProps['status']): boolean;
    };
    suffix: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    suffixIcon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    tag: {
        type: PropType<string | ((h: import("vue").CreateElement, props: {
            value: string | number;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    tagInputProps: {
        type: PropType<import("..").TdTagInputProps>;
    };
    tagProps: {
        type: PropType<import("..").TdTagProps>;
    };
    tips: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: PropType<import("./type").SelectInputValue>;
        default: any;
    };
    valueDisplay: {
        type: PropType<string | ((h: import("vue").CreateElement, props: {
            value: import("..").TagInputValue;
            onClose: (index: number, item?: any) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    onBlur: PropType<(value: import("./type").SelectInputValue, context: import("./type").SelectInputBlurContext) => void>;
    onClear: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onEnter: PropType<(value: import("./type").SelectInputValue, context: {
        e: KeyboardEvent;
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    }) => void>;
    onFocus: PropType<(value: import("./type").SelectInputValue, context: import("./type").SelectInputFocusContext) => void>;
    onInputChange: PropType<(value: string, context?: import("./type").SelectInputValueChangeContext) => void>;
    onMouseenter: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onMouseleave: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onPaste: PropType<(context: {
        e: ClipboardEvent;
        pasteValue: string;
    }) => void>;
    onPopupVisibleChange: PropType<(visible: boolean, context: import("..").PopupVisibleChangeContext) => void>;
    onTagChange: PropType<(value: import("..").TagInputValue, context: import("..").TagInputChangeContext) => void>;
};
export default _default;
