import { TdSliderProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    disabled: BooleanConstructor;
    inputNumberProps: {
        type: PropType<boolean | import("..").InputNumberProps>;
        default: boolean;
    };
    label: {
        type: PropType<string | boolean | ((h: import("vue").CreateElement, props: {
            value: import("./type").SliderValue;
            position?: "end" | "start";
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: TdSliderProps['layout']): boolean;
    };
    marks: {
        type: PropType<number[] | import("./type").SliderMarks>;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    min: {
        type: NumberConstructor;
        default: number;
    };
    range: BooleanConstructor;
    step: {
        type: NumberConstructor;
        default: number;
    };
    tooltipProps: {
        type: PropType<import("..").TdTooltipProps>;
    };
    value: {
        type: PropType<import("./type").SliderValue>;
    };
    defaultValue: {
        type: PropType<import("./type").SliderValue>;
    };
    onChange: PropType<(value: import("./type").SliderValue) => void>;
    onChangeEnd: PropType<(value: import("./type").SliderValue) => void>;
};
export default _default;
