declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    start: (from?: number, to?: number) => void;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    formatValue: import("@vue/composition-api").ComputedRef<string | number>;
    valueStyle: import("@vue/composition-api").ComputedRef<{
        color: string;
    }>;
}> & import("@vue/composition-api").Data, {}, {}, {
    animation: {
        type: import("vue").PropType<import("./type").animation>;
    };
    animationStart: BooleanConstructor;
    color: {
        type: import("vue").PropType<"black" | "blue" | "green" | "orange" | "red">;
        validator(val: "black" | "blue" | "green" | "orange" | "red"): boolean;
    };
    decimalPlaces: {
        type: NumberConstructor;
    };
    extra: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    format: {
        type: import("vue").PropType<(value: number) => number>;
    };
    loading: BooleanConstructor;
    prefix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    separator: {
        type: StringConstructor;
        default: string;
    };
    suffix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    trend: {
        type: import("vue").PropType<"increase" | "decrease">;
        validator(val: "increase" | "decrease"): boolean;
    };
    trendPlacement: {
        type: import("vue").PropType<"left" | "right">;
        default: "left" | "right";
        validator(val: "left" | "right"): boolean;
    };
    unit: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: NumberConstructor;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    animation: {
        type: import("vue").PropType<import("./type").animation>;
    };
    animationStart: BooleanConstructor;
    color: {
        type: import("vue").PropType<"black" | "blue" | "green" | "orange" | "red">;
        validator(val: "black" | "blue" | "green" | "orange" | "red"): boolean;
    };
    decimalPlaces: {
        type: NumberConstructor;
    };
    extra: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    format: {
        type: import("vue").PropType<(value: number) => number>;
    };
    loading: BooleanConstructor;
    prefix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    separator: {
        type: StringConstructor;
        default: string;
    };
    suffix: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    trend: {
        type: import("vue").PropType<"increase" | "decrease">;
        validator(val: "increase" | "decrease"): boolean;
    };
    trendPlacement: {
        type: import("vue").PropType<"left" | "right">;
        default: "left" | "right";
        validator(val: "left" | "right"): boolean;
    };
    unit: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: NumberConstructor;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    loading: boolean;
    separator: string;
    trendPlacement: "left" | "right";
    animationStart: boolean;
} & {
    animation?: import("./type").animation;
    color?: "black" | "blue" | "green" | "orange" | "red";
    value?: number;
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    prefix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    unit?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    format?: (value: number) => number;
    suffix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    decimalPlaces?: number;
    extra?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    trend?: "increase" | "decrease";
}, import("@vue/composition-api").ShallowUnwrapRef<{
    start: (from?: number, to?: number) => void;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    formatValue: import("@vue/composition-api").ComputedRef<string | number>;
    valueStyle: import("@vue/composition-api").ComputedRef<{
        color: string;
    }>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    loading: boolean;
    separator: string;
    trendPlacement: "left" | "right";
    animationStart: boolean;
} & {
    animation?: import("./type").animation;
    color?: "black" | "blue" | "green" | "orange" | "red";
    value?: number;
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    prefix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    unit?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    format?: (value: number) => number;
    suffix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    decimalPlaces?: number;
    extra?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    trend?: "increase" | "decrease";
}, {
    loading: boolean;
    separator: string;
    trendPlacement: "left" | "right";
    animationStart: boolean;
}, true>);
export default _default;
