import { TNode } from '../common';
export interface TdStatisticProps {
    animation?: animation;
    animationStart?: boolean;
    color?: 'black' | 'blue' | 'red' | 'orange' | 'green';
    decimalPlaces?: number;
    extra?: string | TNode;
    format?: (value: number) => number;
    loading?: boolean;
    prefix?: string | TNode;
    separator?: string;
    suffix?: string | TNode;
    title?: string | TNode;
    trend?: 'increase' | 'decrease';
    trendPlacement?: 'left' | 'right';
    unit?: string | TNode;
    value?: number;
}
export interface animation {
    duration: number;
    valueFrom: number;
}
