/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Steps from './steps.js';
import _StepItem from './step-item.js';
import mapProps from '../utils/map-props.js';
import { withInstall } from '../utils/withInstall.js';
import '../_chunks/dep-653f218a.js';
import '@babel/runtime/helpers/defineProperty';
import './props.js';
import '../utils/mixins.js';
import 'vue';
import '../config-provider/config-receiver.js';
import 'lodash-es';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/event.js';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import 'tdesign-icons-vue';
import './step-item-props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';

var StepItem = withInstall(_StepItem);
var Steps = withInstall(mapProps(["current"], {
  model: {
    prop: "current",
    event: "change"
  }
})(_Steps));

export { StepItem, Steps, Steps as default };
//# sourceMappingURL=index.js.map
