/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _StickyTool from './sticky-tool.js';
import _StickyItem from './sticky-item.js';
import { withInstall } from '../utils/withInstall.js';
import '../_chunks/dep-653f218a.js';
import '@babel/runtime/helpers/defineProperty';
import './props.js';
import '../utils/mixins.js';
import 'vue';
import '../config-provider/config-receiver.js';
import 'lodash-es';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/event.js';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import './sticky-item-props.js';
import '../popup/index.js';
import '../popup/popup.js';
import '@popperjs/core';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../_common/js/utils/setStyle.js';
import '../popup/props.js';
import '../popup/container.js';
import '../popup/utils.js';
import '../utils/map-props.js';
import '../popup/plugin.js';
import '../_common/js/log/log.js';

var StickyItem = withInstall(_StickyItem);
var StickyTool = withInstall(_StickyTool);

export { StickyItem, StickyTool, StickyTool as default };
//# sourceMappingURL=index.js.map
