/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import VueCompositionAPI from '@vue/composition-api';
import _TagInput from './tag-input.js';
import { withInstall } from '../utils/withInstall.js';
import '../_chunks/dep-653f218a.js';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/defineProperty';
import 'tdesign-icons-vue';
import '../input/index.js';
import '../input/input.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/typeof';
import 'lodash-es';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../utils/helper.js';
import '../config-provider/config-receiver.js';
import 'vue';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/mixins.js';
import '../utils/event.js';
import '../input/props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '../_common/js/log/log.js';
import '../input/input-group.js';
import '../utils/map-props.js';
import './props.js';
import './hooks/useTagScroll.js';
import './useTagList.js';
import '../tag/index.js';
import '../tag/tag.js';
import 'tinycolor2';
import '../tag/props.js';
import '../tag/check-tag.js';
import '../tag/check-tag-props.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../hooks/useVModel.js';
import '../_common/js/common.js';
import '../tag/check-tag-group.js';
import '../tag/check-tag-group-props.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import './hooks/useHover.js';
import '../hooks/useDefaultValue.js';
import './hooks/useDragSorter.js';
import '../hooks/useGlobalIcon.js';

var TagInput = withInstall(_TagInput, VueCompositionAPI);

export { TagInput, TagInput as default };
//# sourceMappingURL=index.js.map
