/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _defineProperty from '@babel/runtime/helpers/defineProperty';
import props from '../props.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var panelProps = function panelProps() {
  return {
    disabled: {
      type: Boolean,
      "default": false
    },
    isFocus: {
      type: Boolean,
      "default": false
    },
    value: {
      type: [String, Object],
      "default": ""
    },
    format: {
      type: String,
      "default": "HH:mm:ss"
    },
    position: String,
    steps: {
      type: Array,
      "default": function _default() {
        return [1, 1, 1];
      }
    },
    isShowPanel: {
      type: Boolean,
      "default": true
    },
    activeIndex: {
      type: Number
    },
    presets: {
      type: Object
    },
    hideDisabledTime: _objectSpread({}, props.hideDisabledTime),
    isFooterDisplay: {
      type: Boolean,
      "default": false
    }
  };
};
var panelColProps = function panelColProps() {
  return {
    format: {
      type: String,
      "default": "HH:mm:ss"
    },
    value: {
      type: [String, Object],
      "default": ""
    },
    steps: {
      type: Array,
      "default": function _default() {
        return [1, 1, 1];
      }
    },
    hideDisabledTime: _objectSpread({}, props.hideDisabledTime)
  };
};

export { panelColProps, panelProps };
//# sourceMappingURL=props.js.map
