import { TdTimelineProps, TdTimelineItemProps } from './type';
import './style/index.js';
export declare type TimelineProps = TdTimelineProps;
export declare type TimelineItemProps = TdTimelineItemProps;
export declare type TdTimeLineProps = TimelineProps;
export declare type TdTimeLineItemProps = TimelineItemProps;
export * from './type';
export declare const Timeline: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    timelineClassName: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    labelAlign: {
        type: import("vue").PropType<"alternate" | "left" | "top" | "bottom" | "right">;
        default: "alternate" | "left" | "top" | "bottom" | "right";
        validator(val: "alternate" | "left" | "top" | "bottom" | "right"): boolean;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    mode: {
        type: import("vue").PropType<"alternate" | "same">;
        default: "alternate" | "same";
        validator(val: "alternate" | "same"): boolean;
    };
    reverse: BooleanConstructor;
    theme: {
        type: import("vue").PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: "default" | "dot"): boolean;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    labelAlign: {
        type: import("vue").PropType<"alternate" | "left" | "top" | "bottom" | "right">;
        default: "alternate" | "left" | "top" | "bottom" | "right";
        validator(val: "alternate" | "left" | "top" | "bottom" | "right"): boolean;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    mode: {
        type: import("vue").PropType<"alternate" | "same">;
        default: "alternate" | "same";
        validator(val: "alternate" | "same"): boolean;
    };
    reverse: BooleanConstructor;
    theme: {
        type: import("vue").PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: "default" | "dot"): boolean;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    reverse: boolean;
    theme: "default" | "dot";
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    mode: "alternate" | "same";
} & {}, import("@vue/composition-api").ShallowUnwrapRef<{
    timelineClassName: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    reverse: boolean;
    theme: "default" | "dot";
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    mode: "alternate" | "same";
} & {}, {
    reverse: boolean;
    theme: "default" | "dot";
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    mode: "alternate" | "same";
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    timelineClassName: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    labelAlign: {
        type: import("vue").PropType<"alternate" | "left" | "top" | "bottom" | "right">;
        default: "alternate" | "left" | "top" | "bottom" | "right";
        validator(val: "alternate" | "left" | "top" | "bottom" | "right"): boolean;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    mode: {
        type: import("vue").PropType<"alternate" | "same">;
        default: "alternate" | "same";
        validator(val: "alternate" | "same"): boolean;
    };
    reverse: BooleanConstructor;
    theme: {
        type: import("vue").PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: "default" | "dot"): boolean;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    labelAlign: {
        type: import("vue").PropType<"alternate" | "left" | "top" | "bottom" | "right">;
        default: "alternate" | "left" | "top" | "bottom" | "right";
        validator(val: "alternate" | "left" | "top" | "bottom" | "right"): boolean;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    mode: {
        type: import("vue").PropType<"alternate" | "same">;
        default: "alternate" | "same";
        validator(val: "alternate" | "same"): boolean;
    };
    reverse: BooleanConstructor;
    theme: {
        type: import("vue").PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: "default" | "dot"): boolean;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    reverse: boolean;
    theme: "default" | "dot";
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    mode: "alternate" | "same";
} & {}, import("@vue/composition-api").ShallowUnwrapRef<{
    timelineClassName: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    reverse: boolean;
    theme: "default" | "dot";
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    mode: "alternate" | "same";
} & {}, {
    reverse: boolean;
    theme: "default" | "dot";
    labelAlign: "alternate" | "left" | "top" | "bottom" | "right";
    layout: "vertical" | "horizontal";
    mode: "alternate" | "same";
}, true>)>;
export declare const TimelineItem: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    mode: any;
    currentIndex: import("@vue/composition-api").ComputedRef<number>;
    tailClassName: import("@vue/composition-api").ComputedRef<string>;
    dotClassName: import("@vue/composition-api").ComputedRef<string>;
    labelClassName: import("@vue/composition-api").ComputedRef<string>;
    getItemClassName: import("@vue/composition-api").ComputedRef<string>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    dot: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    dotColor: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    labelAlign: {
        type: import("vue").PropType<"left" | "top" | "bottom" | "right">;
        validator(val: "left" | "top" | "bottom" | "right"): boolean;
    };
    loading: BooleanConstructor;
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    dot: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    dotColor: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    labelAlign: {
        type: import("vue").PropType<"left" | "top" | "bottom" | "right">;
        validator(val: "left" | "top" | "bottom" | "right"): boolean;
    };
    loading: BooleanConstructor;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    loading: boolean;
    dotColor: string;
} & {
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    labelAlign?: "left" | "top" | "bottom" | "right";
    dot?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    mode: any;
    currentIndex: import("@vue/composition-api").ComputedRef<number>;
    tailClassName: import("@vue/composition-api").ComputedRef<string>;
    dotClassName: import("@vue/composition-api").ComputedRef<string>;
    labelClassName: import("@vue/composition-api").ComputedRef<string>;
    getItemClassName: import("@vue/composition-api").ComputedRef<string>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    loading: boolean;
    dotColor: string;
} & {
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    labelAlign?: "left" | "top" | "bottom" | "right";
    dot?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
}, {
    loading: boolean;
    dotColor: string;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    mode: any;
    currentIndex: import("@vue/composition-api").ComputedRef<number>;
    tailClassName: import("@vue/composition-api").ComputedRef<string>;
    dotClassName: import("@vue/composition-api").ComputedRef<string>;
    labelClassName: import("@vue/composition-api").ComputedRef<string>;
    getItemClassName: import("@vue/composition-api").ComputedRef<string>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    dot: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    dotColor: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    labelAlign: {
        type: import("vue").PropType<"left" | "top" | "bottom" | "right">;
        validator(val: "left" | "top" | "bottom" | "right"): boolean;
    };
    loading: BooleanConstructor;
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    dot: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    dotColor: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    labelAlign: {
        type: import("vue").PropType<"left" | "top" | "bottom" | "right">;
        validator(val: "left" | "top" | "bottom" | "right"): boolean;
    };
    loading: BooleanConstructor;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    loading: boolean;
    dotColor: string;
} & {
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    labelAlign?: "left" | "top" | "bottom" | "right";
    dot?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    mode: any;
    currentIndex: import("@vue/composition-api").ComputedRef<number>;
    tailClassName: import("@vue/composition-api").ComputedRef<string>;
    dotClassName: import("@vue/composition-api").ComputedRef<string>;
    labelClassName: import("@vue/composition-api").ComputedRef<string>;
    getItemClassName: import("@vue/composition-api").ComputedRef<string>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    loading: boolean;
    dotColor: string;
} & {
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    labelAlign?: "left" | "top" | "bottom" | "right";
    dot?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
}, {
    loading: boolean;
    dotColor: string;
}, true>)>;
export default Timeline;
