/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var TimelineItemProps = {
  content: {
    type: [String, Function]
  },
  dot: {
    type: Function
  },
  dotColor: {
    type: String,
    "default": "primary"
  },
  label: {
    type: [String, Function]
  },
  labelAlign: {
    type: String,
    validator: function validator(val) {
      if (!val) return true;
      return ["left", "right", "top", "bottom"].includes(val);
    }
  },
  loading: Boolean
};

export { TimelineItemProps as default };
//# sourceMappingURL=timeline-item-props.js.map
