import { TdTooltipProps } from './type';
import './style';
export declare type TooltipProps = TdTooltipProps;
export * from './type';
export declare const Tooltip: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    timer: any;
    x: number;
    offsetX: number;
    tooltipVisible: boolean;
}, {
    onMouseMove(e: MouseEvent): void;
    onTipVisibleChange(val: boolean, ctx?: import("..").PopupVisibleChangeContext): void;
    getPopupProps(): import("..").TdPopupProps;
    updatedTooltip(): void;
}, {
    tooltipOverlayClassName: import("..").ClassName;
    tooltipOverlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
}, {
    delay: number;
    destroyOnClose: boolean;
    duration: number;
    placement: import("..").PopupPlacement | "mouse";
    showArrow: boolean;
    theme: "default" | "success" | "primary" | "warning" | "danger" | "light";
    attach: import("..").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    hideEmptyPopup: boolean;
    overlayClassName: import("..").ClassName;
    overlayInnerClassName: import("..").ClassName;
    overlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    overlayStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    popperOptions: object;
    trigger: "click" | "focus" | "mousedown" | "hover" | "context-menu";
    triggerElement: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    visible: any;
    defaultVisible: boolean;
    zIndex: number;
    onScroll: (context: {
        e: WheelEvent;
    }) => void;
    onScrollToBottom: (context: {
        e: WheelEvent;
    }) => void;
    onVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    timer: any;
    x: number;
    offsetX: number;
    tooltipVisible: boolean;
}, {
    onMouseMove(e: MouseEvent): void;
    onTipVisibleChange(val: boolean, ctx?: import("..").PopupVisibleChangeContext): void;
    getPopupProps(): import("..").TdPopupProps;
    updatedTooltip(): void;
}, {
    tooltipOverlayClassName: import("..").ClassName;
    tooltipOverlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
}, {
    delay: number;
    destroyOnClose: boolean;
    duration: number;
    placement: import("..").PopupPlacement | "mouse";
    showArrow: boolean;
    theme: "default" | "success" | "primary" | "warning" | "danger" | "light";
    attach: import("..").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    hideEmptyPopup: boolean;
    overlayClassName: import("..").ClassName;
    overlayInnerClassName: import("..").ClassName;
    overlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    overlayStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    popperOptions: object;
    trigger: "click" | "focus" | "mousedown" | "hover" | "context-menu";
    triggerElement: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    visible: any;
    defaultVisible: boolean;
    zIndex: number;
    onScroll: (context: {
        e: WheelEvent;
    }) => void;
    onScrollToBottom: (context: {
        e: WheelEvent;
    }) => void;
    onVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
}>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    timer: any;
    x: number;
    offsetX: number;
    tooltipVisible: boolean;
}, {
    onMouseMove(e: MouseEvent): void;
    onTipVisibleChange(val: boolean, ctx?: import("..").PopupVisibleChangeContext): void;
    getPopupProps(): import("..").TdPopupProps;
    updatedTooltip(): void;
}, {
    tooltipOverlayClassName: import("..").ClassName;
    tooltipOverlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
}, {
    delay: number;
    destroyOnClose: boolean;
    duration: number;
    placement: import("..").PopupPlacement | "mouse";
    showArrow: boolean;
    theme: "default" | "success" | "primary" | "warning" | "danger" | "light";
    attach: import("..").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    hideEmptyPopup: boolean;
    overlayClassName: import("..").ClassName;
    overlayInnerClassName: import("..").ClassName;
    overlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    overlayStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    popperOptions: object;
    trigger: "click" | "focus" | "mousedown" | "hover" | "context-menu";
    triggerElement: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    visible: any;
    defaultVisible: boolean;
    zIndex: number;
    onScroll: (context: {
        e: WheelEvent;
    }) => void;
    onScrollToBottom: (context: {
        e: WheelEvent;
    }) => void;
    onVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    timer: any;
    x: number;
    offsetX: number;
    tooltipVisible: boolean;
}, {
    onMouseMove(e: MouseEvent): void;
    onTipVisibleChange(val: boolean, ctx?: import("..").PopupVisibleChangeContext): void;
    getPopupProps(): import("..").TdPopupProps;
    updatedTooltip(): void;
}, {
    tooltipOverlayClassName: import("..").ClassName;
    tooltipOverlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
}, {
    delay: number;
    destroyOnClose: boolean;
    duration: number;
    placement: import("..").PopupPlacement | "mouse";
    showArrow: boolean;
    theme: "default" | "success" | "primary" | "warning" | "danger" | "light";
    attach: import("..").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    hideEmptyPopup: boolean;
    overlayClassName: import("..").ClassName;
    overlayInnerClassName: import("..").ClassName;
    overlayInnerStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    overlayStyle: import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles);
    popperOptions: object;
    trigger: "click" | "focus" | "mousedown" | "hover" | "context-menu";
    triggerElement: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    visible: any;
    defaultVisible: boolean;
    zIndex: number;
    onScroll: (context: {
        e: WheelEvent;
    }) => void;
    onScrollToBottom: (context: {
        e: WheelEvent;
    }) => void;
    onVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
}>>>;
export default Tooltip;
