/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Tooltip from './tooltip.js';
import mapProps from '../utils/map-props.js';
import { withInstall } from '../utils/withInstall.js';
import '../_chunks/dep-653f218a.js';
import '@babel/runtime/helpers/defineProperty';
import 'lodash-es';
import './props.js';
import '../popup/props.js';
import '../popup/popup.js';
import '@babel/runtime/helpers/typeof';
import '@popperjs/core';
import '../utils/dom.js';
import 'vue';
import 'raf';
import '../utils/easing.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../_common/js/utils/setStyle.js';
import '../popup/container.js';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/mixins.js';
import '../utils/event.js';
import '../popup/utils.js';

var Tooltip = withInstall(mapProps(["visible"], {
  model: {
    prop: "visible",
    event: "visible-change"
  }
})(_Tooltip));

export { Tooltip, Tooltip as default };
//# sourceMappingURL=index.js.map
