import { PopupProps, PopupVisibleChangeContext } from '../popup';
import { ClassName } from '../common';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    timer: any;
    x: number;
    offsetX: number;
    tooltipVisible: boolean;
}, {
    onMouseMove(e: MouseEvent): void;
    onTipVisibleChange(val: boolean, ctx?: PopupVisibleChangeContext): void;
    getPopupProps(): PopupProps;
    updatedTooltip(): void;
}, {
    tooltipOverlayClassName: ClassName;
    tooltipOverlayInnerStyle: import("../common").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../common").Styles);
}, {
    delay: number;
    destroyOnClose: boolean;
    duration: number;
    placement: import("../popup").PopupPlacement | "mouse";
    showArrow: boolean;
    theme: "default" | "success" | "primary" | "warning" | "danger" | "light";
    attach: import("../common").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    hideEmptyPopup: boolean;
    overlayClassName: ClassName;
    overlayInnerClassName: ClassName;
    overlayInnerStyle: import("../common").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../common").Styles);
    overlayStyle: import("../common").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../common").Styles);
    popperOptions: object;
    trigger: "click" | "focus" | "mousedown" | "hover" | "context-menu";
    triggerElement: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    visible: any;
    defaultVisible: boolean;
    zIndex: number;
    onScroll: (context: {
        e: WheelEvent;
    }) => void;
    onScrollToBottom: (context: {
        e: WheelEvent;
    }) => void;
    onVisibleChange: (visible: boolean, context: PopupVisibleChangeContext) => void;
}>;
export default _default;
