import { TdTreeSelectProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    autoWidth: BooleanConstructor;
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    collapsedItems: {
        type: PropType<(h: import("vue").CreateElement, props: {
            value: import("..").TreeOptionData<string | number>[];
            collapsedSelectedItems: import("..").TreeOptionData<string | number>[];
            count: number;
            onClose: (context: {
                index: number;
                e?: MouseEvent;
            }) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    data: {
        type: PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => TdTreeSelectProps['data'];
    };
    disabled: BooleanConstructor;
    empty: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: PropType<(filterWords: string, option: import("..").TreeOptionData<string | number>) => boolean>;
    };
    filterable: BooleanConstructor;
    inputProps: {
        type: PropType<import("..").InputProps<import("..").InputValue>>;
    };
    inputValue: {
        type: PropType<string>;
    };
    defaultInputValue: {
        type: PropType<string>;
    };
    keys: {
        type: PropType<import("..").TreeKeysType>;
    };
    label: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    loading: BooleanConstructor;
    loadingText: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    minCollapsedNum: {
        type: NumberConstructor;
        default: number;
    };
    multiple: BooleanConstructor;
    panelBottomContent: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: PropType<import("..").TdPopupProps>;
    };
    popupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    defaultPopupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    prefixIcon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    readonly: BooleanConstructor;
    reserveKeyword: BooleanConstructor;
    selectInputProps: {
        type: PropType<import("..").TdSelectInputProps>;
    };
    size: {
        type: PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: TdTreeSelectProps['size']): boolean;
    };
    status: {
        type: PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: TdTreeSelectProps['status']): boolean;
    };
    suffix: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    suffixIcon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    tagProps: {
        type: PropType<import("..").TdTagProps>;
    };
    tips: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    treeProps: {
        type: PropType<import("..").TreeProps>;
    };
    value: {
        type: PropType<import("./type").TreeSelectValue>;
    };
    defaultValue: {
        type: PropType<import("./type").TreeSelectValue>;
    };
    valueDisplay: {
        type: PropType<string | ((h: import("vue").CreateElement, props: {
            value: import("..").TreeOptionData<string | number> | import("..").TreeOptionData<string | number>[];
            onClose: (index: number) => void;
        }) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    valueType: {
        type: PropType<"object" | "value">;
        default: "object" | "value";
        validator(val: TdTreeSelectProps['valueType']): boolean;
    };
    onBlur: PropType<(context: import("..").PopupVisibleChangeContext & {
        inputValue: string;
        tagInputValue?: import("..").TagInputValue;
    } & {
        value: import("./type").TreeSelectValue;
    }) => void>;
    onChange: PropType<(value: import("./type").TreeSelectValue, context: import("./type").TreeSelectChangeContext<import("..").TreeOptionData<string | number>>) => void>;
    onClear: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onEnter: PropType<(context: {
        inputValue: string;
        e: KeyboardEvent;
        value: import("./type").TreeSelectValue;
    }) => void>;
    onFocus: PropType<(context: {
        value: import("./type").TreeSelectValue;
        e: FocusEvent;
    }) => void>;
    onInputChange: PropType<(value: string, context: import("..").SelectInputValueChangeContext) => void>;
    onPopupVisibleChange: PropType<(visible: boolean, context: import("./type").TreeSelectPopupVisibleContext<import("..").TreeOptionData<string | number>>) => void>;
    onRemove: PropType<(options: import("./type").RemoveOptions<import("..").TreeOptionData<string | number>, import("./type").TreeSelectValue>) => void>;
    onSearch: PropType<(filterWords: string, context: {
        e: MouseEvent | Event | CompositionEvent | FocusEvent | InputEvent | KeyboardEvent;
    }) => void>;
};
export default _default;
