import { PropType } from 'vue';
export declare const commonProps: {
    accept: StringConstructor;
    files: PropType<import("./type").UploadFile[]>;
    toUploadFiles: PropType<import("./type").UploadFile[]>;
    displayFiles: PropType<import("./type").UploadFile[]>;
    theme: PropType<"file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow">;
    abridgeName: PropType<number[]>;
    placeholder: StringConstructor;
    classPrefix: StringConstructor;
    tips: (FunctionConstructor | StringConstructor)[];
    status: PropType<"error" | "default" | "success" | "warning">;
    locale: PropType<import("..").UploadConfig>;
    sizeOverLimitMessage: StringConstructor;
    autoUpload: BooleanConstructor;
    disabled: BooleanConstructor;
    uploading: BooleanConstructor;
    tipsClasses: PropType<string>;
    errorClasses: PropType<string[]>;
    placeholderClass: PropType<string>;
    showUploadProgress: BooleanConstructor;
    default: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    fileListDisplay: PropType<(h: import("vue").CreateElement, props: {
        files: import("./type").UploadFile[];
        dragEvents?: import("..").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    onRemove: PropType<(p: import("./type").UploadRemoveContext) => void>;
    imageViewerProps: PropType<import("..").TdImageViewerProps>;
};
export default commonProps;
