/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  href: {
    type: String,
    "default": "",
    required: true
  },
  target: {
    type: String,
    "default": "_self",
    validator: function validator(val) {
      if (!val) return true;
      return ["_self", "_blank", "_parent", "_top"].includes(val);
    }
  },
  title: {
    type: [String, Function],
    "default": ""
  }
};

exports["default"] = props;
//# sourceMappingURL=anchor-item-props.js.map
