import { TdAnchorProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    affixProps: {
        type: PropType<import("..").TdAffixProps>;
    };
    bounds: {
        type: NumberConstructor;
        default: number;
    };
    container: {
        type: PropType<import("..").ScrollContainer>;
        default: () => () => Window & typeof globalThis;
    };
    cursor: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    getCurrentAnchor: {
        type: PropType<(activeLink: string) => string>;
    };
    size: {
        type: PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: TdAnchorProps['size']): boolean;
    };
    targetOffset: {
        type: NumberConstructor;
        default: number;
    };
    onChange: PropType<(currentLink: string, prevLink: string) => void>;
    onClick: PropType<(link: {
        href: string;
        title: string;
        e: MouseEvent;
    }) => void>;
};
export default _default;
