import { TdAutoCompleteProps } from './type';
import './style';
export * from './type';
export declare type AutoCompleteProps = TdAutoCompleteProps;
export declare const AutoComplete: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").InputConfig | ({
        readonly autocomplete: "";
    } & {
        readonly placeholder: "请输入";
    })) & import("..").InputConfig>;
    classes: import("@vue/composition-api").ComputedRef<string[]>;
    classPrefix: import("@vue/composition-api").Ref<string>;
    popupClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    popupInnerClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
    innerInputProps: import("@vue/composition-api").ComputedRef<import("..").InputProps<import("..").InputValue>>;
    inputListeners: import("@vue/composition-api").ComputedRef<{
        change: (value: string, context?: {
            e?: MouseEvent | CompositionEvent | InputEvent;
            trigger: "input" | "clear" | "initial";
        }) => void;
        focus: (value: string, context: {
            e: FocusEvent;
        }) => void;
        blur: (value: string, context: {
            e: FocusEvent;
        }) => void;
        compositionend: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        compositionstart: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        enter: (value: string, context: {
            e: KeyboardEvent;
        }) => void;
        clear: (context: {
            e: MouseEvent;
        }) => void;
    }>;
    tValue: import("@vue/composition-api").Ref<string>;
    popupVisible: import("@vue/composition-api").Ref<any>;
    optionListRef: import("@vue/composition-api").Ref<any>;
    onPopupVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
    getOverlayStyle: (trigger: HTMLElement, popupElement: HTMLElement) => {
        width: string;
    } | {
        width: string;
    };
    onInnerSelect: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: import("vue").PropType<(filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>>;
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightKeyword: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: import("vue").PropType<import("..").InputProps<import("..").InputValue>>;
    };
    options: {
        type: import("vue").PropType<import("./type").AutoCompleteOption[]>;
    };
    panelBottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    readonly: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    textareaProps: {
        type: import("vue").PropType<import("..").TdTextareaProps>;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    triggerElement: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onBlur: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onChange: import("vue").PropType<(value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onCompositionend: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onCompositionstart: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onEnter: import("vue").PropType<(context: {
        e: KeyboardEvent;
        value: string;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onSelect: import("vue").PropType<(value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: import("vue").PropType<(filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>>;
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightKeyword: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: import("vue").PropType<import("..").InputProps<import("..").InputValue>>;
    };
    options: {
        type: import("vue").PropType<import("./type").AutoCompleteOption[]>;
    };
    panelBottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    readonly: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    textareaProps: {
        type: import("vue").PropType<import("..").TdTextareaProps>;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    triggerElement: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onBlur: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onChange: import("vue").PropType<(value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onCompositionend: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onCompositionstart: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onEnter: import("vue").PropType<(context: {
        e: KeyboardEvent;
        value: string;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onSelect: import("vue").PropType<(value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: string;
    autofocus: boolean;
    disabled: boolean;
    size: import("..").SizeEnum;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    filterable: boolean;
    highlightKeyword: boolean;
} & {
    filter?: (filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    options?: import("./type").AutoCompleteOption[];
    empty?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    onCompositionend?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onCompositionstart?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onEnter?: (context: {
        e: KeyboardEvent;
        value: string;
    }) => void;
    onFocus?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    triggerElement?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    inputProps?: unknown;
    popupProps?: unknown;
    panelBottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelTopContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    textareaProps?: unknown;
    onSelect?: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").InputConfig | ({
        readonly autocomplete: "";
    } & {
        readonly placeholder: "请输入";
    })) & import("..").InputConfig>;
    classes: import("@vue/composition-api").ComputedRef<string[]>;
    classPrefix: import("@vue/composition-api").Ref<string>;
    popupClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    popupInnerClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
    innerInputProps: import("@vue/composition-api").ComputedRef<import("..").InputProps<import("..").InputValue>>;
    inputListeners: import("@vue/composition-api").ComputedRef<{
        change: (value: string, context?: {
            e?: MouseEvent | CompositionEvent | InputEvent;
            trigger: "input" | "clear" | "initial";
        }) => void;
        focus: (value: string, context: {
            e: FocusEvent;
        }) => void;
        blur: (value: string, context: {
            e: FocusEvent;
        }) => void;
        compositionend: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        compositionstart: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        enter: (value: string, context: {
            e: KeyboardEvent;
        }) => void;
        clear: (context: {
            e: MouseEvent;
        }) => void;
    }>;
    tValue: import("@vue/composition-api").Ref<string>;
    popupVisible: import("@vue/composition-api").Ref<any>;
    optionListRef: import("@vue/composition-api").Ref<any>;
    onPopupVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
    getOverlayStyle: (trigger: HTMLElement, popupElement: HTMLElement) => {
        width: string;
    } | {
        width: string;
    };
    onInnerSelect: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: string;
    autofocus: boolean;
    disabled: boolean;
    size: import("..").SizeEnum;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    filterable: boolean;
    highlightKeyword: boolean;
} & {
    filter?: (filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    options?: import("./type").AutoCompleteOption[];
    empty?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    onCompositionend?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onCompositionstart?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onEnter?: (context: {
        e: KeyboardEvent;
        value: string;
    }) => void;
    onFocus?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    triggerElement?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    inputProps?: unknown;
    popupProps?: unknown;
    panelBottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelTopContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    textareaProps?: unknown;
    onSelect?: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}, {
    value: string;
    autofocus: boolean;
    disabled: boolean;
    size: import("..").SizeEnum;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    filterable: boolean;
    highlightKeyword: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").InputConfig | ({
        readonly autocomplete: "";
    } & {
        readonly placeholder: "请输入";
    })) & import("..").InputConfig>;
    classes: import("@vue/composition-api").ComputedRef<string[]>;
    classPrefix: import("@vue/composition-api").Ref<string>;
    popupClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    popupInnerClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
    innerInputProps: import("@vue/composition-api").ComputedRef<import("..").InputProps<import("..").InputValue>>;
    inputListeners: import("@vue/composition-api").ComputedRef<{
        change: (value: string, context?: {
            e?: MouseEvent | CompositionEvent | InputEvent;
            trigger: "input" | "clear" | "initial";
        }) => void;
        focus: (value: string, context: {
            e: FocusEvent;
        }) => void;
        blur: (value: string, context: {
            e: FocusEvent;
        }) => void;
        compositionend: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        compositionstart: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        enter: (value: string, context: {
            e: KeyboardEvent;
        }) => void;
        clear: (context: {
            e: MouseEvent;
        }) => void;
    }>;
    tValue: import("@vue/composition-api").Ref<string>;
    popupVisible: import("@vue/composition-api").Ref<any>;
    optionListRef: import("@vue/composition-api").Ref<any>;
    onPopupVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
    getOverlayStyle: (trigger: HTMLElement, popupElement: HTMLElement) => {
        width: string;
    } | {
        width: string;
    };
    onInnerSelect: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: import("vue").PropType<(filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>>;
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightKeyword: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: import("vue").PropType<import("..").InputProps<import("..").InputValue>>;
    };
    options: {
        type: import("vue").PropType<import("./type").AutoCompleteOption[]>;
    };
    panelBottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    readonly: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    textareaProps: {
        type: import("vue").PropType<import("..").TdTextareaProps>;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    triggerElement: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onBlur: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onChange: import("vue").PropType<(value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onCompositionend: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onCompositionstart: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onEnter: import("vue").PropType<(context: {
        e: KeyboardEvent;
        value: string;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onSelect: import("vue").PropType<(value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: import("vue").PropType<(filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>>;
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightKeyword: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: import("vue").PropType<import("..").InputProps<import("..").InputValue>>;
    };
    options: {
        type: import("vue").PropType<import("./type").AutoCompleteOption[]>;
    };
    panelBottomContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    readonly: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    textareaProps: {
        type: import("vue").PropType<import("..").TdTextareaProps>;
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    triggerElement: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onBlur: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onChange: import("vue").PropType<(value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onCompositionend: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onCompositionstart: import("vue").PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onEnter: import("vue").PropType<(context: {
        e: KeyboardEvent;
        value: string;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onSelect: import("vue").PropType<(value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: string;
    autofocus: boolean;
    disabled: boolean;
    size: import("..").SizeEnum;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    filterable: boolean;
    highlightKeyword: boolean;
} & {
    filter?: (filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    options?: import("./type").AutoCompleteOption[];
    empty?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    onCompositionend?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onCompositionstart?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onEnter?: (context: {
        e: KeyboardEvent;
        value: string;
    }) => void;
    onFocus?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    triggerElement?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    inputProps?: unknown;
    popupProps?: unknown;
    panelBottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelTopContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    textareaProps?: unknown;
    onSelect?: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").InputConfig | ({
        readonly autocomplete: "";
    } & {
        readonly placeholder: "请输入";
    })) & import("..").InputConfig>;
    classes: import("@vue/composition-api").ComputedRef<string[]>;
    classPrefix: import("@vue/composition-api").Ref<string>;
    popupClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    popupInnerClasses: import("@vue/composition-api").ComputedRef<import("..").ClassName>;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
    innerInputProps: import("@vue/composition-api").ComputedRef<import("..").InputProps<import("..").InputValue>>;
    inputListeners: import("@vue/composition-api").ComputedRef<{
        change: (value: string, context?: {
            e?: MouseEvent | CompositionEvent | InputEvent;
            trigger: "input" | "clear" | "initial";
        }) => void;
        focus: (value: string, context: {
            e: FocusEvent;
        }) => void;
        blur: (value: string, context: {
            e: FocusEvent;
        }) => void;
        compositionend: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        compositionstart: (value: string, context: {
            e: CompositionEvent;
        }) => void;
        enter: (value: string, context: {
            e: KeyboardEvent;
        }) => void;
        clear: (context: {
            e: MouseEvent;
        }) => void;
    }>;
    tValue: import("@vue/composition-api").Ref<string>;
    popupVisible: import("@vue/composition-api").Ref<any>;
    optionListRef: import("@vue/composition-api").Ref<any>;
    onPopupVisibleChange: (visible: boolean, context: import("..").PopupVisibleChangeContext) => void;
    getOverlayStyle: (trigger: HTMLElement, popupElement: HTMLElement) => {
        width: string;
    } | {
        width: string;
    };
    onInnerSelect: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: string;
    autofocus: boolean;
    disabled: boolean;
    size: import("..").SizeEnum;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    filterable: boolean;
    highlightKeyword: boolean;
} & {
    filter?: (filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>;
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    options?: import("./type").AutoCompleteOption[];
    empty?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange?: (value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    onCompositionend?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onCompositionstart?: (context: {
        e: CompositionEvent;
        value: string;
    }) => void;
    onEnter?: (context: {
        e: KeyboardEvent;
        value: string;
    }) => void;
    onFocus?: (context: {
        e: FocusEvent;
        value: string;
    }) => void;
    triggerElement?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    inputProps?: unknown;
    popupProps?: unknown;
    panelBottomContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    panelTopContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    textareaProps?: unknown;
    onSelect?: (value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void;
}, {
    value: string;
    autofocus: boolean;
    disabled: boolean;
    size: import("..").SizeEnum;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    filterable: boolean;
    highlightKeyword: boolean;
}, true>)>;
export declare const HighlightOption: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    words: import("@vue/composition-api").ComputedRef<{
        list: string[];
        keyword?: string;
    }>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    content: StringConstructor;
    keyword: StringConstructor;
}, import("@vue/composition-api").ExtractPropTypes<{
    content: StringConstructor;
    keyword: StringConstructor;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{} & {
    content?: string;
    keyword?: string;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    words: import("@vue/composition-api").ComputedRef<{
        list: string[];
        keyword?: string;
    }>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {} & {
    content?: string;
    keyword?: string;
}, {}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    words: import("@vue/composition-api").ComputedRef<{
        list: string[];
        keyword?: string;
    }>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    content: StringConstructor;
    keyword: StringConstructor;
}, import("@vue/composition-api").ExtractPropTypes<{
    content: StringConstructor;
    keyword: StringConstructor;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{} & {
    content?: string;
    keyword?: string;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    words: import("@vue/composition-api").ComputedRef<{
        list: string[];
        keyword?: string;
    }>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {} & {
    content?: string;
    keyword?: string;
}, {}, true>)>;
export default AutoComplete;
