/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var helper = require('../../../_chunks/dep-ece3c062.js');
var _toConsumableArray = require('@babel/runtime/helpers/toConsumableArray');
var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var VueCompositionAPI = require('@vue/composition-api');
var colorPicker_props = require('../../props.js');
var select_index = require('../../../select/index.js');
var input_index = require('../../../input/index.js');
var inputNumber_index = require('../../../input-number/index.js');
var colorPicker_panel_format_config = require('./config.js');
var throttle = require('../../../_chunks/dep-13309278.js');
var _common_js_colorPicker_color = require('../../../_common/js/color-picker/color.js');
require('../../../select/select.js');
require('@babel/runtime/helpers/objectWithoutProperties');
require('@babel/runtime/helpers/typeof');
require('@babel/runtime/helpers/slicedToArray');
require('../../../hooks/useDefaultValue.js');
require('../../../hooks/useVModel.js');
require('../../../_chunks/dep-47bca35e.js');
require('../../../_chunks/dep-6478392e.js');
require('../../../_chunks/dep-201f7798.js');
require('../../../_chunks/dep-a4308f57.js');
require('../../../_chunks/dep-fcf0662d.js');
require('../../../_chunks/dep-d3015b4c.js');
require('../../../_chunks/dep-e4278c54.js');
require('../../../hooks/tnode.js');
require('../../../hooks/render-tnode.js');
require('../../../_chunks/dep-a4cecac4.js');
require('../../../_chunks/dep-738b4f21.js');
require('../../../_chunks/dep-7c854ec6.js');
require('../../../_chunks/dep-eceed11d.js');
require('../../../_chunks/dep-f8a85d6a.js');
require('../../../_chunks/dep-5b117689.js');
require('../../../_chunks/dep-ecccff93.js');
require('../../../_chunks/dep-a6490a32.js');
require('../../../_chunks/dep-3eec664c.js');
require('../../../_chunks/dep-8b1e056e.js');
require('../../../_chunks/dep-5db8defc.js');
require('../../../_chunks/dep-6e4c473c.js');
require('../../../_chunks/dep-3d8ab37d.js');
require('../../../_chunks/dep-eeb2e214.js');
require('../../../_chunks/dep-6ad3de7c.js');
require('../../../config-provider/useConfig.js');
require('../../../_chunks/dep-07fb8c0e.js');
require('../../../_common/js/global-config/default-config.js');
require('../../../_common/js/global-config/locale/zh_CN.js');
require('../../../_chunks/dep-a4a18104.js');
require('../../../_chunks/dep-27dd8cc6.js');
require('dayjs');
require('../../../_chunks/dep-87c765cc.js');
require('../../../_chunks/dep-75cd6d52.js');
require('../../../_chunks/dep-b1a02818.js');
require('../../../_chunks/dep-ab142eaf.js');
require('../../../_chunks/dep-234b7c02.js');
require('../../../_chunks/dep-a4747856.js');
require('../../../_chunks/dep-932dd69e.js');
require('../../../_chunks/dep-9f4caea4.js');
require('../../../_chunks/dep-dbd838d6.js');
require('../../../_chunks/dep-b3120c1b.js');
require('../../../_chunks/dep-68ba2357.js');
require('../../../_chunks/dep-173eb46c.js');
require('../../../select/props.js');
require('../../../loading/index.js');
require('../../../loading/directive.js');
require('../../../loading/plugin.js');
require('vue');
require('../../../loading/loading.js');
require('../../../loading/icon/gradient.js');
require('../../../_common/js/loading/circle-adapter.js');
require('../../../_common/js/utils/setStyle.js');
require('../../../_common/js/utils/helper.js');
require('../../../_chunks/dep-62de1188.js');
require('../../../_chunks/dep-867c284e.js');
require('../../../_chunks/dep-aa0a4aac.js');
require('../../../config-provider/config-receiver.js');
require('../../../utils/mixins.js');
require('../../../utils/dom.js');
require('raf');
require('../../../utils/easing.js');
require('../../../utils/render-tnode.js');
require('@babel/runtime/helpers/readOnlyError');
require('../../../utils/transfer-dom.js');
require('../../../loading/props.js');
require('../../../config.js');
require('../../../_chunks/dep-013a3403.js');
require('../../../_chunks/dep-8cb0d589.js');
require('../../../_chunks/dep-d23147db.js');
require('../../../_chunks/dep-de60f5aa.js');
require('../../../_chunks/dep-63b02f7b.js');
require('../../../_chunks/dep-bebcd284.js');
require('../../../_chunks/dep-315a67f0.js');
require('../../../_chunks/dep-f84d1ea5.js');
require('../../../_chunks/dep-362bc4d7.js');
require('../../../_chunks/dep-2e32c1f2.js');
require('../../../_chunks/dep-f14aac54.js');
require('../../../utils/withInstall.js');
require('../../../popup/index.js');
require('../../../popup/popup.js');
require('@popperjs/core');
require('../../../utils/helper.js');
require('../../../popup/props.js');
require('../../../popup/container.js');
require('../../../utils/event.js');
require('../../../popup/utils.js');
require('../../../_chunks/dep-f3761329.js');
require('../../../_chunks/dep-848a5a32.js');
require('../../../utils/map-props.js');
require('../../../popup/plugin.js');
require('../../../_common/js/log/log.js');
require('../../../tag/index.js');
require('../../../tag/tag.js');
require('tdesign-icons-vue');
require('tinycolor2');
require('../../../tag/props.js');
require('../../../tag/check-tag.js');
require('../../../tag/check-tag-props.js');
require('../../../hooks/useConfig.js');
require('../../../_common/js/common.js');
require('../../../tag/check-tag-group.js');
require('../../../tag/check-tag-group-props.js');
require('../../../select-input/index.js');
require('../../../select-input/select-input.js');
require('../../../select-input/props.js');
require('../../../select-input/useSingle.js');
require('../../../_chunks/dep-71fa6788.js');
require('../../../_chunks/dep-73fb598e.js');
require('../../../_chunks/dep-a9e7deb2.js');
require('../../../input/input.js');
require('../../../input/props.js');
require('../../../input/input-group.js');
require('../../../select-input/useMultiple.js');
require('../../../tag-input/index.js');
require('../../../tag-input/tag-input.js');
require('../../../tag-input/props.js');
require('../../../tag-input/hooks/useTagScroll.js');
require('../../../tag-input/useTagList.js');
require('../../../tag-input/hooks/useHover.js');
require('../../../tag-input/hooks/useDragSorter.js');
require('../../../hooks/useGlobalIcon.js');
require('../../../select-input/useOverlayInnerStyle.js');
require('../../../common-components/fake-arrow.js');
require('../../../select/option.js');
require('../../../utils/ripple.js');
require('../../../select/option-props.js');
require('../../../checkbox/index.js');
require('../../../checkbox/group.js');
require('../../../checkbox/checkbox.js');
require('../../../checkbox/props.js');
require('../../../checkbox/constants.js');
require('../../../checkbox/store.js');
require('@babel/runtime/helpers/classCallCheck');
require('@babel/runtime/helpers/createClass');
require('../../../checkbox/hooks/useKeyboardEvent.js');
require('../../../hooks/useFormDisabled.js');
require('../../../hooks/useElementLazyRender.js');
require('../../../_common/js/utils/observe.js');
require('../../../checkbox/checkbox-group-props.js');
require('../../../_chunks/dep-e83685df.js');
require('../../../_chunks/dep-502c56be.js');
require('../../../hooks/slots.js');
require('../../../hooks/useLazyLoad.js');
require('../../../select/util.js');
require('../../../_chunks/dep-f45125c9.js');
require('../../../_chunks/dep-f33eb57d.js');
require('../../../hooks/useCommonClassName.js');
require('../../../select/select-panel.js');
require('../../../select/optionGroup.js');
require('../../../select/option-group-props.js');
require('../../../hooks/useVirtualScroll.js');
require('../../../select/hooks/useSelectOptions.js');
require('../../../_chunks/dep-6dc0a916.js');
require('../../../_chunks/dep-b5c96567.js');
require('../../../input-number/input-number.js');
require('../../../button/index.js');
require('../../../button/button.js');
require('../../../button/props.js');
require('../../../input-number/props.js');
require('../../../input-number/useInputNumber.js');
require('../../../_common/js/input-number/number.js');
require('../../../_common/js/input-number/large-number.js');
require('../../../_common/js/color-picker/cmyk.js');
require('../../../_common/js/color-picker/gradient.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _toConsumableArray__default = /*#__PURE__*/_interopDefaultLegacy(_toConsumableArray);
var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty__default["default"](e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var FormatInputs = VueCompositionAPI.defineComponent({
  name: "FormatInputs",
  components: {
    TSelect: select_index.Select,
    TOption: select_index.Option,
    TInput: input_index.Input,
    TInputNumber: inputNumber_index.InputNumber
  },
  inheritAttrs: false,
  props: _objectSpread(_objectSpread({}, colorPicker_props["default"]), {}, {
    color: {
      type: Object
    },
    handleFormatInputChange: {
      type: Function,
      "default": function _default() {
        return function () {};
      }
    }
  }),
  setup: function setup(props2) {
    var inputConfigs = VueCompositionAPI.computed(function () {
      var configs = _toConsumableArray__default["default"](colorPicker_panel_format_config.FORMAT_INPUT_CONFIG[props2.format]);
      if (props2.enableAlpha) {
        configs.push({
          type: "inputNumber",
          key: "a",
          min: 0,
          max: 100,
          format: function format(value) {
            return "".concat(value, "%");
          },
          flex: 1.15
        });
      }
      return configs;
    });
    var modelValues = VueCompositionAPI.reactive({
      r: 0,
      g: 0,
      b: 0,
      a: 0,
      c: 0,
      m: 0,
      y: 0,
      k: 0,
      h: 0,
      l: 0,
      s: 0,
      v: 0,
      hex: "",
      css: ""
    });
    var lastModelValue = VueCompositionAPI.reactive({});
    var getFormatColorMap = function getFormatColorMap(type) {
      var color = props2.color;
      if (type === "encode") {
        return {
          HSV: color.getHsva(),
          HSL: color.getHsla(),
          RGB: color.getRgba(),
          CMYK: color.getCmyk(),
          CSS: {
            css: color.css
          },
          HEX: {
            hex: color.hex
          }
        };
      }
      return {
        HSV: _common_js_colorPicker_color.Color.object2color(modelValues, "HSV"),
        HSL: _common_js_colorPicker_color.Color.object2color(modelValues, "HSL"),
        RGB: _common_js_colorPicker_color.Color.object2color(modelValues, "RGB"),
        CMYK: _common_js_colorPicker_color.Color.object2color(modelValues, "CMYK"),
        CSS: modelValues.css,
        HEX: modelValues.hex
      };
    };
    var updateModelValue = function updateModelValue() {
      var format = props2.format,
        color = props2.color;
      var values = getFormatColorMap("encode")[format];
      values.a = Math.round(color.alpha * 100);
      Object.keys(values).forEach(function (key) {
        modelValues[key] = values[key];
        lastModelValue[key] = values[key];
      });
    };
    updateModelValue();
    var throttleUpdate = throttle.throttle(updateModelValue, 100);
    VueCompositionAPI.watch(function () {
      var _props2$color = props2.color,
        saturation = _props2$color.saturation,
        hue = _props2$color.hue,
        value = _props2$color.value,
        alpha = _props2$color.alpha;
      return [saturation, hue, value, alpha, props2.format];
    }, throttleUpdate);
    var handleChange = function handleChange(key, v) {
      if (v === lastModelValue[key]) {
        return;
      }
      var value = getFormatColorMap("decode")[props2.format];
      props2.handleFormatInputChange(value, modelValues.a / 100, key, v);
    };
    return {
      modelValues: modelValues,
      inputConfigs: inputConfigs,
      handleChange: handleChange
    };
  },
  render: function render() {
    var _this = this;
    var h = arguments[0];
    var inputProps = _objectSpread({}, this.inputProps || {});
    return h("div", {
      "class": "input-group"
    }, [this.inputConfigs.map(function (config) {
      return h("div", {
        "class": "input-group__item",
        "key": config.key,
        "style": {
          flex: config.flex || 1
        }
      }, [config.type === "input" ? h("t-input", helper.helper([{}, inputProps, {
        "attrs": {
          "align": "center",
          "size": "small",
          "disabled": _this.disabled,
          "maxlength": _this.format === "HEX" ? 9 : void 0,
          "title": _this.modelValues[config.key]
        },
        "on": {
          "blur": function blur(v) {
            return _this.handleChange(config.key, v);
          },
          "enter": function enter(v) {
            return _this.handleChange(config.key, v);
          }
        },
        "model": {
          value: _this.modelValues[config.key],
          callback: function callback($$v) {
            _this.$set(_this.modelValues, config.key, $$v);
          }
        }
      }])) : h("t-input-number", helper.helper([{}, inputProps, {
        "attrs": {
          "align": "center",
          "theme": "normal",
          "size": "small",
          "disabled": _this.disabled,
          "title": _this.modelValues[config.key],
          "min": config.min,
          "max": config.max,
          "step": 1,
          "format": config.format
        },
        "on": {
          "blur": function blur(v) {
            return _this.handleChange(config.key, v);
          },
          "enter": function enter(v) {
            return _this.handleChange(config.key, v);
          }
        },
        "model": {
          value: _this.modelValues[config.key],
          callback: function callback($$v) {
            _this.$set(_this.modelValues, config.key, $$v);
          }
        }
      }]))]);
    })]);
  }
});

exports["default"] = FormatInputs;
//# sourceMappingURL=inputs.js.map
