/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _common_js_colorPicker_cmyk = require('../../_common/js/color-picker/cmyk.js');
var _common_js_colorPicker_color = require('../../_common/js/color-picker/color.js');
var _common_js_colorPicker_draggable = require('../../_common/js/color-picker/draggable.js');
var _common_js_colorPicker_gradient = require('../../_common/js/color-picker/gradient.js');
require('@babel/runtime/helpers/slicedToArray');
require('@babel/runtime/helpers/classCallCheck');
require('@babel/runtime/helpers/createClass');
require('@babel/runtime/helpers/defineProperty');
require('tinycolor2');
require('../../_chunks/dep-738b4f21.js');
require('../../_chunks/dep-a4308f57.js');
require('@babel/runtime/helpers/typeof');
require('../../_chunks/dep-fcf0662d.js');
require('../../_chunks/dep-e4278c54.js');
require('../../_chunks/dep-867c284e.js');



exports.cmyk2rgb = _common_js_colorPicker_cmyk.cmyk2rgb;
exports.cmykInputToColor = _common_js_colorPicker_cmyk.cmykInputToColor;
exports.rgb2cmyk = _common_js_colorPicker_cmyk.rgb2cmyk;
exports.Color = _common_js_colorPicker_color.Color;
exports.genGradientPoint = _common_js_colorPicker_color.genGradientPoint;
exports.genId = _common_js_colorPicker_color.genId;
exports.getColorObject = _common_js_colorPicker_color.getColorObject;
exports.getColorWithoutAlpha = _common_js_colorPicker_color.getColorWithoutAlpha;
exports.gradientColors2string = _common_js_colorPicker_color.gradientColors2string;
exports.Draggable = _common_js_colorPicker_draggable.Draggable;
exports.isGradientColor = _common_js_colorPicker_gradient.isGradientColor;
exports.parseGradientString = _common_js_colorPicker_gradient.parseGradientString;
//# sourceMappingURL=index.js.map
