import { TdDateRangePickerProps } from '../type';
export declare const PARTIAL_MAP: {
    first: string;
    second: string;
};
export default function useRange(props: TdDateRangePickerProps, { emit }: any): {
    year: import("@vue/composition-api").Ref<number[]>;
    month: import("@vue/composition-api").Ref<number[]>;
    value: import("@vue/composition-api").Ref<import("../type").DateRangeValue>;
    time: import("@vue/composition-api").Ref<string[]>;
    inputValue: import("@vue/composition-api").Ref<string | number | string[] | number[] | Date | Date[]>;
    popupVisible: import("@vue/composition-api").Ref<boolean>;
    rangeInputProps: import("@vue/composition-api").ComputedRef<{
        ref: import("@vue/composition-api").Ref<any>;
        borderless: boolean;
        size: import("../..").SizeEnum;
        clearable: boolean;
        prefixIcon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        readonly: true | Boolean;
        separator: string;
        placeholder: any;
        activeIndex: number;
        class: {
            [x: string]: boolean;
        };
        onClick: ({ position }: any) => void;
        onClear: ({ e }: {
            e: MouseEvent;
        }) => void;
        onBlur: (newVal: string[], { e, position }: any) => void;
        onFocus: (newVal: string[], { e, position }: any) => void;
        onChange: (newVal: string[]) => void;
        onEnter: (newVal: string[]) => void;
        disabled?: boolean;
        format?: import("../..").InputFormatType | import("../..").InputFormatType[];
        inputProps?: import("../..").InputProps<import("../..").InputValue> | import("../..").InputProps<import("../..").InputValue>[];
        label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        showClearIconOnEmpty?: boolean;
        status?: "error" | "default" | "success" | "warning";
        suffix?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        suffixIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        value?: import("../..").RangeInputValue;
        defaultValue?: import("../..").RangeInputValue;
        onMouseenter?: (context: {
            e: MouseEvent;
        }) => void;
        onMouseleave?: (context: {
            e: MouseEvent;
        }) => void;
    }>;
    popupProps: import("@vue/composition-api").ComputedRef<{
        overlayInnerStyle: import("../..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../..").Styles);
        overlayClassName: import("../..").ClassName[];
        onVisibleChange: (visible: boolean, context: any) => void;
        attach?: import("../..").AttachNode;
        content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        delay?: number | number[];
        destroyOnClose?: boolean;
        disabled?: boolean;
        hideEmptyPopup?: boolean;
        overlayInnerClassName?: import("../..").ClassName;
        overlayStyle?: import("../..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../..").Styles);
        placement?: import("../..").PopupPlacement;
        popperOptions?: object;
        showArrow?: boolean;
        trigger?: "click" | "focus" | "mousedown" | "hover" | "context-menu";
        triggerElement?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
        visible?: boolean;
        defaultVisible?: boolean;
        zIndex?: number;
        onScroll?: (context: {
            e: WheelEvent;
        }) => void;
        onScrollToBottom?: (context: {
            e: WheelEvent;
        }) => void;
        expandAnimation: boolean;
    }>;
    isHoverCell: import("@vue/composition-api").Ref<boolean>;
    activeIndex: import("@vue/composition-api").Ref<number>;
    isFirstValueSelected: import("@vue/composition-api").Ref<boolean>;
    cacheValue: import("@vue/composition-api").Ref<string | number | string[] | number[] | Date | Date[]>;
    onChange: import("../../hooks").ChangeHandler<import("../type").DateRangeValue, [context: {
        dayjsValue?: import("dayjs").Dayjs[];
        trigger?: import("../type").DatePickerTriggerSource;
    }]>;
};
