/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var data = [];
var push = function push(value) {
  data.push(value);
};
var pop = function pop(value) {
  if (data.length && data.includes(value)) {
    data.pop();
  }
};
var stack = {
  push: push,
  pop: pop,
  get top() {
    return data[data.length - 1];
  }
};

exports["default"] = stack;
//# sourceMappingURL=stack.js.map
