import { TdDrawerProps } from './type';
import './style';
export * from './type';
export declare type DrawerProps = TdDrawerProps;
export declare const Drawer: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    globalAttach(): import("..").AttachNode;
} & {
    getConfirmBtn(options: import("../dialog/actions").MixinsConfirmBtn): any;
    getCancelBtn(options: import("../dialog/actions").MixinsCancelBtn): any;
    getButtonByProps(button: string | import("..").TdButtonProps, params: {
        defaultButtonProps: import("..").TdButtonProps;
        className?: import("..").ClassName;
        confirmLoading?: boolean;
    }): JSX.Element;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    getDefaultConfirmBtnProps(options: import("../dialog/actions").MixinsConfirmBtn): import("..").TdButtonProps;
    getDefaultCancelBtnProps(options: import("../dialog/actions").MixinsCancelBtn): import("..").TdButtonProps;
} & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").DrawerConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    isSizeDragging: boolean;
    draggedSizeValue: any;
    animationStart: boolean;
    animationEnd: boolean;
    styleTimer: any;
    styleEl: any;
}, {
    clearStyleFunc(): void;
    beforeEnter(): void;
    afterEnter(): void;
    beforeLeave(): void;
    afterLeave(): void;
    enableDrag(): void;
    handleMouseup(): void;
    handleMousemove(e: MouseEvent): void;
    handleScrollThrough(visible: boolean): void;
    handlePushMode(): void;
    updatePushMode(): void;
    getDefaultBtn(btnType: "cancel" | "confirm", btnApi: import("./type").FooterButton): JSX.Element;
    isUseDefault(btnApi: import("./type").FooterButton): boolean;
    getDefaultFooter(): JSX.Element;
    handleCloseBtnClick(e: MouseEvent): void;
    handleWrapperClick(e: MouseEvent): void;
    onKeyDown(e: KeyboardEvent): void;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    closeDrawer(params: import("./type").DrawerCloseContext): void;
}, {
    drawerClasses: import("..").ClassName;
    sizeValue: string;
    wrapperStyles: import("..").Styles;
    wrapperClasses: import("..").ClassName;
    parentNode: HTMLElement;
    modeAndPlacement: string;
    footerStyle: import("..").Styles;
    isHorizontal: boolean;
    isVertical: boolean;
    draggableLineStyles: import("..").Styles;
    computedAttach: import("..").AttachNode;
}, {
    attach: import("..").AttachNode;
    body: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cancelBtn: import("./type").FooterButton;
    closeBtn: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    closeOnEscKeydown: any;
    closeOnOverlayClick: boolean;
    confirmBtn: import("./type").FooterButton;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnClose: boolean;
    drawerClassName: string;
    footer: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    mode: "push" | "overlay";
    placement: "left" | "top" | "bottom" | "right";
    preventScrollThrough: boolean;
    showInAttachedElement: boolean;
    showOverlay: boolean;
    size: any;
    sizeDraggable: boolean | import("./type").SizeDragLimit;
    visible: boolean;
    zIndex: number;
    onBeforeClose: () => void;
    onBeforeOpen: () => void;
    onCancel: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: import("./type").DrawerCloseContext) => void;
    onCloseBtnClick: (context: {
        e: MouseEvent;
    }) => void;
    onConfirm: (context: {
        e: MouseEvent;
    }) => void;
    onEscKeydown: (context: {
        e: KeyboardEvent;
    }) => void;
    onOverlayClick: (context: {
        e: MouseEvent;
    }) => void;
    onSizeDragEnd: (context: {
        e: MouseEvent;
        size: number;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    globalAttach(): import("..").AttachNode;
} & {
    getConfirmBtn(options: import("../dialog/actions").MixinsConfirmBtn): any;
    getCancelBtn(options: import("../dialog/actions").MixinsCancelBtn): any;
    getButtonByProps(button: string | import("..").TdButtonProps, params: {
        defaultButtonProps: import("..").TdButtonProps;
        className?: import("..").ClassName;
        confirmLoading?: boolean;
    }): JSX.Element;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    getDefaultConfirmBtnProps(options: import("../dialog/actions").MixinsConfirmBtn): import("..").TdButtonProps;
    getDefaultCancelBtnProps(options: import("../dialog/actions").MixinsCancelBtn): import("..").TdButtonProps;
} & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").DrawerConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    isSizeDragging: boolean;
    draggedSizeValue: any;
    animationStart: boolean;
    animationEnd: boolean;
    styleTimer: any;
    styleEl: any;
}, {
    clearStyleFunc(): void;
    beforeEnter(): void;
    afterEnter(): void;
    beforeLeave(): void;
    afterLeave(): void;
    enableDrag(): void;
    handleMouseup(): void;
    handleMousemove(e: MouseEvent): void;
    handleScrollThrough(visible: boolean): void;
    handlePushMode(): void;
    updatePushMode(): void;
    getDefaultBtn(btnType: "cancel" | "confirm", btnApi: import("./type").FooterButton): JSX.Element;
    isUseDefault(btnApi: import("./type").FooterButton): boolean;
    getDefaultFooter(): JSX.Element;
    handleCloseBtnClick(e: MouseEvent): void;
    handleWrapperClick(e: MouseEvent): void;
    onKeyDown(e: KeyboardEvent): void;
    confirmBtnAction(e: MouseEvent): void;
    cancelBtnAction(e: MouseEvent): void;
    closeDrawer(params: import("./type").DrawerCloseContext): void;
}, {
    drawerClasses: import("..").ClassName;
    sizeValue: string;
    wrapperStyles: import("..").Styles;
    wrapperClasses: import("..").ClassName;
    parentNode: HTMLElement;
    modeAndPlacement: string;
    footerStyle: import("..").Styles;
    isHorizontal: boolean;
    isVertical: boolean;
    draggableLineStyles: import("..").Styles;
    computedAttach: import("..").AttachNode;
}, {
    attach: import("..").AttachNode;
    body: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    cancelBtn: import("./type").FooterButton;
    closeBtn: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    closeOnEscKeydown: any;
    closeOnOverlayClick: boolean;
    confirmBtn: import("./type").FooterButton;
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnClose: boolean;
    drawerClassName: string;
    footer: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    mode: "push" | "overlay";
    placement: "left" | "top" | "bottom" | "right";
    preventScrollThrough: boolean;
    showInAttachedElement: boolean;
    showOverlay: boolean;
    size: any;
    sizeDraggable: boolean | import("./type").SizeDragLimit;
    visible: boolean;
    zIndex: number;
    onBeforeClose: () => void;
    onBeforeOpen: () => void;
    onCancel: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: import("./type").DrawerCloseContext) => void;
    onCloseBtnClick: (context: {
        e: MouseEvent;
    }) => void;
    onConfirm: (context: {
        e: MouseEvent;
    }) => void;
    onEscKeydown: (context: {
        e: KeyboardEvent;
    }) => void;
    onOverlayClick: (context: {
        e: MouseEvent;
    }) => void;
    onSizeDragEnd: (context: {
        e: MouseEvent;
        size: number;
    }) => void;
}>>;
export { default as DrawerPlugin } from './plugin';
export default Drawer;
