import './style';
export * from './type';
export declare const Empty: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    emptyClasses: import("@vue/composition-api").ComputedRef<string[]>;
    imageClasses: string[];
    titleClasses: string[];
    descriptionClasses: string[];
    actionClass: string[];
    showImage: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAction: import("@vue/composition-api").ComputedRef<((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
}> & import("@vue/composition-api").Data, {
    renderTitle(): JSX.Element;
    renderDescription(): JSX.Element;
    getImageIns(): import("vue").VNode;
}, {}, {
    action: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    image: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    };
    imageStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    type: {
        type: import("vue").PropType<"success" | "fail" | "empty" | "network-error" | "maintenance">;
        default: "success" | "fail" | "empty" | "network-error" | "maintenance";
        validator(val: "success" | "fail" | "empty" | "network-error" | "maintenance"): boolean;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    action: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    image: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    };
    imageStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    type: {
        type: import("vue").PropType<"success" | "fail" | "empty" | "network-error" | "maintenance">;
        default: "success" | "fail" | "empty" | "network-error" | "maintenance";
        validator(val: "success" | "fail" | "empty" | "network-error" | "maintenance"): boolean;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    type: "success" | "fail" | "empty" | "network-error" | "maintenance";
    size: import("..").SizeEnum;
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    image?: unknown;
    action?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    imageStyle?: import("..").Styles;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    emptyClasses: import("@vue/composition-api").ComputedRef<string[]>;
    imageClasses: string[];
    titleClasses: string[];
    descriptionClasses: string[];
    actionClass: string[];
    showImage: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAction: import("@vue/composition-api").ComputedRef<((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
}>, import("@vue/composition-api").Data, {}, {
    renderTitle(): JSX.Element;
    renderDescription(): JSX.Element;
    getImageIns(): import("vue").VNode;
}, {}, {}, {}, {
    type: "success" | "fail" | "empty" | "network-error" | "maintenance";
    size: import("..").SizeEnum;
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    image?: unknown;
    action?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    imageStyle?: import("..").Styles;
}, {
    type: "success" | "fail" | "empty" | "network-error" | "maintenance";
    size: import("..").SizeEnum;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    emptyClasses: import("@vue/composition-api").ComputedRef<string[]>;
    imageClasses: string[];
    titleClasses: string[];
    descriptionClasses: string[];
    actionClass: string[];
    showImage: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAction: import("@vue/composition-api").ComputedRef<((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
}> & import("@vue/composition-api").Data, {
    renderTitle(): JSX.Element;
    renderDescription(): JSX.Element;
    getImageIns(): import("vue").VNode;
}, {}, {
    action: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    image: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    };
    imageStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    type: {
        type: import("vue").PropType<"success" | "fail" | "empty" | "network-error" | "maintenance">;
        default: "success" | "fail" | "empty" | "network-error" | "maintenance";
        validator(val: "success" | "fail" | "empty" | "network-error" | "maintenance"): boolean;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    action: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    description: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    image: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    };
    imageStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    type: {
        type: import("vue").PropType<"success" | "fail" | "empty" | "network-error" | "maintenance">;
        default: "success" | "fail" | "empty" | "network-error" | "maintenance";
        validator(val: "success" | "fail" | "empty" | "network-error" | "maintenance"): boolean;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    type: "success" | "fail" | "empty" | "network-error" | "maintenance";
    size: import("..").SizeEnum;
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    image?: unknown;
    action?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    imageStyle?: import("..").Styles;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    emptyClasses: import("@vue/composition-api").ComputedRef<string[]>;
    imageClasses: string[];
    titleClasses: string[];
    descriptionClasses: string[];
    actionClass: string[];
    showImage: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdImageProps>;
    showTitle: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showDescription: import("@vue/composition-api").ComputedRef<string | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    showAction: import("@vue/composition-api").ComputedRef<((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
}>, import("@vue/composition-api").Data, {}, {
    renderTitle(): JSX.Element;
    renderDescription(): JSX.Element;
    getImageIns(): import("vue").VNode;
}, {}, {}, {}, {
    type: "success" | "fail" | "empty" | "network-error" | "maintenance";
    size: import("..").SizeEnum;
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    image?: unknown;
    action?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    description?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    imageStyle?: import("..").Styles;
}, {
    type: "success" | "fail" | "empty" | "network-error" | "maintenance";
    size: import("..").SizeEnum;
}, true>)>;
export default Empty;
