/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  "for": {
    type: String,
    "default": ""
  },
  help: {
    type: [String, Function]
  },
  label: {
    type: [String, Function],
    "default": ""
  },
  labelAlign: {
    type: String,
    validator: function validator(val) {
      if (!val) return true;
      return ["left", "right", "top"].includes(val);
    }
  },
  labelWidth: {
    type: [String, Number]
  },
  name: {
    type: String,
    "default": ""
  },
  requiredMark: {
    type: Boolean,
    "default": void 0
  },
  rules: {
    type: Array
  },
  showErrorMessage: {
    type: Boolean,
    "default": void 0
  },
  status: {
    type: String,
    "default": ""
  },
  statusIcon: {
    type: [Boolean, Function],
    "default": void 0
  },
  successBorder: Boolean,
  tips: {
    type: [String, Function]
  }
};

exports["default"] = props;
//# sourceMappingURL=form-item-props.js.map
