/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_dom = require('../../utils/dom.js');
require('vue');
require('raf');
require('../../utils/easing.js');
require('../../_chunks/dep-738b4f21.js');
require('../../_chunks/dep-a4308f57.js');
require('@babel/runtime/helpers/typeof');
require('../../_chunks/dep-fcf0662d.js');
require('../../_chunks/dep-e4278c54.js');

function scrollToElm(elm) {
  var rect = elm.getBoundingClientRect();
  if (!utils_dom.elementInViewport(elm)) {
    var winHeight = utils_dom.getWindowSize().height;
    utils_dom.scrollTo(rect.top - (winHeight / 2 - rect.height / 2), {});
  }
}

exports["default"] = scrollToElm;
//# sourceMappingURL=scrollToElm.js.map
