import { ComponentPublicInstance } from '@vue/composition-api';
import { VNode } from 'vue';
export interface JSXRenderContext {
    defaultNode?: VNode | string;
    params?: Record<string, any>;
    silent?: boolean;
}
export declare type OptionsType = VNode | JSXRenderContext | string;
export declare const isVNode: (obj: OptionsType) => boolean;
export declare function getDefaultNode(options?: OptionsType): OptionsType;
export declare function getParams(options?: OptionsType): Record<string, any>;
export declare function handleSlots(instance: ComponentPublicInstance, params: Record<string, any>, name: string): VNode[];
export declare const renderTNodeJSX: (instance: ComponentPublicInstance, name: string, options?: OptionsType) => any;
export declare const renderTNodeJSXDefault: (vm: ComponentPublicInstance, name: string, options?: OptionsType) => any;
export declare const renderContent: (vm: ComponentPublicInstance, name1: string, name2: string, options?: OptionsType) => any;
