import { MessageOptions } from './type';
import { Styles } from '../common';
export declare const DEFAULT_Z_INDEX = 5000;
export declare const MessageList: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    list: any[];
}, {
    add(msg: MessageOptions): number;
    remove(index: number): void;
    removeAll(): void;
    getOffset(val: string | number): string | number;
    msgStyles(item: {
        offset: object;
        style: Styles;
    }): Styles;
    getListeners(index: number): {
        'close-btn-click': () => void;
        'duration-end': () => void;
    };
    getMessageInstance(key: string): import("vue").default;
}, {
    styles: Styles;
}, {
    zIndex: number;
    placement: string;
}>;
export default MessageList;
