import { TdPaginationMiniProps } from '../pagination/type';
import { PropType } from 'vue';
declare const _default: {
    disabled: {
        type: PropType<boolean | import("../pagination/type").JumperDisabledConfig>;
    };
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: TdPaginationMiniProps['layout']): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdPaginationMiniProps['size']): boolean;
    };
    tips: {
        type: PropType<boolean | import("../pagination/type").JumperTipsConfig>;
    };
    variant: {
        type: PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: TdPaginationMiniProps['variant']): boolean;
    };
    onChange: PropType<(context: {
        e: MouseEvent;
        trigger: import("../pagination/type").JumperTrigger;
    }) => void>;
};
export default _default;
