import { TdPopupProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    attach: {
        type: PropType<import("..").AttachNode>;
    };
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    delay: {
        type: PropType<number | number[]>;
    };
    destroyOnClose: BooleanConstructor;
    disabled: BooleanConstructor;
    hideEmptyPopup: BooleanConstructor;
    overlayClassName: {
        type: PropType<import("..").ClassName>;
    };
    overlayInnerClassName: {
        type: PropType<import("..").ClassName>;
    };
    overlayInnerStyle: {
        type: PropType<import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles)>;
    };
    overlayStyle: {
        type: PropType<import("..").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("..").Styles)>;
    };
    placement: {
        type: PropType<import("./type").PopupPlacement>;
        default: string;
    };
    popperOptions: {
        type: PropType<object>;
    };
    showArrow: BooleanConstructor;
    trigger: {
        type: PropType<"click" | "focus" | "mousedown" | "hover" | "context-menu">;
        default: "click" | "focus" | "mousedown" | "hover" | "context-menu";
        validator(val: TdPopupProps['trigger']): boolean;
    };
    triggerElement: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    visible: {
        type: BooleanConstructor;
        default: any;
    };
    defaultVisible: BooleanConstructor;
    zIndex: {
        type: NumberConstructor;
    };
    onScroll: PropType<(context: {
        e: WheelEvent;
    }) => void>;
    onScrollToBottom: PropType<(context: {
        e: WheelEvent;
    }) => void>;
    onVisibleChange: PropType<(visible: boolean, context: import("./type").PopupVisibleChangeContext) => void>;
};
export default _default;
