/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  allowHalf: Boolean,
  clearable: Boolean,
  color: {
    type: [String, Array],
    "default": "#ED7B2F"
  },
  count: {
    type: Number,
    "default": 5
  },
  disabled: {
    type: Boolean,
    "default": void 0
  },
  gap: {
    type: Number,
    "default": 4
  },
  icon: {
    type: Function
  },
  showText: Boolean,
  size: {
    type: String,
    "default": "24px"
  },
  texts: {
    type: Array,
    "default": function _default() {
      return [];
    }
  },
  value: {
    type: Number,
    "default": void 0
  },
  defaultValue: {
    type: Number,
    "default": 0
  },
  onChange: Function
};

exports["default"] = props;
//# sourceMappingURL=props.js.map
