/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var baseProps = {
  icon: {
    type: Function
  },
  label: {
    type: [String, Function]
  },
  popup: {
    type: [String, Function]
  },
  popupProps: {
    type: Object
  },
  trigger: {
    type: String,
    "default": "hover",
    validator: function validator(val) {
      if (!val) return true;
      return ["hover", "click"].includes(val);
    }
  }
};

exports["default"] = baseProps;
//# sourceMappingURL=sticky-item-props.js.map
