import { PropType } from '@vue/composition-api';
import { CheckboxGroupChangeContext, CheckboxGroupProps } from '../checkbox';
export declare type ColumnCheckboxGroupProps = Pick<CheckboxGroupProps, 'value' | 'onChange' | 'options'> & {
    checkboxProps: CheckboxGroupProps;
    label?: string;
    uniqueKey?: string;
};
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: string;
    })[]>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    isIndeterminate: import("@vue/composition-api").ComputedRef<boolean>;
    isCheckedAll: import("@vue/composition-api").ComputedRef<boolean>;
    allCheckedColumnKeys: import("@vue/composition-api").ComputedRef<import("../checkbox").CheckboxGroupValue>;
    onCheckAllColumnsChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    handleCheckChange: (value: import("../checkbox").CheckboxGroupValue, context: CheckboxGroupChangeContext) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    checkboxProps: PropType<CheckboxGroupProps>;
    options: {
        type: PropType<import("../checkbox").CheckboxOption[]>;
        default: () => import("../checkbox").CheckboxOption[];
    };
    label: StringConstructor;
    uniqueKey: StringConstructor;
    value: PropType<import("../checkbox").CheckboxGroupValue>;
    onChange: PropType<(value: import("../checkbox").CheckboxGroupValue, context: CheckboxGroupChangeContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    checkboxProps: PropType<CheckboxGroupProps>;
    options: {
        type: PropType<import("../checkbox").CheckboxOption[]>;
        default: () => import("../checkbox").CheckboxOption[];
    };
    label: StringConstructor;
    uniqueKey: StringConstructor;
    value: PropType<import("../checkbox").CheckboxGroupValue>;
    onChange: PropType<(value: import("../checkbox").CheckboxGroupValue, context: CheckboxGroupChangeContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    options: import("../checkbox").CheckboxOption[];
} & {
    value?: import("../checkbox").CheckboxGroupValue;
    label?: string;
    onChange?: (value: import("../checkbox").CheckboxGroupValue, context: CheckboxGroupChangeContext) => void;
    checkboxProps?: unknown;
    uniqueKey?: string;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: string;
    })[]>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    isIndeterminate: import("@vue/composition-api").ComputedRef<boolean>;
    isCheckedAll: import("@vue/composition-api").ComputedRef<boolean>;
    allCheckedColumnKeys: import("@vue/composition-api").ComputedRef<import("../checkbox").CheckboxGroupValue>;
    onCheckAllColumnsChange: (checked: boolean, context: {
        e: Event;
    }) => void;
    handleCheckChange: (value: import("../checkbox").CheckboxGroupValue, context: CheckboxGroupChangeContext) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    options: import("../checkbox").CheckboxOption[];
} & {
    value?: import("../checkbox").CheckboxGroupValue;
    label?: string;
    onChange?: (value: import("../checkbox").CheckboxGroupValue, context: CheckboxGroupChangeContext) => void;
    checkboxProps?: unknown;
    uniqueKey?: string;
}, {
    options: import("../checkbox").CheckboxOption[];
}, true>);
export default _default;
