import { TdEnhancedTableProps } from '../table/type';
import { PropType } from 'vue';
declare const _default: {
    beforeDragSort: {
        type: PropType<(context: import("../table/type").DragSortContext<import("../table/type").TableRowData>) => boolean>;
    };
    expandedTreeNodes: {
        type: PropType<(string | number)[]>;
        default: () => TdEnhancedTableProps['expandedTreeNodes'];
    };
    defaultExpandedTreeNodes: {
        type: PropType<(string | number)[]>;
        default: () => TdEnhancedTableProps['defaultExpandedTreeNodes'];
    };
    tree: {
        type: PropType<import("../table/type").TableTreeConfig>;
    };
    treeExpandAndFoldIcon: {
        type: PropType<(h: import("vue").CreateElement, props: {
            type: "expand" | "fold";
            row: import("../table/type").TableRowData;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    onAbnormalDragSort: PropType<(context: import("../table/type").TableAbnormalDragSortContext<import("../table/type").TableRowData>) => void>;
    onExpandedTreeNodesChange: PropType<(expandedTreeNodes: (string | number)[], options: import("../table/type").TableTreeNodeExpandOptions<import("../table/type").TableRowData>) => void>;
    onTreeExpandChange: PropType<(context: import("../table/type").TableTreeExpandChangeContext<import("../table/type").TableRowData>) => void>;
};
export default _default;
