import { ActiveRowActionContext, PrimaryTableCol, TableRowData, TdPrimaryTableProps } from '../type';
import { TableClassName } from './useClassName';
export default function useRowSelect(props: TdPrimaryTableProps, tableSelectedClasses: TableClassName['tableSelectedClasses']): {
    selectColumn: import("@vue/composition-api").ComputedRef<PrimaryTableCol<TableRowData>>;
    showRowSelect: import("@vue/composition-api").ComputedRef<boolean>;
    selectedRowClassNames: import("@vue/composition-api").Ref<any>;
    currentPaginateData: import("@vue/composition-api").Ref<{
        [x: string]: any;
        children?: any[];
    }[]>;
    setTSelectedRowKeys: (value: (string | number)[], options: import("../type").SelectOptions<TableRowData>) => void;
    formatToRowSelectColumn: (col: PrimaryTableCol) => PrimaryTableCol<TableRowData>;
    onInnerSelectRowClick: (context: import("../type").RowEventContext<TableRowData>) => void;
    handleRowSelectWithAreaSelection: ({ activeRowList, action }: ActiveRowActionContext<TableRowData>) => void;
};
