/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var timePicker_props = require('../props.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty__default["default"](e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var panelProps = function panelProps() {
  return {
    disabled: {
      type: Boolean,
      "default": false
    },
    isFocus: {
      type: Boolean,
      "default": false
    },
    value: {
      type: [String, Object],
      "default": ""
    },
    format: {
      type: String,
      "default": "HH:mm:ss"
    },
    position: String,
    steps: {
      type: Array,
      "default": function _default() {
        return [1, 1, 1];
      }
    },
    isShowPanel: {
      type: Boolean,
      "default": true
    },
    activeIndex: {
      type: Number
    },
    presets: {
      type: Object
    },
    hideDisabledTime: _objectSpread({}, timePicker_props["default"].hideDisabledTime),
    isFooterDisplay: {
      type: Boolean,
      "default": false
    }
  };
};
var panelColProps = function panelColProps() {
  return {
    format: {
      type: String,
      "default": "HH:mm:ss"
    },
    value: {
      type: [String, Object],
      "default": ""
    },
    steps: {
      type: Array,
      "default": function _default() {
        return [1, 1, 1];
      }
    },
    hideDisabledTime: _objectSpread({}, timePicker_props["default"].hideDisabledTime)
  };
};

exports.panelColProps = panelColProps;
exports.panelProps = panelProps;
//# sourceMappingURL=props.js.map
