import type { InputProps } from '../input';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    handleClickConfirm: () => void;
    handlePanelChange: (v: string) => void;
    handleInputBlur: (value: string, { e }: {
        e: FocusEvent;
    }) => void;
    handleInputChange: (value: string) => void;
    handleClear: (context: {
        e: MouseEvent;
    }) => void;
    handleShowPopup: (visible: boolean, context: {
        e: MouseEvent;
    }) => void;
    handleOnFocus: (context: {
        value: string;
        e: FocusEvent;
    }) => void;
    handleOnPick: (v: string, e: MouseEvent) => void;
    inputClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    innerValue: import("@vue/composition-api").Ref<string>;
    isShowPanel: import("@vue/composition-api").Ref<boolean>;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TimePickerConfig | {
        readonly dayjsLocale: "zh-cn";
        readonly now: "此刻";
        readonly confirm: "确定";
        readonly anteMeridiem: "上午";
        readonly postMeridiem: "下午";
        readonly placeholder: "选择时间";
    }) & import("..").TimePickerConfig>;
    currentValue: import("@vue/composition-api").Ref<string>;
    TimeIcon: import("tdesign-icons-vue").GlobalIconType;
    isDisabled: import("@vue/composition-api").ComputedRef<boolean>;
}> & import("@vue/composition-api").Data, {}, {}, {
    allowInput: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    disableTime: {
        type: import("vue").PropType<(h: number, m: number, s: number, ms: number) => Partial<{
            hour: number[];
            minute: number[];
            second: number[];
            millisecond: number[];
        }>>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: StringConstructor;
        default: string;
    };
    hideDisabledTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: import("vue").PropType<InputProps<import("../input").InputValue>>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    presets: {
        type: import("vue").PropType<import("./type").PresetTime>;
    };
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    steps: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<string>;
        default: string;
    };
    onBlur: import("vue").PropType<(context: {
        value: string;
        e: FocusEvent;
    }) => void>;
    onChange: import("vue").PropType<(value: string) => void>;
    onClose: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        value: string;
        e: FocusEvent;
    }) => void>;
    onInput: import("vue").PropType<(context: {
        value: string;
        e: InputEvent;
    }) => void>;
    onOpen: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onPick: import("vue").PropType<(value: string, context: {
        e: MouseEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    allowInput: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    disableTime: {
        type: import("vue").PropType<(h: number, m: number, s: number, ms: number) => Partial<{
            hour: number[];
            minute: number[];
            second: number[];
            millisecond: number[];
        }>>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: StringConstructor;
        default: string;
    };
    hideDisabledTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: import("vue").PropType<InputProps<import("../input").InputValue>>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: import("vue").PropType<import("..").TdPopupProps>;
    };
    presets: {
        type: import("vue").PropType<import("./type").PresetTime>;
    };
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    status: {
        type: import("vue").PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: "error" | "default" | "success" | "warning"): boolean;
    };
    steps: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => (string | number)[];
    };
    tips: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<string>;
        default: string;
    };
    onBlur: import("vue").PropType<(context: {
        value: string;
        e: FocusEvent;
    }) => void>;
    onChange: import("vue").PropType<(value: string) => void>;
    onClose: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onFocus: import("vue").PropType<(context: {
        value: string;
        e: FocusEvent;
    }) => void>;
    onInput: import("vue").PropType<(context: {
        value: string;
        e: InputEvent;
    }) => void>;
    onOpen: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onPick: import("vue").PropType<(value: string, context: {
        e: MouseEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: string;
    disabled: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    steps: (string | number)[];
    format: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    allowInput: boolean;
    hideDisabledTime: boolean;
} & {
    onChange?: (value: string) => void;
    onClose?: (context: {
        e: MouseEvent;
    }) => void;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: {
        value: string;
        e: FocusEvent;
    }) => void;
    onFocus?: (context: {
        value: string;
        e: FocusEvent;
    }) => void;
    inputProps?: unknown;
    popupProps?: unknown;
    disableTime?: (h: number, m: number, s: number, ms: number) => Partial<{
        hour: number[];
        minute: number[];
        second: number[];
        millisecond: number[];
    }>;
    presets?: import("./type").PresetTime;
    onInput?: (context: {
        value: string;
        e: InputEvent;
    }) => void;
    onOpen?: (context: {
        e: MouseEvent;
    }) => void;
    onPick?: (value: string, context: {
        e: MouseEvent;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    handleClickConfirm: () => void;
    handlePanelChange: (v: string) => void;
    handleInputBlur: (value: string, { e }: {
        e: FocusEvent;
    }) => void;
    handleInputChange: (value: string) => void;
    handleClear: (context: {
        e: MouseEvent;
    }) => void;
    handleShowPopup: (visible: boolean, context: {
        e: MouseEvent;
    }) => void;
    handleOnFocus: (context: {
        value: string;
        e: FocusEvent;
    }) => void;
    handleOnPick: (v: string, e: MouseEvent) => void;
    inputClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    innerValue: import("@vue/composition-api").Ref<string>;
    isShowPanel: import("@vue/composition-api").Ref<boolean>;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TimePickerConfig | {
        readonly dayjsLocale: "zh-cn";
        readonly now: "此刻";
        readonly confirm: "确定";
        readonly anteMeridiem: "上午";
        readonly postMeridiem: "下午";
        readonly placeholder: "选择时间";
    }) & import("..").TimePickerConfig>;
    currentValue: import("@vue/composition-api").Ref<string>;
    TimeIcon: import("tdesign-icons-vue").GlobalIconType;
    isDisabled: import("@vue/composition-api").ComputedRef<boolean>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: string;
    disabled: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    steps: (string | number)[];
    format: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    allowInput: boolean;
    hideDisabledTime: boolean;
} & {
    onChange?: (value: string) => void;
    onClose?: (context: {
        e: MouseEvent;
    }) => void;
    tips?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onBlur?: (context: {
        value: string;
        e: FocusEvent;
    }) => void;
    onFocus?: (context: {
        value: string;
        e: FocusEvent;
    }) => void;
    inputProps?: unknown;
    popupProps?: unknown;
    disableTime?: (h: number, m: number, s: number, ms: number) => Partial<{
        hour: number[];
        minute: number[];
        second: number[];
        millisecond: number[];
    }>;
    presets?: import("./type").PresetTime;
    onInput?: (context: {
        value: string;
        e: InputEvent;
    }) => void;
    onOpen?: (context: {
        e: MouseEvent;
    }) => void;
    onPick?: (value: string, context: {
        e: MouseEvent;
    }) => void;
}, {
    value: string;
    disabled: boolean;
    size: "small" | "medium" | "large";
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    defaultValue: string;
    steps: (string | number)[];
    format: string;
    borderless: boolean;
    clearable: boolean;
    placeholder: string;
    allowInput: boolean;
    hideDisabledTime: boolean;
}, true>);
export default _default;
