/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  delay: {
    type: Number
  },
  destroyOnClose: {
    type: Boolean,
    "default": true
  },
  duration: {
    type: Number
  },
  placement: {
    type: String,
    "default": "top"
  },
  showArrow: {
    type: Boolean,
    "default": true
  },
  theme: {
    type: String,
    "default": "default",
    validator: function validator(val) {
      if (!val) return true;
      return ["default", "primary", "success", "danger", "warning", "light"].includes(val);
    }
  }
};

exports["default"] = props;
//# sourceMappingURL=props.js.map
