/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var set = require('../_chunks/dep-7a2463e1.js');
var isNil = require('../_chunks/dep-8b3c7277.js');
var get = require('../_chunks/dep-f84d1ea5.js');
require('../_chunks/dep-73fb598e.js');
require('../_chunks/dep-75cd6d52.js');
require('../_chunks/dep-b1a02818.js');
require('../_chunks/dep-3d8ab37d.js');
require('../_chunks/dep-ecccff93.js');
require('../_chunks/dep-a4308f57.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-a4cecac4.js');
require('../_chunks/dep-ab142eaf.js');
require('../_chunks/dep-362bc4d7.js');
require('../_chunks/dep-fcf0662d.js');
require('../_chunks/dep-d3015b4c.js');
require('../_chunks/dep-e4278c54.js');
require('../_chunks/dep-a4747856.js');
require('../_chunks/dep-201f7798.js');
require('../_chunks/dep-234b7c02.js');

function getNodeDataByValue(values, data, keys) {
  var _getTreeNodeData = function getTreeNodeData(values2, data2, keys2) {
    var results2 = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : /* @__PURE__ */new Map();
    var _loop = function _loop() {
        var _item$children;
        var item = data2[i];
        var index = values2.findIndex(function (val) {
          return get.get(item, keys2.value) === val;
        });
        if (index !== -1) {
          results2.set(values2[index], item);
        }
        if (Array.isArray(item.children) && (_item$children = item.children) !== null && _item$children !== void 0 && _item$children.length) {
          _getTreeNodeData(values2, item.children, keys2, results2);
        }
        if (results2.size >= values2.length) {
          return {
            v: results2
          };
        }
      },
      _ret;
    for (var i = 0, len = data2.length; i < len; i++) {
      _ret = _loop();
      if (_ret) return _ret.v;
    }
    return results2;
  };
  var results = _getTreeNodeData(values, data, keys);
  if (values.length && results.size < values.length) {
    values.forEach(function (value) {
      if (!results.get(value)) {
        var obj = {};
        set.set(obj, keys.label, value);
        set.set(obj, keys.value, value);
        results.set(value, obj);
      }
    });
  }
  return values.map(function (value) {
    return results.get(value);
  });
}
function normalizeArray(value) {
  if (isNil.isNil(value)) {
    return [];
  }
  return Array.isArray(value) ? value : [value];
}
var utils = {};

exports["default"] = utils;
exports.getNodeDataByValue = getNodeDataByValue;
exports.normalizeArray = normalizeArray;
//# sourceMappingURL=utils.js.map
