import { TdTreeProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    activable: BooleanConstructor;
    activeMultiple: BooleanConstructor;
    actived: {
        type: PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultActived: {
        type: PropType<import("./type").TreeNodeValue[]>;
    };
    allowDrop: {
        type: PropType<(context: {
            e: DragEvent;
            dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropPosition: number;
        }) => boolean>;
    };
    allowFoldNodeOnFilter: BooleanConstructor;
    checkProps: {
        type: PropType<import("..").TdCheckboxProps>;
    };
    checkStrictly: BooleanConstructor;
    checkable: BooleanConstructor;
    data: {
        type: PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => TdTreeProps['data'];
    };
    disableCheck: {
        type: PropType<boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean)>;
        default: boolean;
    };
    disabled: BooleanConstructor;
    draggable: BooleanConstructor;
    empty: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    expandAll: BooleanConstructor;
    expandLevel: {
        type: NumberConstructor;
        default: number;
    };
    expandMutex: BooleanConstructor;
    expandOnClickNode: BooleanConstructor;
    expandParent: BooleanConstructor;
    expanded: {
        type: PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultExpanded: {
        type: PropType<import("./type").TreeNodeValue[]>;
        default: () => TdTreeProps['defaultExpanded'];
    };
    filter: {
        type: PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean>;
    };
    height: {
        type: PropType<string | number>;
    };
    hover: BooleanConstructor;
    icon: {
        type: PropType<boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    keys: {
        type: PropType<import("..").TreeKeysType>;
    };
    label: {
        type: PropType<string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    line: {
        type: PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    load: {
        type: PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>>;
    };
    maxHeight: {
        type: PropType<string | number>;
    };
    operations: {
        type: PropType<(h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    scroll: {
        type: PropType<import("..").TScroll>;
    };
    transition: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultValue: {
        type: PropType<import("./type").TreeNodeValue[]>;
        default: () => TdTreeProps['defaultValue'];
    };
    valueMode: {
        type: PropType<"all" | "onlyLeaf" | "parentFirst">;
        default: "all" | "onlyLeaf" | "parentFirst";
        validator(val: TdTreeProps['valueMode']): boolean;
    };
    onActive: PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void>;
    onChange: PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void>;
    onClick: PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void>;
    onDragEnd: PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragLeave: PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragOver: PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragStart: PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDrop: PropType<(context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void>;
    onExpand: PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void>;
    onLoad: PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onScroll: PropType<(params: {
        e: WheelEvent;
    }) => void>;
};
export default _default;
