/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var commonProps = {
  accept: String,
  files: Array,
  toUploadFiles: Array,
  displayFiles: Array,
  theme: String,
  abridgeName: Array,
  placeholder: String,
  classPrefix: String,
  tips: [String, Function],
  status: String,
  locale: Object,
  sizeOverLimitMessage: String,
  autoUpload: Boolean,
  disabled: Boolean,
  uploading: Boolean,
  tipsClasses: [String, Array, Object],
  errorClasses: [String, Array, Object],
  placeholderClass: [String, Array, Object],
  showUploadProgress: Boolean,
  "default": Function,
  fileListDisplay: Function,
  onRemove: Function,
  imageViewerProps: Object
};

exports.commonProps = commonProps;
exports["default"] = commonProps;
//# sourceMappingURL=constants.js.map
