/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var clipboard = require('clipboard');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var clipboard__default = /*#__PURE__*/_interopDefaultLegacy(clipboard);

function copyText(_text) {
  var div = document.createElement("div");
  var clip = new clipboard__default["default"](div, {
    text: function text() {
      return _text;
    }
  });
  div.click();
  clip.destroy();
  div.remove();
}

exports["default"] = copyText;
//# sourceMappingURL=clipboard.js.map
