/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Vue = require('vue');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var RenderComponent = Vue__default["default"].extend({
  name: "render-component",
  functional: true,
  props: {
    render: Function
  },
  render: function render(h, ctx) {
    return ctx.props.render(h, ctx.data.attrs);
  }
});

exports["default"] = RenderComponent;
//# sourceMappingURL=render-component.js.map
