/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var Vue = require('vue');
var capitalize = require('../_chunks/dep-eceed11d.js');
require('../_chunks/dep-201f7798.js');
require('../_chunks/dep-a4308f57.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-fcf0662d.js');
require('../_chunks/dep-d3015b4c.js');
require('../_chunks/dep-e4278c54.js');
require('../_chunks/dep-f8a85d6a.js');
require('../_chunks/dep-5b117689.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);
var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty__default["default"](e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function withInstall(comp, dep, directive) {
  var _c$options;
  var c = comp;
  var name = (c === null || c === void 0 || (_c$options = c.options) === null || _c$options === void 0 ? void 0 : _c$options.name) || c.name;
  c.install = function (Vue2, config) {
    var defaults = {
      prefix: "t"
    };
    var installConfig = _objectSpread(_objectSpread({}, defaults), config);
    var defaultPrefix = capitalize.capitalize(defaults.prefix);
    var componentName = name.replace(defaultPrefix, "").replace("-mapprops", "");
    componentName = capitalize.capitalize(installConfig.prefix) + componentName;
    Vue2.component(componentName, comp);
  };
  if (dep && Vue__default["default"] && (Vue__default["default"]._installedPlugins || []).indexOf(dep) === -1) {
    Vue__default["default"].use(dep);
  }
  if (directive) {
    Vue__default["default"].directive(directive.name, directive.comp);
  }
  return comp;
}

exports["default"] = withInstall;
exports.withInstall = withInstall;
//# sourceMappingURL=withInstall.js.map
