/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var affixProps = {
  container: {
    type: [String, Function],
    "default": function _default() {
      return function () {
        return window;
      };
    }
  },
  content: {
    type: [String, Function]
  },
  "default": {
    type: [String, Function]
  },
  offsetBottom: {
    type: Number,
    "default": 0
  },
  offsetTop: {
    type: Number,
    "default": 0
  },
  zIndex: {
    type: Number
  },
  onFixedChange: Function
};

export { affixProps as default };
//# sourceMappingURL=props.js.map
