import { TdAutoCompleteProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    autofocus: BooleanConstructor;
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    empty: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    filter: {
        type: PropType<(filterWords: string, option: import("./type").AutoCompleteOption) => boolean | Promise<boolean>>;
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightKeyword: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputProps: {
        type: PropType<import("..").InputProps<import("..").InputValue>>;
    };
    options: {
        type: PropType<import("./type").AutoCompleteOption[]>;
    };
    panelBottomContent: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    panelTopContent: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    popupProps: {
        type: PropType<import("..").TdPopupProps>;
    };
    readonly: BooleanConstructor;
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdAutoCompleteProps['size']): boolean;
    };
    status: {
        type: PropType<"error" | "default" | "success" | "warning">;
        default: "error" | "default" | "success" | "warning";
        validator(val: TdAutoCompleteProps['status']): boolean;
    };
    textareaProps: {
        type: PropType<import("..").TdTextareaProps>;
    };
    tips: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    triggerElement: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onBlur: PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onChange: PropType<(value: string, context?: {
        e?: MouseEvent | CompositionEvent | InputEvent | KeyboardEvent;
    }) => void>;
    onClear: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onCompositionend: PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onCompositionstart: PropType<(context: {
        e: CompositionEvent;
        value: string;
    }) => void>;
    onEnter: PropType<(context: {
        e: KeyboardEvent;
        value: string;
    }) => void>;
    onFocus: PropType<(context: {
        e: FocusEvent;
        value: string;
    }) => void>;
    onSelect: PropType<(value: string, context: {
        e: MouseEvent | KeyboardEvent;
    }) => void>;
};
export default _default;
