/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  content: {
    type: [String, Function]
  },
  "default": {
    type: [String, Function]
  },
  disabled: Boolean,
  href: {
    type: String,
    "default": ""
  },
  icon: {
    type: Function
  },
  maxWidth: {
    type: String,
    "default": void 0
  },
  replace: Boolean,
  router: {
    type: Object
  },
  target: {
    type: String,
    "default": "_self",
    validator: function validator(val) {
      if (!val) return true;
      return ["_blank", "_self", "_parent", "_top"].includes(val);
    }
  },
  to: {
    type: [String, Object]
  }
};

export { props as default };
//# sourceMappingURL=breadcrumb-item-props.js.map
