import { TdBreadcrumbProps, TdBreadcrumbItemProps } from './type';
import './style';
export * from './type';
export declare type BreadcrumbProps = TdBreadcrumbProps;
export declare type BreadcrumbItemProps = TdBreadcrumbItemProps;
export declare const BreadcrumbItem: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
}, {
    localTBreadcrumb: import("./breadcrumb-item").LocalTBreadcrumb;
    themeClassName: string;
    $router: any;
    isCutOff: boolean;
}, {
    bindEvent(): void;
}, {
    maxWithStyle: {
        'max-width': string;
    };
}, {
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    href: string;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    maxWidth: any;
    replace: boolean;
    router: any;
    target: "_self" | "_blank" | "_parent" | "_top";
    to: import("./type").Route;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
}, {
    localTBreadcrumb: import("./breadcrumb-item").LocalTBreadcrumb;
    themeClassName: string;
    $router: any;
    isCutOff: boolean;
}, {
    bindEvent(): void;
}, {
    maxWithStyle: {
        'max-width': string;
    };
}, {
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    href: string;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    maxWidth: any;
    replace: boolean;
    router: any;
    target: "_self" | "_blank" | "_parent" | "_top";
    to: import("./type").Route;
}>>;
export declare const Breadcrumb: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, unknown, unknown, {
    maxItemWidth: any;
    options: TdBreadcrumbItemProps[];
    separator: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    theme: "light";
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, unknown, unknown, {
    maxItemWidth: any;
    options: TdBreadcrumbItemProps[];
    separator: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    theme: "light";
}>>;
export default Breadcrumb;
