/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  checkAll: Boolean,
  checked: {
    type: Boolean,
    "default": void 0
  },
  defaultChecked: Boolean,
  "default": {
    type: [String, Function]
  },
  disabled: {
    type: Boolean,
    "default": void 0
  },
  indeterminate: Boolean,
  label: {
    type: [String, Function]
  },
  lazyLoad: Boolean,
  name: {
    type: String,
    "default": ""
  },
  readonly: Boolean,
  value: {
    type: [String, Number, Boolean]
  },
  onChange: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
