import type { DialogMethod, DialogConfirmMethod, DialogAlertMethod } from './type';
interface ExtraApi {
    confirm: DialogConfirmMethod;
    alert: DialogAlertMethod;
}
export declare const DialogPlugin: Vue.PluginObject<undefined> & DialogMethod & ExtraApi;
export default DialogPlugin;
declare module 'vue/types/vue' {
    interface Vue {
        $dialog: DialogMethod & ExtraApi;
    }
}
