import { VNode } from 'vue';
import { ComputedRef } from '@vue/composition-api';
import { DropdownOption, TdDropdownProps } from '../type';
export declare const getOptionsFromChildren: (menuGroup: any) => DropdownOption[];
export default function useDropdownOptions(props: TdDropdownProps, slots: {
    [key: string]: VNode[];
}): ComputedRef<DropdownOption[]>;
