import { TdRowProps } from '../grid/type';
import { PropType } from 'vue';
declare const _default: {
    align: {
        type: PropType<"center" | "end" | "start" | "top" | "bottom" | "middle" | "baseline" | "stretch">;
        default: "center" | "end" | "start" | "top" | "bottom" | "middle" | "baseline" | "stretch";
        validator(val: TdRowProps['align']): boolean;
    };
    gutter: {
        type: PropType<number | import("../grid/type").GutterObject | (number | import("../grid/type").GutterObject)[]>;
        default: number;
    };
    justify: {
        type: PropType<"center" | "end" | "start" | "space-around" | "space-between">;
        default: "center" | "end" | "start" | "space-around" | "space-between";
        validator(val: TdRowProps['justify']): boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
};
export default _default;
