import { Ref } from '@vue/composition-api';
export declare type ChangeHandler<T, P extends any[]> = (value: T, ...args: P) => void;
export interface UseVModelParams<T> {
    value: Ref<T>;
    eventName?: string;
    propName?: string;
}
export declare function useVModel<T, P extends any[]>(value: Ref<T>, defaultValue: T, onChange: ChangeHandler<T, P>, eventName?: string, propName?: string, alias?: UseVModelParams<T>[]): [Ref<T>, ChangeHandler<T, P>];
export default useVModel;
