import { Ref } from '@vue/composition-api';
import { TdListProps } from '../type';
import { Styles } from '../../common';
declare const useListVirtualScroll: (scroll: TdListProps['scroll'], listRef: Ref<HTMLElement>, listItems: Ref<any[]>) => {
    virtualConfig: {
        visibleData: Ref<any[]>;
        translateY: Ref<number>;
        scrollHeight: Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../../hooks/useVirtualScrollNew").ScrollToElementParams) => void;
    };
    cursorStyle: import("@vue/composition-api").ComputedRef<Styles>;
    listStyle: import("@vue/composition-api").ComputedRef<Styles>;
    isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
};
export default useListVirtualScroll;
