/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  expanded: {
    type: Array
  },
  defaultExpanded: {
    type: Array
  },
  expandType: {
    type: String,
    "default": "normal",
    validator: function validator(val) {
      return ["normal", "popup"].includes(val);
    }
  },
  logo: {
    type: Function
  },
  operations: {
    type: Function
  },
  theme: {
    type: String,
    "default": "light",
    validator: function validator(val) {
      return ["light", "dark"].includes(val);
    }
  },
  value: {
    type: [String, Number]
  },
  defaultValue: {
    type: [String, Number]
  },
  onChange: Function,
  onExpand: Function
};

export { props as default };
//# sourceMappingURL=head-menu-props.js.map
