import { TdMessageProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    closeBtn: {
        type: PropType<string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    icon: {
        type: PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    theme: {
        type: PropType<import("./type").MessageThemeList>;
        default: import("./type").MessageThemeList;
        validator(val: TdMessageProps['theme']): boolean;
    };
    onClose: PropType<(context: {
        trigger: "close-click" | "duration-end";
        e?: MouseEvent;
    }) => void>;
    onCloseBtnClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onDurationEnd: PropType<() => void>;
};
export default _default;
