import { PopupVisibleChangeContext } from './type';
import { AttachNode } from '../common';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    globalAttach(): AttachNode;
}, {
    popper: import("@popperjs/core").Instance;
    timeout: any;
    hasDocumentEvent: boolean;
    visibleState: number;
    mouseInRange: boolean;
    contentClicked: boolean;
    isLeaving: boolean;
}, {
    updatePopper(): void;
    popupMounted(): void;
    getOverlayStyle(): import("../common").Styles;
    updateOverlayInnerStyle(): void;
    destroyPopper(): void;
    handleToggle(context: PopupVisibleChangeContext): void;
    handleOnScroll(e: WheelEvent): void;
    handleOpen(context: Pick<PopupVisibleChangeContext, 'trigger'>): void;
    handleClose(context: Pick<PopupVisibleChangeContext, 'trigger'>): void;
    handleDocumentClick(ev?: MouseEvent): void;
    emitPopVisible(visible: boolean, context: PopupVisibleChangeContext): void;
    onMouseEnter(): void;
    onMouseLeave(ev: MouseEvent): void;
    onBeforeEnter(): void;
    onAfterEnter(): void;
    onLeave(): void;
    onAfterLeave(): void;
    preventClosing(preventing: boolean): void;
}, {
    overlayClasses: any;
    hasTrigger: Record<"click" | "focus" | "hover" | "context-menu", boolean>;
    normalizedDelay: {
        open: number;
        close: number;
    };
    computeAttach: AttachNode;
}, {
    expandAnimation: boolean;
    updateScrollTop: Function;
    attach: AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    delay: number | number[];
    destroyOnClose: boolean;
    disabled: boolean;
    hideEmptyPopup: boolean;
    overlayClassName: import("../common").ClassName;
    overlayInnerClassName: import("../common").ClassName;
    overlayInnerStyle: import("../common").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../common").Styles);
    overlayStyle: import("../common").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../common").Styles);
    placement: string;
    popperOptions: object;
    showArrow: boolean;
    trigger: "click" | "focus" | "mousedown" | "hover" | "context-menu";
    triggerElement: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    visible: any;
    defaultVisible: boolean;
    zIndex: number;
    onScroll: (context: {
        e: WheelEvent;
    }) => void;
    onScrollToBottom: (context: {
        e: WheelEvent;
    }) => void;
    onVisibleChange: (visible: boolean, context: PopupVisibleChangeContext) => void;
}>;
export default _default;
