/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  allowUncheck: Boolean,
  checked: {
    type: Boolean,
    "default": void 0
  },
  defaultChecked: Boolean,
  "default": {
    type: [String, Function]
  },
  disabled: {
    type: Boolean,
    "default": void 0
  },
  label: {
    type: [String, Function]
  },
  name: {
    type: String,
    "default": ""
  },
  readonly: {
    type: Boolean,
    "default": void 0
  },
  value: {
    type: [String, Number, Boolean],
    "default": void 0
  },
  onChange: Function,
  onClick: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
