import { TdRateProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    allowHalf: BooleanConstructor;
    clearable: BooleanConstructor;
    color: {
        type: PropType<string | string[]>;
        default: string;
    };
    count: {
        type: NumberConstructor;
        default: number;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    gap: {
        type: NumberConstructor;
        default: number;
    };
    icon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    showText: BooleanConstructor;
    size: {
        type: StringConstructor;
        default: string;
    };
    texts: {
        type: PropType<string[]>;
        default: () => TdRateProps['texts'];
    };
    value: {
        type: NumberConstructor;
        default: any;
    };
    defaultValue: {
        type: NumberConstructor;
        default: number;
    };
    onChange: PropType<(value: number) => void>;
};
export default _default;
