import { TdStepsProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    current: {
        type: PropType<string | number>;
    };
    defaultCurrent: {
        type: PropType<string | number>;
    };
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: TdStepsProps['layout']): boolean;
    };
    options: {
        type: PropType<import("./type").TdStepItemProps[]>;
    };
    readonly: BooleanConstructor;
    separator: {
        type: PropType<"line" | "arrow" | "dashed">;
        default: "line" | "arrow" | "dashed";
        validator(val: TdStepsProps['separator']): boolean;
    };
    sequence: {
        type: PropType<"reverse" | "positive">;
        default: "reverse" | "positive";
        validator(val: TdStepsProps['sequence']): boolean;
    };
    theme: {
        type: PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: TdStepsProps['theme']): boolean;
    };
    onChange: PropType<(current: string | number, previous: string | number, context?: {
        e?: MouseEvent;
    }) => void>;
};
export default _default;
