/// <reference types="lodash" />
import { PropType } from '@vue/composition-api';
import { AttachNode, TNode } from '../common';
import { TooltipProps } from '../tooltip';
export interface EllipsisProps {
    content?: string | TNode;
    default?: string | TNode;
    tooltipContent?: string | number | TNode;
    placement?: TooltipProps['placement'];
    attach?: AttachNode;
    tooltipProps?: TooltipProps;
    zIndex?: number;
    overlayClassName?: string;
    classPrefix?: string;
}
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    root: import("@vue/composition-api").Ref<any>;
    isOverflow: import("@vue/composition-api").Ref<boolean>;
    ellipsisClasses: import("@vue/composition-api").ComputedRef<string[]>;
    innerEllipsisClassName: import("@vue/composition-api").ComputedRef<import("../common").ClassName>;
    onMouseAround: import("lodash").DebouncedFunc<(e: MouseEvent) => void>;
}> & import("@vue/composition-api").Data, {}, {}, {
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    tooltipContent: {
        type: PropType<string | number | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placement: PropType<import("..").PopupPlacement | "mouse">;
    attach: PropType<AttachNode>;
    tooltipProps: PropType<import("../tooltip").TdTooltipProps>;
    zIndex: NumberConstructor;
    overlayClassName: StringConstructor;
    classPrefix: {
        type: StringConstructor;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    tooltipContent: {
        type: PropType<string | number | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    placement: PropType<import("..").PopupPlacement | "mouse">;
    attach: PropType<AttachNode>;
    tooltipProps: PropType<import("../tooltip").TdTooltipProps>;
    zIndex: NumberConstructor;
    overlayClassName: StringConstructor;
    classPrefix: {
        type: StringConstructor;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex?: number;
    classPrefix?: string;
    attach?: AttachNode;
    placement?: import("..").PopupPlacement | "mouse";
    overlayClassName?: string;
    tooltipProps?: unknown;
    tooltipContent?: string | number | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    root: import("@vue/composition-api").Ref<any>;
    isOverflow: import("@vue/composition-api").Ref<boolean>;
    ellipsisClasses: import("@vue/composition-api").ComputedRef<string[]>;
    innerEllipsisClassName: import("@vue/composition-api").ComputedRef<import("../common").ClassName>;
    onMouseAround: import("lodash").DebouncedFunc<(e: MouseEvent) => void>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    zIndex?: number;
    classPrefix?: string;
    attach?: AttachNode;
    placement?: import("..").PopupPlacement | "mouse";
    overlayClassName?: string;
    tooltipProps?: unknown;
    tooltipContent?: string | number | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {}, true>);
export default _default;
