import { TdTagInputProps } from '../type';
export default function useTagScroll(props: TdTagInputProps): {
    tagInputRef: import("@vue/composition-api").Ref<any>;
    scrollElement: import("@vue/composition-api").Ref<HTMLElement>;
    scrollDistance: import("@vue/composition-api").Ref<number>;
    scrollTo: (distance: number) => void;
    scrollToRight: () => void;
    scrollToLeft: () => void;
    updateScrollElement: (element: HTMLElement) => void;
    updateScrollDistance: () => void;
    onWheel: ({ e }: {
        e: WheelEvent;
    }) => void;
    scrollToRightOnEnter: () => void;
    scrollToLeftOnLeave: () => void;
    isScrollable: import("@vue/composition-api").Ref<boolean>;
};
