import { TdTagProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    closable: BooleanConstructor;
    color: {
        type: StringConstructor;
        default: string;
    };
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    icon: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
        default: any;
    };
    maxWidth: {
        type: PropType<string | number>;
    };
    shape: {
        type: PropType<"square" | "round" | "mark">;
        default: "square" | "round" | "mark";
        validator(val: TdTagProps['shape']): boolean;
    };
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdTagProps['size']): boolean;
    };
    theme: {
        type: PropType<"default" | "success" | "primary" | "warning" | "danger">;
        default: "default" | "success" | "primary" | "warning" | "danger";
        validator(val: TdTagProps['theme']): boolean;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    variant: {
        type: PropType<"outline" | "dark" | "light" | "light-outline">;
        default: "outline" | "dark" | "light" | "light-outline";
        validator(val: TdTagProps['variant']): boolean;
    };
    onClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onClose: PropType<(context: {
        e: MouseEvent;
    }) => void>;
};
export default _default;
