import { TdTextareaProps } from './type';
import './style';
export declare type TextareaProps = TdTextareaProps;
export * from './type';
export declare const Textarea: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./textarea").Textarea, {
    formDisabled: any;
    focused: boolean;
    mouseHover: boolean;
    textareaStyle: {};
    isComposing: boolean;
}, {
    adjustTextareaHeight(): void;
    adjustTextareaHeightAfterReady(): void;
    emitEvent(name: string, value: string | number, context: object): void;
    focus(): void;
    blur(): void;
    handleInput(e: any): void;
    onCompositionstart(): void;
    onCompositionend(e: InputEvent): void;
    inputValueChangeHandle(e: InputEvent): void;
    setInputValue(v?: import("./type").TextareaValue): void;
    emitKeyDown(e: KeyboardEvent): void;
    emitKeyUp(e: KeyboardEvent): void;
    emitKeypress(e: KeyboardEvent): void;
    emitFocus(e: FocusEvent): void;
    emitBlur(e: FocusEvent): void;
}, {
    tDisabled: boolean;
    textareaClasses: import("..").ClassName;
    limitClasses: import("..").ClassName;
    inputAttrs: Record<string, any>;
    characterNumber: number;
}, {
    autofocus: boolean;
    autosize: boolean | {
        minRows?: number;
        maxRows?: number;
    };
    disabled: boolean;
    maxcharacter: number;
    maxlength: string | number;
    name: string;
    placeholder: any;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    tips: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: import("./type").TextareaValue;
    defaultValue: import("./type").TextareaValue;
    onBlur: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onChange: (value: import("./type").TextareaValue, context?: {
        e?: InputEvent;
    }) => void;
    onFocus: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onKeydown: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./textarea").Textarea, {
    formDisabled: any;
    focused: boolean;
    mouseHover: boolean;
    textareaStyle: {};
    isComposing: boolean;
}, {
    adjustTextareaHeight(): void;
    adjustTextareaHeightAfterReady(): void;
    emitEvent(name: string, value: string | number, context: object): void;
    focus(): void;
    blur(): void;
    handleInput(e: any): void;
    onCompositionstart(): void;
    onCompositionend(e: InputEvent): void;
    inputValueChangeHandle(e: InputEvent): void;
    setInputValue(v?: import("./type").TextareaValue): void;
    emitKeyDown(e: KeyboardEvent): void;
    emitKeyUp(e: KeyboardEvent): void;
    emitKeypress(e: KeyboardEvent): void;
    emitFocus(e: FocusEvent): void;
    emitBlur(e: FocusEvent): void;
}, {
    tDisabled: boolean;
    textareaClasses: import("..").ClassName;
    limitClasses: import("..").ClassName;
    inputAttrs: Record<string, any>;
    characterNumber: number;
}, {
    autofocus: boolean;
    autosize: boolean | {
        minRows?: number;
        maxRows?: number;
    };
    disabled: boolean;
    maxcharacter: number;
    maxlength: string | number;
    name: string;
    placeholder: any;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    tips: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: import("./type").TextareaValue;
    defaultValue: import("./type").TextareaValue;
    onBlur: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onChange: (value: import("./type").TextareaValue, context?: {
        e?: InputEvent;
    }) => void;
    onFocus: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onKeydown: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
}>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./textarea").Textarea, {
    formDisabled: any;
    focused: boolean;
    mouseHover: boolean;
    textareaStyle: {};
    isComposing: boolean;
}, {
    adjustTextareaHeight(): void;
    adjustTextareaHeightAfterReady(): void;
    emitEvent(name: string, value: string | number, context: object): void;
    focus(): void;
    blur(): void;
    handleInput(e: any): void;
    onCompositionstart(): void;
    onCompositionend(e: InputEvent): void;
    inputValueChangeHandle(e: InputEvent): void;
    setInputValue(v?: import("./type").TextareaValue): void;
    emitKeyDown(e: KeyboardEvent): void;
    emitKeyUp(e: KeyboardEvent): void;
    emitKeypress(e: KeyboardEvent): void;
    emitFocus(e: FocusEvent): void;
    emitBlur(e: FocusEvent): void;
}, {
    tDisabled: boolean;
    textareaClasses: import("..").ClassName;
    limitClasses: import("..").ClassName;
    inputAttrs: Record<string, any>;
    characterNumber: number;
}, {
    autofocus: boolean;
    autosize: boolean | {
        minRows?: number;
        maxRows?: number;
    };
    disabled: boolean;
    maxcharacter: number;
    maxlength: string | number;
    name: string;
    placeholder: any;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    tips: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: import("./type").TextareaValue;
    defaultValue: import("./type").TextareaValue;
    onBlur: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onChange: (value: import("./type").TextareaValue, context?: {
        e?: InputEvent;
    }) => void;
    onFocus: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onKeydown: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & import("./textarea").Textarea, {
    formDisabled: any;
    focused: boolean;
    mouseHover: boolean;
    textareaStyle: {};
    isComposing: boolean;
}, {
    adjustTextareaHeight(): void;
    adjustTextareaHeightAfterReady(): void;
    emitEvent(name: string, value: string | number, context: object): void;
    focus(): void;
    blur(): void;
    handleInput(e: any): void;
    onCompositionstart(): void;
    onCompositionend(e: InputEvent): void;
    inputValueChangeHandle(e: InputEvent): void;
    setInputValue(v?: import("./type").TextareaValue): void;
    emitKeyDown(e: KeyboardEvent): void;
    emitKeyUp(e: KeyboardEvent): void;
    emitKeypress(e: KeyboardEvent): void;
    emitFocus(e: FocusEvent): void;
    emitBlur(e: FocusEvent): void;
}, {
    tDisabled: boolean;
    textareaClasses: import("..").ClassName;
    limitClasses: import("..").ClassName;
    inputAttrs: Record<string, any>;
    characterNumber: number;
}, {
    autofocus: boolean;
    autosize: boolean | {
        minRows?: number;
        maxRows?: number;
    };
    disabled: boolean;
    maxcharacter: number;
    maxlength: string | number;
    name: string;
    placeholder: any;
    readonly: boolean;
    status: "error" | "default" | "success" | "warning";
    tips: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value: import("./type").TextareaValue;
    defaultValue: import("./type").TextareaValue;
    onBlur: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onChange: (value: import("./type").TextareaValue, context?: {
        e?: InputEvent;
    }) => void;
    onFocus: (value: import("./type").TextareaValue, context: {
        e: FocusEvent;
    }) => void;
    onKeydown: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup: (value: import("./type").TextareaValue, context: {
        e: KeyboardEvent;
    }) => void;
}>>>;
export default Textarea;
