import dayjs from 'dayjs';
import { TimePickerValue } from '../type';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    showNowTimeBtn: import("@vue/composition-api").ComputedRef<boolean>;
    panelClassName: import("@vue/composition-api").ComputedRef<string>;
    triggerScroll: import("@vue/composition-api").Ref<boolean>;
    resetTriggerScroll: () => void;
    defaultValue: import("@vue/composition-api").ComputedRef<string | dayjs.Dayjs>;
    global: import("@vue/composition-api").ComputedRef<{} & (import("../..").TimePickerConfig | {
        readonly dayjsLocale: "zh-cn";
        readonly now: "此刻";
        readonly confirm: "确定";
        readonly anteMeridiem: "上午";
        readonly postMeridiem: "下午";
        readonly placeholder: "选择时间";
    }) & import("../..").TimePickerConfig>;
    handleChange: (v: string, e: MouseEvent) => void;
    handlePresetClick: (presetValue: TimePickerValue | (() => TimePickerValue)) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    handleConfirmClick: FunctionConstructor;
    onChange: FunctionConstructor;
    onPick: FunctionConstructor;
    disableTime: FunctionConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    isFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: (ObjectConstructor | StringConstructor)[];
        default: string;
    };
    format: {
        type: StringConstructor;
        default: string;
    };
    position: StringConstructor;
    steps: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => number[];
    };
    isShowPanel: {
        type: BooleanConstructor;
        default: boolean;
    };
    activeIndex: {
        type: NumberConstructor;
    };
    presets: {
        type: import("vue").PropType<import("../type").PresetTime>;
    };
    hideDisabledTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    isFooterDisplay: {
        type: BooleanConstructor;
        default: boolean;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    handleConfirmClick: FunctionConstructor;
    onChange: FunctionConstructor;
    onPick: FunctionConstructor;
    disableTime: FunctionConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    isFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: (ObjectConstructor | StringConstructor)[];
        default: string;
    };
    format: {
        type: StringConstructor;
        default: string;
    };
    position: StringConstructor;
    steps: {
        type: import("vue").PropType<(string | number)[]>;
        default: () => number[];
    };
    isShowPanel: {
        type: BooleanConstructor;
        default: boolean;
    };
    activeIndex: {
        type: NumberConstructor;
    };
    presets: {
        type: import("vue").PropType<import("../type").PresetTime>;
    };
    hideDisabledTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    isFooterDisplay: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: string;
    disabled: boolean;
    steps: (string | number)[];
    format: string;
    isFocus: boolean;
    isShowPanel: boolean;
    hideDisabledTime: boolean;
    isFooterDisplay: boolean;
} & {
    position?: string;
    onChange?: Function;
    activeIndex?: number;
    disableTime?: Function;
    presets?: import("../type").PresetTime;
    onPick?: Function;
    handleConfirmClick?: Function;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    showNowTimeBtn: import("@vue/composition-api").ComputedRef<boolean>;
    panelClassName: import("@vue/composition-api").ComputedRef<string>;
    triggerScroll: import("@vue/composition-api").Ref<boolean>;
    resetTriggerScroll: () => void;
    defaultValue: import("@vue/composition-api").ComputedRef<string | dayjs.Dayjs>;
    global: import("@vue/composition-api").ComputedRef<{} & (import("../..").TimePickerConfig | {
        readonly dayjsLocale: "zh-cn";
        readonly now: "此刻";
        readonly confirm: "确定";
        readonly anteMeridiem: "上午";
        readonly postMeridiem: "下午";
        readonly placeholder: "选择时间";
    }) & import("../..").TimePickerConfig>;
    handleChange: (v: string, e: MouseEvent) => void;
    handlePresetClick: (presetValue: TimePickerValue | (() => TimePickerValue)) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: string;
    disabled: boolean;
    steps: (string | number)[];
    format: string;
    isFocus: boolean;
    isShowPanel: boolean;
    hideDisabledTime: boolean;
    isFooterDisplay: boolean;
} & {
    position?: string;
    onChange?: Function;
    activeIndex?: number;
    disableTime?: Function;
    presets?: import("../type").PresetTime;
    onPick?: Function;
    handleConfirmClick?: Function;
}, {
    value: string;
    disabled: boolean;
    steps: (string | number)[];
    format: string;
    isFocus: boolean;
    isShowPanel: boolean;
    hideDisabledTime: boolean;
    isFooterDisplay: boolean;
}, true>);
export default _default;
