import { TdTooltipProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    delay: {
        type: NumberConstructor;
    };
    destroyOnClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    duration: {
        type: NumberConstructor;
    };
    placement: {
        type: PropType<import("..").PopupPlacement | "mouse">;
        default: import("..").PopupPlacement | "mouse";
    };
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    theme: {
        type: PropType<"default" | "success" | "primary" | "warning" | "danger" | "light">;
        default: "default" | "success" | "primary" | "warning" | "danger" | "light";
        validator(val: TdTooltipProps['theme']): boolean;
    };
};
export default _default;
