import { TypeRef } from '../adapt';
import { TypeTreeState } from '../tree-types';
import type { ComponentScrollToElementParams } from '../../common';
export default function useTreeScroll(state: TypeTreeState): {
    treeContentRef: TypeRef<HTMLDivElement>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    virtualConfig: {
        visibleData: import("@vue/composition-api").Ref<any[]>;
        translateY: import("@vue/composition-api").Ref<number>;
        scrollHeight: import("@vue/composition-api").Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../../hooks").ScrollToElementParams) => void;
    };
    scrollToElement: (params: ComponentScrollToElementParams) => void;
};
