import { TdBackTopProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    container: {
        type: PropType<import("..").AttachNode>;
        default: string;
    };
    content: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    offset: {
        type: PropType<(string | number)[]>;
        default: () => TdBackTopProps['offset'];
    };
    shape: {
        type: PropType<import("./type").BackTopShapeEnum>;
        default: import("./type").BackTopShapeEnum;
        validator(val: TdBackTopProps['shape']): boolean;
    };
    size: {
        type: PropType<"small" | "medium">;
        default: "small" | "medium";
        validator(val: TdBackTopProps['size']): boolean;
    };
    target: {
        type: PropType<import("..").AttachNode>;
        default: string;
    };
    theme: {
        type: PropType<"primary" | "dark" | "light">;
        default: "primary" | "dark" | "light";
        validator(val: TdBackTopProps['theme']): boolean;
    };
    visibleHeight: {
        type: PropType<string | number>;
        default: string;
    };
    onClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
};
export default _default;
