/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var props = {
  maxItemWidth: {
    type: String,
    "default": void 0
  },
  options: {
    type: Array
  },
  separator: {
    type: [String, Function]
  },
  theme: {
    type: String,
    "default": "light",
    validator: function validator(val) {
      if (!val) return true;
      return ["light"].includes(val);
    }
  }
};

export { props as default };
//# sourceMappingURL=props.js.map
