import { TdCollapseProps } from './type';
import './style';
export * from './type';
export declare type CollapseProps = TdCollapseProps;
export declare const Collapse: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}> & import("@vue/composition-api").Data, {}, {}, {
    borderless: BooleanConstructor;
    defaultExpandAll: BooleanConstructor;
    disabled: BooleanConstructor;
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    expandIconPlacement: {
        type: import("vue").PropType<"left" | "right">;
        default: "left" | "right";
        validator(val: "left" | "right"): boolean;
    };
    expandMutex: BooleanConstructor;
    expandOnRowClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").CollapseValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CollapseValue>;
    };
    onChange: import("vue").PropType<(value: import("./type").CollapseValue) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    borderless: BooleanConstructor;
    defaultExpandAll: BooleanConstructor;
    disabled: BooleanConstructor;
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    expandIconPlacement: {
        type: import("vue").PropType<"left" | "right">;
        default: "left" | "right";
        validator(val: "left" | "right"): boolean;
    };
    expandMutex: BooleanConstructor;
    expandOnRowClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").CollapseValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CollapseValue>;
    };
    onChange: import("vue").PropType<(value: import("./type").CollapseValue) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: import("./type").CollapseValue;
    disabled: boolean;
    borderless: boolean;
    expandMutex: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandIconPlacement: "left" | "right";
    defaultExpandAll: boolean;
} & {
    onChange?: (value: import("./type").CollapseValue) => void;
    defaultValue?: import("./type").CollapseValue;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: import("./type").CollapseValue;
    disabled: boolean;
    borderless: boolean;
    expandMutex: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandIconPlacement: "left" | "right";
    defaultExpandAll: boolean;
} & {
    onChange?: (value: import("./type").CollapseValue) => void;
    defaultValue?: import("./type").CollapseValue;
}, {
    value: import("./type").CollapseValue;
    disabled: boolean;
    borderless: boolean;
    expandMutex: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandIconPlacement: "left" | "right";
    defaultExpandAll: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}> & import("@vue/composition-api").Data, {}, {}, {
    borderless: BooleanConstructor;
    defaultExpandAll: BooleanConstructor;
    disabled: BooleanConstructor;
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    expandIconPlacement: {
        type: import("vue").PropType<"left" | "right">;
        default: "left" | "right";
        validator(val: "left" | "right"): boolean;
    };
    expandMutex: BooleanConstructor;
    expandOnRowClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").CollapseValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CollapseValue>;
    };
    onChange: import("vue").PropType<(value: import("./type").CollapseValue) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    borderless: BooleanConstructor;
    defaultExpandAll: BooleanConstructor;
    disabled: BooleanConstructor;
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    expandIconPlacement: {
        type: import("vue").PropType<"left" | "right">;
        default: "left" | "right";
        validator(val: "left" | "right"): boolean;
    };
    expandMutex: BooleanConstructor;
    expandOnRowClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").CollapseValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CollapseValue>;
    };
    onChange: import("vue").PropType<(value: import("./type").CollapseValue) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: import("./type").CollapseValue;
    disabled: boolean;
    borderless: boolean;
    expandMutex: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandIconPlacement: "left" | "right";
    defaultExpandAll: boolean;
} & {
    onChange?: (value: import("./type").CollapseValue) => void;
    defaultValue?: import("./type").CollapseValue;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: import("./type").CollapseValue;
    disabled: boolean;
    borderless: boolean;
    expandMutex: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandIconPlacement: "left" | "right";
    defaultExpandAll: boolean;
} & {
    onChange?: (value: import("./type").CollapseValue) => void;
    defaultValue?: import("./type").CollapseValue;
}, {
    value: import("./type").CollapseValue;
    disabled: boolean;
    borderless: boolean;
    expandMutex: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expandOnRowClick: boolean;
    expandIconPlacement: "left" | "right";
    defaultExpandAll: boolean;
}, true>)>;
export declare const CollapsePanel: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    isDisabled: import("@vue/composition-api").ComputedRef<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: any;
    })[]>;
    isActive: import("@vue/composition-api").ComputedRef<boolean>;
    updateCollapseValue: Function;
    innerValue: any;
    expandIconPlacement: any;
    expandOnRowClick: any;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    clickableClass: import("@vue/composition-api").ComputedRef<string>;
    transitionClass: import("@vue/composition-api").ComputedRef<string>;
    panelExpandIcon: import("@vue/composition-api").ComputedRef<boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    renderParentTNode: Function;
    renderTNodeJSX: (name: string, options?: import("../hooks/render-tnode").OptionsType) => any;
    renderContent: (name1: string, name2: string, options?: import("vue").VNode | import("../hooks/render-tnode").JSXRenderContext) => any;
}> & import("@vue/composition-api").Data, {
    renderDefaultIcon(): JSX.Element;
    renderIcon(): JSX.Element;
    renderHeader(): JSX.Element;
    renderBlank(): JSX.Element;
    renderBody(): JSX.Element;
    renderBodyByNormal(): JSX.Element;
    renderBodyDestroyOnCollapse(): JSX.Element;
    handleClick(e: MouseEvent): void;
}, {}, {
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnCollapse: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerRightContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnCollapse: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerRightContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerRightContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    isDisabled: import("@vue/composition-api").ComputedRef<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: any;
    })[]>;
    isActive: import("@vue/composition-api").ComputedRef<boolean>;
    updateCollapseValue: Function;
    innerValue: any;
    expandIconPlacement: any;
    expandOnRowClick: any;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    clickableClass: import("@vue/composition-api").ComputedRef<string>;
    transitionClass: import("@vue/composition-api").ComputedRef<string>;
    panelExpandIcon: import("@vue/composition-api").ComputedRef<boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    renderParentTNode: Function;
    renderTNodeJSX: (name: string, options?: import("../hooks/render-tnode").OptionsType) => any;
    renderContent: (name1: string, name2: string, options?: import("vue").VNode | import("../hooks/render-tnode").JSXRenderContext) => any;
}>, import("@vue/composition-api").Data, {}, {
    renderDefaultIcon(): JSX.Element;
    renderIcon(): JSX.Element;
    renderHeader(): JSX.Element;
    renderBlank(): JSX.Element;
    renderBody(): JSX.Element;
    renderBodyByNormal(): JSX.Element;
    renderBodyDestroyOnCollapse(): JSX.Element;
    handleClick(e: MouseEvent): void;
}, {}, {}, {}, {
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerRightContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    isDisabled: import("@vue/composition-api").ComputedRef<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: any;
    })[]>;
    isActive: import("@vue/composition-api").ComputedRef<boolean>;
    updateCollapseValue: Function;
    innerValue: any;
    expandIconPlacement: any;
    expandOnRowClick: any;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    clickableClass: import("@vue/composition-api").ComputedRef<string>;
    transitionClass: import("@vue/composition-api").ComputedRef<string>;
    panelExpandIcon: import("@vue/composition-api").ComputedRef<boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    renderParentTNode: Function;
    renderTNodeJSX: (name: string, options?: import("../hooks/render-tnode").OptionsType) => any;
    renderContent: (name1: string, name2: string, options?: import("vue").VNode | import("../hooks/render-tnode").JSXRenderContext) => any;
}> & import("@vue/composition-api").Data, {
    renderDefaultIcon(): JSX.Element;
    renderIcon(): JSX.Element;
    renderHeader(): JSX.Element;
    renderBlank(): JSX.Element;
    renderBody(): JSX.Element;
    renderBodyByNormal(): JSX.Element;
    renderBodyDestroyOnCollapse(): JSX.Element;
    handleClick(e: MouseEvent): void;
}, {}, {
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnCollapse: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerRightContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnCollapse: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerRightContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerRightContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    isDisabled: import("@vue/composition-api").ComputedRef<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: any;
    })[]>;
    isActive: import("@vue/composition-api").ComputedRef<boolean>;
    updateCollapseValue: Function;
    innerValue: any;
    expandIconPlacement: any;
    expandOnRowClick: any;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    clickableClass: import("@vue/composition-api").ComputedRef<string>;
    transitionClass: import("@vue/composition-api").ComputedRef<string>;
    panelExpandIcon: import("@vue/composition-api").ComputedRef<boolean | ((...args: any[]) => import("vue").VNode[]) | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    renderParentTNode: Function;
    renderTNodeJSX: (name: string, options?: import("../hooks/render-tnode").OptionsType) => any;
    renderContent: (name1: string, name2: string, options?: import("vue").VNode | import("../hooks/render-tnode").JSXRenderContext) => any;
}>, import("@vue/composition-api").Data, {}, {
    renderDefaultIcon(): JSX.Element;
    renderIcon(): JSX.Element;
    renderHeader(): JSX.Element;
    renderBlank(): JSX.Element;
    renderBody(): JSX.Element;
    renderBodyByNormal(): JSX.Element;
    renderBodyDestroyOnCollapse(): JSX.Element;
    handleClick(e: MouseEvent): void;
}, {}, {}, {}, {
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerRightContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
}, true>)>;
export default Collapse;
