/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Collapse from './collapse.js';
import _CollapsePanel from './collapse-panel.js';
import { withInstall } from '../utils/withInstall.js';
import './style/index.js';
import './type.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import '@vue/composition-api';
import './props.js';
import '../hooks/useVModel.js';
import 'lodash-es';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-a883488c.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-90ffe67f.js';
import 'dayjs';
import '../_chunks/dep-9d1c0d31.js';
import '../config-provider/type.js';
import './collapse-panel-props.js';
import '../common-components/fake-arrow.js';
import '../config-provider/config-receiver.js';
import 'vue';
import '../utils/mixins.js';
import '../hooks/useCollapseAnimation.js';

var Collapse = withInstall(_Collapse);
var CollapsePanel = withInstall(_CollapsePanel);

export { Collapse, CollapsePanel, Collapse as default };
//# sourceMappingURL=index.js.map
