import { DateMultipleValue, DateValue, TdDatePickerProps } from '../type';
export default function useSingleValue(props: TdDatePickerProps): {
    year: import("@vue/composition-api").Ref<number>;
    month: import("@vue/composition-api").Ref<number>;
    value: import("@vue/composition-api").Ref<DateValue | DateMultipleValue>;
    time: any;
    cacheValue: import("@vue/composition-api").Ref<string | number | string[] | number[] | Date | Date[]>;
    onChange: import("../../hooks/useVModel").ChangeHandler<DateValue | DateMultipleValue, [context: {
        dayjsValue?: import("dayjs").Dayjs;
        trigger?: import("../type").DatePickerTriggerSource;
    }]>;
};
