import { TdDrawerProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    attach: {
        type: PropType<import("..").AttachNode>;
    };
    body: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cancelBtn: {
        type: PropType<import("./type").FooterButton>;
    };
    closeBtn: {
        type: PropType<string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    closeOnEscKeydown: {
        type: BooleanConstructor;
        default: any;
    };
    closeOnOverlayClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    confirmBtn: {
        type: PropType<import("./type").FooterButton>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnClose: BooleanConstructor;
    drawerClassName: {
        type: StringConstructor;
        default: string;
    };
    footer: {
        type: PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    header: {
        type: PropType<string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    mode: {
        type: PropType<"push" | "overlay">;
        default: "push" | "overlay";
        validator(val: TdDrawerProps['mode']): boolean;
    };
    placement: {
        type: PropType<"left" | "top" | "bottom" | "right">;
        default: "left" | "top" | "bottom" | "right";
        validator(val: TdDrawerProps['placement']): boolean;
    };
    preventScrollThrough: {
        type: BooleanConstructor;
        default: boolean;
    };
    showInAttachedElement: BooleanConstructor;
    showOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: StringConstructor;
        default: any;
    };
    sizeDraggable: {
        type: PropType<boolean | import("./type").SizeDragLimit>;
        default: boolean;
    };
    visible: BooleanConstructor;
    zIndex: {
        type: NumberConstructor;
    };
    onBeforeClose: PropType<() => void>;
    onBeforeOpen: PropType<() => void>;
    onCancel: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onClose: PropType<(context: import("./type").DrawerCloseContext) => void>;
    onCloseBtnClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onConfirm: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onEscKeydown: PropType<(context: {
        e: KeyboardEvent;
    }) => void>;
    onOverlayClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onSizeDragEnd: PropType<(context: {
        e: MouseEvent;
        size: number;
    }) => void>;
};
export default _default;
