/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

var dropdownItemProps = {
  active: Boolean,
  content: {
    type: [String, Function],
    "default": ""
  },
  disabled: Boolean,
  divider: Boolean,
  prefixIcon: {
    type: Function
  },
  theme: {
    type: String,
    "default": "default",
    validator: function validator(val) {
      if (!val) return true;
      return ["default", "success", "warning", "error"].includes(val);
    }
  },
  value: {
    type: [String, Number, Object]
  },
  onClick: Function
};

export { dropdownItemProps as default };
//# sourceMappingURL=dropdown-item-props.js.map
