import { TdFormItemProps } from '../form/type';
import { PropType } from 'vue';
declare const _default: {
    for: {
        type: StringConstructor;
        default: string;
    };
    help: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    label: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    labelAlign: {
        type: PropType<"left" | "top" | "right">;
        validator(val: TdFormItemProps['labelAlign']): boolean;
    };
    labelWidth: {
        type: PropType<string | number>;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    requiredMark: {
        type: BooleanConstructor;
        default: any;
    };
    rules: {
        type: PropType<import("../form/type").FormRule[]>;
    };
    showErrorMessage: {
        type: BooleanConstructor;
        default: any;
    };
    status: {
        type: PropType<"error" | "success" | "warning">;
        default: string;
    };
    statusIcon: {
        type: PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    successBorder: BooleanConstructor;
    tips: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
};
export default _default;
