export interface TdRowProps {
    align?: 'start' | 'end' | 'center' | 'stretch' | 'baseline' | 'top' | 'middle' | 'bottom';
    gutter?: number | GutterObject | Array<GutterObject | number>;
    justify?: 'start' | 'end' | 'center' | 'space-around' | 'space-between';
    tag?: string;
}
export interface TdColProps {
    flex?: string | number;
    lg?: number | BaseColProps;
    md?: number | BaseColProps;
    offset?: number;
    order?: number;
    pull?: number;
    push?: number;
    sm?: number | BaseColProps;
    span?: number;
    tag?: string;
    xl?: number | BaseColProps;
    xs?: number | BaseColProps;
    xxl?: number | BaseColProps;
}
export interface GutterObject {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
    xxl: number;
}
export interface BaseColProps {
    offset: number;
    order: number;
    pull: number;
    push: number;
    span: number;
}
