declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    componentName: import("@vue/composition-api").ComputedRef<string>;
    listClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    loadingClass: import("@vue/composition-api").ComputedRef<string>;
    handleScroll: (e: WheelEvent) => void;
    handleLoadMore: (e: MouseEvent) => void;
    listRef: import("@vue/composition-api").Ref<any>;
    globalConfig: import("@vue/composition-api").ComputedRef<{} & (import("..").ListConfig | {
        readonly loadingText: "正在加载中，请稍等";
        readonly loadingMoreText: "点击加载更多";
    }) & import("..").ListConfig>;
    virtualConfig: {
        visibleData: import("@vue/composition-api").Ref<any[]>;
        translateY: import("@vue/composition-api").Ref<number>;
        scrollHeight: import("@vue/composition-api").Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../hooks").ScrollToElementParams) => void;
    };
    cursorStyle: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    listStyle: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
}> & import("@vue/composition-api").Data, {}, {}, {
    asyncLoading: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    footer: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    split: BooleanConstructor;
    stripe: BooleanConstructor;
    onLoadMore: import("vue").PropType<(options: {
        e: MouseEvent;
    }) => void>;
    onScroll: import("vue").PropType<(options: {
        e: Event | WheelEvent;
        scrollTop: number;
        scrollBottom: number;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    asyncLoading: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    footer: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    size: {
        type: import("vue").PropType<"small" | "medium" | "large">;
        default: "small" | "medium" | "large";
        validator(val: "small" | "medium" | "large"): boolean;
    };
    split: BooleanConstructor;
    stripe: BooleanConstructor;
    onLoadMore: import("vue").PropType<(options: {
        e: MouseEvent;
    }) => void>;
    onScroll: import("vue").PropType<(options: {
        e: Event | WheelEvent;
        scrollTop: number;
        scrollBottom: number;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    split: boolean;
    size: "small" | "medium" | "large";
    layout: "vertical" | "horizontal";
    stripe: boolean;
} & {
    footer?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    scroll?: import("..").TScroll;
    onScroll?: (options: {
        e: Event | WheelEvent;
        scrollTop: number;
        scrollBottom: number;
    }) => void;
    asyncLoading?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onLoadMore?: (options: {
        e: MouseEvent;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    componentName: import("@vue/composition-api").ComputedRef<string>;
    listClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    loadingClass: import("@vue/composition-api").ComputedRef<string>;
    handleScroll: (e: WheelEvent) => void;
    handleLoadMore: (e: MouseEvent) => void;
    listRef: import("@vue/composition-api").Ref<any>;
    globalConfig: import("@vue/composition-api").ComputedRef<{} & (import("..").ListConfig | {
        readonly loadingText: "正在加载中，请稍等";
        readonly loadingMoreText: "点击加载更多";
    }) & import("..").ListConfig>;
    virtualConfig: {
        visibleData: import("@vue/composition-api").Ref<any[]>;
        translateY: import("@vue/composition-api").Ref<number>;
        scrollHeight: import("@vue/composition-api").Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../hooks").ScrollToElementParams) => void;
    };
    cursorStyle: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    listStyle: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    split: boolean;
    size: "small" | "medium" | "large";
    layout: "vertical" | "horizontal";
    stripe: boolean;
} & {
    footer?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    scroll?: import("..").TScroll;
    onScroll?: (options: {
        e: Event | WheelEvent;
        scrollTop: number;
        scrollBottom: number;
    }) => void;
    asyncLoading?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onLoadMore?: (options: {
        e: MouseEvent;
    }) => void;
}, {
    split: boolean;
    size: "small" | "medium" | "large";
    layout: "vertical" | "horizontal";
    stripe: boolean;
}, true>);
export default _default;
