import { MenuValue } from './type';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    styles: import("@vue/composition-api").ComputedRef<{
        height: string;
        width: string;
    }>;
    menuClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    innerClasses: import("@vue/composition-api").ComputedRef<string[]>;
    activeValue: import("@vue/composition-api").Ref<MenuValue>;
    activeValues: import("@vue/composition-api").Ref<any[]>;
    expandValues: import("@vue/composition-api").Ref<MenuValue[]>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    collapsed: BooleanConstructor;
    expanded: {
        type: import("vue").PropType<MenuValue[]>;
    };
    defaultExpanded: {
        type: import("vue").PropType<MenuValue[]>;
    };
    expandMutex: BooleanConstructor;
    expandType: {
        type: import("vue").PropType<"normal" | "popup">;
        default: "normal" | "popup";
        validator(val: "normal" | "popup"): boolean;
    };
    logo: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    operations: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    theme: {
        type: import("vue").PropType<"dark" | "light">;
        default: "dark" | "light";
        validator(val: "dark" | "light"): boolean;
    };
    value: {
        type: import("vue").PropType<MenuValue>;
    };
    defaultValue: {
        type: import("vue").PropType<MenuValue>;
    };
    width: {
        type: import("vue").PropType<string | number | (string | number)[]>;
        default: string;
    };
    onChange: import("vue").PropType<(value: MenuValue) => void>;
    onExpand: import("vue").PropType<(value: MenuValue[]) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    collapsed: BooleanConstructor;
    expanded: {
        type: import("vue").PropType<MenuValue[]>;
    };
    defaultExpanded: {
        type: import("vue").PropType<MenuValue[]>;
    };
    expandMutex: BooleanConstructor;
    expandType: {
        type: import("vue").PropType<"normal" | "popup">;
        default: "normal" | "popup";
        validator(val: "normal" | "popup"): boolean;
    };
    logo: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    operations: {
        type: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    theme: {
        type: import("vue").PropType<"dark" | "light">;
        default: "dark" | "light";
        validator(val: "dark" | "light"): boolean;
    };
    value: {
        type: import("vue").PropType<MenuValue>;
    };
    defaultValue: {
        type: import("vue").PropType<MenuValue>;
    };
    width: {
        type: import("vue").PropType<string | number | (string | number)[]>;
        default: string;
    };
    onChange: import("vue").PropType<(value: MenuValue) => void>;
    onExpand: import("vue").PropType<(value: MenuValue[]) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    width: string | number | (string | number)[];
    theme: "dark" | "light";
    expandType: "normal" | "popup";
    collapsed: boolean;
    expandMutex: boolean;
} & {
    value?: MenuValue;
    expanded?: MenuValue[];
    onChange?: (value: MenuValue) => void;
    defaultValue?: MenuValue;
    defaultExpanded?: MenuValue[];
    logo?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    operations?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    onExpand?: (value: MenuValue[]) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    styles: import("@vue/composition-api").ComputedRef<{
        height: string;
        width: string;
    }>;
    menuClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    innerClasses: import("@vue/composition-api").ComputedRef<string[]>;
    activeValue: import("@vue/composition-api").Ref<MenuValue>;
    activeValues: import("@vue/composition-api").Ref<any[]>;
    expandValues: import("@vue/composition-api").Ref<MenuValue[]>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    width: string | number | (string | number)[];
    theme: "dark" | "light";
    expandType: "normal" | "popup";
    collapsed: boolean;
    expandMutex: boolean;
} & {
    value?: MenuValue;
    expanded?: MenuValue[];
    onChange?: (value: MenuValue) => void;
    defaultValue?: MenuValue;
    defaultExpanded?: MenuValue[];
    logo?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    operations?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    onExpand?: (value: MenuValue[]) => void;
}, {
    width: string | number | (string | number)[];
    theme: "dark" | "light";
    expandType: "normal" | "popup";
    collapsed: boolean;
    expandMutex: boolean;
}, true>);
export default _default;
