import { PopupVisibleChangeContext } from '../popup';
import { TdSelectInputProps } from './type';
import { Styles } from '../common';
export declare type overlayInnerStyleProps = Pick<TdSelectInputProps, 'popupProps' | 'autoWidth' | 'readonly' | 'onPopupVisibleChange' | 'disabled' | 'allowInput' | 'popupVisible'>;
export default function useOverlayInnerStyle(props: overlayInnerStyleProps, extra?: {
    afterHidePopup?: (ctx: PopupVisibleChangeContext) => void;
}): {
    tOverlayInnerStyle: import("@vue/composition-api").ComputedRef<Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => Styles)>;
    innerPopupVisible: import("@vue/composition-api").Ref<boolean>;
    onInnerPopupVisibleChange: (visible: boolean, ctx: PopupVisibleChangeContext) => void;
};
