import { TNode } from '../common';
export interface TdSkeletonProps {
    animation?: 'gradient' | 'flashed';
    loading?: boolean;
    rowCol?: SkeletonRowCol;
    theme?: 'text' | 'avatar' | 'paragraph' | 'avatar-text' | 'tab' | 'article';
    delay?: number;
}
export declare type SkeletonRowCol = Array<Number | SkeletonRowColObj | Array<SkeletonRowColObj>>;
export interface SkeletonRowColObj {
    width?: string;
    height?: string;
    size?: string;
    marginRight?: string;
    marginLeft?: string;
    margin?: string;
    content?: string | TNode;
    type?: 'rect' | 'circle' | 'text';
}
