import { TdStickyToolProps, TdStickyItemProps } from './type';
import './style';
export * from './type';
export declare type StickyToolProps = TdStickyToolProps;
export declare type StickyItemProps = TdStickyItemProps;
export declare const StickyItem: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, unknown, {
    handleClickItem(e: MouseEvent): void;
    handleHoverItem(e: MouseEvent): void;
}, {
    baseClass: import("..").ClassName;
    labelClass: import("..").ClassName;
    popupPlacement: String;
    styles: import("..").Styles;
}, {
    type: "normal" | "compact";
    shape: "square" | "round";
    placement: "left-top" | "left-bottom" | "right-top" | "right-bottom" | "right-center" | "left-center";
    basePopupProps: import("..").TdPopupProps;
    baseWidth: string | number;
    onClick: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    onHover: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    fatherCompName: string;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popup: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popupProps: import("..").TdPopupProps;
    trigger: "click" | "hover";
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, unknown, {
    handleClickItem(e: MouseEvent): void;
    handleHoverItem(e: MouseEvent): void;
}, {
    baseClass: import("..").ClassName;
    labelClass: import("..").ClassName;
    popupPlacement: String;
    styles: import("..").Styles;
}, {
    type: "normal" | "compact";
    shape: "square" | "round";
    placement: "left-top" | "left-bottom" | "right-top" | "right-bottom" | "right-center" | "left-center";
    basePopupProps: import("..").TdPopupProps;
    baseWidth: string | number;
    onClick: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    onHover: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    fatherCompName: string;
    icon: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    label: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popup: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    popupProps: import("..").TdPopupProps;
    trigger: "click" | "hover";
}>>;
export declare const StickyTool: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, {
    getList(): TdStickyItemProps[];
    getListBySlots(nodes: import("vue").VNode[]): TdStickyItemProps[];
    getOffset(): import("..").Styles;
    handleClick(context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }): void;
    handleHover(context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }): void;
}, {
    classes: import("..").ClassName;
    styles: import("..").Styles;
}, {
    list: TdStickyItemProps[];
    offset: (string | number)[];
    placement: "left-top" | "left-bottom" | "right-top" | "right-bottom" | "right-center" | "left-center";
    popupProps: import("..").TdPopupProps;
    shape: "square" | "round";
    type: "normal" | "compact";
    width: string | number;
    onClick: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    onHover: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: null;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, {
    getList(): TdStickyItemProps[];
    getListBySlots(nodes: import("vue").VNode[]): TdStickyItemProps[];
    getOffset(): import("..").Styles;
    handleClick(context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }): void;
    handleHover(context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }): void;
}, {
    classes: import("..").ClassName;
    styles: import("..").Styles;
}, {
    list: TdStickyItemProps[];
    offset: (string | number)[];
    placement: "left-top" | "left-bottom" | "right-top" | "right-bottom" | "right-center" | "left-center";
    popupProps: import("..").TdPopupProps;
    shape: "square" | "round";
    type: "normal" | "compact";
    width: string | number;
    onClick: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
    onHover: (context: {
        e: MouseEvent;
        item: TdStickyItemProps;
    }) => void;
}>>;
export default StickyTool;
