import { TNode } from '../common';
export interface TdSwitchProps {
    beforeChange?: () => boolean | Promise<boolean>;
    customValue?: Array<SwitchValue>;
    disabled?: boolean;
    label?: Array<string | TNode> | TNode<{
        value: SwitchValue;
    }>;
    loading?: boolean;
    size?: 'small' | 'medium' | 'large';
    value?: SwitchValue;
    defaultValue?: SwitchValue;
    onChange?: (value: SwitchValue) => void;
}
export declare type SwitchValue = string | number | boolean;
