import { Ref } from '@vue/composition-api';
import { BaseTableProps } from '../interface';
export declare function useHoverKeyboardEvent(props: BaseTableProps, tableRef: Ref<HTMLDivElement>): {
    hoverRow: Ref<string | number>;
    needKeyboardRowHover: import("@vue/composition-api").ComputedRef<boolean>;
    clearHoverRow: () => void;
    addRowHoverKeyboardListener: () => void;
    removeRowHoverKeyboardListener: () => void;
    tableRefTabIndex: Ref<number>;
};
export default useHoverKeyboardEvent;
