import { SetupContext } from '@vue/composition-api';
import { CreateElement } from 'vue';
import { SortInfo, TdPrimaryTableProps, PrimaryTableCol, TableRowData } from '../type';
export declare type SortMap = Record<string, SortInfo & {
    index: number;
}>;
export default function useSorter(props: TdPrimaryTableProps, { emit, slots }: SetupContext): {
    renderSortIcon: (h: CreateElement, { col }: {
        col: PrimaryTableCol<TableRowData>;
        colIndex: number;
    }) => JSX.Element;
};
