import { TdCheckTagProps } from '../tag/type';
import { PropType } from 'vue';
declare const _default: {
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    checkedProps: {
        type: PropType<import("../tag/type").TdTagProps>;
    };
    content: {
        type: PropType<string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    size: {
        type: PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: TdCheckTagProps['size']): boolean;
    };
    uncheckedProps: {
        type: PropType<import("../tag/type").TdTagProps>;
    };
    value: {
        type: PropType<string | number>;
    };
    onChange: PropType<(checked: boolean, context: import("../tag/type").CheckTagChangeContext) => void>;
    onClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
};
export default _default;
