import { TdTagProps, TdCheckTagProps, TdCheckTagGroupProps } from './type';
import './style';
export * from './type';
export declare type TagProps = TdTagProps;
export declare type CheckTagProps = TdCheckTagProps;
export declare type CheckTagGroupProps = TdCheckTagGroupProps;
export declare const Tag: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").TagConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
}, unknown, {
    handleClose(e: MouseEvent): void;
    handleClick(e: MouseEvent): void;
    getCloseIcon(): import("vue/types/vnode").ScopedSlotReturnValue;
    getTagColorStyle(): import("..").Styles;
    renderTitle(tagContent: string): string;
}, {
    tagClass: import("..").ClassName;
    textStyle: import("..").Styles;
    tagStyle: import("..").Styles;
}, {
    closable: boolean;
    color: string;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    icon: any;
    maxWidth: string | number;
    shape: "square" | "round" | "mark";
    size: import("..").SizeEnum;
    theme: "default" | "success" | "primary" | "warning" | "danger";
    title: string;
    variant: "outline" | "dark" | "light" | "light-outline";
    onClick: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: {
        e: MouseEvent;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").TagConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
}, unknown, {
    handleClose(e: MouseEvent): void;
    handleClick(e: MouseEvent): void;
    getCloseIcon(): import("vue/types/vnode").ScopedSlotReturnValue;
    getTagColorStyle(): import("..").Styles;
    renderTitle(tagContent: string): string;
}, {
    tagClass: import("..").ClassName;
    textStyle: import("..").Styles;
    tagStyle: import("..").Styles;
}, {
    closable: boolean;
    color: string;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    disabled: boolean;
    icon: any;
    maxWidth: string | number;
    shape: "square" | "round" | "mark";
    size: import("..").SizeEnum;
    theme: "default" | "success" | "primary" | "warning" | "danger";
    title: string;
    variant: "outline" | "dark" | "light" | "light-outline";
    onClick: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: {
        e: MouseEvent;
    }) => void;
}>>;
export declare const CheckTag: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    tagClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    checkTagProps: import("@vue/composition-api").ComputedRef<TdTagProps>;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
    handleClick: ({ e }: {
        e: MouseEvent;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    content: {
        type: import("vue").PropType<string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: import("./type").CheckTagChangeContext) => void>;
    onClick: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    content: {
        type: import("vue").PropType<string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: import("./type").CheckTagChangeContext) => void>;
    onClick: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    size: import("..").SizeEnum;
    checked: boolean;
    defaultChecked: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    onClick?: (context: {
        e: MouseEvent;
    }) => void;
    onChange?: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    tagClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    checkTagProps: import("@vue/composition-api").ComputedRef<TdTagProps>;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
    handleClick: ({ e }: {
        e: MouseEvent;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    disabled: boolean;
    size: import("..").SizeEnum;
    checked: boolean;
    defaultChecked: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    onClick?: (context: {
        e: MouseEvent;
    }) => void;
    onChange?: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, {
    disabled: boolean;
    size: import("..").SizeEnum;
    checked: boolean;
    defaultChecked: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    tagClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    checkTagProps: import("@vue/composition-api").ComputedRef<TdTagProps>;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
    handleClick: ({ e }: {
        e: MouseEvent;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    content: {
        type: import("vue").PropType<string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: import("./type").CheckTagChangeContext) => void>;
    onClick: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    defaultChecked: BooleanConstructor;
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    content: {
        type: import("vue").PropType<string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    disabled: BooleanConstructor;
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
    onChange: import("vue").PropType<(checked: boolean, context: import("./type").CheckTagChangeContext) => void>;
    onClick: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    size: import("..").SizeEnum;
    checked: boolean;
    defaultChecked: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    onClick?: (context: {
        e: MouseEvent;
    }) => void;
    onChange?: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    tagClass: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    checkTagProps: import("@vue/composition-api").ComputedRef<TdTagProps>;
    onCheckboxFocus: (e: FocusEvent) => void;
    onCheckboxBlur: (e: FocusEvent) => void;
    handleClick: ({ e }: {
        e: MouseEvent;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    disabled: boolean;
    size: import("..").SizeEnum;
    checked: boolean;
    defaultChecked: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | number | string[] | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    onClick?: (context: {
        e: MouseEvent;
    }) => void;
    onChange?: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, {
    disabled: boolean;
    size: import("..").SizeEnum;
    checked: boolean;
    defaultChecked: boolean;
}, true>)>;
export declare const CheckTagGroup: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckTagGroupValue>;
    checkTagGroupClasses: import("@vue/composition-api").ComputedRef<string[]>;
    onCheckTagChange: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    getTagContent: (option: import("./type").CheckTagGroupOption) => number | import("vue/types/vnode").ScopedSlotReturnValue;
}> & import("@vue/composition-api").Data, {}, {}, {
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    multiple: BooleanConstructor;
    options: {
        type: import("vue").PropType<import("./type").CheckTagGroupOption[]>;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: () => import("./type").CheckTagGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    multiple: BooleanConstructor;
    options: {
        type: import("vue").PropType<import("./type").CheckTagGroupOption[]>;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: () => import("./type").CheckTagGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: import("./type").CheckTagGroupValue;
    multiple: boolean;
    defaultValue: import("./type").CheckTagGroupValue;
} & {
    options?: import("./type").CheckTagGroupOption[];
    onChange?: (value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckTagGroupValue>;
    checkTagGroupClasses: import("@vue/composition-api").ComputedRef<string[]>;
    onCheckTagChange: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    getTagContent: (option: import("./type").CheckTagGroupOption) => number | import("vue/types/vnode").ScopedSlotReturnValue;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: import("./type").CheckTagGroupValue;
    multiple: boolean;
    defaultValue: import("./type").CheckTagGroupValue;
} & {
    options?: import("./type").CheckTagGroupOption[];
    onChange?: (value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, {
    value: import("./type").CheckTagGroupValue;
    multiple: boolean;
    defaultValue: import("./type").CheckTagGroupValue;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckTagGroupValue>;
    checkTagGroupClasses: import("@vue/composition-api").ComputedRef<string[]>;
    onCheckTagChange: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    getTagContent: (option: import("./type").CheckTagGroupOption) => number | import("vue/types/vnode").ScopedSlotReturnValue;
}> & import("@vue/composition-api").Data, {}, {}, {
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    multiple: BooleanConstructor;
    options: {
        type: import("vue").PropType<import("./type").CheckTagGroupOption[]>;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: () => import("./type").CheckTagGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    checkedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    multiple: BooleanConstructor;
    options: {
        type: import("vue").PropType<import("./type").CheckTagGroupOption[]>;
    };
    uncheckedProps: {
        type: import("vue").PropType<TdTagProps>;
    };
    value: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").CheckTagGroupValue>;
        default: () => import("./type").CheckTagGroupValue;
    };
    onChange: import("vue").PropType<(value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: import("./type").CheckTagGroupValue;
    multiple: boolean;
    defaultValue: import("./type").CheckTagGroupValue;
} & {
    options?: import("./type").CheckTagGroupOption[];
    onChange?: (value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    innerValue: import("@vue/composition-api").Ref<import("./type").CheckTagGroupValue>;
    checkTagGroupClasses: import("@vue/composition-api").ComputedRef<string[]>;
    onCheckTagChange: (checked: boolean, context: import("./type").CheckTagChangeContext) => void;
    getTagContent: (option: import("./type").CheckTagGroupOption) => number | import("vue/types/vnode").ScopedSlotReturnValue;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: import("./type").CheckTagGroupValue;
    multiple: boolean;
    defaultValue: import("./type").CheckTagGroupValue;
} & {
    options?: import("./type").CheckTagGroupOption[];
    onChange?: (value: import("./type").CheckTagGroupValue, context: import("./type").CheckTagGroupChangeContext) => void;
    checkedProps?: unknown;
    uncheckedProps?: unknown;
}, {
    value: import("./type").CheckTagGroupValue;
    multiple: boolean;
    defaultValue: import("./type").CheckTagGroupValue;
}, true>)>;
export default Tag;
