import Vue from 'vue';
import { ScopedSlotReturnValue } from 'vue/types/vnode';
import { TagConfig } from '../config-provider/config-receiver';
import { ClassName, Styles } from '../common';
declare const _default: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: TagConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & {
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
}, unknown, {
    handleClose(e: MouseEvent): void;
    handleClick(e: MouseEvent): void;
    getCloseIcon(): ScopedSlotReturnValue;
    getTagColorStyle(): Styles;
    renderTitle(tagContent: string): string;
}, {
    tagClass: ClassName;
    textStyle: Styles;
    tagStyle: Styles;
}, {
    closable: boolean;
    color: string;
    content: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    disabled: boolean;
    icon: any;
    maxWidth: string | number;
    shape: "square" | "round" | "mark";
    size: import("../common").SizeEnum;
    theme: "default" | "success" | "primary" | "warning" | "danger";
    title: string;
    variant: "outline" | "dark" | "light" | "light-outline";
    onClick: (context: {
        e: MouseEvent;
    }) => void;
    onClose: (context: {
        e: MouseEvent;
    }) => void;
}>;
export default _default;
