import './style';
export declare const Tree: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TreeConfig | ({
        readonly folderIcon: any;
    } & {
        readonly empty: "暂无数据";
    })) & import("..").TreeConfig>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    state: import("./tree-types").TypeTreeState;
    store: import("../_common/js/tree/tree-store").TreeStore;
    treeClasses: import("@vue/composition-api").ComputedRef<string[]>;
    treeContentRef: import("./adapt").TypeRef<HTMLDivElement>;
    rebuild: (list: import("./adapt").TypeTreeOptionData[]) => void;
    updateStoreConfig: () => void;
    setActived: (item: import("./tree-types").TypeTargetNode, isActived: boolean) => import("../cascader/interface").TreeNodeValue[];
    setExpanded: (item: import("./tree-types").TypeTargetNode, isExpanded: boolean) => import("./type").TreeNodeValue[];
    setChecked: (item: import("./tree-types").TypeTargetNode, isChecked: boolean, ctx: {
        e: Event;
    }) => import("./type").TreeNodeValue[];
    renderTreeNodes: (h: import("vue").CreateElement) => import("vue").VNode[];
    nodesEmpty: import("@vue/composition-api").Ref<boolean>;
    isScrolling: import("./adapt").TypeRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    treeContentStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    scrollStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    cursorStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    virtualConfig: {
        visibleData: import("@vue/composition-api").Ref<any[]>;
        translateY: import("@vue/composition-api").Ref<number>;
        scrollHeight: import("@vue/composition-api").Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../hooks").ScrollToElementParams) => void;
    };
    scrollTo: (params: import("..").ComponentScrollToElementParams) => void;
    scrollToElement: (params: import("..").ComponentScrollToElementParams) => void;
}> & import("@vue/composition-api").Data, {
    refresh(): void;
    setItem(value: import("./type").TreeNodeValue, options: import("./type").TreeNodeState): void;
    getItem(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getItems(value?: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    appendTo(para?: import("./type").TreeNodeValue, item?: import("./adapt").TypeTreeOptionData | import("./adapt").TypeTreeOptionData[]): void;
    insertBefore(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    insertAfter(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    remove(value?: import("./type").TreeNodeValue): void;
    getIndex(value: import("./type").TreeNodeValue): number;
    getParent(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getParents(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getPath(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getTreeData(value?: import("./type").TreeNodeValue): import("./adapt").TypeTreeOptionData[];
}, {}, {
    activable: BooleanConstructor;
    activeMultiple: BooleanConstructor;
    actived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultActived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
    };
    allowDrop: {
        type: import("vue").PropType<(context: {
            e: DragEvent;
            dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropPosition: number;
        }) => boolean>;
    };
    allowFoldNodeOnFilter: BooleanConstructor;
    checkProps: {
        type: import("vue").PropType<import("..").TdCheckboxProps>;
    };
    checkStrictly: BooleanConstructor;
    checkable: BooleanConstructor;
    data: {
        type: import("vue").PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => import("..").TreeOptionData<string | number>[];
    };
    disableCheck: {
        type: import("vue").PropType<boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean)>;
        default: boolean;
    };
    disabled: BooleanConstructor;
    draggable: BooleanConstructor;
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    expandAll: BooleanConstructor;
    expandLevel: {
        type: NumberConstructor;
        default: number;
    };
    expandMutex: BooleanConstructor;
    expandOnClickNode: BooleanConstructor;
    expandParent: BooleanConstructor;
    expanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultExpanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    filter: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean>;
    };
    height: {
        type: import("vue").PropType<string | number>;
    };
    hover: BooleanConstructor;
    icon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("..").TreeKeysType>;
    };
    label: {
        type: import("vue").PropType<string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    line: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    load: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>>;
    };
    maxHeight: {
        type: import("vue").PropType<string | number>;
    };
    operations: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    transition: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    valueMode: {
        type: import("vue").PropType<"all" | "onlyLeaf" | "parentFirst">;
        default: "all" | "onlyLeaf" | "parentFirst";
        validator(val: "all" | "onlyLeaf" | "parentFirst"): boolean;
    };
    onActive: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void>;
    onChange: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void>;
    onClick: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void>;
    onDragEnd: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragLeave: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragOver: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragStart: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDrop: import("vue").PropType<(context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void>;
    onExpand: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void>;
    onLoad: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onScroll: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    activable: BooleanConstructor;
    activeMultiple: BooleanConstructor;
    actived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultActived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
    };
    allowDrop: {
        type: import("vue").PropType<(context: {
            e: DragEvent;
            dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropPosition: number;
        }) => boolean>;
    };
    allowFoldNodeOnFilter: BooleanConstructor;
    checkProps: {
        type: import("vue").PropType<import("..").TdCheckboxProps>;
    };
    checkStrictly: BooleanConstructor;
    checkable: BooleanConstructor;
    data: {
        type: import("vue").PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => import("..").TreeOptionData<string | number>[];
    };
    disableCheck: {
        type: import("vue").PropType<boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean)>;
        default: boolean;
    };
    disabled: BooleanConstructor;
    draggable: BooleanConstructor;
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    expandAll: BooleanConstructor;
    expandLevel: {
        type: NumberConstructor;
        default: number;
    };
    expandMutex: BooleanConstructor;
    expandOnClickNode: BooleanConstructor;
    expandParent: BooleanConstructor;
    expanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultExpanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    filter: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean>;
    };
    height: {
        type: import("vue").PropType<string | number>;
    };
    hover: BooleanConstructor;
    icon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("..").TreeKeysType>;
    };
    label: {
        type: import("vue").PropType<string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    line: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    load: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>>;
    };
    maxHeight: {
        type: import("vue").PropType<string | number>;
    };
    operations: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    transition: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    valueMode: {
        type: import("vue").PropType<"all" | "onlyLeaf" | "parentFirst">;
        default: "all" | "onlyLeaf" | "parentFirst";
        validator(val: "all" | "onlyLeaf" | "parentFirst"): boolean;
    };
    onActive: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void>;
    onChange: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void>;
    onClick: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void>;
    onDragEnd: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragLeave: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragOver: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragStart: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDrop: import("vue").PropType<(context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void>;
    onExpand: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void>;
    onLoad: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onScroll: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    data: import("..").TreeOptionData<string | number>[];
    transition: boolean;
    value: import("./type").TreeNodeValue[];
    label: string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    line: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    draggable: boolean;
    lazy: boolean;
    disabled: boolean;
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expanded: import("./type").TreeNodeValue[];
    icon: boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultValue: import("./type").TreeNodeValue[];
    hover: boolean;
    defaultExpanded: import("./type").TreeNodeValue[];
    expandMutex: boolean;
    expandAll: boolean;
    expandLevel: number;
    expandParent: boolean;
    activable: boolean;
    activeMultiple: boolean;
    checkable: boolean;
    checkStrictly: boolean;
    disableCheck: boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean);
    valueMode: "all" | "onlyLeaf" | "parentFirst";
    allowFoldNodeOnFilter: boolean;
    actived: import("./type").TreeNodeValue[];
    expandOnClickNode: boolean;
} & {
    filter?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean;
    keys?: unknown;
    height?: string | number;
    maxHeight?: string | number;
    load?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>;
    scroll?: import("..").TScroll;
    onClick?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void;
    onChange?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void;
    onScroll?: (params: {
        e: WheelEvent;
    }) => void;
    onLoad?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    operations?: (h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue;
    onExpand?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void;
    defaultActived?: import("./type").TreeNodeValue[];
    allowDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => boolean;
    checkProps?: unknown;
    onActive?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void;
    onDragEnd?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragLeave?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragOver?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragStart?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TreeConfig | ({
        readonly folderIcon: any;
    } & {
        readonly empty: "暂无数据";
    })) & import("..").TreeConfig>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    state: import("./tree-types").TypeTreeState;
    store: import("../_common/js/tree/tree-store").TreeStore;
    treeClasses: import("@vue/composition-api").ComputedRef<string[]>;
    treeContentRef: import("./adapt").TypeRef<HTMLDivElement>;
    rebuild: (list: import("./adapt").TypeTreeOptionData[]) => void;
    updateStoreConfig: () => void;
    setActived: (item: import("./tree-types").TypeTargetNode, isActived: boolean) => import("../cascader/interface").TreeNodeValue[];
    setExpanded: (item: import("./tree-types").TypeTargetNode, isExpanded: boolean) => import("./type").TreeNodeValue[];
    setChecked: (item: import("./tree-types").TypeTargetNode, isChecked: boolean, ctx: {
        e: Event;
    }) => import("./type").TreeNodeValue[];
    renderTreeNodes: (h: import("vue").CreateElement) => import("vue").VNode[];
    nodesEmpty: import("@vue/composition-api").Ref<boolean>;
    isScrolling: import("./adapt").TypeRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    treeContentStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    scrollStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    cursorStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    virtualConfig: {
        visibleData: import("@vue/composition-api").Ref<any[]>;
        translateY: import("@vue/composition-api").Ref<number>;
        scrollHeight: import("@vue/composition-api").Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../hooks").ScrollToElementParams) => void;
    };
    scrollTo: (params: import("..").ComponentScrollToElementParams) => void;
    scrollToElement: (params: import("..").ComponentScrollToElementParams) => void;
}>, import("@vue/composition-api").Data, {}, {
    refresh(): void;
    setItem(value: import("./type").TreeNodeValue, options: import("./type").TreeNodeState): void;
    getItem(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getItems(value?: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    appendTo(para?: import("./type").TreeNodeValue, item?: import("./adapt").TypeTreeOptionData | import("./adapt").TypeTreeOptionData[]): void;
    insertBefore(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    insertAfter(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    remove(value?: import("./type").TreeNodeValue): void;
    getIndex(value: import("./type").TreeNodeValue): number;
    getParent(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getParents(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getPath(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getTreeData(value?: import("./type").TreeNodeValue): import("./adapt").TypeTreeOptionData[];
}, {}, {}, {}, {
    data: import("..").TreeOptionData<string | number>[];
    transition: boolean;
    value: import("./type").TreeNodeValue[];
    label: string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    line: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    draggable: boolean;
    lazy: boolean;
    disabled: boolean;
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expanded: import("./type").TreeNodeValue[];
    icon: boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultValue: import("./type").TreeNodeValue[];
    hover: boolean;
    defaultExpanded: import("./type").TreeNodeValue[];
    expandMutex: boolean;
    expandAll: boolean;
    expandLevel: number;
    expandParent: boolean;
    activable: boolean;
    activeMultiple: boolean;
    checkable: boolean;
    checkStrictly: boolean;
    disableCheck: boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean);
    valueMode: "all" | "onlyLeaf" | "parentFirst";
    allowFoldNodeOnFilter: boolean;
    actived: import("./type").TreeNodeValue[];
    expandOnClickNode: boolean;
} & {
    filter?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean;
    keys?: unknown;
    height?: string | number;
    maxHeight?: string | number;
    load?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>;
    scroll?: import("..").TScroll;
    onClick?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void;
    onChange?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void;
    onScroll?: (params: {
        e: WheelEvent;
    }) => void;
    onLoad?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    operations?: (h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue;
    onExpand?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void;
    defaultActived?: import("./type").TreeNodeValue[];
    allowDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => boolean;
    checkProps?: unknown;
    onActive?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void;
    onDragEnd?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragLeave?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragOver?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragStart?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void;
}, {
    data: import("..").TreeOptionData<string | number>[];
    transition: boolean;
    value: import("./type").TreeNodeValue[];
    label: string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    line: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    draggable: boolean;
    lazy: boolean;
    disabled: boolean;
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expanded: import("./type").TreeNodeValue[];
    icon: boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultValue: import("./type").TreeNodeValue[];
    hover: boolean;
    defaultExpanded: import("./type").TreeNodeValue[];
    expandMutex: boolean;
    expandAll: boolean;
    expandLevel: number;
    expandParent: boolean;
    activable: boolean;
    activeMultiple: boolean;
    checkable: boolean;
    checkStrictly: boolean;
    disableCheck: boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean);
    valueMode: "all" | "onlyLeaf" | "parentFirst";
    allowFoldNodeOnFilter: boolean;
    actived: import("./type").TreeNodeValue[];
    expandOnClickNode: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TreeConfig | ({
        readonly folderIcon: any;
    } & {
        readonly empty: "暂无数据";
    })) & import("..").TreeConfig>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    state: import("./tree-types").TypeTreeState;
    store: import("../_common/js/tree/tree-store").TreeStore;
    treeClasses: import("@vue/composition-api").ComputedRef<string[]>;
    treeContentRef: import("./adapt").TypeRef<HTMLDivElement>;
    rebuild: (list: import("./adapt").TypeTreeOptionData[]) => void;
    updateStoreConfig: () => void;
    setActived: (item: import("./tree-types").TypeTargetNode, isActived: boolean) => import("../cascader/interface").TreeNodeValue[];
    setExpanded: (item: import("./tree-types").TypeTargetNode, isExpanded: boolean) => import("./type").TreeNodeValue[];
    setChecked: (item: import("./tree-types").TypeTargetNode, isChecked: boolean, ctx: {
        e: Event;
    }) => import("./type").TreeNodeValue[];
    renderTreeNodes: (h: import("vue").CreateElement) => import("vue").VNode[];
    nodesEmpty: import("@vue/composition-api").Ref<boolean>;
    isScrolling: import("./adapt").TypeRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    treeContentStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    scrollStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    cursorStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    virtualConfig: {
        visibleData: import("@vue/composition-api").Ref<any[]>;
        translateY: import("@vue/composition-api").Ref<number>;
        scrollHeight: import("@vue/composition-api").Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../hooks").ScrollToElementParams) => void;
    };
    scrollTo: (params: import("..").ComponentScrollToElementParams) => void;
    scrollToElement: (params: import("..").ComponentScrollToElementParams) => void;
}> & import("@vue/composition-api").Data, {
    refresh(): void;
    setItem(value: import("./type").TreeNodeValue, options: import("./type").TreeNodeState): void;
    getItem(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getItems(value?: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    appendTo(para?: import("./type").TreeNodeValue, item?: import("./adapt").TypeTreeOptionData | import("./adapt").TypeTreeOptionData[]): void;
    insertBefore(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    insertAfter(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    remove(value?: import("./type").TreeNodeValue): void;
    getIndex(value: import("./type").TreeNodeValue): number;
    getParent(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getParents(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getPath(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getTreeData(value?: import("./type").TreeNodeValue): import("./adapt").TypeTreeOptionData[];
}, {}, {
    activable: BooleanConstructor;
    activeMultiple: BooleanConstructor;
    actived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultActived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
    };
    allowDrop: {
        type: import("vue").PropType<(context: {
            e: DragEvent;
            dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropPosition: number;
        }) => boolean>;
    };
    allowFoldNodeOnFilter: BooleanConstructor;
    checkProps: {
        type: import("vue").PropType<import("..").TdCheckboxProps>;
    };
    checkStrictly: BooleanConstructor;
    checkable: BooleanConstructor;
    data: {
        type: import("vue").PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => import("..").TreeOptionData<string | number>[];
    };
    disableCheck: {
        type: import("vue").PropType<boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean)>;
        default: boolean;
    };
    disabled: BooleanConstructor;
    draggable: BooleanConstructor;
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    expandAll: BooleanConstructor;
    expandLevel: {
        type: NumberConstructor;
        default: number;
    };
    expandMutex: BooleanConstructor;
    expandOnClickNode: BooleanConstructor;
    expandParent: BooleanConstructor;
    expanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultExpanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    filter: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean>;
    };
    height: {
        type: import("vue").PropType<string | number>;
    };
    hover: BooleanConstructor;
    icon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("..").TreeKeysType>;
    };
    label: {
        type: import("vue").PropType<string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    line: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    load: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>>;
    };
    maxHeight: {
        type: import("vue").PropType<string | number>;
    };
    operations: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    transition: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    valueMode: {
        type: import("vue").PropType<"all" | "onlyLeaf" | "parentFirst">;
        default: "all" | "onlyLeaf" | "parentFirst";
        validator(val: "all" | "onlyLeaf" | "parentFirst"): boolean;
    };
    onActive: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void>;
    onChange: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void>;
    onClick: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void>;
    onDragEnd: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragLeave: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragOver: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragStart: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDrop: import("vue").PropType<(context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void>;
    onExpand: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void>;
    onLoad: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onScroll: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    activable: BooleanConstructor;
    activeMultiple: BooleanConstructor;
    actived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultActived: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
    };
    allowDrop: {
        type: import("vue").PropType<(context: {
            e: DragEvent;
            dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
            dropPosition: number;
        }) => boolean>;
    };
    allowFoldNodeOnFilter: BooleanConstructor;
    checkProps: {
        type: import("vue").PropType<import("..").TdCheckboxProps>;
    };
    checkStrictly: BooleanConstructor;
    checkable: BooleanConstructor;
    data: {
        type: import("vue").PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => import("..").TreeOptionData<string | number>[];
    };
    disableCheck: {
        type: import("vue").PropType<boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean)>;
        default: boolean;
    };
    disabled: BooleanConstructor;
    draggable: BooleanConstructor;
    empty: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: string;
    };
    expandAll: BooleanConstructor;
    expandLevel: {
        type: NumberConstructor;
        default: number;
    };
    expandMutex: BooleanConstructor;
    expandOnClickNode: BooleanConstructor;
    expandParent: BooleanConstructor;
    expanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultExpanded: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    filter: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean>;
    };
    height: {
        type: import("vue").PropType<string | number>;
    };
    hover: BooleanConstructor;
    icon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    keys: {
        type: import("vue").PropType<import("..").TreeKeysType>;
    };
    label: {
        type: import("vue").PropType<string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    line: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    load: {
        type: import("vue").PropType<(node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>>;
    };
    maxHeight: {
        type: import("vue").PropType<string | number>;
    };
    operations: {
        type: import("vue").PropType<(h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    scroll: {
        type: import("vue").PropType<import("..").TScroll>;
    };
    transition: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").TreeNodeValue[]>;
        default: () => import("./type").TreeNodeValue[];
    };
    valueMode: {
        type: import("vue").PropType<"all" | "onlyLeaf" | "parentFirst">;
        default: "all" | "onlyLeaf" | "parentFirst";
        validator(val: "all" | "onlyLeaf" | "parentFirst"): boolean;
    };
    onActive: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void>;
    onChange: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void>;
    onClick: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void>;
    onDragEnd: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragLeave: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragOver: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDragStart: import("vue").PropType<(context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onDrop: import("vue").PropType<(context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void>;
    onExpand: import("vue").PropType<(value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void>;
    onLoad: import("vue").PropType<(context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void>;
    onScroll: import("vue").PropType<(params: {
        e: WheelEvent;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    data: import("..").TreeOptionData<string | number>[];
    transition: boolean;
    value: import("./type").TreeNodeValue[];
    label: string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    line: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    draggable: boolean;
    lazy: boolean;
    disabled: boolean;
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expanded: import("./type").TreeNodeValue[];
    icon: boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultValue: import("./type").TreeNodeValue[];
    hover: boolean;
    defaultExpanded: import("./type").TreeNodeValue[];
    expandMutex: boolean;
    expandAll: boolean;
    expandLevel: number;
    expandParent: boolean;
    activable: boolean;
    activeMultiple: boolean;
    checkable: boolean;
    checkStrictly: boolean;
    disableCheck: boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean);
    valueMode: "all" | "onlyLeaf" | "parentFirst";
    allowFoldNodeOnFilter: boolean;
    actived: import("./type").TreeNodeValue[];
    expandOnClickNode: boolean;
} & {
    filter?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean;
    keys?: unknown;
    height?: string | number;
    maxHeight?: string | number;
    load?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>;
    scroll?: import("..").TScroll;
    onClick?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void;
    onChange?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void;
    onScroll?: (params: {
        e: WheelEvent;
    }) => void;
    onLoad?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    operations?: (h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue;
    onExpand?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void;
    defaultActived?: import("./type").TreeNodeValue[];
    allowDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => boolean;
    checkProps?: unknown;
    onActive?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void;
    onDragEnd?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragLeave?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragOver?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragStart?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").ComputedRef<{} & (import("..").TreeConfig | ({
        readonly folderIcon: any;
    } & {
        readonly empty: "暂无数据";
    })) & import("..").TreeConfig>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    state: import("./tree-types").TypeTreeState;
    store: import("../_common/js/tree/tree-store").TreeStore;
    treeClasses: import("@vue/composition-api").ComputedRef<string[]>;
    treeContentRef: import("./adapt").TypeRef<HTMLDivElement>;
    rebuild: (list: import("./adapt").TypeTreeOptionData[]) => void;
    updateStoreConfig: () => void;
    setActived: (item: import("./tree-types").TypeTargetNode, isActived: boolean) => import("../cascader/interface").TreeNodeValue[];
    setExpanded: (item: import("./tree-types").TypeTargetNode, isExpanded: boolean) => import("./type").TreeNodeValue[];
    setChecked: (item: import("./tree-types").TypeTargetNode, isChecked: boolean, ctx: {
        e: Event;
    }) => import("./type").TreeNodeValue[];
    renderTreeNodes: (h: import("vue").CreateElement) => import("vue").VNode[];
    nodesEmpty: import("@vue/composition-api").Ref<boolean>;
    isScrolling: import("./adapt").TypeRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    treeContentStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    scrollStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    cursorStyles: import("@vue/composition-api").ComputedRef<import("..").Styles>;
    virtualConfig: {
        visibleData: import("@vue/composition-api").Ref<any[]>;
        translateY: import("@vue/composition-api").Ref<number>;
        scrollHeight: import("@vue/composition-api").Ref<number>;
        isVirtualScroll: import("@vue/composition-api").ComputedRef<boolean>;
        handleScroll: () => void;
        handleRowMounted: (rowData: any) => void;
        scrollToElement: (p: import("../hooks").ScrollToElementParams) => void;
    };
    scrollTo: (params: import("..").ComponentScrollToElementParams) => void;
    scrollToElement: (params: import("..").ComponentScrollToElementParams) => void;
}>, import("@vue/composition-api").Data, {}, {
    refresh(): void;
    setItem(value: import("./type").TreeNodeValue, options: import("./type").TreeNodeState): void;
    getItem(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getItems(value?: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    appendTo(para?: import("./type").TreeNodeValue, item?: import("./adapt").TypeTreeOptionData | import("./adapt").TypeTreeOptionData[]): void;
    insertBefore(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    insertAfter(value: import("./type").TreeNodeValue, item: import("./adapt").TypeTreeOptionData): void;
    remove(value?: import("./type").TreeNodeValue): void;
    getIndex(value: import("./type").TreeNodeValue): number;
    getParent(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel;
    getParents(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getPath(value: import("./type").TreeNodeValue): import("./tree-types").TypeTreeNodeModel[];
    getTreeData(value?: import("./type").TreeNodeValue): import("./adapt").TypeTreeOptionData[];
}, {}, {}, {}, {
    data: import("..").TreeOptionData<string | number>[];
    transition: boolean;
    value: import("./type").TreeNodeValue[];
    label: string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    line: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    draggable: boolean;
    lazy: boolean;
    disabled: boolean;
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expanded: import("./type").TreeNodeValue[];
    icon: boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultValue: import("./type").TreeNodeValue[];
    hover: boolean;
    defaultExpanded: import("./type").TreeNodeValue[];
    expandMutex: boolean;
    expandAll: boolean;
    expandLevel: number;
    expandParent: boolean;
    activable: boolean;
    activeMultiple: boolean;
    checkable: boolean;
    checkStrictly: boolean;
    disableCheck: boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean);
    valueMode: "all" | "onlyLeaf" | "parentFirst";
    allowFoldNodeOnFilter: boolean;
    actived: import("./type").TreeNodeValue[];
    expandOnClickNode: boolean;
} & {
    filter?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean;
    keys?: unknown;
    height?: string | number;
    maxHeight?: string | number;
    load?: (node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => Promise<import("..").TreeOptionData<string | number>[]>;
    scroll?: import("..").TScroll;
    onClick?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e: MouseEvent;
    }) => void;
    onChange?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: any;
        trigger: "setItem" | "node-click";
    }) => void;
    onScroll?: (params: {
        e: WheelEvent;
    }) => void;
    onLoad?: (context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    operations?: (h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue;
    onExpand?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click" | "icon-click";
    }) => void;
    defaultActived?: import("./type").TreeNodeValue[];
    allowDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => boolean;
    checkProps?: unknown;
    onActive?: (value: import("./type").TreeNodeValue[], context: {
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        e?: MouseEvent;
        trigger: "setItem" | "node-click";
    }) => void;
    onDragEnd?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragLeave?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragOver?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDragStart?: (context: {
        e: DragEvent;
        node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
    }) => void;
    onDrop?: (context: {
        e: DragEvent;
        dragNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropNode: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>;
        dropPosition: number;
    }) => void;
}, {
    data: import("..").TreeOptionData<string | number>[];
    transition: boolean;
    value: import("./type").TreeNodeValue[];
    label: string | boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    line: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    draggable: boolean;
    lazy: boolean;
    disabled: boolean;
    empty: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    expanded: import("./type").TreeNodeValue[];
    icon: boolean | ((h: import("vue").CreateElement, props: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => import("vue/types/vnode").ScopedSlotReturnValue);
    defaultValue: import("./type").TreeNodeValue[];
    hover: boolean;
    defaultExpanded: import("./type").TreeNodeValue[];
    expandMutex: boolean;
    expandAll: boolean;
    expandLevel: number;
    expandParent: boolean;
    activable: boolean;
    activeMultiple: boolean;
    checkable: boolean;
    checkStrictly: boolean;
    disableCheck: boolean | ((node: import("./type").TreeNodeModel<import("..").TreeOptionData<string | number>>) => boolean);
    valueMode: "all" | "onlyLeaf" | "parentFirst";
    allowFoldNodeOnFilter: boolean;
    actived: import("./type").TreeNodeValue[];
    expandOnClickNode: boolean;
}, true>)>;
export * from './tree-types';
export default Tree;
