import Vue from 'vue';
import { ScopedSlotReturnValue } from 'vue/types/vnode';
export interface Anchor extends Vue {
    tAnchor: {
        active: string;
        registerLink(href: string): void;
        unregisterLink(href: string): void;
        handleLinkClick(link: {
            href: string;
            title: string;
            e: MouseEvent;
        }): void;
    };
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & Anchor, unknown, {
    register(): void;
    unregister(): void;
    handleClick(e: MouseEvent): void;
    renderTitle(): ScopedSlotReturnValue;
}, unknown, {
    _level: number;
    href: string;
    target: "_self" | "_blank" | "_parent" | "_top";
    title: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
}>;
export default _default;
