/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Anchor from './anchor.js';
import _AnchorItem from './anchor-item.js';
import _AnchorTarget from './anchor-target.js';
import { withInstall } from '../utils/withInstall.js';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/regenerator';
import 'vue';
import 'lodash-es';
import './utils.js';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import './props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@babel/runtime/helpers/typeof';
import '@vue/composition-api';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/mixins.js';
import '../affix/index.js';
import '../affix/affix.js';
import '../affix/props.js';
import './anchor-item-props.js';
import 'tdesign-icons-vue';
import '../utils/clipboard.js';
import 'clipboard';
import '../message/plugin.js';
import '../message/messageList.js';
import '../message/const.js';
import '../message/message.js';
import '../loading/index.js';
import '../loading/directive.js';
import '../loading/plugin.js';
import '../loading/loading.js';
import '../loading/icon/gradient.js';
import '../_common/js/loading/circle-adapter.js';
import '../_common/js/utils/setStyle.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../utils/transfer-dom.js';
import '../loading/props.js';
import '../config.js';
import '../message/props.js';
import '../message/animation.js';
import './anchor-target-props.js';
import '../popup/index.js';
import '../popup/popup.js';
import '@popperjs/core';
import '../utils/helper.js';
import '../popup/props.js';
import '../popup/container.js';
import '../utils/event.js';
import '../popup/utils.js';
import '../utils/map-props.js';
import '../popup/plugin.js';
import '../_common/js/log/log.js';

var Anchor = withInstall(_Anchor);
var AnchorItem = withInstall(_AnchorItem);
var AnchorTarget = withInstall(_AnchorTarget);

export { Anchor, AnchorItem, AnchorTarget, Anchor as default };
//# sourceMappingURL=index.js.map
