/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import { computed } from '@vue/composition-api';
import { usePrefixClass } from '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import 'lodash-es';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';

var BASE_COMPONENT_NAME = "color-picker";
var useBaseClassName = function useBaseClassName(className) {
  var baseClassName = usePrefixClass(BASE_COMPONENT_NAME);
  return computed(function () {
    return className ? "".concat(baseClassName.value, "-").concat(className) : baseClassName.value;
  });
};

export { useBaseClassName as default, useBaseClassName };
//# sourceMappingURL=hooks.js.map
