import { TdDescriptionsProps, TdDescriptionItemProps } from './type';
import './style';
export * from './type';
export declare type DescriptionsProps = TdDescriptionsProps;
export declare type DescriptionsItemProps = TdDescriptionItemProps;
export declare const Descriptions: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    renderTitle: any;
    getRows: () => import("./interface").TdDescriptionItem[][];
    itemsType: import("@vue/composition-api").Ref<import("./interface").ItemsType>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    bordered: BooleanConstructor;
    colon: BooleanConstructor;
    column: {
        type: NumberConstructor;
        default: number;
    };
    contentStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    itemLayout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    items: {
        type: import("vue").PropType<TdDescriptionItemProps[]>;
    };
    labelStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    bordered: BooleanConstructor;
    colon: BooleanConstructor;
    column: {
        type: NumberConstructor;
        default: number;
    };
    contentStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    itemLayout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    items: {
        type: import("vue").PropType<TdDescriptionItemProps[]>;
    };
    labelStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    contentStyle?: import("..").Styles;
    items?: TdDescriptionItemProps[];
    labelStyle?: import("..").Styles;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    renderTitle: any;
    getRows: () => import("./interface").TdDescriptionItem[][];
    itemsType: import("@vue/composition-api").Ref<import("./interface").ItemsType>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    contentStyle?: import("..").Styles;
    items?: TdDescriptionItemProps[];
    labelStyle?: import("..").Styles;
}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    renderTitle: any;
    getRows: () => import("./interface").TdDescriptionItem[][];
    itemsType: import("@vue/composition-api").Ref<import("./interface").ItemsType>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    bordered: BooleanConstructor;
    colon: BooleanConstructor;
    column: {
        type: NumberConstructor;
        default: number;
    };
    contentStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    itemLayout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    items: {
        type: import("vue").PropType<TdDescriptionItemProps[]>;
    };
    labelStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    bordered: BooleanConstructor;
    colon: BooleanConstructor;
    column: {
        type: NumberConstructor;
        default: number;
    };
    contentStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    itemLayout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    items: {
        type: import("vue").PropType<TdDescriptionItemProps[]>;
    };
    labelStyle: {
        type: import("vue").PropType<import("..").Styles>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    title: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    contentStyle?: import("..").Styles;
    items?: TdDescriptionItemProps[];
    labelStyle?: import("..").Styles;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    renderTitle: any;
    getRows: () => import("./interface").TdDescriptionItem[][];
    itemsType: import("@vue/composition-api").Ref<import("./interface").ItemsType>;
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
} & {
    title?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    contentStyle?: import("..").Styles;
    items?: TdDescriptionItemProps[];
    labelStyle?: import("..").Styles;
}, {
    size: import("..").SizeEnum;
    layout: "vertical" | "horizontal";
    colon: boolean;
    column: number;
    bordered: boolean;
    itemLayout: "vertical" | "horizontal";
}, true>)>;
export declare const DescriptionsItem: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<import("@vue/composition-api").Data> & import("@vue/composition-api").Data, {}, {}, {
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    span: {
        type: NumberConstructor;
        default: number;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    span: {
        type: NumberConstructor;
        default: number;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    span: number;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<import("@vue/composition-api").Data>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    span: number;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    span: number;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<import("@vue/composition-api").Data> & import("@vue/composition-api").Data, {}, {}, {
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    span: {
        type: NumberConstructor;
        default: number;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    label: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    span: {
        type: NumberConstructor;
        default: number;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    span: number;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<import("@vue/composition-api").Data>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    span: number;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    label?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    span: number;
}, true>)>;
export default Descriptions;
