import { TdDialogProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    attach: {
        type: PropType<import("..").AttachNode>;
    };
    body: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    cancelBtn: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdButtonProps>;
    };
    closeBtn: {
        type: PropType<string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    closeOnEscKeydown: {
        type: BooleanConstructor;
        default: any;
    };
    closeOnOverlayClick: {
        type: BooleanConstructor;
        default: any;
    };
    confirmBtn: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("..").TdButtonProps>;
    };
    confirmLoading: {
        type: BooleanConstructor;
        default: any;
    };
    confirmOnEnter: BooleanConstructor;
    default: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnClose: BooleanConstructor;
    dialogClassName: {
        type: StringConstructor;
        default: string;
    };
    dialogStyle: {
        type: PropType<import("..").Styles>;
    };
    draggable: BooleanConstructor;
    footer: {
        type: PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    header: {
        type: PropType<string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: boolean;
    };
    mode: {
        type: PropType<"normal" | "modal" | "modeless" | "full-screen">;
        default: "normal" | "modal" | "modeless" | "full-screen";
        validator(val: TdDialogProps['mode']): boolean;
    };
    placement: {
        type: PropType<"center" | "top">;
        default: "center" | "top";
        validator(val: TdDialogProps['placement']): boolean;
    };
    preventScrollThrough: {
        type: BooleanConstructor;
        default: boolean;
    };
    showInAttachedElement: BooleanConstructor;
    showOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    theme: {
        type: PropType<"default" | "success" | "warning" | "danger" | "info">;
        default: "default" | "success" | "warning" | "danger" | "info";
        validator(val: TdDialogProps['theme']): boolean;
    };
    top: {
        type: PropType<string | number>;
    };
    visible: BooleanConstructor;
    width: {
        type: PropType<string | number>;
    };
    zIndex: {
        type: NumberConstructor;
    };
    onBeforeClose: PropType<() => void>;
    onBeforeOpen: PropType<() => void>;
    onCancel: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onClose: PropType<(context: import("./type").DialogCloseContext) => void>;
    onCloseBtnClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onClosed: PropType<() => void>;
    onConfirm: PropType<(context: {
        e: MouseEvent | KeyboardEvent;
    }) => void>;
    onEscKeydown: PropType<(context: {
        e: KeyboardEvent;
    }) => void>;
    onOpened: PropType<() => void>;
    onOverlayClick: PropType<(context: {
        e: MouseEvent;
    }) => void>;
};
export default _default;
