/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _DropdownItem from './dropdown-item.js';
import _Dropdown from './dropdown.js';
import _DropdownMenu from './dropdown-menu.js';
import { withInstall } from '../utils/withInstall.js';
import '@babel/runtime/helpers/defineProperty';
import '@vue/composition-api';
import './dropdown-item-props.js';
import '../hooks/tnode.js';
import 'lodash-es';
import '../hooks/render-tnode.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../utils/ripple.js';
import '../_common/js/utils/setStyle.js';
import '../config.js';
import '../config-provider/config-receiver.js';
import 'vue';
import '../popup/index.js';
import '../popup/popup.js';
import '@popperjs/core';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '../popup/props.js';
import '../popup/container.js';
import '../utils/mixins.js';
import '../utils/event.js';
import '../popup/utils.js';
import '../utils/map-props.js';
import '../popup/plugin.js';
import '../_common/js/log/log.js';
import './props.js';
import './hooks/useDropdownOptions.js';
import 'tdesign-icons-vue';
import '../divider/index.js';
import '../divider/divider.js';
import '../divider/props.js';
import '../hooks/useGlobalIcon.js';

var Dropdown = withInstall(_Dropdown);
var DropdownItem = withInstall(_DropdownItem);
var DropdownMenu = withInstall(_DropdownMenu);

export { Dropdown, DropdownItem, DropdownMenu, Dropdown as default };
//# sourceMappingURL=index.js.map
