import { TdGuideProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    counter: {
        type: PropType<(h: import("vue").CreateElement, props: {
            current: number;
            total: number;
        }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
    current: {
        type: NumberConstructor;
    };
    defaultCurrent: {
        type: NumberConstructor;
    };
    finishButtonProps: {
        type: PropType<import("..").TdButtonProps>;
    };
    hideCounter: BooleanConstructor;
    hidePrev: BooleanConstructor;
    hideSkip: BooleanConstructor;
    highlightPadding: {
        type: NumberConstructor;
        default: number;
    };
    mode: {
        type: PropType<"dialog" | "popup">;
        default: "dialog" | "popup";
        validator(val: TdGuideProps['mode']): boolean;
    };
    nextButtonProps: {
        type: PropType<import("..").TdButtonProps>;
    };
    prevButtonProps: {
        type: PropType<import("..").TdButtonProps>;
    };
    showOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    skipButtonProps: {
        type: PropType<import("..").TdButtonProps>;
    };
    steps: {
        type: PropType<import("./type").GuideStep[]>;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    onChange: PropType<(current: number, context?: {
        e: MouseEvent;
        total: number;
    }) => void>;
    onFinish: PropType<(context: {
        e: MouseEvent;
        current: number;
        total: number;
    }) => void>;
    onNextStepClick: PropType<(context: {
        e: MouseEvent;
        next: number;
        current: number;
        total: number;
    }) => void>;
    onPrevStepClick: PropType<(context: {
        e: MouseEvent;
        prev: number;
        current: number;
        total: number;
    }) => void>;
    onSkip: PropType<(context: {
        e: MouseEvent;
        current: number;
        total: number;
    }) => void>;
};
export default _default;
