/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Image from './image.js';
import mapProps from '../utils/map-props.js';
import { withInstall } from '../utils/withInstall.js';
import '../_chunks/dep-653f218a.js';
import '@babel/runtime/helpers/slicedToArray';
import '@vue/composition-api';
import 'lodash-es';
import 'tdesign-icons-vue';
import '../_common/js/utils/observe.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import './props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/readOnlyError';
import 'vue';
import '../space/index.js';
import '../space/space.js';
import '../space/props.js';
import '../hooks/useConfig.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../hooks/useImagePreviewUrl.js';
import '../_common/js/upload/utils.js';
import '../_common/js/log/log.js';

var Image = withInstall(mapProps(["value"])(_Image));

export { Image, Image as default };
//# sourceMappingURL=index.js.map
