import { TdImageProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    alt: {
        type: StringConstructor;
        default: string;
    };
    error: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    fallback: {
        type: StringConstructor;
        default: string;
    };
    fit: {
        type: PropType<"fill" | "none" | "contain" | "cover" | "scale-down">;
        default: "fill" | "none" | "contain" | "cover" | "scale-down";
        validator(val: TdImageProps['fit']): boolean;
    };
    gallery: BooleanConstructor;
    lazy: BooleanConstructor;
    loading: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    overlayContent: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    overlayTrigger: {
        type: PropType<"always" | "hover">;
        default: "always" | "hover";
        validator(val: TdImageProps['overlayTrigger']): boolean;
    };
    placeholder: {
        type: PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    position: {
        type: StringConstructor;
        default: string;
    };
    referrerpolicy: {
        type: PropType<"origin" | "same-origin" | "no-referrer" | "no-referrer-when-downgrade" | "origin-when-cross-origin" | "strict-origin" | "strict-origin-when-cross-origin" | "unsafe-url">;
        validator(val: TdImageProps['referrerpolicy']): boolean;
    };
    shape: {
        type: PropType<"square" | "round" | "circle">;
        default: "square" | "round" | "circle";
        validator(val: TdImageProps['shape']): boolean;
    };
    src: {
        type: PropType<string | File>;
    };
    srcset: {
        type: PropType<import("./type").ImageSrcset>;
    };
    onError: PropType<(context: {
        e: Event;
    }) => void>;
    onLoad: PropType<(context: {
        e: Event;
    }) => void>;
};
export default _default;
