/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import vLoading from './directive.js';
export { default as LoadingDirective } from './directive.js';
import _Loading from './loading.js';
import { withInstall } from '../utils/withInstall.js';
export { LoadingPlugin } from './plugin.js';
import 'lodash-es';
import '@babel/runtime/helpers/defineProperty';
import './icon/gradient.js';
import '../_common/js/loading/circle-adapter.js';
import '../_common/js/utils/setStyle.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../config-provider/config-receiver.js';
import 'vue';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/mixins.js';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../utils/transfer-dom.js';
import './props.js';
import '../config.js';

var Loading = withInstall(_Loading, null, {
  name: "loading",
  comp: vLoading
});

export { Loading, Loading as default };
//# sourceMappingURL=index.js.map
