/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Notification from './notification.js';
import { withInstall } from '../utils/withInstall.js';
export { NotificationPlugin, NotifyPlugin, notify } from './plugin.js';
import '@babel/runtime/helpers/defineProperty';
import 'lodash-es';
import 'tdesign-icons-vue';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@babel/runtime/helpers/typeof';
import 'vue';
import '@vue/composition-api';
import './props.js';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/mixins.js';
import './notificationList.js';
import './const.js';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';

var Notification = withInstall(_Notification);

export { Notification, Notification as default };
//# sourceMappingURL=index.js.map
