import { TdPaginationProps } from './type';
import './style';
export declare type PaginationProps = TdPaginationProps;
export * from './type';
export declare const Pagination: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").PaginationConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    prevMore: boolean;
    nextMore: boolean;
    jumpIndex: number;
}, {
    toPage(pageIndex: number, isTriggerChange?: boolean): void;
    prevPage(): void;
    nextPage(): void;
    prevMorePage(): void;
    nextMorePage(): void;
    getButtonClass(index: number): import("..").ClassName;
    onSelectorChange(e: string): void;
    onJumperChange(val: String): void;
}, {
    paginationClass: import("..").ClassName;
    totalClass: import("..").ClassName;
    sizerClass: import("..").ClassName;
    preBtnClass: import("..").ClassName;
    nextBtnClass: import("..").ClassName;
    btnWrapClass: import("..").ClassName;
    btnMoreClass: import("..").ClassName;
    jumperClass: import("..").ClassName;
    jumperInputClass: import("..").ClassName;
    pageCount: number;
    sizeOptions: {
        label: string;
        value: number;
    }[];
    curPageLeftCount: number;
    curPageRightCount: number;
    isPrevMoreShow: boolean;
    isNextMoreShow: boolean;
    pages: number[];
    isFolded: boolean;
    isMidEllipsis: boolean;
}, {
    current: number;
    pageSize: number;
    defaultCurrent: number;
    disabled: boolean;
    foldedMaxPageBtn: number;
    maxPageBtn: number;
    pageEllipsisMode: "mid" | "both-ends";
    defaultPageSize: number;
    pageSizeOptions: (number | {
        label: string;
        value: number;
    })[];
    selectProps: import("..").SelectProps;
    showFirstAndLastPageBtn: boolean;
    showJumper: boolean;
    showPageNumber: boolean;
    showPageSize: boolean;
    showPreviousAndNextBtn: boolean;
    size: "small" | "medium";
    theme: "default" | "simple";
    total: number;
    totalContent: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange: (pageInfo: import("./type").PageInfo) => void;
    onCurrentChange: (current: number, pageInfo: import("./type").PageInfo) => void;
    onPageSizeChange: (pageSize: number, pageInfo: import("./type").PageInfo) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").PaginationConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    prevMore: boolean;
    nextMore: boolean;
    jumpIndex: number;
}, {
    toPage(pageIndex: number, isTriggerChange?: boolean): void;
    prevPage(): void;
    nextPage(): void;
    prevMorePage(): void;
    nextMorePage(): void;
    getButtonClass(index: number): import("..").ClassName;
    onSelectorChange(e: string): void;
    onJumperChange(val: String): void;
}, {
    paginationClass: import("..").ClassName;
    totalClass: import("..").ClassName;
    sizerClass: import("..").ClassName;
    preBtnClass: import("..").ClassName;
    nextBtnClass: import("..").ClassName;
    btnWrapClass: import("..").ClassName;
    btnMoreClass: import("..").ClassName;
    jumperClass: import("..").ClassName;
    jumperInputClass: import("..").ClassName;
    pageCount: number;
    sizeOptions: {
        label: string;
        value: number;
    }[];
    curPageLeftCount: number;
    curPageRightCount: number;
    isPrevMoreShow: boolean;
    isNextMoreShow: boolean;
    pages: number[];
    isFolded: boolean;
    isMidEllipsis: boolean;
}, {
    current: number;
    pageSize: number;
    defaultCurrent: number;
    disabled: boolean;
    foldedMaxPageBtn: number;
    maxPageBtn: number;
    pageEllipsisMode: "mid" | "both-ends";
    defaultPageSize: number;
    pageSizeOptions: (number | {
        label: string;
        value: number;
    })[];
    selectProps: import("..").SelectProps;
    showFirstAndLastPageBtn: boolean;
    showJumper: boolean;
    showPageNumber: boolean;
    showPageSize: boolean;
    showPreviousAndNextBtn: boolean;
    size: "small" | "medium";
    theme: "default" | "simple";
    total: number;
    totalContent: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange: (pageInfo: import("./type").PageInfo) => void;
    onCurrentChange: (current: number, pageInfo: import("./type").PageInfo) => void;
    onPageSizeChange: (pageSize: number, pageInfo: import("./type").PageInfo) => void;
}>> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").PaginationConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    prevMore: boolean;
    nextMore: boolean;
    jumpIndex: number;
}, {
    toPage(pageIndex: number, isTriggerChange?: boolean): void;
    prevPage(): void;
    nextPage(): void;
    prevMorePage(): void;
    nextMorePage(): void;
    getButtonClass(index: number): import("..").ClassName;
    onSelectorChange(e: string): void;
    onJumperChange(val: String): void;
}, {
    paginationClass: import("..").ClassName;
    totalClass: import("..").ClassName;
    sizerClass: import("..").ClassName;
    preBtnClass: import("..").ClassName;
    nextBtnClass: import("..").ClassName;
    btnWrapClass: import("..").ClassName;
    btnMoreClass: import("..").ClassName;
    jumperClass: import("..").ClassName;
    jumperInputClass: import("..").ClassName;
    pageCount: number;
    sizeOptions: {
        label: string;
        value: number;
    }[];
    curPageLeftCount: number;
    curPageRightCount: number;
    isPrevMoreShow: boolean;
    isNextMoreShow: boolean;
    pages: number[];
    isFolded: boolean;
    isMidEllipsis: boolean;
}, {
    current: number;
    pageSize: number;
    defaultCurrent: number;
    disabled: boolean;
    foldedMaxPageBtn: number;
    maxPageBtn: number;
    pageEllipsisMode: "mid" | "both-ends";
    defaultPageSize: number;
    pageSizeOptions: (number | {
        label: string;
        value: number;
    })[];
    selectProps: import("..").SelectProps;
    showFirstAndLastPageBtn: boolean;
    showJumper: boolean;
    showPageNumber: boolean;
    showPageSize: boolean;
    showPreviousAndNextBtn: boolean;
    size: "small" | "medium";
    theme: "default" | "simple";
    total: number;
    totalContent: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange: (pageInfo: import("./type").PageInfo) => void;
    onCurrentChange: (current: number, pageInfo: import("./type").PageInfo) => void;
    onPageSizeChange: (pageSize: number, pageInfo: import("./type").PageInfo) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: import("..").PaginationConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, {
    prevMore: boolean;
    nextMore: boolean;
    jumpIndex: number;
}, {
    toPage(pageIndex: number, isTriggerChange?: boolean): void;
    prevPage(): void;
    nextPage(): void;
    prevMorePage(): void;
    nextMorePage(): void;
    getButtonClass(index: number): import("..").ClassName;
    onSelectorChange(e: string): void;
    onJumperChange(val: String): void;
}, {
    paginationClass: import("..").ClassName;
    totalClass: import("..").ClassName;
    sizerClass: import("..").ClassName;
    preBtnClass: import("..").ClassName;
    nextBtnClass: import("..").ClassName;
    btnWrapClass: import("..").ClassName;
    btnMoreClass: import("..").ClassName;
    jumperClass: import("..").ClassName;
    jumperInputClass: import("..").ClassName;
    pageCount: number;
    sizeOptions: {
        label: string;
        value: number;
    }[];
    curPageLeftCount: number;
    curPageRightCount: number;
    isPrevMoreShow: boolean;
    isNextMoreShow: boolean;
    pages: number[];
    isFolded: boolean;
    isMidEllipsis: boolean;
}, {
    current: number;
    pageSize: number;
    defaultCurrent: number;
    disabled: boolean;
    foldedMaxPageBtn: number;
    maxPageBtn: number;
    pageEllipsisMode: "mid" | "both-ends";
    defaultPageSize: number;
    pageSizeOptions: (number | {
        label: string;
        value: number;
    })[];
    selectProps: import("..").SelectProps;
    showFirstAndLastPageBtn: boolean;
    showJumper: boolean;
    showPageNumber: boolean;
    showPageSize: boolean;
    showPreviousAndNextBtn: boolean;
    size: "small" | "medium";
    theme: "default" | "simple";
    total: number;
    totalContent: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    onChange: (pageInfo: import("./type").PageInfo) => void;
    onCurrentChange: (current: number, pageInfo: import("./type").PageInfo) => void;
    onPageSizeChange: (pageSize: number, pageInfo: import("./type").PageInfo) => void;
}>>>;
export declare const PaginationMini: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("tdesign-icons-vue").GlobalIconType;
    RoundIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronRightIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronUpIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronDownIcon: import("tdesign-icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    variant: "outline" | "text";
    layout: "vertical" | "horizontal";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
    tips?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("tdesign-icons-vue").GlobalIconType;
    RoundIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronRightIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronUpIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronDownIcon: import("tdesign-icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    variant: "outline" | "text";
    layout: "vertical" | "horizontal";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
    tips?: unknown;
}, {
    size: import("..").SizeEnum;
    variant: "outline" | "text";
    layout: "vertical" | "horizontal";
    showCurrent: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("tdesign-icons-vue").GlobalIconType;
    RoundIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronRightIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronUpIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronDownIcon: import("tdesign-icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: {
        type: import("vue").PropType<boolean | import("./type").JumperDisabledConfig>;
    };
    layout: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    showCurrent: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    tips: {
        type: import("vue").PropType<boolean | import("./type").JumperTipsConfig>;
    };
    variant: {
        type: import("vue").PropType<"outline" | "text">;
        default: "outline" | "text";
        validator(val: "outline" | "text"): boolean;
    };
    onChange: import("vue").PropType<(context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    size: import("..").SizeEnum;
    variant: "outline" | "text";
    layout: "vertical" | "horizontal";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
    tips?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    ChevronLeftIcon: import("tdesign-icons-vue").GlobalIconType;
    RoundIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronRightIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronUpIcon: import("tdesign-icons-vue").GlobalIconType;
    ChevronDownIcon: import("tdesign-icons-vue").GlobalIconType;
    titleConfig: import("@vue/composition-api").ComputedRef<{
        prev?: string;
        current?: string;
        next?: string;
    }>;
    disabledConfig: import("@vue/composition-api").ComputedRef<{
        prev?: boolean;
        current?: boolean;
        next?: boolean;
    }>;
    handleChange: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    size: import("..").SizeEnum;
    variant: "outline" | "text";
    layout: "vertical" | "horizontal";
    showCurrent: boolean;
} & {
    disabled?: unknown;
    onChange?: (context: {
        e: MouseEvent;
        trigger: import("./type").JumperTrigger;
    }) => void;
    tips?: unknown;
}, {
    size: import("..").SizeEnum;
    variant: "outline" | "text";
    layout: "vertical" | "horizontal";
    showCurrent: boolean;
}, true>)>;
export default Pagination;
