import Vue, { VNode } from 'vue';
import { TNode, ClassName } from '../common';
import { SliderValue } from './type';
export interface MarkItem {
    point: number;
    position: number;
    mark: string | number | TNode<{
        value: number;
    }>;
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue, {
    firstValue: number;
    secondValue: number;
    prevValue: number;
    dragging: boolean;
    sliderSize: number;
    inputDecimalPlaces: number;
    inputFormat: any;
    inputPlaceholder: string;
    inputTheme: string;
    showSteps: boolean;
    formDisabled: any;
}, {
    init(): void;
    valueChanged(): boolean;
    setValues(value: SliderValue): SliderValue;
    setPosition(percent: number): void;
    onSliderClick(event: MouseEvent): void;
    resetSize(): void;
    emitChange(value: SliderValue): void;
    emitChangeEnd(): void;
    getStopStyle(position: number): {
        top: string;
        left?: undefined;
    } | {
        left: string;
        top?: undefined;
    };
    changeValue(point: number): void;
    renderMask(): VNode;
    renderInputButton(): VNode;
}, {
    tDisabled: boolean;
    containerClass: ClassName;
    sliderClass: ClassName;
    sliderRailClass: ClassName;
    sliderNumberClass: ClassName;
    vertical: boolean;
    rangeDiff: number;
    steps: number[];
    markList: MarkItem[];
    minValue: number;
    maxValue: number;
    barSize: string;
    barStart: string;
    precision: number;
    runwayStyle: object;
    barStyle: object;
    calcInputNumberProps: object;
}, {
    disabled: boolean;
    inputNumberProps: boolean | import("../input-number/index").InputNumberProps;
    label: string | boolean | ((h: import("vue").CreateElement, props: {
        value: SliderValue;
        position?: "end" | "start";
    }) => import("vue/types/vnode").ScopedSlotReturnValue);
    layout: "vertical" | "horizontal";
    marks: number[] | import("./type").SliderMarks;
    max: number;
    min: number;
    range: boolean;
    step: number;
    tooltipProps: import("..").TdTooltipProps;
    value: SliderValue;
    defaultValue: SliderValue;
    onChange: (value: SliderValue) => void;
    onChangeEnd: (value: SliderValue) => void;
}>;
export default _default;
