import './style';
export * from './type';
export declare const Space: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    spaceClassNames: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean | "center" | "end" | "start" | "vertical" | "horizontal" | "baseline";
    })[]>;
    renderStyle: import("@vue/composition-api").ComputedRef<{
        [key: string]: string | number;
    }>;
}> & import("@vue/composition-api").Data, {}, {}, {
    forceFlexGapPolyfill: BooleanConstructor;
    align: {
        type: import("vue").PropType<"center" | "end" | "start" | "baseline">;
        validator(val: "center" | "end" | "start" | "baseline"): boolean;
    };
    breakLine: BooleanConstructor;
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    separator: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    size: {
        type: import("vue").PropType<import("./type").SpaceSize | import("./type").SpaceSize[]>;
        default: string;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    forceFlexGapPolyfill: BooleanConstructor;
    align: {
        type: import("vue").PropType<"center" | "end" | "start" | "baseline">;
        validator(val: "center" | "end" | "start" | "baseline"): boolean;
    };
    breakLine: BooleanConstructor;
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    separator: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    size: {
        type: import("vue").PropType<import("./type").SpaceSize | import("./type").SpaceSize[]>;
        default: string;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    direction: "vertical" | "horizontal";
    size: import("./type").SpaceSize | import("./type").SpaceSize[];
    forceFlexGapPolyfill: boolean;
    breakLine: boolean;
} & {
    align?: "center" | "end" | "start" | "baseline";
    separator?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    spaceClassNames: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean | "center" | "end" | "start" | "vertical" | "horizontal" | "baseline";
    })[]>;
    renderStyle: import("@vue/composition-api").ComputedRef<{
        [key: string]: string | number;
    }>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    direction: "vertical" | "horizontal";
    size: import("./type").SpaceSize | import("./type").SpaceSize[];
    forceFlexGapPolyfill: boolean;
    breakLine: boolean;
} & {
    align?: "center" | "end" | "start" | "baseline";
    separator?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    direction: "vertical" | "horizontal";
    size: import("./type").SpaceSize | import("./type").SpaceSize[];
    forceFlexGapPolyfill: boolean;
    breakLine: boolean;
}, true>) & import("vue").PluginObject<import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    spaceClassNames: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean | "center" | "end" | "start" | "vertical" | "horizontal" | "baseline";
    })[]>;
    renderStyle: import("@vue/composition-api").ComputedRef<{
        [key: string]: string | number;
    }>;
}> & import("@vue/composition-api").Data, {}, {}, {
    forceFlexGapPolyfill: BooleanConstructor;
    align: {
        type: import("vue").PropType<"center" | "end" | "start" | "baseline">;
        validator(val: "center" | "end" | "start" | "baseline"): boolean;
    };
    breakLine: BooleanConstructor;
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    separator: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    size: {
        type: import("vue").PropType<import("./type").SpaceSize | import("./type").SpaceSize[]>;
        default: string;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    forceFlexGapPolyfill: BooleanConstructor;
    align: {
        type: import("vue").PropType<"center" | "end" | "start" | "baseline">;
        validator(val: "center" | "end" | "start" | "baseline"): boolean;
    };
    breakLine: BooleanConstructor;
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: "vertical" | "horizontal"): boolean;
    };
    separator: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    size: {
        type: import("vue").PropType<import("./type").SpaceSize | import("./type").SpaceSize[]>;
        default: string;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    direction: "vertical" | "horizontal";
    size: import("./type").SpaceSize | import("./type").SpaceSize[];
    forceFlexGapPolyfill: boolean;
    breakLine: boolean;
} & {
    align?: "center" | "end" | "start" | "baseline";
    separator?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    COMPONENT_NAME: import("@vue/composition-api").ComputedRef<string>;
    spaceClassNames: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean | "center" | "end" | "start" | "vertical" | "horizontal" | "baseline";
    })[]>;
    renderStyle: import("@vue/composition-api").ComputedRef<{
        [key: string]: string | number;
    }>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    direction: "vertical" | "horizontal";
    size: import("./type").SpaceSize | import("./type").SpaceSize[];
    forceFlexGapPolyfill: boolean;
    breakLine: boolean;
} & {
    align?: "center" | "end" | "start" | "baseline";
    separator?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    direction: "vertical" | "horizontal";
    size: import("./type").SpaceSize | import("./type").SpaceSize[];
    forceFlexGapPolyfill: boolean;
    breakLine: boolean;
}, true>)>;
export default Space;
