import Vue from 'vue';
import { ScopedSlotReturnValue } from 'vue/types/vnode';
import { StepsConfig } from '../config-provider/config-receiver';
import Steps from './steps';
import { ClassName } from '../common';
export declare type StepInstance = InstanceType<typeof Steps>;
export interface StepItemType extends Vue {
    steps: StepInstance;
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("tdesign-icons-vue").GlobalIconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: StepsConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & StepItemType, unknown, {
    renderIcon(): any;
    onStepClick(e: MouseEvent): void;
}, {
    current: string | number;
    baseClass: ClassName;
    iconClass: ClassName;
    canClick: boolean;
}, {
    index: number;
    content: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    extra: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    icon: boolean | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    status: import("./type").StepStatus;
    title: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    value: string | number;
}>;
export default _default;
