import { SetupContext } from '@vue/composition-api';
import { CreateElement } from 'vue';
import { TdPrimaryTableProps, PrimaryTableCol, TableRowData } from '../type';
export default function useFilter(props: TdPrimaryTableProps, context: SetupContext): {
    hasEmptyCondition: import("@vue/composition-api").ComputedRef<boolean>;
    isTableOverflowHidden: import("@vue/composition-api").Ref<boolean>;
    renderFilterIcon: (h: CreateElement, { col, colIndex }: {
        col: PrimaryTableCol<TableRowData>;
        colIndex: number;
    }) => JSX.Element;
    renderFirstFilterRow: (h: CreateElement) => JSX.Element;
    setFilterPrimaryTableRef: (primaryTableElement: any) => void;
};
