import { TdBaseTableProps } from '../type';
import { ClassName, Styles } from '../../common';
export declare function formatCSSUnit(unit: string | number): string | number;
export default function useStyle(props: TdBaseTableProps): {
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
    tableClasses: import("@vue/composition-api").ComputedRef<ClassName>;
    tableElementStyles: import("@vue/composition-api").ComputedRef<Styles>;
    tableContentStyles: import("@vue/composition-api").ComputedRef<Styles>;
};
