/**
 * tdesign v1.11.2
 * (c) 2025 tdesign
 * @license MIT
 */

import _Tag from './tag.js';
import _CheckTag from './check-tag.js';
import _CheckTagGroup from './check-tag-group.js';
import { withInstall } from '../utils/withInstall.js';
import '@babel/runtime/helpers/typeof';
import '@babel/runtime/helpers/defineProperty';
import 'tdesign-icons-vue';
import 'tinycolor2';
import 'lodash-es';
import './props.js';
import '../utils/mixins.js';
import 'vue';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-84fc5ae7.js';
import '../_chunks/dep-eb45b5e0.js';
import 'dayjs';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';
import '../utils/event.js';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../_chunks/dep-653f218a.js';
import './check-tag-props.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../hooks/useVModel.js';
import '../_common/js/common.js';
import './check-tag-group-props.js';

var Tag = withInstall(_Tag);
var CheckTag = withInstall(_CheckTag);
var CheckTagGroup = withInstall(_CheckTagGroup);

export { CheckTag, CheckTagGroup, Tag, Tag as default };
//# sourceMappingURL=index.js.map
