import { TdTimelineProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    labelAlign: {
        type: PropType<"alternate" | "left" | "top" | "bottom" | "right">;
        default: "alternate" | "left" | "top" | "bottom" | "right";
        validator(val: TdTimelineProps['labelAlign']): boolean;
    };
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
        validator(val: TdTimelineProps['layout']): boolean;
    };
    mode: {
        type: PropType<"alternate" | "same">;
        default: "alternate" | "same";
        validator(val: TdTimelineProps['mode']): boolean;
    };
    reverse: BooleanConstructor;
    theme: {
        type: PropType<"default" | "dot">;
        default: "default" | "dot";
        validator(val: TdTimelineProps['theme']): boolean;
    };
};
export default _default;
